(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    437345,       9599]
NotebookOptionsPosition[    420239,       9024]
NotebookOutlinePosition[    420765,       9044]
CellTagsIndexPosition[    420722,       9041]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Physics 230 -- Lab 1 (Introduction to Mathematica)", "Title",
 CellChangeTimes->{{3.399308987464324*^9, 3.399308997477577*^9}, {
   3.3996509147507887`*^9, 3.3996509168582067`*^9}, 3.4274817158062444`*^9, {
   3.427505828304313*^9, 3.427505832757467*^9}, {3.433259568081151*^9, 
   3.4332596026289105`*^9}}],

Cell["\<\
Bret Hess, Fall 2014

Labs by John S. Colton, BYU Physics & Astronomy, based on previous labs by \
Branton Cambell and Steve Turley.\
\>", "Subtitle",
 CellChangeTimes->{{3.433259527908248*^9, 3.433259551315097*^9}, {
   3.439665062935153*^9, 3.4396650637789087`*^9}, {3.4396681571112056`*^9, 
   3.4396681574237075`*^9}, {3.4717903729337626`*^9, 3.4717903735118947`*^9}, 
   3.5014683903969955`*^9, {3.534713290355769*^9, 3.5347132906157613`*^9}, {
   3.5440306077056894`*^9, 3.54403063024669*^9}, {3.5442062130113497`*^9, 
   3.54420621803535*^9}, 3.544801715798015*^9, {3.5619031707500453`*^9, 
   3.561903176021153*^9}, {3.585927979541676*^9, 3.5859280879044724`*^9}, {
   3.586779921519392*^9, 3.5867799396727457`*^9}, 3.596306371259364*^9, {
   3.61927648630345*^9, 3.619276492070027*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is a cross between a souped-up calculator and a full-blown programming \
language. You will mostly be typing and entering commands. \n\n",
 StyleBox["To enter a command:",
  FontWeight->"Bold"],
 " Move the pointer/cursor to a spot between two \[OpenCurlyDoubleQuote]cells\
\[CloseCurlyDoubleQuote] (the smallest unit grouped by the brackets on the \
right), identifiable because the mouse cursor turns into a horizontal \
indicator, and type what you want ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to do. Then press \[OpenCurlyDoubleQuote]shift-enter\
\[CloseCurlyDoubleQuote] (or just \[OpenCurlyDoubleQuote]enter\
\[CloseCurlyDoubleQuote] if you use the enter key on the numeric keypad) to \
have your command executed. Regular \[OpenCurlyDoubleQuote]enter\
\[CloseCurlyDoubleQuote] will not work--that\[CloseCurlyQuote]s for adding \
line breaks inside a command, for example if you want to run two commands at \
the same time.  If \[OpenCurlyDoubleQuote]shift-enter\[CloseCurlyDoubleQuote] \
doesn\[CloseCurlyQuote]t execute the command, then select the new cell (click \
on the vertical bracket on the right), then choose menu option ",
 StyleBox["Format",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Style",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Input",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " and try again.\n\n",
 StyleBox["Probably the most helpful advice you will get this semester: ",
  FontWeight->"Bold"],
 "If you are typing ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " commands and things are not working the way you expect, go to ",
 StyleBox["Evaluation",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Quit Kernel",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Local",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 ". That clears the memory and will restart the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " engine the next time you enter a command. Just as the way to solve most \
computer problems is to turn it off and on again, the way to solve most ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " problems is to turn off the kernel (the processing engine) and then turn \
it on again. ",
 StyleBox["Evaluation",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Abort ",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "can also be quite useful, to stop the execution of the current command if \
things are taking much longer than expected. \n\n",
 StyleBox["To expand/contract the selections below:",
  FontWeight->"Bold"],
 " Double-click the vertical bars on the right that look like they have half \
of a downward-pointing arrow. To contract them, double-click the same bar \
(now potentially quite long). Or, go to  ",
 StyleBox["Edit",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Preferences",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Interface",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "  and check the box that says \[OpenCurlyDoubleQuote]Show open/close icons \
for cell groups\[CloseCurlyDoubleQuote] (it may already be checked). That \
will give you carat-shaped icons on the left which will toggle the sections \
between expanded and contracted.\n\n",
 StyleBox["To expand/contract all groups at once:",
  FontWeight->"Bold"],
 " Here are two potentially useful shortcuts. To expand all groups at once, \
type ",
 StyleBox["Control-A",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " (to select everything in the notebook), then choose the menu option ",
 StyleBox["Cell",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Grouping",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Open all subgroups",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 ". Similarly, to contract all groups, type ",
 StyleBox["Control-A",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " then use menu option ",
 StyleBox["Cell",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Grouping",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Close all subgroups",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 ". Or, to close some but not all of the groups, just select the ones you \
want to close instead of using ",
 StyleBox["Control-A",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "."
}], "Text",
 CellChangeTimes->{{3.405698951757959*^9, 3.4056989652268815`*^9}, {
   3.4274821844342437`*^9, 3.4274821862936306`*^9}, {3.427482340107115*^9, 
   3.4274824471234245`*^9}, {3.4274913027269754`*^9, 3.427491316430188*^9}, {
   3.4332805525714197`*^9, 3.433280573634459*^9}, {3.4396650832946587`*^9, 
   3.4396653900622463`*^9}, {3.439665526203743*^9, 3.4396655350006742`*^9}, {
   3.439665603657364*^9, 3.4396656631733694`*^9}, {3.4396674148877053`*^9, 
   3.4396674155752096`*^9}, {3.439675284854319*^9, 3.439675299729319*^9}, {
   3.439675411744944*^9, 3.439675420901194*^9}, {3.4396765855491524`*^9, 
   3.439676590221058*^9}, {3.5440306349256897`*^9, 3.54403080916669*^9}, {
   3.5440327080356894`*^9, 3.5440327512976894`*^9}, {3.5440329230056896`*^9, 
   3.5440329415386896`*^9}, {3.5440330458256893`*^9, 
   3.5440330782386894`*^9}, {3.5440333643466897`*^9, 
   3.5440334585376897`*^9}, {3.5440340375786896`*^9, 
   3.5440341390326896`*^9}, {3.5440344213416896`*^9, 3.54403455737669*^9}, {
   3.5440593701486893`*^9, 3.54405943550869*^9}, {3.544059483190643*^9, 
   3.5440595205118356`*^9}, {3.544096704147473*^9, 3.544096743101701*^9}, {
   3.5618339394116893`*^9, 3.561833948400588*^9}, 3.5963063853317714`*^9, {
   3.607949858905624*^9, 3.607949896791624*^9}, {3.607949930310624*^9, 
   3.607949932326624*^9}}],

Cell[CellGroupData[{

Cell["The Most Useful Commands", "Section",
 CellChangeTimes->{{3.399171094227*^9, 3.399171099477*^9}, {
   3.399650322332314*^9, 3.3996503265159283`*^9}, {3.3996618827887726`*^9, 
   3.3996618833354588`*^9}, {3.4057003448070397`*^9, 3.405700376073065*^9}, {
   3.405702493912673*^9, 3.4057024951158133`*^9}, {3.4057056738283753`*^9, 
   3.4057056744377584`*^9}, {3.4057154528454123`*^9, 3.4057154536586657`*^9}, 
   3.405720440813705*^9, 3.405720479881176*^9, 3.427323107248788*^9, {
   3.427505820601139*^9, 3.4275058725389714`*^9}, {3.4275060470088377`*^9, 
   3.427506050618236*^9}, {3.4311829246595087`*^9, 3.4311829261439123`*^9}, 
   3.433259591253619*^9, {3.5440407892056894`*^9, 3.5440407892806897`*^9}, {
   3.5440542300146894`*^9, 3.5440542305926895`*^9}, {3.544059545300887*^9, 
   3.5440595493570576`*^9}, {3.54412101143577*^9, 3.544121011630781*^9}, {
   3.5441952813458185`*^9, 3.544195281447829*^9}, {3.54420127414468*^9, 
   3.544201274279693*^9}, 3.561833822596009*^9}],

Cell[CellGroupData[{

Cell[TextData[{
 "How to use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " as a calculator"
}], "Subsection",
 CellChangeTimes->{{3.399650347605714*^9, 3.3996503501970563`*^9}, {
   3.3996508210253468`*^9, 3.3996508283778925`*^9}, {3.399650876130412*^9, 
   3.3996508818750763`*^9}, {3.39975768225478*^9, 3.3997576870185747`*^9}, {
   3.405700384213794*^9, 3.405700396526452*^9}, {3.405702497131464*^9, 
   3.405702497506469*^9}, {3.4057213236791196`*^9, 3.4057213241795835`*^9}, {
   3.427491011131359*^9, 3.4274910252095737`*^9}, {3.4274911208664365`*^9, 
   3.4274911308821254`*^9}, {3.4274981839428897`*^9, 3.427498188161667*^9}, {
   3.4275416649555416`*^9, 3.427541665939923*^9}, {3.431182693373818*^9, 
   3.431182694748844*^9}, {3.54403290574669*^9, 3.5440329093826895`*^9}, {
   3.54403297332469*^9, 3.5440329778426895`*^9}, {3.5440345800316896`*^9, 
   3.5440345849906893`*^9}, {3.5440381186156893`*^9, 3.5440381296456895`*^9}, 
   3.5442013636116257`*^9}],

Cell[TextData[{
 StyleBox["Calculator commands: ",
  FontWeight->"Bold"],
 "Basic calculator-like commands such as +, -, *, /, and ^ all work pretty \
much like you\[CloseCurlyQuote]d expect. Regular ",
 StyleBox["parentheses ",
  FontWeight->"Bold"],
 "can be used to group terms. Click on each of the equations below, and then \
press shift-enter to run these commands. When you do so, the equations will \
become labeled as input lines and output lines with the solution will appear. \
To experiment on your own, feel free to edit an equation on an input line and \
press shift-enter again. Or start typing in between cells, as mentioned \
above, to create your own input. Note, a \[OpenCurlyDoubleQuote]Suggestion \
Bar\[CloseCurlyDoubleQuote] will appear the first time that you execute a \
command. It can be closed with the \[OpenCurlyDoubleQuote]x\
\[CloseCurlyDoubleQuote] icon on the right."
}], "Text",
 CellChangeTimes->CompressedData["
1:eJwlylsoQ3EAx/FlvGmxohDOdFzy5FJCqD9FIeWSFLIpzKXN1OaW1SQNk8uL
y6zwwB4UYhvCg9tG8qBMc88lziSM7AU5v+Ph1+fh9xVVyguqPHg8HsUO3git
+vwihhjq+5dg8sChw1HBEKJKuIdNQcTrjNXUoqFg4aL1ii9mSGuyzw1U62/P
tayNsWV30KWmu2t6GDISJjqHMrrzGirjPnlSVrfFXwBtqw1COJxmD4Zzm34h
MI+U0fCR7IdD8fpXWx2rKiW6HSZlZPfBXPvOCny46LDB5wsdZ5zC2zA1yRDB
R8cUXNNGncBjrYSzoTfeAW29gjOYSZ0OLdc4yThfNAmj9ypnYPrBtxlmq5Rb
MPGDPoTCF+vx///GaYypP4XT8yeXMCZrwgUzqVI3DJCRABOngvOp6p02s9pv
dRFQMSuqNnN9pByGvq6pLVxXroGSxyH3htRJdF0/v/BJKds29jhJv8lzF0Zs
jcpTV53EMKhvgiVRxmaoqvVtg8U5lBq6FgI74dEzfwwu524a4B/UARDR
  "]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"1", "+", "1"}]], "Input",
 CellChangeTimes->{{3.54403256699669*^9, 3.5440325807006893`*^9}}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.6079536665986238`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"4", "-", "5"}]], "Input",
 CellChangeTimes->{{3.5440330159466896`*^9, 3.5440330162146893`*^9}}],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.6079536667076235`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"6", "*", "5"}]], "Input",
 CellChangeTimes->{{3.5440325828566895`*^9, 3.5440325837436895`*^9}, {
  3.5440328713096895`*^9, 3.5440328717736893`*^9}, {3.5440332281316895`*^9, 
  3.54403322836969*^9}}],

Cell[BoxData["30"], "Output",
 CellChangeTimes->{3.607953666735624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"6", "^", "5"}]], "Input",
 CellChangeTimes->{{3.5440330217216897`*^9, 3.5440330227826896`*^9}}],

Cell[BoxData["7776"], "Output",
 CellChangeTimes->{3.6079536667646236`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"2", "-", "3"}], ")"}], "/", "5"}]}]], "Input",
 CellChangeTimes->{{3.5440384265336895`*^9, 3.5440384375116897`*^9}}],

Cell[BoxData[
 FractionBox["4", "5"]], "Output",
 CellChangeTimes->{3.607953666793624*^9}]
}, Closed]],

Cell["\<\
Scientific notation can be indicated two ways. In the second method, there is \
no space between the number and the * character.\
\>", "Text",
 CellChangeTimes->{{3.5440616194616356`*^9, 3.5440616394706364`*^9}, {
  3.544061717923481*^9, 3.5440617203707256`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"6.022", " ", "*", " ", 
  RowBox[{"10", "^", "23"}]}]], "Input",
 CellChangeTimes->{{3.544061648639553*^9, 3.544061655217211*^9}}],

Cell[BoxData["6.0219999999999996`*^23"], "Output",
 CellChangeTimes->{3.6079536668226237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData["6.022*^23"], "Input",
 CellChangeTimes->{{3.5440616621649055`*^9, 3.544061668896579*^9}, {
  3.561834043838131*^9, 3.5618340466214094`*^9}, {3.607950009913624*^9, 
  3.607950012121624*^9}}],

Cell[BoxData["6.022`*^23"], "Output",
 CellChangeTimes->{3.6079536668516235`*^9}]
}, Closed]],

Cell[TextData[{
 "You can either specify \[OpenCurlyDoubleQuote]times\[CloseCurlyDoubleQuote] \
by the * character, or more simply by leaving a space between two numbers. ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will add the x character automatically. That\[CloseCurlyQuote]s what I did \
here:"
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440333137366896`*^9}, {3.54403612811469*^9, 
   3.5440361311746893`*^9}, {3.5440412011606894`*^9, 3.54404120343769*^9}, {
   3.544061706001289*^9, 3.544061738899578*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"6", " ", "5"}]], "Input",
 CellChangeTimes->{{3.5440333011746893`*^9, 3.5440333012786894`*^9}}],

Cell[BoxData["30"], "Output",
 CellChangeTimes->{3.6079536668816237`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["\nTip: ",
  FontWeight->"Bold"],
 "Shift-enter(keypad) not only executes the command like shift-enter and \
enter(keypad) do, it also positions the cursor at the next available input \
field. You may find that to be a helpful shortcut when evaluating a series of \
commands in a row.",
 StyleBox["\n\nAnother Tip:",
  FontWeight->"Bold"],
 " To evaluate all of the commands in a notebook, use ",
 StyleBox["Control-A",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " to select all, then shift-enter. I wouldn\[CloseCurlyQuote]t necessarily \
advise doing that here, but it will be very useful in your own notebooks."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440335884906893`*^9, 
   3.5440335982896895`*^9}, {3.5440338595176897`*^9, 
   3.5440338851846895`*^9}, {3.5440361137956896`*^9, 
   3.5440361199556894`*^9}, {3.5440412061236897`*^9, 
   3.5440412933736897`*^9}, {3.5440413236756897`*^9, 
   3.5440414198726892`*^9}, {3.5440545337026896`*^9, 
   3.5440545355026894`*^9}, {3.5440617434960375`*^9, 
   3.5440617478334713`*^9}, {3.544097032769269*^9, 3.544097034908391*^9}, {
   3.5618340960463514`*^9, 3.561834183122058*^9}}],

Cell[TextData[{
 StyleBox["Built-in Functions: ",
  FontWeight->"Bold"],
 "Giving ",
 StyleBox["Mathematica ",
  FontSlant->"Italic"],
 "a function as a command is termed \[OpenCurlyDoubleQuote]calling the \
function\[CloseCurlyDoubleQuote], or issuing a \
\[OpenCurlyDoubleQuote]function call\[CloseCurlyDoubleQuote]. The parameters \
that you use when calling the function are called the \
\[OpenCurlyDoubleQuote]arguments\[CloseCurlyDoubleQuote].",
 StyleBox[" ",
  FontWeight->"Bold"],
 "There are a ton of built-in functions. For example:"
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440335884906893`*^9, 
   3.5440335982896895`*^9}, {3.5440338595176897`*^9, 
   3.5440338851846895`*^9}, {3.5440361137956896`*^9, 
   3.5440361199556894`*^9}, {3.5440412061236897`*^9, 
   3.5440412933736897`*^9}, {3.5440413236756897`*^9, 3.5440414198726892`*^9}, 
   3.5440545337026896`*^9, {3.561834263389084*^9, 3.5618342641881638`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Log", "[", "1", "]"}]], "Input",
 CellChangeTimes->{{3.5440335800666895`*^9, 3.5440336057856894`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.6079536669106236`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Log10", "[", "100", "]"}]], "Input",
 CellChangeTimes->{{3.54403360860069*^9, 3.5440336148956895`*^9}}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.6079536669416237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sqrt", "[", "10", "]"}]], "Input",
 CellChangeTimes->{{3.5440335493846893`*^9, 3.54403355058669*^9}}],

Cell[BoxData[
 SqrtBox["10"]], "Output",
 CellChangeTimes->{3.607953666970624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.5440339987886896`*^9, 3.5440339995946894`*^9}}],

Cell[BoxData["3.1622776601683795`"], "Output",
 CellChangeTimes->{3.607953666999624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"Sqrt", "[", "10", "]"}], ",", "50"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440337747896895`*^9, 3.54403377777769*^9}}],

Cell[BoxData["3.\
16227766016837933199889354443271853371955513932521682685750485279259443863924`\
50."], "Output",
 CellChangeTimes->{3.6079536670286236`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Cos", "[", "1", "]"}]], "Input",
 CellChangeTimes->{{3.54403438002269*^9, 3.54403438855369*^9}, {
  3.544097079053916*^9, 3.544097079397936*^9}}],

Cell[BoxData[
 RowBox[{"Cos", "[", "1", "]"}]], "Output",
 CellChangeTimes->{3.607953667057624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.544097100832162*^9, 3.5440971017892165`*^9}}],

Cell[BoxData["0.5403023058681397`"], "Output",
 CellChangeTimes->{3.6079536670876236`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n\n1. Function calls such as Log and Sqrt must use ",
 StyleBox["square brackets",
  FontWeight->"Bold"],
 ". \n\n2. Pre-defined functions such as Log and Sqrt must be ",
 StyleBox["capitalized",
  FontWeight->"Bold"],
 ". \n\n3. The \[OpenCurlyDoubleQuote]",
 StyleBox["%",
  FontWeight->"Bold"],
 "\[CloseCurlyDoubleQuote] symbol gets interpreted as \
\[OpenCurlyDoubleQuote]the result of the previously- executed command\
\[CloseCurlyDoubleQuote]. ",
 StyleBox["%%",
  FontWeight->"Bold"],
 " means \[OpenCurlyDoubleQuote]the result of two commands ago\
\[CloseCurlyDoubleQuote] (and so on as you add more % signs). % followed by a \
number means \[OpenCurlyDoubleQuote]the result of line <number>\
\[CloseCurlyDoubleQuote]\n\n4. The \[OpenCurlyDoubleQuote]",
 StyleBox["N",
  FontWeight->"Bold"],
 "\[CloseCurlyDoubleQuote] command can be used to force a numerical decimal \
result. I use N[%] all the time when a command doesn\[CloseCurlyQuote]t give \
me a numerical result like I wanted.\n\n5. Commas are used to separate \
additional arguments (parameters) for functions. The second argument to the N \
command, if used, specifies the number of significant figures you want ",
 StyleBox["Mathematica ",
  FontSlant->"Italic"],
 "to supply.\n\n6.  Trigonometric functions must use ",
 StyleBox["radians",
  FontWeight->"Bold"],
 ". The trig functions include Sin, Cos, Tan, ArcSin, ArcCos, ArcTan, and the \
equivalent hyperbolic trig functions Sinh, etc."
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, {3.5440349675236893`*^9, 
   3.5440350132826896`*^9}, {3.5440350549986897`*^9, 
   3.5440350991306896`*^9}, {3.5440351294076896`*^9, 
   3.5440351631656895`*^9}, {3.5440353307146893`*^9, 3.5440353649396896`*^9}, 
   3.5440356160426893`*^9, {3.5440359810706897`*^9, 3.54403610608169*^9}, {
   3.5440416232626896`*^9, 3.5440416765006895`*^9}, {3.5440421874476895`*^9, 
   3.5440422266776896`*^9}, {3.5440545192316895`*^9, 
   3.5440545274856896`*^9}, {3.544097218914916*^9, 3.544097235895887*^9}, {
   3.5440984283110895`*^9, 3.5440985058235226`*^9}, {3.5441841598729258`*^9, 
   3.5441842132822666`*^9}, {3.544186487022225*^9, 3.5441865279103136`*^9}, {
   3.5441865582793503`*^9, 3.544186579800502*^9}, {3.544204284155651*^9, 
   3.54420436795903*^9}, {3.5618342052612715`*^9, 3.56183422294604*^9}, {
   3.5618342556553106`*^9, 3.5618343208298273`*^9}}],

Cell[TextData[{
 StyleBox["The second most helpful piece of advice you\[CloseCurlyQuote]ll \
get this semester: ",
  FontWeight->"Bold"],
 " A large part of this class will involve learning many of the built-in \
functions. ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " has outstanding online help. To find out more information about any \
function, click on the function name and press F1. Try that with some of the \
built-in functions above. You can also access help topics organized by \
category, and/or search for a particular topic by going to ",
 StyleBox["Help",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Documentation Center",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 ". One cool feature is that you can actually edit examples inside the help \
documents and execute them with shift-enter."
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, {3.5440349675236893`*^9, 
   3.5440350132826896`*^9}, {3.5440350549986897`*^9, 
   3.5440350991306896`*^9}, {3.5440351294076896`*^9, 
   3.5440351631656895`*^9}, {3.5440353307146893`*^9, 3.5440353649396896`*^9}, 
   3.5440356160426893`*^9, {3.5440359810706897`*^9, 3.54403610608169*^9}, {
   3.5440416232626896`*^9, 3.5440416765006895`*^9}, {3.5440421874476895`*^9, 
   3.5440422266776896`*^9}, {3.5440545192316895`*^9, 
   3.5440545259986897`*^9}, {3.5440973335494723`*^9, 3.544097337070674*^9}, {
   3.5445761484690833`*^9, 3.544576148811117*^9}, {3.6079510972196236`*^9, 
   3.607951113905624*^9}}],

Cell[TextData[{
 StyleBox["Variables: ",
  FontWeight->"Bold"],
 "You can assign names to store your results into the computer's memory as \
\"variables\". "
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, {3.5440349675236893`*^9, 
   3.5440350132826896`*^9}, {3.5440350549986897`*^9, 
   3.5440350991306896`*^9}, {3.5440351294076896`*^9, 
   3.5440351631656895`*^9}, {3.5440353307146893`*^9, 3.5440353649396896`*^9}, 
   3.5440356160426893`*^9, {3.5440359810706897`*^9, 3.54403610608169*^9}, {
   3.5440416232626896`*^9, 3.5440416765006895`*^9}, {3.5440421874476895`*^9, 
   3.5440422266776896`*^9}, 3.5440545192316895`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", " ", "=", " ", "15"}]], "Input",
 CellChangeTimes->{{3.5440350146506896`*^9, 3.5440350163396893`*^9}}],

Cell[BoxData["15"], "Output",
 CellChangeTimes->{3.607953667117624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"b", " ", "=", " ", "2"}]], "Input",
 CellChangeTimes->{{3.5440350185246897`*^9, 3.5440350318006897`*^9}, 
   3.5440353948686895`*^9}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.6079536671456237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", " ", "b"}]], "Input",
 CellChangeTimes->{{3.5440350217876897`*^9, 3.54403502259369*^9}}],

Cell[BoxData["30"], "Output",
 CellChangeTimes->{3.607953667175624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"b", " ", "=", " ", "35"}]], "Input",
 CellChangeTimes->{{3.5440353757486897`*^9, 3.5440353973966894`*^9}}],

Cell[BoxData["35"], "Output",
 CellChangeTimes->{3.6079536672046237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", " ", "b"}]], "Input",
 CellChangeTimes->{{3.5440353819326897`*^9, 3.5440353831436896`*^9}}],

Cell[BoxData["525"], "Output",
 CellChangeTimes->{3.6079536672336235`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", "^", "b"}]], "Input",
 CellChangeTimes->{{3.54403502435069*^9, 3.5440350248756895`*^9}}],

Cell[BoxData["145610960604971353313885629177093505859375"], "Output",
 CellChangeTimes->{3.6079536672636237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"c", " ", "=", " ", 
  RowBox[{"a", "-", "b"}]}]], "Input",
 CellChangeTimes->{{3.5440350390126896`*^9, 3.5440350420446897`*^9}}],

Cell[BoxData[
 RowBox[{"-", "20"}]], "Output",
 CellChangeTimes->{3.607953667293624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData["c"], "Input",
 CellChangeTimes->{3.5440350465566893`*^9}],

Cell[BoxData[
 RowBox[{"-", "20"}]], "Output",
 CellChangeTimes->{3.6079536673226237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"b1", " ", "=", " ", "42"}]], "Input",
 CellChangeTimes->{{3.54403522646369*^9, 3.54403523300169*^9}}],

Cell[BoxData["42"], "Output",
 CellChangeTimes->{3.6079536673516235`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"thisNumber", "=", "999999999"}]], "Input",
 CellChangeTimes->{{3.5440352616186895`*^9, 3.5440352865246897`*^9}}],

Cell[BoxData["999999999"], "Output",
 CellChangeTimes->{3.607953667379624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"y", "+", "z"}]], "Input",
 CellChangeTimes->{{3.5440358566536894`*^9, 3.5440358834186897`*^9}}],

Cell[BoxData[
 RowBox[{"y", "+", "z"}]], "Output",
 CellChangeTimes->{3.6079536674226236`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"y", "+", 
  RowBox[{"z", " ", "*", " ", "thisNumber"}]}]], "Input",
 CellChangeTimes->{{3.5440359380806894`*^9, 3.5440359493616896`*^9}}],

Cell[BoxData[
 RowBox[{"y", "+", 
  RowBox[{"999999999", " ", "z"}]}]], "Output",
 CellChangeTimes->{3.607953667466624*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n\n1. You can give the variables any name you want (with a few \
exceptions), then you can refer to them by that name later.\n\n2. You can use \
numbers in the variable name, like \[OpenCurlyDoubleQuote]b1\
\[CloseCurlyDoubleQuote] above, but you can\[CloseCurlyQuote]t start the name \
with a number.\n\n3. You can have capital letters in the name of a variable, \
but it\[CloseCurlyQuote]s best not to start the name with a capital letter \
since that\[CloseCurlyQuote]s the way all of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s built-in functions start.\n\n4. If you try to use \
variables that have not been defined as anything, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will leave the answer as a symbolic expression. You can use this to do \
algebra, for example. More on that later."
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, 3.5440349675236893`*^9, {3.5440350661466894`*^9, 
   3.5440350720526896`*^9}, {3.5440353363736897`*^9, 3.54403535205369*^9}, {
   3.5440354258636894`*^9, 3.5440355651436896`*^9}, {3.5440358622456894`*^9, 
   3.54403592551569*^9}, {3.5440366140616894`*^9, 3.5440366998416896`*^9}, {
   3.5440368637686896`*^9, 3.5440368669596896`*^9}, {3.5440545094136896`*^9, 
   3.5440545107056894`*^9}, {3.544097548480766*^9, 3.544097554286098*^9}, {
   3.561834406992443*^9, 3.5618344092886724`*^9}, {3.5963068089601297`*^9, 
   3.596306828520086*^9}, {3.5980341901331005`*^9, 3.598034200401101*^9}}],

Cell[TextData[{
 StyleBox["Built-in Constants: ",
  FontWeight->"Bold"],
 "Some variable names are reserved, such as Pi, E, I, and Infinity:"
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, 3.5440349675236893`*^9, {3.5440350661466894`*^9, 
   3.5440350720526896`*^9}, {3.5440353363736897`*^9, 3.54403535205369*^9}, {
   3.5440354258636894`*^9, 3.5440355651436896`*^9}, {3.5440358622456894`*^9, 
   3.54403592551569*^9}, {3.5440366140616894`*^9, 3.5440366998416896`*^9}, {
   3.5440368637686896`*^9, 3.5440368669596896`*^9}, 3.5440545094136896`*^9, {
   3.544097637069833*^9, 3.544097637565861*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sin", "[", 
  RowBox[{"Pi", "/", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440366776826897`*^9, 3.5440366799106894`*^9}}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.607953667510624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"E", ",", "50"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440367014956894`*^9, 3.5440367129276896`*^9}}],

Cell[BoxData["2.\
71828182845904523536028747135266249775724709369995957496696762772407663035211`\
50."], "Output",
 CellChangeTimes->{3.607953667553624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"2", " ", "+", " ", 
    RowBox[{"3", " ", "I"}]}], ")"}], " ", "/", " ", 
  RowBox[{"(", 
   RowBox[{"4", " ", "-", " ", 
    RowBox[{"7", " ", "I"}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.5440602039198055`*^9, 3.544060211908596*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["1", "5"]}], "+", 
  FractionBox[
   RowBox[{"2", " ", "\[ImaginaryI]"}], "5"]}]], "Output",
 CellChangeTimes->{3.607953667596624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"2", "^", 
  RowBox[{"(", 
   RowBox[{"-", "Infinity"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.5440368265056896`*^9, 3.5440368324806895`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.6079536676396236`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"E", " ", "=", " ", "10"}]], "Input",
 CellChangeTimes->{{3.5440368742786894`*^9, 3.5440368773096895`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Set", "::", "wrsym"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Symbol \[NoBreak]\\!\\(\[ExponentialE]\\)\[NoBreak] is \
Protected. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\
\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/wrsym\\\", ButtonNote -> \
\\\"Set::wrsym\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.607953667749624*^9}],

Cell[BoxData["10"], "Output",
 CellChangeTimes->{3.607953667753624*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:\n",
  FontWeight->"Bold"],
 "\n1. ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " treats Pi and E just as you\[CloseCurlyQuote]d expect, as if you had \
defined them yourself to hundreds of decimal places.\n\n2. A capital I is \
used to indicate complex numbers.\n\n3. Infinity is kind of a strange \
constant, but it also works like you\[CloseCurlyQuote]d expect.\n\n4. You \
cannot set the value of the built-in constants yourself. That\
\[CloseCurlyQuote]s why the last command gave an error messaage \
\[OpenCurlyDoubleQuote]Symbol e is protected\[CloseCurlyDoubleQuote]. This \
tends to be a problem with the letters \[OpenCurlyDoubleQuote]E\
\[CloseCurlyDoubleQuote] and \[OpenCurlyDoubleQuote]I\[CloseCurlyDoubleQuote] \
which are very tempting to use to stand for energy, electric field, or \
current. Remember when defining your own constants it\[CloseCurlyQuote]s best \
to start them with a lower case letter. That will prevent this problem with e \
or i."
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, 3.5440349675236893`*^9, {3.5440350661466894`*^9, 
   3.5440350720526896`*^9}, {3.5440353363736897`*^9, 3.54403535205369*^9}, {
   3.5440354258636894`*^9, 3.5440355651436896`*^9}, {3.5440358622456894`*^9, 
   3.54403592551569*^9}, 3.5440366140616894`*^9, {3.5440368448996897`*^9, 
   3.54403685189069*^9}, {3.54403688247569*^9, 3.5440370350216894`*^9}, {
   3.5440381455546894`*^9, 3.5440381906276894`*^9}, {3.54405448431269*^9, 
   3.5440544858526897`*^9}, {3.5440602246282234`*^9, 
   3.5440602687316694`*^9}, {3.5440976543558216`*^9, 
   3.5440977489712334`*^9}, {3.607950152327624*^9, 3.607950158511624*^9}}],

Cell[TextData[{
 StyleBox["Now try it out on your own:",
  FontWeight->"Bold"],
 " move the mouse directly below this paragraph (it's a break between cells) \
and when the mouse pointer turns into a horizontal bar, click to position the \
cursor there, and start typing. Calculate something that you might use a \
regular calculator for."
}], "Text",
 CellChangeTimes->{{3.5440336243346896`*^9, 3.5440337297976894`*^9}, {
   3.5440337882156897`*^9, 3.5440338549126897`*^9}, {3.5440339298486896`*^9, 
   3.5440339774456897`*^9}, {3.5440341936646895`*^9, 3.54403437165969*^9}, {
   3.5440344021096897`*^9, 3.5440344080826893`*^9}, {3.5440348338726892`*^9, 
   3.5440348417636895`*^9}, 3.5440349675236893`*^9, {3.5440350661466894`*^9, 
   3.5440350720526896`*^9}, {3.5440353363736897`*^9, 3.54403535205369*^9}, {
   3.5440354258636894`*^9, 3.5440355651436896`*^9}, {3.5440358622456894`*^9, 
   3.54403592551569*^9}, 3.5440366140616894`*^9, {3.5440368448996897`*^9, 
   3.54403685189069*^9}, {3.54403688247569*^9, 3.5440370350216894`*^9}, {
   3.5440381455546894`*^9, 3.5440381906276894`*^9}, 3.54405448431269*^9, {
   3.561834466611404*^9, 3.5618344720349464`*^9}}],

Cell[TextData[{
 "\[UpArrow]\nEnter your command above the arrow. (Notice the break between \
cells is indicated on the right.) Remember if \
\[OpenCurlyDoubleQuote]shift-enter\[CloseCurlyDoubleQuote] doesn\
\[CloseCurlyQuote]t execute the command, then select the new cell (click on \
the vertical bracket on the right), then choose menu option ",
 StyleBox["Format",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Style",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Input",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " and try again. That won\[CloseCurlyQuote]t generally be an issue when you \
create your own new notebooks, but it may be here.\n\nNow open up a brand-new \
notebook file using ",
 StyleBox["File",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["New",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Notebook ",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "(or ",
 StyleBox["Control-N",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 ") and type in some  commands there. The formatting won\[CloseCurlyQuote]t \
look as cool as this notebook, but we\[CloseCurlyQuote]ll cover formatting \
later."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348796776896`*^9}, {3.5440351869956894`*^9, 3.54403520846869*^9}, {
   3.5440365226946898`*^9, 3.5440365500436897`*^9}, {3.5440370779726896`*^9, 
   3.5440371304776897`*^9}, {3.5440408357376895`*^9, 3.5440409569016895`*^9}, 
   3.54405425969969*^9, {3.54405429925369*^9, 3.5440542999476895`*^9}, {
   3.54405450068769*^9, 3.5440545020096893`*^9}, {3.5963065690071373`*^9, 
   3.596306643632599*^9}, {3.5963069032825613`*^9, 3.5963069094911823`*^9}}],

Cell[TextData[{
 StyleBox["CAUTION:  ",
  FontWeight->"Bold"],
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " \"remembers\" variable assignments between notebooks. That is, if you've \
defined a=15 in this notebook, when you open a new notebook, it will equal 15 \
there, too! This can often cause unintended (and undesired) consequences. The \
\"quit kernel\" tip from the top of this notebook can be especially helpful \
under those circumstances."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348796776896`*^9}, {3.5440351869956894`*^9, 3.54403520846869*^9}, {
   3.5440365226946898`*^9, 3.5440365500436897`*^9}, {3.5440370779726896`*^9, 
   3.5440371304776897`*^9}, {3.5440408357376895`*^9, 3.5440409569016895`*^9}, 
   3.54405425969969*^9, {3.54405429925369*^9, 3.5440542999476895`*^9}, 
   3.54405450068769*^9, {3.5440978198122854`*^9, 3.544097820478323*^9}, {
   3.596306480252262*^9, 3.596306480667304*^9}, {3.6079502362736235`*^9, 
   3.6079502554486237`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
An aside: how to leave comments\
\>", "Subsection",
 CellChangeTimes->{{3.5440614209897904`*^9, 3.544061435005192*^9}, {
  3.607950865961624*^9, 3.607950869168624*^9}}],

Cell[TextData[{
 "The commands you\[CloseCurlyQuote]ve seen so far have been very simple and \
intuitive. That will change. In a complicated sequence of commands it's \
critically important to leave comments for yourself (and others), so that you \
(and they) will know what was going on in your head when you wrote the code \
that way. You do that in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " via paired parentheses/asterisks: "
}], "Text",
 CellChangeTimes->{{3.544061439257617*^9, 3.5440615206017504`*^9}, 
   3.5440617918088684`*^9, {3.5963124842095985`*^9, 3.5963124870658836`*^9}, {
   3.6079486731916237`*^9, 3.607948675206624*^9}, {3.6079509049506235`*^9, 
   3.607950934828624*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"hbar", " ", "=", " ", "1.055*^-34", "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"this", " ", "is", " ", 
     RowBox[{"Plank", "'"}], "s", " ", "constant"}], ",", " ", 
    RowBox[{"divided", " ", "by", " ", "2", " ", "Pi"}]}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.544061529185609*^9, 3.5440615716648564`*^9}}],

Cell[BoxData["1.055`*^-34"], "Output",
 CellChangeTimes->{3.6079536678236237`*^9}]
}, Closed]],

Cell["\<\
There\[CloseCurlyQuote]s a nice shortcut for toggling comments on and off: \
select the text you want to comment, then type Alt-?. Try that, here:\
\>", "Text",
 CellChangeTimes->{{3.544061439257617*^9, 3.5440615206017504`*^9}, 
   3.5440617918088684`*^9, {3.5963124842095985`*^9, 3.5963124870658836`*^9}, {
   3.6079486731916237`*^9, 3.607948745945624*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"comment", " ", "this", " ", "out", " ", "with", " ", "Alt"}], "-", 
  "?"}]], "Input",
 CellChangeTimes->{{3.607948753887624*^9, 3.607948780652624*^9}},
 EmphasizeSyntaxErrors->True],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Information", "::", "basic"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"?Name gives information on Name, ?Ab* on all symbols \
starting with Ab. ??Name gives more information. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/Information/basic\\\", ButtonNote -> \
\\\"Information::basic\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6079536678826237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Assignment 0:  Basic computation (You should do this, \
but you don\[CloseCurlyQuote]t need to pass it off)",
 FontWeight->"Bold"]], "Subsubsection",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348796776896`*^9}, {3.5440351869956894`*^9, 3.54403520846869*^9}, {
   3.5440365226946898`*^9, 3.5440365500436897`*^9}, {3.5440370779726896`*^9, 
   3.5440371304776897`*^9}, {3.5440408357376895`*^9, 3.5440409569016895`*^9}, 
   3.54405425969969*^9, 3.5440543088966894`*^9, {3.5440548961256895`*^9, 
   3.5440549351776896`*^9}, {3.5442029348047295`*^9, 3.544202968374086*^9}, {
   3.5442030197272205`*^9, 3.544203096750922*^9}, {3.5454201197782183`*^9, 
   3.5454201292762184`*^9}, {3.5618347261073513`*^9, 3.5618347457563157`*^9}}],

Cell[TextData[{
 "In a new notebook or in a newly created cell below this assignment, do \
these computations. It might be good to check your answer against your \
calculator.\n(a)  ",
 Cell[BoxData[
  FormBox[
   SqrtBox[
    RowBox[{"1", "+", 
     RowBox[{"(", 
      FractionBox["2", 
       RowBox[{"3", "-", 
        RowBox[{
         SubscriptBox["log", "10"], "4"}]}]], ")"}]}]], TraditionalForm]]],
 "  (give the answer to 10 sig figs)\n(b) the answer to (a) + ln(2.39)."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348796776896`*^9}, {3.5440351869956894`*^9, 3.54403520846869*^9}, {
   3.5440365226946898`*^9, 3.5440365500436897`*^9}, {3.5440370779726896`*^9, 
   3.5440371304776897`*^9}, {3.5440408357376895`*^9, 3.5440409569016895`*^9}, 
   3.54405425969969*^9, 3.5440543088966894`*^9, {3.5440548961256895`*^9, 
   3.5440549351776896`*^9}, {3.5442029348047295`*^9, 3.544202968374086*^9}, {
   3.5442030197272205`*^9, 3.544203096750922*^9}, {3.5454201197782183`*^9, 
   3.5454201203092184`*^9}, {3.5618345463443766`*^9, 
   3.5618346320189433`*^9}, {3.5618346718579264`*^9, 3.56183472330107*^9}, {
   3.561834754274167*^9, 3.5618348333840775`*^9}, {3.5618350517939167`*^9, 
   3.5618350600157385`*^9}, {3.5618951948021526`*^9, 3.56189521117879*^9}, {
   3.586781734643396*^9, 3.586781738418041*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to define a function", "Subsection",
 CellChangeTimes->{{3.5440349161446896`*^9, 3.5440349443346896`*^9}, 
   3.54420136615588*^9}],

Cell["You can define your own functions, such as:", "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560573269*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], " ", "=", " ", 
  RowBox[{
   RowBox[{"-", " ", 
    RowBox[{"x", "^", "4"}]}], " ", "+", " ", 
   RowBox[{"3", " ", 
    RowBox[{"x", "^", "3"}]}], " ", "+", "  ", 
   RowBox[{"4", " ", 
    RowBox[{"Sin", "[", "x", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.5440356587906895`*^9, 3.5440356705496893`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", 
   SuperscriptBox["x", "3"]}], "-", 
  SuperscriptBox["x", "4"], "+", 
  RowBox[{"4", " ", 
   RowBox[{"Sin", "[", "x", "]"}]}]}]], "Output",
 CellChangeTimes->{3.6079536681256237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "[", "2", "]"}]], "Input",
 CellChangeTimes->{{3.5440357070566893`*^9, 3.5440357118296895`*^9}}],

Cell[BoxData[
 RowBox[{"8", "+", 
  RowBox[{"4", " ", 
   RowBox[{"Sin", "[", "2", "]"}]}]}]], "Output",
 CellChangeTimes->{3.607953668169624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"%", ",", "30"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440357135046897`*^9, 3.5440357273796897`*^9}}],

Cell[BoxData["11.637189707302726781584079463646979370809019885791561074053`30.\
"], "Output",
 CellChangeTimes->{3.607953668213624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.5440363614036894`*^9, 3.5440363633226895`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "40500"}], "+", 
  RowBox[{"4", " ", 
   RowBox[{"Sin", "[", "15", "]"}]}]}]], "Output",
 CellChangeTimes->{3.6079536682566237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.5440978856130486`*^9, 3.5440978867521143`*^9}}],

Cell[BoxData[
 RowBox[{"-", "40497.39884863937`"}]], "Output",
 CellChangeTimes->{3.607953668301624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "[", "y", "]"}]], "Input",
 CellChangeTimes->{{3.5440358358896894`*^9, 3.5440358372106895`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", 
   SuperscriptBox["y", "3"]}], "-", 
  SuperscriptBox["y", "4"], "+", 
  RowBox[{"4", " ", 
   RowBox[{"Sin", "[", "y", "]"}]}]}]], "Output",
 CellChangeTimes->{3.6079536683446236`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "[", 
  RowBox[{"x", "^", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.54403795888369*^9, 3.5440379619916897`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", 
   SuperscriptBox["x", "6"]}], "-", 
  SuperscriptBox["x", "8"], "+", 
  RowBox[{"4", " ", 
   RowBox[{"Sin", "[", 
    SuperscriptBox["x", "2"], "]"}]}]}]], "Output",
 CellChangeTimes->{3.6079536683886237`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n\n1. Function ",
 StyleBox["definitions ",
  FontSlant->"Italic"],
 "must use the underscore symbol after the variable (and square brackets!). \
Function ",
 StyleBox["calls",
  FontSlant->"Italic"],
 " do not use the underscore symbol.\n\n2. You can evaluate your new function \
at a particular number such as 2 just the same way you would use a built-in \
function.\n\n3. You can evaluate your function at a particular ",
 StyleBox["variable",
  FontSlant->"Italic"],
 ", or even at a function of a variable. In the examples above f[y] doesn\
\[CloseCurlyQuote]t get evaluated at a particular number because y is \
undefined. It just gets evaluated at the unknown variable \
\[OpenCurlyDoubleQuote]y\[CloseCurlyDoubleQuote]. And just as Sin[x^2] will \
compute sin of (x^2), f[x^2] will compute f of (x^2)."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, 3.5440380738296895`*^9, {
   3.5440979069122667`*^9, 3.5440979107934885`*^9}, {3.5440979644075556`*^9, 
   3.544097970189886*^9}, {3.544098004709861*^9, 3.544098080511196*^9}, {
   3.596307136122843*^9, 3.5963071368909197`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["How to plot a function", "Subsection",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380998256893`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440382366606894`*^9, 3.5440382407036896`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV1nk8VN//B/C5M3Zl7MqWbeaSqKhI6r7t2dWHqE8RlVJSKZWlFCWSLSJK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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{-2, 4}, {-67.02719594679489, 11.798114465525412`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.607953668430624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "4"}], "}"}], ",", " ", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "20"}], ",", "20"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw12Hc4Vv//B/Bz7vu2G7aysu77kFA0rDovGWWEfIj6FFGRkjSUFUXDHhGl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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{-2, 4}, {-20, 20}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic}]], "Output",
 CellChangeTimes->{3.607953668484624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "x", "]"}], "/", "x"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "20"}], ",", "20"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440385258896894`*^9, 3.5440385562356896`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVV3k4lG8XFpE9+76MZcY2mKHs9bSSFkmWUtakkiQKoSxRKkJSKGXfJ8Y2
EZ6TnSlESSGihPohWUrFN98/73vd11nuc95zP9f7HCX38zYn2dnY2IxYj/+/
r3w9ML+2pg9svGeDRF3y0USIxOLgX30IXGKKBW3PR1ZCI8uM3/rw6eDP4f+U
8xHB2Pff+Z/6QFfhuSY0nocab93lHp3QB3dbgZX9R/KQluIxvrpxfXjgG/nI
Tj8P3atQEUwZ1YfhPaEBgQJ56ORQpaj1B32IQUXRfDgXceu8U4BX+jCn+nX1
gWQuutD4ROlRpz5YpvDzxX3LQR/sT6sGtelD+Af37NyGHFQc9luD8kIfmht+
7Ldwz0FWr2U3Z1Tqg5NLp1ngk2x076LrvvCH+oCfi6b9mc9E/7g1rI6n6MMH
t0vU6ZpM5Jn+w9ooWR+Ydq9iJMMzkWFrpP3cHX2Y2S/macCbiT5I5rq5RupD
maCMTIN4BiI8nwrcdkYfKvsWR8skH6Hidf45bIb6kJF1/dldniRkdLiIK1Vf
Hwpe/LWdcb+LWnM+naZS9ME3aDjK+HkiGrWw1nbX0AfhLdMnn59OQBJ3tKub
ZFn11Hh4+fveRpEyk23X2fRhHW93lYtLODqi7/SNv1MPpFvlXQZ3e+GJqHsH
clv1YODkrdMevL7Yv59ZuqVJDzJqXo7qzPvhO5dNLvrU6cFqluM548Yg3IQl
/3U/1QOTYz5OWyiRWGd/r2BSkh48ufTvHaEuDnOetNCTdtID6o+Ht3x403Cv
M9Xh21E9MFIwq7MsTsOPj8iG1tvrwfeGtRWrfQ+xwf7ZFjdrPcj86etYH/MI
e+o/OFq0Uw/c2YzJ/r8e4/Z1X8NNNfUgvEJkpq83E9/705MroKYHd0q5jm2U
zcKui7WdIyp6IHxN8W+Jexb+PXlHLEpeD0qCRZvY57KwZo9BwUshPci/GTvV
zJ6DYx9f73ZapsK1zk3JMlx5+EiK74LuAhXKJ+S1ZHbmYdW7jtLsP6gQ4LLB
yCosD9dH65zIm6aCpeWCuuViHp7x7l+aGaYCt4ONzI53+bjWE2RffKBCR6PM
t0cCBfi6a9G2pHdUKHJX7pfcWYAVba/eMnxNhbuEMieP4gJsbUpSCG+mQihp
b5HEhUIst1lop80LKvyp0LxDySjEkzorp1QbqPC8/yXpSFchjlDuorczqBBc
a/u5Ta0Il/ME7BYupoJK2OPI2a4ifJXD1Ws8nwr+NRmNZktFeO8/y/iqHCoc
Xb4WekOuGI/Nyb8/+pgKSgkXZwU8i7HoQIt3ViIVaFHXP5d8L8aglRkTdYcK
bBH7k2T4SrB3WGiO520qxJuOBUSql+BWkv6QZjQV5O+UrDN1LcH+wYK/+CNZ
/et+7Y0JLsGErinR2atUqKcoajOTSnDwpYx9FUFUaPEUMVZvKsFqHSGnki9R
of2eqtu29yX4jZzDtUA/KrxZt27NYqYER/jqPTl6ngrOyRoTW9hpWKdZ4Lmp
NxWEOZd/EsRpeFByql/+DCu/VP7GORINx5xtnl87SYUnyV6aRYY0PCYSotns
QgWhz6uHB+1oON7T3jzvOBW0E08HWp+gYbNaqnvMUSrM1FOaSs7T8JSAwFUv
eyp4pvMdmw2m4ftuk6n7D1PB8fJ3b8loGt5Z1VSlY02F3YrCVNU7NDzH/eS1
0AEq/Jvlnxa7T8Ppx4P/m7ekgkti3+fJRzS8t8yO5605FcK3NwU9yaLhZQ4q
kbGTCmOdTzcY5dNwjgP/9tRtVDCQ/vqPXkTDh4q/Hg/ZQgVVn129/DQaXl1t
DHIyYelvsy7Xnqc0XGzz+B4ypELz5QLiCRY+kne5TGkTFVwXDrU5sfw5V2xf
clBZ8XAp1rCYhssPUCa/aLPmmSegNMfic8nkW9+uSYWT/J2mN7JpmH9xQrFI
jaWPy1KP/6bTcM2eRtNYVSo4YQ0x6wc07Pko3cFHiQocz5cvRsTTsOhckL+1
AhWyyvdmJVynYdhpG68nS4Xogw0xV0Jp+NwD3WIxKSoI6rcq7rlAwzLfeNuW
xFj9ksrPzHnQcNvWibEBYSq0fqX7BzjQ8MW7L1ZrBVn+twfsPuyhYaWJRzLp
fFTYd1VRX86YhruMgwzCuKnwnXDG2EydhkPiDtu4cVKhdjky00SChtU/6fjs
ZKdCz2W1UkkOGo6M+ZK74S8FNklms51n6Ul3CF5M/WJh/zT26cYSPKT7aJi5
SIHnLU6k3cUl2OCdjXjCLAWCjQba0oNK8LimDtXvOwXC4sjHHjmV4ISrPAds
pygg8TrK9Mr2EjxNhCipcQpwR2dcn+QswQ8uP8xYGaGAzToH54sTxXjXq4C6
oSGW/c2P419aivHji9oLGf0U8G47RwiOKMY2TWknNDopoBjb6RjzrQirvvn8
sa2VArc7HWY+4SK89FnH0bOJAvcvvf2yfLcIp3I1WWfXUWDX5Zx/zpuL8Kjl
ty3ypRQIgpEF87OFuNxxc83zYgrQJUU9yjYX4mtnwzY5FlBAf+3L0/HVAkyK
E9V6kEkB267A/NK4Anyux1RK+B4FOqqZCxLp+Xjrp+ik0gQKvJHnKuF2zsdC
892CVnEU8DrhZv1WPh9Xinpw3r5OAR6S30/utDy8Yh87v/4yBVZGmnIVo3Nx
zPDQy19OFLjrulbvqZ6NHWdIex44UuDyl1THHQNZmLzm27TZgQIzI6tGxBtZ
uJvAWetnTQFrrgPxAmOZWMJDO//7Dgpcor8SbInNwNnTVyJG1Shwc+VNDP3C
Qxwyu8U7YVwXTnjX/toldQc/cjOc3DasC8U3HqAjSbG4ro/i8aNfFxTkPHMq
+W/jVYbKcZtOXeBG3iGRKzdwZDjPfjG6LpT1rSzxNkfgW8JvtVKu6sIqb5OT
zXkPnKbv/e2JtC7c/xRxlFIdhZ7nnjxlLaoL0USujArb62hI0mWcTUAXOrQe
jLP9vIEU/h4adGPTBds1tY01OrdRVrMhU+WrDmyXWA736UlAhXYcxfmVOnBr
paP5G+UBehaY5lV6UAf8SKdT41n/f2WPC7kDe3RA/mdrfrJiFoqz3jO6bocO
/Lz28fliVBZy11iys92kA1Ilh3zKDmQjvsFD239L6YDK5we3Y/pzkPNWHqmd
Y9qg8nDMIP1FPmrXHLXxHtQGTckTTVyyBUhPkhGX/EYbJHJJ+mH+BWjDnAfH
ZKs2xDCes99WKkRlmTATW6wNevI/D927UIQ4OINa+i9qA1+LSFr9cAny+WHF
xuajDRt74qvESTQ0MEw01TjF8j/VZGdyjoZKqvvKQo5qw44XoUIflmnI/rTu
I8JWFr+f2UP+1acIbLneWRpqg/fVkCo3s1KkuX1Y2J+iDaFRYxc9L5eiNenb
N1qUtYHw8KT3hdlSVMCc8PPaoA0o8Bt76skyJPKsnpbEpg1Nea+O2oaVoSs5
9ybrfpPhU8h0o2NKGbK5ssN543cy1POSF3e0l6G6M9KpRl/I8FuW+UVppAyR
7Of63D6SARrB0HyxDP3ReWxZ2UOGAHPu7KOKdOQpeylquIMMVk33lMz16ahn
w37M1USG3nHhl37mdJQz+nvT0Soy5J+Zar3hRUeCr3rORz4lg0vA7bpzIXR0
uSa/qDifDNsqutXjb9OR1V07wmoqGYovOfOGF9JRsN5GS4skMqBmgUZBBh3l
9bZfSIglw8lnGziHmuio1y8y7X00GfSrdk1NdNPRqohZk3IYGRTkq2J1BulI
s2Lx29kgMlQ+sRIv/0JH9odLxaoukMHSQJruO0tHkT9Pb1n1IgNHt+n9M7/o
iJak7GnhQYYzudwcj9jK0YD+0J0EJzKsWfBs3cBdjta/SWa8tyeD7l7e+0WC
5Yhy8eCosjUZJjNJ7tFi5ei4GA+PtyUZ9pX1rnsgXY5iKhupVTvI0L8wMfRR
vhxV2oY6rpqSIdCr6MRxpXI0urD5msVmMkzHDQluVC1H/MmzxQk6ZOjjxy5L
xHJktLnwzXs1MojIK44Kq5Ujj7fu/5SVyFAb4qzsxsIJl+RI3jJkUBcNfTFO
Kkd14v1WVaJkaLSQc0tlxU9WxQeu8pPh1XQCLUKlHInZW2ZYcJFhtnf02CNC
Odq2xN6RsKYF76S7NabkytHZ+3U/3v/SgszVT8OnpMrRfYMAGZV5LYj0PmMh
JVqOGvt1d3p/04K9xOitK/zlaCZg6mzVZy04Hq+ZI8BVjmQks++tDmtBLknT
3WaVjswZx+st3mnB/oRNZ9sX6cjPQWIioUcLHlqP1J7/TkedD24aqjRpwfj8
vz027+hoyXCnq3edFmQFmhTHMelIeeBvTFWVFqz6lD5caWDpQcr3g0WBFqyk
Or4+k83SwzMNjsRMLUjeLxjpfY+lhyPjWh/SWHyWvx9kRtGRRqr9Fe84LaB9
tdPOcacjW2OhvKrrWpDmb+jqZ01H4e87ulbDtED6J8Xl4hY6GpDeQkj004L0
PVa3xcXpKCZNpanKQQvM+8SlB2vLUKXJ8LdVay04sSF62i6rDI1+uC+2Z68W
KL0N4eS5WYaMZHk9P5hpwVg13zpZ2zI0+XCOe02Jlf+DQSN3YykSMyui7pFl
xS+/Uy2NKkXbhk44Joppwaeb/HF9u0tRity7YpUNWiAnZhL4uOkpskivt9rz
XRNWlMjNQTQamosb+rt+QhNszlXc2X6GhtKu/il6MaIJx2Z4xjpUaOi7i/EG
0z5NeHnlxAml5BJ0V7kKa9dqAufpPFf1M8XoY34JRTRGEzyaowxyBgpQTArz
Y3eEJrzWljwcGFGAqDenY2NDNIHsqUOjaBSgKC/1Kc7zmhDyNdPP7VI+0tTO
yfxlpwliLp+2CKzLQwHlD0U+qmjCwfhx0Z2TWYiQXQtp8prAXc+lMRGehTqS
3vs4SGpCwplXbFlSWUjukiSzh1cTNi/Wi/rtzkSNhknXmn5ogPTCm0C6xhMk
WH9roQBrgMGkCXGjXArKa7vc739MAx7/8Ng/KxmJUvUCdhbaaoDg4/6nNxfD
UGy6X9nHAxowF7I4fZURgvz8z96y3KYBKx6Xb66j+qMtik5bFYka4KLsrRH/
C6E3AdvyOmfUocWHy+jVyXDMTtoQoBSpDh5v1aNGi1LxYgLHuH2IOtw87cZV
j9Pw5J+1g7EX1SFav+f2at9D3PX6l8aypzocOHxf8epKOk69Mj38cp86XFxU
FtygmIkpb1/tDhJXh2p1nyXDvbnYOeqeeHeBGmypMPvyTJR1/0JLG4Ky1GCY
sPH603AaRn8cVgiP1GDhWcZ41XcaJvjJjvjFq8G0p7Li1xdP8ZhLVoFEgBpY
uSSIaFDKsKdpmanzTjXWPiX2vriSjvuXhHU2bFEDx+B1KdljdGxR7k8oM1AD
k83HbrAJlWN1DUNOdk01UOsNzv50uhxPSzR05QqpgVacycMNohXYZ57p9t8w
Cew6di1pWFTijzRt2/vvSOAjd/tutFclPngm3hy9JsGb7ez+anGVmDJqo5XY
TAID6hkBw55KPP/q/cKmYhKkfvjqan+gCrvfNP06nEOC0jP7aJVeVbhvV/r7
649JcC7t6d99N6pw5XPXhoFEEsjt3R6u2FCFAwq/3ggNIsGqeO0jinI1nvCw
DCb6keDQ4UZbbeNq7EAo9u46SwKFQzEhDgersdEDn0MEFxJojVv26lyuxgU2
PTs7jpBAVlLJ/31sNZYW1DPwsyEBR0WcR8mTarwStSjTvJsEvyS4z7U2VmOv
bQ4C5xAJwv3YqXx91Xjwz7M1cWMSKPXcfOI/Vo33M2TmG/RIEJprm7U6V43r
/EI/nyKTwFzvq2bxajUm63zsFyKRYPFtpl4QHwOnT6GOGkUSvFXurvWQZGDB
3Mzn7tIkWKLRX55XZuCrrhxP+URJrP9z4uUUMgOXdVvcecNPgh1mpcfpmxl4
bGusTzoXCSJ2bP83s4WBxZ72WHmykeBst2yi9W4GNpcX19VdIYLZyyK7t/sY
OCj26MZfP4nQtPg3PvQQAxf9SZ+F/4jQU9AVu9uegYe8xrpvfiXCW597GbqO
rHo+kMpsPhFBc2+0mokTA2+zPJsgO0iE2y9yoj1cGNjvWanv5zdE2FX0kvTU
lYFz1BasaV1EyC+rvirhxsD9942oAe1EMH/MyZPOsnNzXRFGjUTIdLKy3M6K
N7n04seGOiIU1xKY7Kz83p85e3uqiDAyslH501EGfnx4b3lqKRFOx9dODdox
cE/jnbvuhURYlOxrmbdmYHa9Pj+tbCL0rldzJ7L625QpeXjhERHmYvL8/Hcx
sKfQcf36+0RwyDlbMWTGwClhGaLXE1j9cryYdN3EwJ0zn39a3SLC9jT1kTVN
Bv7rpPFGMooIF366na0hMLDOq3OVo1eIMI58veLEGdjVrPxeYSARXKQzXoTw
MPDd4qWLfheI8HEt1jnqbzVeuhm2ef1JIhw5XWX5eaQaq/9uEn/lTIQrQyOP
THuqseNp7qXkI0Tw2/4U0XA1xuaJ1Wr7iRAU7vhh5GE1nq96e39uNxGYrvYy
mTHVWJUoE1iDiFA6b2Ry5WI1juHINtynTwTFK91cNyyrca3fV0kxbSI0dJii
Kr1q/P2T1q8hEhH+9XCcX5OpxtZQ+cxHhpUvwE1jarIKR+r+TjEUI8KW+vhr
N7tY5+nxlstsgkR4I3bgokVFFZa60mp8dx0RJAZUJRSCq/Co8UBt1aQqNA/o
EMz/VWKRQrmHV8dUQYBL99nYYCXeJeUWYjGkCmILEvWZNZW4YGnK9H23Klif
F5G55VeJfSv+1P2tVoVFzweHZD9UYDZtRbwzWhXoDY7DYhHlOFRiu3P0VVU4
59vzb5tVOV5ec//XGqgKn1OFtoTIlOOZ3jzTvV6qoLPrFY1QRseDQTrPrA+q
AnJem3TpKcPVzVvoTtIsvpnjT+gvaVjvqYv1ExFVGNPjE76xl4ZpDyJmR/lU
YZtIbgijtQTneLVoe6yqQOGo77BpbTG+K3SgyGtcBbbcV289eqcQnzt+PDuQ
pgKDz07+PjGbgyd3X91Rk6cCJJ/5he12OdhDN+PTyhMVGPjPPKarhrVfsX9W
vHpXBYwkdf7yhmXhPQVnH0UFqoDB7T12/otPsOpCcHLidpb/nyu6/UHJ+MPt
1BvFb5Vh7XgTw2PWEvW1EEpcu5UBLR2b0dBzQy/X8nvEO5SBPprk/m/mLGrw
r5YOr1OGkjH1Aqv6IJR1rK/YNlsZTlX+OlaqfwN5aQn0/PNVhh821/YrRt5H
fzrDpaz5laGYtmvfolIeWljPvYWTSxkytW7cevcqD81sjXerXVOC0nan2YOX
89FoeXqR6k8luNRqJjPZVYCa02rNfr9XglPNzcG//ItRrNeCa1a+EkQ0yD99
d7AMyfGeLlzYoQQxGWF396hVIeeGl7HKZkoQMn9gnhJQhTL9qL7Wm5WAcjtq
1Km5CpEGVwxK1JSALKy745JzNdItiWs+wa8E/LyfjDRvMpCf63x+IqcSfDEm
8LS9ZqBKMQfW0kiA8ZmeohjpZ8joCsFG9gcBuiPbFr3ynqEdVhUjvW8JkOXf
obG9qgZFsUs1sXUT4LPQ7PvUpRrUVh2ap9NOgKRZZ4PfBrVov6L5uVu1LHv8
YZ/6ylpkPzewsv0JAeYKYn8vZz9HKTlbPp5PIcCZysJFpeHnaPBI1ov0RAJk
VMucNRCvQ64vzsb8vkYAdb1LB4Uj69CZu6vi9NMEUAoMntWzqkcl5id+f3Qj
wHruytO2V+vRzErbEP8xAuxxKb5gTqtHficSs08fIEB58IbV+A0NqFJy6fp9
cwLoWFZEfNJrQMtMR69mRIDG8yvJy8cbUOgmVSpBjwCnNJ5MnaQ1oIbJGDEr
LQI8Ln4T8ayvAa1L/285RJUAHaSs482/GtB1TkbDOwkCpMQI8P3bilF7jWwW
pxAB8tVG76m6YsTrEx6tz0OAjeyrr1bCMFKgJaUoLCvCbD/aVvgco2xxJ5fg
KUVw17ibGPoOI/WrJFL/oCI0i/Q1LvzAqGRi9ju1SxHMxafxDU5A1IM1FXGg
CC5ixdtOCgOqZkQGT5UrguyJ5NZEOUAmhP3bd+cqwlFJLVN+NUC7fnzs+ntT
EXoWXjAmjAF1HC1IPhKqCLH9Ryp37QBk1XjheKWPItz2m4j5bgmoT9NURchN
EXTFP24btgZ0JGn99NnDihA9VTwj7gBo+M+rsrbdiiAl21ycfByQu8eDQBUj
RUippacccwM08dJ1a5imIlR5EIc9TwI6u1mTc1BOEUKLOAqqTwPy46zJD9io
CF0Vva/RWUDBby32irArgiHbzV6Rc4Aic/u/0xYUQDr+4y8dH0C3Lp2Mt/yq
ACsffdKSWPju7gXql/cKoPJfs+g2Fk4Tv/Ym/KUClP32bNdnxWd9EQ6Uwwpw
eeOYsg8rf1FVhvQzugKcOfj23gyLvzxat+5wjgJcX/17v5JVX61dg/PsfQWw
tN9SiFn1NxIPrLt9UwGyJGg2G50AdS4OZpNCFUDv/ROlbFb/vS1e5o0+CkAl
lhUHHwL0Ifn3pJObAkTu7IhL3gto7GTM7d+HFeBcL8X7J+v7Tm2W1Ek2V4Cb
UgnzSSaA5jjzeijGCuAp8a8vgAro19tN/i+1FMDGnoP5kDUvtrwm8dMKCsAb
XJLKLg+IO8DmGYewAjyIjuEpZs1byPyT4xMOBSB8rfp2j6UHKQnffyZL8mAc
0EsNZ+lFvTpuh9+gPMRnPqmtqMGIcl3ui0CXPAzUmaQkPMTIyL74RiHIg91W
T6/ZEIz2LLW/HM2VBzdO9wU9I4xOGax3OOgrD0+PPDN7+7gB+XAl/Z52l4e1
HU1zzRcbUEC/0qPrdvIgfjxqq5ElS/8B6FO9iTwEZw9mF/9Xj/Kqg8+SOeVh
2ppvsV+1Hj29ziPYviwH/CfopxZm6lC1fUrZiWk5uP61kOchow61LlUtpnXL
wbnbpW9u7KpDXwx+hPGkyYFv7763q/ufo+9c4cq5sXLAflwmM4rvOVroF2zZ
FiYHu0SmtdPba9H6QDJvkIccXD6pfC12ay1SZZy6N6EjB/khPp6J0jXohOHH
gqYmWQjMEsztjatGngWG9uYMWfD+9OvgHrNq5CWdyNFRJAv9XfX6D6eqkO+f
nc5dibLwcSiFNrqtCoXiQtH3LrJw/E67HnGsAt2zuHR15o8MLHRnziX8KEOt
Dvy20ptkoMqWb719SQ7qaD+57pGaDABZvou7Mxu9NMZPFWRl4KBLRYvSRBbq
lfXjUWWXgfc+hvaZ0ploZORdg06PNISy2azXG05Dv05la+zyloYjto/OTDre
QJpBJms+OVKwm/nkA7ftPQzDVprj96XAUMz4S86d+9h+5wk7h5tS8HO8pLai
MwVHCsYWIx8pWF/hgbvM0/H7nGEHISMpMH81H2hCysYxr8PL6ExJsJL4ae9v
VoInNNvcFuYlwDhQa+8g6/4VmjAYe/qLBMgc4X8bUsPAIkuzjKF3EhDg09NT
afEMb30hJdhSJwHaygOUfvcanOzgVZt8XQLWnxpNJiQ9x7uiBEQNZSSgTm45
Q74f48zhw82Xt4tD9YvUfwuDTVjvs97Km03iIJZ3fiRFpBk3TwtTKOriYPn4
KW/VnmY8sdz9cEJQHN5b3hjYV9GMNUX2+x8eEoOriyE/iyJa8HMprcKn3WKg
alHBaK9owfsVeUd4msQgmnCVvPdLC/Yht++FQjHIlD3B4WPeisvNdylrB4pB
Yi5tbp6tDe88oHIkxksM2uaOVn7VbsNvDrPfGXcSg26HWSWyYxtecoXfqbvE
4JvARnJaWRs2DTF7zSUiBuXteexttu34ZYTsBndOMdAxkOBeDGnHzjErZvW/
ROGOgcg5l6x2HJ78rMB/RBRWB71+jHxvx82lm8JHS0QhN61g2SqoA9tVi1ab
ZohC9Y4fCwqpHXiibv7b/SRReCoh/J9UTQfm7ixzOBAsCrjcdzJiqQOn9sTH
FZwTBY7KrmvfRTux5jufJg43URiNObU3iNKJD3wm69ZaiMJfqebaac9O/HGa
76S4KYu/YoDwKrwT+/6YTvPVEYXPe+Y021M78d3VAi41cVEYanUYWGvvxCqc
MWaR3KIQdTPR2WikE1fynfIb/iMCslfarCIWOnG/FPFj0pgIBLS0eJnJMfEp
xfVis29FWOfvTFaRDhP/Io5b7u0QgWX+8WNK25j4JrkxLLdOBB6ahxU9tmZi
Gf3MKrYyERBMYc8nuDJxsXH4t2PZIuCxUHc+14eJzba5KDHui0CT1EN1rVAm
fmW+1UHklggoSBv9KY1hYucD8nHnroiAfseMhN49Jp49/Lex3ZeF130rK33M
xOGOg79UPEQgrt5kvVoBEwu71eqEOYiApvTIoftlTJx1KtXjw14RyFYaHv3D
YGJ9n6C0zVtFoDfKatWugYmbLzr0JFBFQEnS719WExPbhxhwfVcVAWm9OsNP
bUz8NULczEJKBJKmJ/g3MpmY90rpbBKvCJTMztze94qJdYIss0f/CkOcyajt
ri4mtvEft9eeFYZnN5LOL7PsAT5XeIM/CUPizKfv7i+ZOO2MZENrnzDkvH4+
EdXBxA0e9AuircKwLgaFH2th4jGXfUTXZ8LwoaH7y2fMxFzHvgyUFAnD+bsa
BxRrmFjTPiz29yNh8HAKXuSmM7HVIelt5vHCELvlklpGPhP77a/4eTdCGE4f
OL15/BETJ1scyB/xF4YdiYdCehKY+NmOr45kT2EwefDT2fMaEw9tiRC8fEQY
9nZMHcy+yMRsxrKNLXuFwc+3ri3ag4lVN1VdEtkiDGqnFyz5DzPxHt2DGi66
wnAwQsdjM2ve3ppTQ8VKwvAuSefpmhYTVxLkd+3mEoaUQ00n/NY68YAsYznx
lxDs+WapJ/W1E/+VOFT8cVoIrIweLx191Yl3CkSLBHULwclNhaklyZ3Yk1ux
tfmFEJxtOab7PLAT3+KouSxcKQS3VxbU3Y504t7f30eLUoSgqIOpdV68E7tP
2JYOuwlBFZexwOWrHfj6pxl3TVshqFY8LKZu14GLhmIkAs2FIDRv8cQpzQ48
31t3RUhLCMYbhZXv9bRj9jDLlOuTG8H1IWdQMl873nvpypriq41AZL/RV9Xf
hhPP0j1r6BvhpF22hntGGyYckd78PXgj7Nu6HOSk24YRder1IYGNUHMzW3LA
tBVfV5M3/vZDEPjF6rwO/WnBXfKHMqL6BWHMi/2gXU0Lduat8WE8EQT1PRpL
fyktOHQ8hk9eTxDOt9tc7xZsxrXJ6rsn7QWgxnoXqS3qBeY+9vXEOjMBMPDQ
fZit8wLbE/IiZZQEQPUu27L8O8DzRSqw/xs/NHy76jarAlgDFEzpYfxQXSjX
a+RYj1OmxajBBXxQ0+Z8aZW1H0+U9h1MiuOD12JJOvbEarzp0l2fEj8+6BMs
6OTbV4W71zaWfDTjA4MNuaaP7lRgLnE+tZ2veYFbZiTq4H+l+BJaJ8+/wgMX
JN+IN6Rl4Mb1YEoc4QF1l0Dvi5vSsVDnVcetzTyQKgHlzRqpuMT27wPfOzwQ
6BurTF9OwJ/PLIu8VeaBWRtGn/lhJWxz7z/ux/u4ITDwXN7O9ExEmXq/oJvO
BZvjEryO8NWhi3PaGpJRXFBgWNzgYlyPni1HOK16cQG1+Y//9OkGtJ1Ls/Wl
ERf4OR4yN/EEZKMS/ODMG06Yanu3w623EV1ykjHJ5uMEyqa4fcWdbaj2tWOY
RDAHHJInrJFEXyPK45jPonlsoDvD8e/KwAf0PyHI4Bc=
     "]], LineBox[CompressedData["
1:eJwVV3k4FF4XtpUUspbdWMY2gxlbG+6pCFFKhbJFUtmSylKRpaTIkjUk+z7Z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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{-20, 20}, {-0.21723226684885724`, 0.4194636317112978}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.607953668538624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "x", "]"}], "/", "x"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "20"}], ",", "20"}], "}"}], ",", " ", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440385630116897`*^9, 3.5440385648586893`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwUV3c81V8flxUZ2Xtc4157XKKBzqlEmiohhUgqJJEtIUk/ChkhDXtn34tw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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.607953668590624*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\n1. Commands such as plot are treated in much the same way as functions \
such as sin or cos. In fact, I\[CloseCurlyQuote]ll likely often call them \
functions. In particular, like all other commands/functions, \
\[OpenCurlyDoubleQuote]plot\[CloseCurlyDoubleQuote] must be capitalized. \n\n\
2. Again, all commands/functions must be called with square brackets. \n\n3. \
When a function argument contain multiple values rather than a single number, \
it is typically done via ",
 StyleBox["curly braces",
  FontWeight->"Bold"],
 ". In this case, the second argument of the plot command, \
\[OpenCurlyDoubleQuote]{x,-2,4}\[CloseCurlyDoubleQuote] specifies the \
variable to be plotted, the start of the plot range, and the end of the plot \
range. \n\n4. The right arrow is often used to specify function parameters. \
It is produced automatically when you type \[OpenCurlyDoubleQuote]-\
\[CloseCurlyDoubleQuote] followed by \[OpenCurlyDoubleQuote]>\
\[CloseCurlyDoubleQuote].\n \n5. There are various settings you can give to \
the Plot command via additional arguments; PlotRange is probably the most \
useful of them. It specifies the vertical range for occasions when the \
automatic vertical scale doesn\[CloseCurlyQuote]t give you the range you want \
to see. The two most common ways to do it are to specify the range yourself \
with PlotRange->{low,high}, or to force ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to display all y-values using PlotRange->All."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440544488446894`*^9, 
   3.5440544637946897`*^9}, {3.5440981846811543`*^9, 
   3.5440981883543644`*^9}, {3.5440982265155473`*^9, 3.544098312442462*^9}, {
   3.5440983768081436`*^9, 3.5440983770661583`*^9}, {3.5440989100716443`*^9, 
   3.5440989934064107`*^9}, {3.5618351341631527`*^9, 3.561835139458682*^9}, {
   3.598036586469101*^9, 3.5980365983431005`*^9}}],

Cell[TextData[{
 StyleBox["The third most helpful advice you will get this semester: ",
  FontWeight->"Bold"],
 "Be very VERY careful when choosing between parentheses (always used for \
arithmetic grouping), square brackets (always used in function \
calls/definitions), and braces (always used for lists of items). ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is EXTREMELY picky about which is which, and will give you errors if you \
use them incorrectly. That's both good and bad--bad, because new users can \
easily get frustrated, but good, because once you get a little more \
experience the standardized notation protects you against doing things wrong \
accidentally."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440544488446894`*^9, 
   3.5440544615646896`*^9}, {3.5440990317406034`*^9, 3.544099034490761*^9}, {
   3.586782465271193*^9, 3.586782467671504*^9}, {3.5963072189261227`*^9, 
   3.5963072235255823`*^9}, {3.6079511352576237`*^9, 3.6079511357836237`*^9}}],

Cell[TextData[{
 StyleBox["Plotting two functions: ",
  FontWeight->"Bold"],
 "You can plot two functions like this:"
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, 3.5440544488446894`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f1", "[", "x_", "]"}], "=", 
  RowBox[{"Sin", "[", "x", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Sin", "[", "x", "]"}]], "Output",
 CellChangeTimes->{3.6079536686316237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f2", "[", "x_", "]"}], "=", 
  RowBox[{"Cos", "[", "x", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Cos", "[", "x", "]"}]], "Output",
 CellChangeTimes->{3.607953668659624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f1", "[", "x", "]"}], ",", 
     RowBox[{"f2", "[", "x", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwtlnk4VO/7xy2RrZgZS7aZQaGN9iK577RLC0UlqVRS1sQnSosSISWRpSIi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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwVmXk8lF8bxu3GLoUZZJkRJa1SkTo3JSVakbIUQirqR1KolBZlDRUlSlpE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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 10}, {-0.9999997966795732, 0.9999999999999791}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.6079536687376237`*^9}]
}, Closed]],

Cell["or like this :", "Text",
 CellChangeTimes->{{3.5440390695516896`*^9, 3.5440390821616898`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"plot1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"f1", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5440390382866898`*^9, 3.54403904741669*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwtlnk4VO/7xy2RrZgZS7aZQaGN9iK577RLC0UlqVRS1sQnSosSISWRpSIi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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 10}, {-0.9999993680039507, 0.9999995755730018}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.6079536687856236`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"plot2", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"f2", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.54403905348969*^9, 3.5440390556636896`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVmXk8lF8bxu3GLoUZZJkRJa1SkTo3JSVakbIUQirqR1KolBZlDRUlSlpE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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 10}, {-0.9999997966795732, 0.9999999999999791}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.6079536688326235`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"plot1", ",", "plot2"}], "]"}]], "Input",
 CellChangeTimes->{{3.54403905868569*^9, 3.5440390627526894`*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwtlnk4VO/7xy2RrZgZS7aZQaGN9iK577RLC0UlqVRS1sQnSosSISWRpSIi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      "]]}}, {{}, {}, 
    {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVmXk8lF8bxu3GLoUZZJkRJa1SkTo3JSVakbIUQirqR1KolBZlDRUlSlpE
WlCUOihpsUbIkn0Zsxyyb3mfd/6Y+Xw/z3Luc13XfZ5ltFyP73YXEhAQ8KK+
/v9775yr2IpD4Rs2zf7/Q9DnGk2rvZpe6OJoBnOU4tkvH0M1Nc+gtBmX8AaK
ZWPfvJRsuIiCdq8yfkLxvcJIDVHNa6jRwXSZK8X65FDUrGc0upaefUSC4hbZ
5H/T9bFo0XARN+kfQdqPJVZPTt1EsvNf5KpRfGy9v/eYRiJSW/q9JGyGoOza
trThjUkobp/P/PZpgiaPWjUPeqaghgmhDwsovi/YfG3M/AEyuDGVZjdF0Kby
GwtG61PR9W/1v/wmCepLsCga9kpDc0+ydp6dICji0Izj0NQjNB12ap7fOEE1
U4fjBzTSkWlc5VnWKEGnStWXk1fPkNtaM+0/wwSpxNX+4G3MRJGPbypfHiLI
VQ+EOZ4v0MK69X23BwgSmgqsHA5+iSa9D5YKE4Jq22znD5u/QsGBs6MOPIJO
Z0rl/61/jXZq1G6rZhNkGdsj9vd+NqpLXevH7yVI7XSRzaBXDlI9EUDGugkq
3BgwQKZyUTDTk1PZTpB4U4cuTyMfjepwFeMbCGoo/ODP7ctHf3Zn0ObVEfTs
ccInzqt3aP66zQ4hNQRt991+oH9jAaqY9tdRryDolsS7W72eGMUGrrjkU0xQ
ToClrx+9EN0V46ftwgQl9a9hDAUXIlPBKAOtAoJ8qhQ8/5oXoWehLqmXcwlS
SPoqNFhfjK7c3i9w6AlBU7Jv0k+YfEI9I+3fnj0kqOvCw50D9z8hh3B7hT8p
BL3xPJdMvD6jj+yziyQTCNpvsMqYP1WCbIRX5Z6+StCD7yn/cTS+IbPuqchX
rgQNJ+TqtUZ8Q7/z12yycyJos+ePzp8T39ADTQnTrr0EcYXHbN/VfEcBsubq
BVYErV2/3fja1TLUKfHot4MhQVUvpoV0SSVi3h6Zf0CIqhdJOMssrULr7rYb
35nio3U68cZXD1Uhkzcruz8O81HUcPpQYHUVyr4+NPK5h49W3fjl7ppRjVx3
0m5//sZH57/rW644UIM641wu3wrno6ev3upk3KxBcQaGA8dC+ehngpnwgrIa
5Dh9Hi0J4iNtT/sCulEt8urwfXj0CB99F760VGDuL/RLYJ5+mwUfKa1vUqj8
UoeUt76peP6Ph7JeXGs6trQRhaSvkZJy5KF+hf4IS5dGdPxt02jnLh7SPWW5
YWF8I9pxdpXTMwseum8i9aBzohFFlXZnz67kodhvER77S5qQQeUslNN46FRn
9KCFYwtyqh78MPGSi1KkfoTOMW9D9PfyH78NcdCG9UGOIc5tyP8T1+1ALwc1
+yw2JAFtqH8iyKuzkYPoP8N7yp61ob37LbPfFHHQjQSrrWHy7WiX6gqt8CgO
Cl1QITvb1I5Ebz+78lebgzxRdSLXtxPRs/l5o5v6kUDq6Lum8E7kuWb961er
+1GCiFrz97ROxDJfV+S4sB99/eahnl7XiW7Wzd8YKtWPFtpMp7obd1G6nytT
qGajvsO6mX8Eu9H3acWSjfvY6Ejs2Y9VMT3oucqZt0uc+5BP96LOnCw2+uW9
ZdDMpAe1Of+mFX1jo4w/ey+VLuxBexrClpZ3sdHFJRlmJoo9aO2P3jPdKv3I
y0bozCivGwm/eiSvdLUftVjp2b1I7kYJwVobAg5w0EBH5CY004WK5jISjeR5
SPOT7If1LzqRpNYl3da1A2jO6cwjov1tKEr+h96Dg0NIf1vLY9bVOuTaZIOF
y0ZR5bJf5p+Si9F/JZdcj+tOonuHUaWXzUv86oT0HvrWGTQac+3gn2NV+EHQ
0f7lewVAL6LooqRSC76YMr1rmCsI488KLEL+dOKdy/P+WzwkCF8eD28ZG+zE
6kV+N1wnBKFhrRG4inbhdx39VVWiQtAXJdMxV78L/13we8dzdSHomhOa2XW6
C7tm5lp77BSCr02Dpivlu7Fpvs/WhmwhOMzS111q2INlLfW85N4Jgf3+3BIZ
ix7c3NgdtrlQCMjZrsFW+x58etrxa06ZENRXGn51CO7BL9E2ixvdQuDWeMr0
ZXEP1vyia26pLAwcjXkLP1n1YoGaNigIFIaQ2h/hW+z68CX2xweBF4Rh79LU
h588+7CEwD0hozBhYD7467bkTB9WWLLvc+5NYbjTFJ1ZdrcPL7habfHipTB8
rtkjZtTWhy3XFW9P7RGGZ4Nftn50Z+O4hw8dw3aLwH3Dy4xFbv2Y/u7Ch837
ROCAY+Q6V99+nFR1QF30oAiwJl7Hhl3ox49nVNsueIvAtlCb3KSUfpy3N94t
KEwE6i9UP2hv7MfNUpeP+HwUgVwLyaFaaw7WOelx2kZPFHpIoobqAi5eYty6
J2W5KHz5siVIegUXrxKwX9a/WhSWn5H24JpwsVnE1p7zG0WBhAb+CLDhYuc0
fZsMR1E4+7dXsuAiF9+q/btMKJra39VXd7iJi+/dOSplfVMULBQeqPzo4eK0
g109t++KgrXtSf2YQS5+zf11b8lTUXBtPXajS4yHK0TypfYViQLbpvpp7nIe
FjU83/tiSBRs/fb4DYXwsPTUWPHkhCikaSRsTb/OwwpFJ5LNBcSgxUHzt1U8
D2tau9o2SYtBYrC+tNMTHjZxN/8kpiMGM8Mi6g/KePjkTakUJ3sxiB+7M/x6
Lh93jdy2k/ogBkJptj31cXycamrg1/JJDIbiWuQa7vLxgciK6BffxUBzxmOi
6CEfN2qLftvTIAa+ReEju7P5uHqP77qkITHwtBQfOVzNxx9fWWku0RMH8dDj
TgclCA6e6TWZXS4OtxZvHp+QI9hoa+i+6jXiQFua/S9YieCctvxYf3Nx0L72
3zrEIviZnK7ox4PiwDIWHM5eR/Btb8H+7bfFoeNJZNz+wwTb5CeJaSWLQ5XC
95owb4IVRNeyhtLEISjxzrr7vgRHJfk43n4tDtHvjf2uBxN86UdTRWu5OPzA
PHWraILNlAM4r2rF4axF+ZpPcQTPuirQLjVR9UkGOLISCA6c3GK6kC0OL0ZC
CpLvE3xi0ZvsEyI0ePQo6OKFlwQv9d9VZSZFA5cY8zTIIZhTyOXOU6DB88fr
3vW9JdjDnqWTr0GDp5tV84Y+Eqyd9tEsXIcG81b03LErJriD7DvgtIQG5tL3
PVNLCHa6GpMguI7a3umQO/yDYJWaxbk1pjRQDilZMVVBcIN6afWjLTQQsuFF
9VdT838zI2lpR4Nv72Y7QusJtuw+cjb2PxpoM2+9u99O8OazrMxNp2mw+0mM
X2cnNV/F5sbRczSocGL9kush2Njceq1DBA1K2iUiFvQTvLpF1FMmjgZpihf+
yHIJXun/8SZOpMHdrfU17TyC9R4tG2I9ocHlyrmpmwYJ1lnfp1X3nAZ3/tw5
XfuXYOav+zvDcmiQ7WXGsx4mWN1733nj99T4gkKzL0eo+YgqZHGLaNDd1ZY5
M0qw0r3vzclfaXBSeHTEYJzyzzBUalclpce05+89EwTLlq8zFq6jga+Gt53T
JMFS7sOHc5tpEOyz7djOKYJpM5m3PTup+pPsVZZMEyxy0/0Lo58GcvKTB4Yo
FliiPvJjgAZdbWkmD2cInv5cxzo3RoPxxpYXJv8IHneM3r38Hw0unDXKxxQP
D1tc6BCRgJApB3v9WYIHIgRexktJgJDJRMRFirna+X82K0iAXWOtXTHFfQX/
yUzQJcBIpziXQ3GXjZ5JhoYEEFZa+j+K27gdR5x0JOBghPfKKYqbL91NlFsi
ASrlmjvbKW5Qs/laZCABe2hVQq8ors2RHvMzloDmefcsj1BcZVWyQMdUAmjn
8nVlKC7rOmvTYCEB4aEedxKper8Grw69vl0CLBkjqXIUf55HXpnYSoB2b4np
cWq+hZlP2vgOEvByy9aAPEqPgk0H5R64SgDbanYjh9Ivr5m+YY+XBDTmBjwV
pzjnZPUx0RMSYDi+65EMpXdmmtl3r7MScNtu/EjdGMFPTabGVS9JgP6vXYaJ
lH9ptdm6FdclYNmg7l1zyt8kkQWXVyZIgJnDnPUOVB4Sklqyu5Il4F/4sqDP
AwTHr7rVceuRBCiqt9krE4IjD4nD1GsJkE19N3aGQ/D1aezzPF8Cfrcee3+N
TfCV+NP3DhRKgIRiMSu0l+Bzn9mTn8olYMxaoW8lledAx9RFp2ol4FS/ggW7
jeBTw/vtFzZJAH5etPPaH4J9tMtyI/okwGGm7ciV3wQfKbjUtYFIwBHr2nOd
dVR/2qyfOzgiAbA1aJNeLcHOl7JO2ApLwr/8m9yTVL9t74pZrK4uCbeMTNn/
iij9F3fVOmpLQt9xNNJJ9fM2vzXn7upJwpVyi/Tc9wRvEfpTRV8jCfmBG+do
5FL9prn41NydkiAXNkdF8gnlh+c5jd12klBsb5Ri85Bg9KL6a4yjJBy0X90S
nkKwyYbTqrJekpBeMRxReJtgQ8eSQtpFSShfNvbP7Crlz0P6EYswSTD9wY4c
ukj1J+fo3CtRkrDR6Rg75hy1HgUqeAjflYTBPS3ysf4EL0w4IPUvWxJcwjWP
Z7kSrFY7YTvULQkt7UIzu4wIvqNqPbuCKwmRTO0XVQYEM9zuPz3xVxLCX8k4
myyl+vPv5ineP0nYG/sHNzIJlpePv9+nLAWf518YMZAiWNhqKadlqxToqI86
OzTw8cW4C/FqO6VAoedXVAa1/gs01a53sJMC8+BtY33f+XjaKyimwVUKXC6d
vbj4Ax+PXv1qWBMkBU6lzPHK+3zc/8k15OtzKWDMzK6+c4iPNW40HInKkQLW
3CBJRUc+tnHebmvzXgqCLUZVAvdQ15dxI722r1Jg9/uplLAZH8cumVM71ikF
z3+HNcur8/G621hXV0Ua3qV5Dmn95OGII2qVl69Ig6nH6npLPR4uWhObvy1S
GhSKj3upaPDwqAgtbU68NNDr/qj+msvDB1OGTt97IA2C3z8ISs9Q1//a78zc
AmnIfX3gbUgFF7esP3Oq6680tV7xFkV6c/HSOdSN7AEZqNA8seREEgf3RPZc
vOkuAxMugm4p0Rx8T3Kst/eoDPTUxrl+uMjB0iL01xGnZeDC7HBryWEO7h/d
t7nuhgwktES8lVjFwY+aW3y8PstAcjxL7VBpP1Z72o2jF8nCE7HbQyntbCyJ
Rlyah2ShJsjFbE1PLz5tupD2ZlIWWEqLW0dqenHPRoesaEE5eN1/XPhhUS8u
3lI0aSYnB/oBhvRvSb04cHdkXLqeHGTFCvDNd/dijvuCklMucpA6cHq77Lse
XBZhu3BOpRzonJ+8bnK2G1vw9o8xbeXhbjtLcduvDtxQfEhwv/4cEL43aUok
G3Fu2GdnzZE58CDkZwp9Rxn2EPVvq6hQgNFr19W1HS5jN9+gXOk7c6HK60Bj
Ca8ULfNcXGHlMg8qxpkL9brrUaWCvpS/kSJEOTt9EeptRxu8vdl3TRTha3t+
UOdUO8oqzSotRopw9UmaWL58B4oKXnFJfrMijMn7eJkZdyCrntUzGbsVISBn
72RZRAf6nm9KOo4qwuBz2vw3yzpRycG9NTuTqe1KfiEhx7rQ+6yLd/WFlWB/
cFzODtyDxKxsVW6LKYEa+9Tg+Z89aBdbN1FQUglmr9heS+nuQb2s8lt18krg
X7k5NlOqF81NVI4NUVcCM42Ay9N2vehoaGZYrZESmNOCZzz7e5GqfZ1/8Akl
+N6prC8vwkYeI0+He/yUQO8EI2eOIhu9ig3y2xWgBJMvNQcFdNjIolzzP51z
SvA1q8f+qQUb+ZkdPVYVrgQG68vCGNfZ6Ie+gJv2EyUIczfqCKSel4IE9XaW
tSjBy8+esn2z/ahnk1SDTrsS/GsX0jCX5aCdYdwDF7qUwGVmQC9ajYO05V4c
X81RggfLH0v3r+WgMrVV0ffHleDo9kvt+Sc4SH3thoqTc5VBf7zdOr+Zg4p9
dlvN36oM3abh3SOPuEj/tUFtgJUy+HJqBltfcdGtkXmOP3coQ3pJ0M/cD1x0
NLj+6FU7ZZhWfkm0f3HRvOuO4YNuymAgb5QjJ8xDHo88vpecU4bDKiwveQce
kmwO3OKTowxnZa/FXpviodUB6TLRb5Xhyrw6cSTCRy4KDT9fvFMGGz9hZoc0
H+VtMXQaLKTO38peNjifjzxyyX8ny5UhZaJEcyXio6KoQ3cDe5Qh1u37X+Nz
fMRdFHfwLlsZrBJGbb5e5iN6SdGCAq4yWKqXSW+M5COfKfWXM3+V4SpZeVQg
iY/UDv/+HDKrDC7lWe538vjotOl2/hU6HW5YTEVY8PkorTk4+4kqHVKKBtc/
HeajyoCM01/V6bBF7LPA6CQf6WTRhCUX0MFNKSnTXpygGpVPypEr6PAkS2SV
sQZB/3IHm5+vogOt3VdSeAFBers0UyvW0GGwW+9Xnh5BIVfP6stvoEOhQ4QR
x5CgpcNrTOMs6XCtYknrkW0E7Y/2EMuxpsOdv6/G7+wk6LLezR+1O+kguLOe
89aWoOaDf22V9tLhYWL07rwDBF0vzzyS6EaHhHXS5T99Cep+rBWfEkyHdzkn
xo7eJIh7qX1COIQOSx7F3PqQSNBf1wcHDofSYTolL2j8HkECGlqLV1ynA6dN
VFrvMUEqtzWLi2/TIXrWeygolyAt/zZd3bt0KLZb9Z9yPkEL99yPDE+mw7nX
p9STCggylNPcZ/OIDlZdB2cOfiJo51WNge7XdHAvnb7WUEnQXvdWW8s3dGBJ
uMKHnwQ5b0x5n5VPB4nd1XPDfxF0dFb9akAhHbz9yyU6GgnybfnDbfpEB02j
0IVHWwg6/T55N5RSx/+Od2xpJehKgLq6RAVVf9HPmeAugiJt/4R6V9NBpjzD
81kPQfEGyezqWjpsXmfcVthH0AMyP/dOEzXe+itjT7kEPS1vUZn9Qwfl2JNx
gXyCsjLuhbh10MGh8sxawwGCCjznW+mz6ZCl15bgPkTQJ/OWVzFcOvxZNLqr
aZig76x7yiOEDkt/RcgZjxJUJeh0dt8QHZp4T6oujBFU36rW+WGUDgs+OMS/
Hifoz4fmLcxJOgzMK99XNkFQ192krCszdDi8c4Vm5SRBnDOO8zgCDIi2qeh5
N0X5s1ctcIcIA77ETGZGTxM0Ydjcmi3OgI2zar7WM5Rf85LM6VIMCF3w3HCY
YrG/DhnBsgxIn2cwFvqPIJkq1TntcxjQ4GXxZprieVlNp8wVGXBme5yv8yzl
b8Td5nQ6A4JPVy1Op1jriIOZrBoDrul9a2+meOEW1ae+GgxYtMo+foLiZTpN
MvVMBrQNHt74//fBq0Xu+q3TYYCR9RifR7FJx/7fKYsYUF4gd7uE4o2FKkhk
CQPWbqpcd4Viy+TGtMPLGSB60q1lGcU7g+9IlhtQ43lJBhdT9e3dv//EijUM
wBUK9A0UO69VqbtpzABaY9OrVGp+7kqN6ybXM6DX+tfWAUqPY8OJD5xNGZB7
+nybDsW+P/eJf9pE6bPq6KnNlH5nXjK8dbcwwKfbSHoHpW9I1O+f4dsY8DLo
XipQ+l85lrh2YDsDkk/YG6tS/sQvZIjk2zJAWHrFf+EjBDk66zzptGdApR+j
04jyWzvewFLWkQH3XMO3U88/KGfWOsbNldIPJyiWE4KCDR0MotwZcFJAxW8x
ladNRw/X5R1mwBzvgXJ/Km+1dRfVZI8zYOzQ3/MVVB6TpGPwWl8GxCge/t1M
5fWQ2T1XN38GTBiXrqqn8jz8/O3TvCAGzBU7OBrdRtDcy9xVbmEMUKsK/zGn
nqDGdxP1keEMYCdf3h9SS1DqgFhQXhQDZlL7RxurCVrpqFUkc5MBBvVpzjZl
BO02sLPOe8CADgcHVftCyn8vt4GONAa8e9OwWfcDQR3JJ+JknjIgSNotqoPq
b1/J8N+uWQywj2s+Mz+boNh27C7zngHuf8v/paVR65NyOW3tRwa8Kfiy+dd9
gpjWjRmuRQzgCEYUDCYR9DpvePBtKaXHlMU6Ek/Qz+hF51xrGfA8uqpsOpSg
OyWrtSLrGbBMSet71HmCXKc2fn7byAD6dbqkTBCVfw9nSZl2Bpz9ZONU8R9B
czbE3XrLY0DxaubDQ84ENfjdN+oYYMBPEz/xffsIup/+vFl6mNJvp9MXIxuC
lit+ZbpOMuD3QOvBwq1U3rjTWdLiKlBXeMW9w4CgmDsepS6aKvDwcWNBsAhB
Aacu+gWzVODdKctl9v/4yHl3ssZtHRXIsrEY0xznI33JuoAyfRV49Zp7K5DD
R9/OmC9cY6QCz76dCdlezUdC+7SvSe9WAetlY2eDE/mIvQoMdW1VYO8DPnNZ
LB9VyTu2m9qrgFzNLefK63yU8jXOKMBZBfwXfs1oCOIjk7XC/e1HVCDJrEhN
zomP/JU7LN+GqoBX6S9/OTU+chyaGa2+ogLvMe/1vbl8tKmS8ZB7TQX2rRj4
yZDiI4Wru6a0YlSAn2NW1TTBQ1mjhRkRSSqgutpt99U6Hur7lSLtmqsC9TE7
9C5E8ND+eKcK6V4V+N3SKbWQw0Vq2ZKqR/tV4LXA/rXxrVzUWv3W8xtPBeZe
2svh1HDRITkFwSvDKhAhSBNzLuAin+tfDGYFVSHx4aYJ6wguuhiyLHFQTRWE
uxOcDy3kovRjgofqdqtCVrS41bNdHHQsPOvlKjtVKI6Sd0vYyEFLnznMxO5T
hYDUEm0/Qw563Zt7a8dBVVA0dKni0zmowPXIt6/eqhDWdqtr9k8/qrKvWfo+
TBVaGZvkYj370fimRxMpH6nxGEHJRUfYKPh9SujnIlW4GNzl4efARgIr78iw
P6tCBuiGKVqxkbhGtNbKH6pgI7JqSm8JGylNnN76uV4VjF+7vrjL70MGz60S
+wZUYaGETmWSTx/yURxeu4KlBoe+zf3p5taLOrvNThdfVYMBC8W+XcxuZJZS
kaoXrgYl1ki9RqYb3bffXx4bpQZVh3xlzSe6kPOP/5huN9Uglzy0n6rsQo0v
75cJP1QD5z3ea7ODu9DPoH+a5h/VIH+D4FGnmk5UPOfdt9JhNXiT5zYkfqoD
pa5foVruMh/Mh1JO+i5sRc8v+8/xXKIOX94+1A8NqUFXbd22CY+og4Ck8/X1
1h+QYfOD9KvlGoD//HE/l5+HExbdfV6+TRPEly5y4Uf8xOcLIxO25WvC+L6/
Fjc1W3F/S2H8xDtNWL48uShkRyu2mxqKeVKgCSavpHXszrVi/dX7rwkXasJp
f63FH5tacUOGTuD7L5qQt//mF2zZhlfexg6LazWhdzY7ylaoHfd4D6pLEU0o
4uTNdz3cga1VbR9919aC+7vsfG5Ld+OErqWFDjpaEGbU99VXoxt3Pac1cXW1
YF/rF33Tld04GArk5RZrgVSQRcebvd04050VvGeFFmwxYH4SSe3Gki8Hdzev
1wLvtpXemqt6cOmmKAG+nRbIDXokSWzvxQqyh1XP22vBRgtL1+UHerFzvelq
+f1asH+bVtWWE7141Gvk6EonLfD3e39me2wv1ol2rD/lpgWmGeLtGb968aXf
elmzx7VgZ/p1gcf7+rCpT6nDnGta8D7q3KFddmw82cDe/Pm6FogfHUvo8GDj
nI3SKwMitOABLDvjEsDGOoxdtJZoLfj21UpmYQIbS39uzHl6SwvSLTYY1zew
cQODLwNpWrDVgn0x264fnyiZV+iDtcApOfe04iYO1lu+JkOrSAss91aqbN7N
wZ139t2qLdaCQ4eVxNwOcrDdieRjxl+04ILg+WiXYA42UV3IECvXgl9tKjYn
sjmY9t8633uNWuB8LVOsbD4Xp6i5apeNaMFEhpq6cScXGxssXuo6pgWbmL1V
qnwurt06vGZ8XAvYc1p2cca5mBZwZZv2tBZoZ2s/3CPLwyeqn/kGCzHBR+B2
6Za1PAxXhgr15Zhw4VmQCw7j4cakgu/F8kz4pmzdFhjLwyezL9faKzDB7CO7
hJXEw0/blPsuKTJh+/GNz9e/4OE560zkWlSZ8JCK9I1aHu4gl5wiFzLh3Z/1
V1+r8nGw2HZPlh4T8o1OZZtq87HSfOX/8hczgbnvR/8HfT62tEy/1L2UCYVw
3v3sej5+nVaesd6QCfOsY8eVnfk4dJ/SJM+UCY0f2ha+vcvH6idahS9tZEId
7839eQ/5OO/KUxkVcyZU/OmpcX7Gx9xsY63NW5jQ4yGxPz+Pj21kD2xJ3s6E
kdRRzyu1fKz96cmt7Q5M6nl7V2kwjeAK/fG0ZkcmXLtrwLwsS/DpW1uyjzhT
9Y1cfRs4j+AfXuzKKy5MKF6vF7pEk2Bf+cUS2JMJRlXmJq9WE6wWGKRs7cUE
fWkHGsuE4JLOHwuajjBBV3Dn0AVTgulvj5mNeTNhw54+urgVwdgpK2jZSSbQ
FnywXHqQ4MOl/6598GfCWPuRXJo7wQordiRsC2DCSi3QqfIi2ENkIMczkAlb
n/+R1fEjWDpjBT8lhDr+Xctz3iWC94/nHJSPZELsh+UN7DSCRVxFjydHMSEz
r9Et7inBWT9sz+rHMOHNwt9lizIJFkwZTdwSx4SBCyuXUtd//NR8bU1IIhMO
KJ4Znl9I8O4XYe2yd5nQXnJ7+dJPBE/Rf5OkJCZ0oFGjxV8I3s49I52fwgSN
y5uec34QPBL73nzwERNW7PLpuVxHcPK0lM35J0w4rHTRcbqB4C0ejq4y6UxY
mvgk9kATwUlGM+cWZTJhdYG3EbeV4M0PrSPfPmeC1+HtTxQ7CCbSyXfNXzAh
h1NYubiLYLO2DXkur5kgl+GwTb2PYO7W6C8kmwnWTK2kSTbBt7Jba8/mMuFU
3+vUTxyC2VdCBhPzmDA+d7RMlRAcO1A1q/uOCT8nH/CfDRBssl9L9s17ilfJ
Fev8JThmSbHez49MEJhJDewapvRY6yBxsZAJtZcW/YRRyq+Nw70riplw0UPn
2JUxguu2R35p/0TVM/HKInecYP4+nUc3Spgwt3jYrXyCYFF3HGpayoSdp3QL
KyapfJywdx38ygTTyViH/CmCVwUNwoPvTEh2jTGMnCZ425XrGrvKmFA9HGZt
OUOw6w3WP4EKJrjqjqYOUByYVND8spIJdqkuhiH/CL7xxPb9wWomXELuIhMU
P33NT5SvYUKzZIacwyzBhR+uni6sZcJTM57dY4rrv2ruPVHHhLy9o78bKebX
5BtqNjAhinc/YZxisdbd86p+M8GvsT6Wuv/H8/s5f883MSFC99ZXQvGqkUvV
y1qY0CDfa/SNYisB9Zetf5igJ9rTE06xm9TbqOg2JjAef6xcQ3Gg0k5v1MGE
36WZw2VUfbFa7G2kkwkq/03bbqM4Xf+iXko3E743Sgy//v/77TWqEjt6qf2P
m1YKU9xgltP7r4/q3zKNvvWUPsTa+ktWPxO4eAVyofQT29eT5sxlQovFvF/e
lL7qh86HyvKp/os/+cyN0t/wON31I2GCk4h8oRnlj1XgK/AZpOanm6MkRfkX
FNM5Uz7MhKDMe9f3Un7H3g1uPjtK9cu8yvQmKg/PHiu+XzJO5d+4XWbrIFVP
gcXpyCkmmOevSG/lETxQ2ma3foYJ9DMtHTQuweI1Zwx5/6h8fN7kofr//1/Y
GX+thFigGP9zx3Q3wdbDm6qnhVmQXtKb972T4EOzLS8yRVkQ33Tzv4vtBMcp
yntLS7BgR/q2hufN1PlNT/b+kGPBzERk5nA1wTRrmS9Bc1jQ8J/XJ5lKgjXs
H6ctnsuCWMmUtfJlVD/6NLiEK7Ggyj1jc3UJwRl3TJot51PnX1+9fFMewcWP
fr2bVGfBNr+bZ57mENz40ifxmSYLioKDDEZfUucvvW8nqc2CxepmotvTqfVm
SKT6mx4Lbszb4UMSCHZ+tqnCUZ8F/fevKvTHE2zncukHWcIC7weKOtUxVP9W
Cn9RXMGCOQfdHx0KI1gnQ+i9yxoW1Ia3b39wiuBuV4FHExspznQr8dtBcDMD
UiPMWeCQK/hstSXBtVXnUzQsWCCwzUS/ZxPBnzfMJppbsuDZyY9KUsYEp6n8
i7qxkwXleYzOYyxKv59Tpxc5seCl2NUzcX/52PHaulMFzpTeWwxatLjUeg9B
fjsOsmBXxWf6vW4+3pQ16e3vxoLoL9919zdQ6//1CdciLxY8fnGAQQr4uNN0
zGrfKRaEpDjOCbvIx66v/mpei2bBmzfsv7dmefjYxT3Tljeoeo1xTtEID/vv
yamXjmPBXPnHtr84PBw24h8Vc4sFJTTnPW/reTjLaGLq9j2q/jp7hmcWD08U
zdY9zmDBPOk3bcF7eTjmp3Tk51IW3PT4cOFDAhffeeh9+Mo3FjzlndkzL4KL
H56s2LjlBwvYNmdVbc9z8RulmMkfFSxgOX3JjXfn4ub9cw/X/GLBiT7FxTIr
uFi3k7Gxo5MFW+4ky3A/cfDynED1tG4WSAvHifbmcrDx5aYJ917K7/QFiWVP
ONhK995Ldj+VD1L8cW84B/se1VQfHGTBiqWf1h7fxcHBJhcmXg9R9VxQNSs0
4+DLMh21J0dYsGHtGJo24OCEFw/Dx8dZ0O3bvtlQiYNTQ0Q8302yoKOU67FS
nIMzdrmbBU//Xx//dJXxfpzD/DJ/wz8WPJfUUuH39eOPQzoTs7Ms8L/25HPm
7378P++lfrc=
      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 10}, {-0.9999993680039507, 0.9999995755730018}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.6079536688846235`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\n1. To plot two (or more) functions together, the easiest way is usually \
to group the functions with braces and use them together as the first \
argument of the Plot command.\n\n2. You can give names to ANY output of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " commands, not just numerical outputs. Notice how I named the two plots \
\[OpenCurlyDoubleQuote]plot1\[CloseCurlyDoubleQuote] and \
\[OpenCurlyDoubleQuote]plot2\[CloseCurlyDoubleQuote]. \n\n3. The Show command \
can be useful to merge plots together. Notice because it was merging plots \
together rather than creating a new plot with two functions, it didn\
\[CloseCurlyQuote]t plot the functions with two separate colors as the first \
combined plot did. It\[CloseCurlyQuote]s very helpful if you want to combine \
two different ",
 StyleBox["types",
  FontSlant->"Italic"],
 " of plots, like a plot of data points combined with a regular plot like \
those above (more on that in a later lab)."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 3.54403920298269*^9}, {
   3.5440990675296507`*^9, 3.544099068329696*^9}, {3.5445767266738977`*^9, 
   3.5445767440126314`*^9}, {3.6079504021916237`*^9, 3.607950440100624*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["How to integrate a function ", "Subsection",
 CellChangeTimes->{{3.54403927618569*^9, 3.54403929571369*^9}}],

Cell[TextData[{
 "The ability to perform symbolic computations, such as integrating a \
function, is a large part of what makes ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " so useful. Rare is the physics professor who will make you perform \
integrals by hand any more."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393595696898`*^9}, {3.54403946347069*^9, 3.54403946952969*^9}, {
   3.5440544327526894`*^9, 3.5440544377946897`*^9}, {3.5867826160949373`*^9, 
   3.586782644894891*^9}, {3.5963072656477942`*^9, 3.5963072749677258`*^9}}],

Cell[TextData[StyleBox["How to integrate a function symbolically:",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393595696898`*^9}, {3.54403946347069*^9, 3.54403946952969*^9}, 
   3.5440544327526894`*^9, 3.561835194212157*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "x_", "]"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"-", " ", 
      RowBox[{"x", "^", "4"}]}], " ", "+", " ", 
     RowBox[{"3", " ", 
      RowBox[{"x", "^", "3"}]}], " ", "+", "  ", 
     RowBox[{"4", " ", 
      RowBox[{"Sin", "[", "x", "]"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "case", " ", "you", " ", 
    RowBox[{"didn", "'"}], "t", " ", "define", " ", "it", " ", "above"}], " ",
    "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", "x"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5440393720796895`*^9, 3.54403937208169*^9}, {
  3.607950548154624*^9, 3.6079505709036236`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"3", " ", 
    SuperscriptBox["x", "4"]}], "4"], "-", 
  FractionBox[
   SuperscriptBox["x", "5"], "5"], "-", 
  RowBox[{"4", " ", 
   RowBox[{"Cos", "[", "x", "]"}]}]}]], "Output",
 CellChangeTimes->{3.607953668938624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Sin", "[", "x", "]"}], ")"}], "^", "2"}], ",", "x"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["x", "2"], "-", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"2", " ", "x"}], "]"}]}]}]], "Output",
 CellChangeTimes->{3.6079536689816236`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", 
     RowBox[{"3", " ", "y"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440393973186893`*^9, 3.54403941056069*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"60", " ", 
   SuperscriptBox["y", "4"]}], "-", 
  FractionBox[
   RowBox[{"242", " ", 
    SuperscriptBox["y", "5"]}], "5"], "+", 
  RowBox[{"8", " ", 
   RowBox[{"Sin", "[", "y", "]"}], " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"2", " ", "y"}], "]"}]}]}]], "Output",
 CellChangeTimes->{3.607953669104624*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\n1. The second argument of the Integrate command (\"x\" vs \"{x,y,3y}\", \
in the examples above) specifies whether you want an indefinite or a definite \
integral, and (if the latter) what the limits of integration are.\n\n2. You \
can either type the function itself into the Integrate command or, if the \
function has been user-defined, call the defined function (f[x] in this \
case). Or any sort of mixture of the two."
}], "Text",
 CellChangeTimes->{{3.54403942089769*^9, 3.54403948474469*^9}, {
  3.5440543391606894`*^9, 3.5440544245736895`*^9}, {3.5440991631291184`*^9, 
  3.544099165057229*^9}, {3.618447921386571*^9, 3.618447922841571*^9}}],

Cell[TextData[StyleBox["How to integrate a function numerically:",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.54403942089769*^9, 3.54403948474469*^9}, {
  3.5440543391606894`*^9, 3.5440544208266897`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"-", " ", 
     RowBox[{"x", "^", "4"}]}], " ", "+", " ", 
    RowBox[{"3", " ", 
     RowBox[{"x", "^", "3"}]}], " ", "+", "  ", 
    RowBox[{"4", " ", 
     RowBox[{"Sin", "[", "x", "]"}]}]}]}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"In", " ", "case", " ", "you", " ", 
     RowBox[{"didn", "'"}], "t", " ", "define", " ", "this", " ", "function", 
     " ", "above"}], ",", " ", 
    RowBox[{
     RowBox[{"I", "'"}], "ve", " ", "repeated", " ", "this", " ", "command", 
     " ", 
     RowBox[{"here", ".", " ", "The"}], " ", "semicolon", " ", "supresses", 
     " ", "the", " ", "output", " ", "of", " ", "the", " ", "command"}]}], 
   " ", "*)"}], 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"f", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "Pi"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5440394529216895`*^9, 3.5440394530406895`*^9}, {
   3.5440394896616898`*^9, 3.5440395026346893`*^9}, {3.5440395990446897`*^9, 
   3.5440396235006895`*^9}, 3.607950614652624*^9, {3.607951023586624*^9, 
   3.607951063038624*^9}}],

Cell[BoxData[
 RowBox[{"8", "+", 
  FractionBox[
   RowBox[{"3", " ", 
    SuperscriptBox["\[Pi]", "4"]}], "4"], "-", 
  FractionBox[
   SuperscriptBox["\[Pi]", "5"], "5"]}]], "Output",
 CellChangeTimes->{3.6079536691536236`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"%", ",", "50"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440396288276896`*^9, 3.5440396341706896`*^9}}],

Cell[BoxData["19.\
85288131844553727478198750784171214123554792889906815790240580523114316586035`\
50."], "Output",
 CellChangeTimes->{3.6079536691976237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "Pi"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440395915686893`*^9, 3.5440396149246893`*^9}, {
  3.5440396482426896`*^9, 3.5440396570976896`*^9}}],

Cell[BoxData["19.852881318445547`"], "Output",
 CellChangeTimes->{3.6079536692406235`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"%", ",", "50"}], "]"}]], "Input"],

Cell[BoxData["19.852881318445547`"], "Output",
 CellChangeTimes->{3.607953669284624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"E", "^", 
    RowBox[{"(", 
     RowBox[{"-", 
      RowBox[{
       RowBox[{"Sin", "[", "x", "]"}], "^", "2"}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440397829626894`*^9, 3.5440398195726895`*^9}}],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Integral]", 
   RowBox[{"-", "1"}], "1"], 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"-", 
     SuperscriptBox[
      RowBox[{"Sin", "[", "x", "]"}], "2"]}]], 
   RowBox[{"\[DifferentialD]", "x"}]}]}]], "Output",
 CellChangeTimes->{3.607953671854624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   RowBox[{"E", "^", 
    RowBox[{"(", 
     RowBox[{"-", 
      RowBox[{
       RowBox[{"Sin", "[", "x", "]"}], "^", "2"}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.54403982912869*^9}],

Cell[BoxData["1.5596403986438383`"], "Output",
 CellChangeTimes->{3.6079536719146237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   RowBox[{"E", "^", 
    RowBox[{"(", 
     RowBox[{"-", 
      RowBox[{
       RowBox[{"Sin", "[", "x", "]"}], "^", "2"}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"WorkingPrecision", "\[Rule]", "50"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6079507369486237`*^9, 3.6079507376276236`*^9}}],

Cell[BoxData["1.\
55964039864383999836468987066823398340758217784997743607366459760678457018347`\
50."], "Output",
 CellChangeTimes->{3.6079536719766235`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"E", "^", 
    RowBox[{"(", 
     RowBox[{"-", 
      RowBox[{"x", "^", "2"}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.54403992675169*^9, 3.5440399479866896`*^9}}],

Cell[BoxData[
 SqrtBox["\[Pi]"]], "Output",
 CellChangeTimes->{3.6079536720796237`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 " \n\n1. Both the Integrate and the NIntegrate commands can be used to \
numerically evaluate an integral. The differences are subtle: the first \
command first symbolically integrates the function, then plugs in the numbers \
afterwards. The second command does a numerical integration from the get-go, \
and can only handle definite integrals. Typically the first one is more \
useful because it will give you an exact answer if it can give you an answer \
at all. That\[CloseCurlyQuote]s why the first N[%,50] was able to display \
fifty decimal places but the second one was not. But sometimes Integrate \
fails, as in the \[OpenCurlyDoubleQuote]E^(-Sin[x]^2)\[CloseCurlyDoubleQuote] \
example, in which case NIntegrate will be the way to go. And if you need more \
precision than the default setting of NIntegrate, there are options such as \
WorkingPrecision which can give you that.\n\n2. Mathematica is very sensitive \
to capitalization. Typing \[OpenCurlyDoubleQuote]Nintegrate\
\[CloseCurlyDoubleQuote] will not work at all. If you have any question about \
how the name of a function should be spelled/capitalized, type your best \
guess for the name, click on what you just typed, then press F1 to get help.\n\
\n3. As mentioned above, Infinity is treated as a special constant. It\
\[CloseCurlyQuote]s often quite useful in integrals."
}], "Text",
 CellChangeTimes->{{3.5440395153286896`*^9, 3.54403958843769*^9}, {
  3.5440396702306895`*^9, 3.5440397735666895`*^9}, {3.5440398420456896`*^9, 
  3.5440398918606896`*^9}, {3.5440399527736893`*^9, 3.5440399707836895`*^9}, {
  3.5440992647269297`*^9, 3.5440992937765913`*^9}, {3.54409932558041*^9, 
  3.5440994284312925`*^9}, {3.5440994640023274`*^9, 3.5440994773150887`*^9}, {
  3.5445767964008703`*^9, 3.544576849187148*^9}, {3.5618352508238173`*^9, 
  3.5618352546872034`*^9}, {3.5963073675469832`*^9, 3.596307371723401*^9}, {
  3.6079506994936237`*^9, 3.607950702715624*^9}, {3.6079507536646237`*^9, 
  3.6079507817266235`*^9}}],

Cell[CellGroupData[{

Cell["Assignment 1: Position is the integral of velocity", "Subsubsection",
 CellChangeTimes->{{3.5440549633486896`*^9, 3.5440550073446894`*^9}, {
  3.5442031748597326`*^9, 3.5442032971049557`*^9}, {3.5442033585310974`*^9, 
  3.544203358994144*^9}, {3.5454201359322186`*^9, 3.5454201620742188`*^9}, {
  3.561835268318567*^9, 3.561835268391574*^9}}],

Cell["\<\
Define a function of time: v(t) = v0 - g t, where v0 is a variable defined to \
be 5 and g is a variable defined to be 9.8. Define x(t) to be the integral of \
that function. Plot both v(t) and x(t) on same graph with different colors, \
for t = 0 to 2.\
\>", "Text",
 CellChangeTimes->{{3.5440549633486896`*^9, 3.5440550073446894`*^9}, {
  3.5442031748597326`*^9, 3.5442032971049557`*^9}, {3.5442033585310974`*^9, 
  3.544203358994144*^9}, {3.5454201359322186`*^9, 3.5454201371322184`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to differentiate a function", "Subsection",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 3.5440399939726896`*^9}}],

Cell[TextData[{
 "Finding derivatives is another very useful ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " feature."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440995166313376`*^9, 3.54409954166877*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"fderiv", "[", "x_", "]"}], " ", "=", 
  RowBox[{
   RowBox[{"f", "'"}], "[", "x", "]"}]}]], "Input",
 CellChangeTimes->{3.5440400448296895`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"9", " ", 
   SuperscriptBox["x", "2"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["x", "3"]}], "+", 
  RowBox[{"4", " ", 
   RowBox[{"Cos", "[", "x", "]"}]}]}]], "Output",
 CellChangeTimes->{3.607953672236624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"fsecondderiv", "[", "x_", "]"}], " ", "=", " ", 
  RowBox[{
   RowBox[{"f", "''"}], "[", "x", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"18", " ", "x"}], "-", 
  RowBox[{"12", " ", 
   SuperscriptBox["x", "2"]}], "-", 
  RowBox[{"4", " ", 
   RowBox[{"Sin", "[", "x", "]"}]}]}]], "Output",
 CellChangeTimes->{3.6079536722836237`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\nThe tick mark  '  tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to calculate the derivative. (It\[CloseCurlyQuote]s produced by the \
apostrophe key.)  Two tick marks gives you a second derivative. The \
\[OpenCurlyDoubleQuote]D\[CloseCurlyDoubleQuote] function can also be used \
for derivatives; see ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s online help for more details on that."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401572596893`*^9}, {3.544099577853839*^9, 3.5440995918656406`*^9}, {
   3.596307425911819*^9, 3.5963074766628933`*^9}, {3.59631184296348*^9, 
   3.596311848187002*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["How to find when a function equals a specified number", "Subsection",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440996151109705`*^9, 3.5440996152609787`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindRoot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "x", "]"}], "==", 
    RowBox[{"-", "10"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"x", "\[Rule]", 
   RowBox[{"-", "1.1518987611078408`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.607953672340624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindRoot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "x", "]"}], "\[Equal]", "0"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"x", "\[Rule]", "3.017947177514414`"}], "}"}]], "Output",
 CellChangeTimes->{3.6079536723706236`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\n1. That\[CloseCurlyQuote]s a double equals sign, ==, not a single \
equals sign, =.  The double equals sign means \[OpenCurlyDoubleQuote]test for \
equality\[CloseCurlyDoubleQuote]. In other words, the FindRoot command works \
by varying x many, many times and testing for equality each time, until it \
finds the value of x that makes the two sides equal.\n\n2. The FindRoot \
command actually doesn\[CloseCurlyQuote]t find the roots. It finds when the \
left side of the double equals sign is equal to the right hand side. If you \
type in \[OpenCurlyDoubleQuote]0\[CloseCurlyDoubleQuote] for the right hand \
side, or if you leave off the right hand side completely, it ",
 StyleBox["will ",
  FontSlant->"Italic"],
 "indeed find a root of the equation--but in general it is much more flexible \
than that. This is a very powerful/helpful command!!  Along with making plots \
and calculating integrals/derivatives, it\[CloseCurlyQuote]s probably the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " command that I personally use the most.\n\n3. The second argument of the \
FindRoot command, for example \[OpenCurlyDoubleQuote]{x,-1}\
\[CloseCurlyDoubleQuote], specifies where you would like ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to start looking. You can translate the first FindRoot command into \
English like this: \[OpenCurlyDoubleQuote]Find the place around x = -1 where \
f(x) equals -10.\[CloseCurlyDoubleQuote]\n\n",
 StyleBox["Tip:",
  FontWeight->"Bold"],
 " It\[CloseCurlyQuote]s often good to do a plot before you use the FindRoot \
command, so you can be clever about where you tell ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to start looking."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440404142546897`*^9}, {3.5440414893496895`*^9, 
   3.5440415141616898`*^9}, {3.5440997545039434`*^9, 
   3.5440997599642553`*^9}, {3.561835395084242*^9, 3.561835405084242*^9}, {
   3.5963075301612425`*^9, 3.596307542481475*^9}}],

Cell[CellGroupData[{

Cell["Assignment 2. Solving an equation, numerically", "Subsubsection",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060876269324*^9}, {
   3.5440609249431906`*^9, 3.544060961789875*^9}, {3.54406104754845*^9, 
   3.544061057928488*^9}, {3.544194875778266*^9, 3.544194878977586*^9}, {
   3.5441949424919367`*^9, 3.5441949689175787`*^9}, {3.544202837632013*^9, 
   3.5442028391041603`*^9}, {3.544576943696598*^9, 3.5445769749527235`*^9}, {
   3.545420383083435*^9, 3.5454204059717236`*^9}, {3.5618354818869214`*^9, 
   3.561835481982931*^9}}],

Cell["\<\
For what value of x (in radians) does cos(x) = x?  
(a) Start by plotting cos(x) and x on the same graph. You can get an \
approximate answer by looking at where the two curves intersect: that\
\[CloseCurlyQuote]s where cos(x) equals x. 
(b) Then use FindRoot to get a precise answer.\
\>", "Text",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060876269324*^9}, {
   3.5440609249431906`*^9, 3.544060961789875*^9}, {3.54406104754845*^9, 
   3.544061057928488*^9}, {3.544194875778266*^9, 3.544194878977586*^9}, {
   3.5441949424919367`*^9, 3.5441949689175787`*^9}, {3.544202837632013*^9, 
   3.5442028391041603`*^9}, {3.544576943696598*^9, 3.5445769749527235`*^9}, {
   3.545420383083435*^9, 3.5454203835224786`*^9}, {3.6079490994506235`*^9, 
   3.6079491598706236`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to use the Solve command", "Subsection",
 CellChangeTimes->{{3.5441960355112276`*^9, 3.544196050987775*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"r", " ", "x"}], " ", "\[Equal]", " ", 
    RowBox[{"s", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "x"}], " ", "-", " ", "5"}], ")"}]}]}], ",", " ", 
   "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440585533936896`*^9, 3.5440586085316896`*^9}}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.6079536724876237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"3", " ", 
     RowBox[{"x", "^", "2"}]}], " ", "\[Equal]", " ", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"3", " ", "x"}], " ", "-", " ", 
        RowBox[{"x", "^", "2"}]}], ")"}]}], " ", "+", "5"}]}], ",", " ", 
   "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440586234906893`*^9, 3.54405864880569*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "7"], " ", 
      RowBox[{"(", 
       RowBox[{"6", "-", 
        SqrtBox["71"]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "7"], " ", 
      RowBox[{"(", 
       RowBox[{"6", "+", 
        SqrtBox["71"]}], ")"}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6079536725196238`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.5440586535696898`*^9, 3.54405865437169*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"-", "0.34659282473947983`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", "2.060878539025194`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.607953672548624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", " ", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", " ", "+", " ", 
       RowBox[{"2", " ", "y"}]}], " ", "\[Equal]", " ", "3"}], " ", ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"4", " ", "x"}], " ", "+", " ", 
       RowBox[{"5", " ", "y"}]}], " ", "\[Equal]", "6"}]}], " ", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.544201137365003*^9, 3.5442011422054873`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", 
     RowBox[{"-", "1"}]}], ",", 
    RowBox[{"y", "\[Rule]", "2"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.607953672581624*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n\nThe Solve command is a lot like FindRoot, and is extremely useful when \
solving equations. It allows you to do a multitude of tasks: isolate a \
variable in an algebraic expression, solve a quadratic equation (or any \
polynomial, I believe), even solve simultaneous equations. Take note of the \
required syntax; among other things, it uses the \"double equals\" like \
FindRoot. Despite its power, however, it also has serious limitations--which \
is why I myself often turn first to FindRoot if all I want to do is solve \
numerically for a particular value of x in an equation. On the other hand, \
FindRoot will only find real numbers, whereas Solve can find complex number \
solutions."
}], "Text",
 CellChangeTimes->{{3.544200998586127*^9, 3.544201053713639*^9}, 
   3.5442012061998863`*^9, {3.596307606003826*^9, 3.5963076264838743`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["How to find the maximum/minimum of a function", "Subsection",
 CellChangeTimes->{{3.5440404209906893`*^9, 3.5440404265306897`*^9}}],

Cell["\<\
There are multiple ways to do this job. Here is one of my favorites:\
\>", "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 3.5440404456256895`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindRoot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f", "'"}], "[", "x", "]"}], "\[Equal]", "0"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "2"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"x", "\[Rule]", "2.132849191712175`"}], "}"}]], "Output",
 CellChangeTimes->{3.607953672611624*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\n1. I\[CloseCurlyQuote]ve simply combined two functions in one: first \
the derivative function,  ' , to compute the derivative of the function f, \
and then the FindRoot command to find where the derivative equals zero. I \
gave it x=2 as a starting point because I knew from the original plot of f(x) \
above that x=2 was close to where f(x) had a maximum. Again, making a plot \
first is often a very useful thing to do.\n\n2. The output of this command \
just tells you the value of x when f(x) is a maximum. To determine the value \
of the function itself, you\[CloseCurlyQuote]d have to additionally evaluate \
f(x) at that value of x."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405905636897`*^9, 
   3.5440406472086897`*^9}, {3.5440546106166897`*^9, 
   3.5440546157356896`*^9}, {3.544099802229673*^9, 3.544099857231819*^9}, {
   3.5963076446776934`*^9, 3.5963076885340786`*^9}}],

Cell["Here's a built-in command to do the same thing:", "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405905636897`*^9, 3.5440406472086897`*^9}, 
   3.5440546106166897`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindMaximum", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.54404053101569*^9, 3.5440405394776897`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"11.798120112816184`", ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", "2.1328491890221843`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6079536726486235`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "\n\n1. This command gives you the maximum value of the function in addition \
to the value of x for which the function has that maximum.\n\n2. There are a \
tremendous number of built-in functions. This happens to be one that I forgot \
about for a few years until I rediscovered it. Is it a valuable function? \
Yes, but since it\[CloseCurlyQuote]s so easy to mimic as I did with FindRoot \
using the derivative, it\[CloseCurlyQuote]s not nearly as valuable to me as \
the FindRoot function.  But sometimes it can be worth your while to type a \
command that you think ",
 StyleBox["might",
  FontSlant->"Italic"],
 " exist, then press F1 to see if it shows up in the help file. "
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405550786896`*^9, 
   3.5440405849196897`*^9}, {3.5440406513876896`*^9, 3.5440407745336895`*^9}, 
   3.54404372737169*^9, {3.5440998768409405`*^9, 3.544099917687277*^9}, {
   3.5963076948947144`*^9, 3.5963078728935127`*^9}, {3.5963079180390267`*^9, 
   3.5963079186390867`*^9}, {3.607951230010624*^9, 3.607951261847624*^9}}],

Cell[CellGroupData[{

Cell["Assignment 3: Diffraction from a slit", "Subsubsection",
 CellChangeTimes->{{3.5440554210986896`*^9, 3.5440555194806895`*^9}, {
  3.54405557039769*^9, 3.5440556034836893`*^9}, {3.5442034109963436`*^9, 
  3.5442034395181956`*^9}, {3.544203478040047*^9, 3.5442038529665365`*^9}, {
  3.5442038872219615`*^9, 3.5442040323004675`*^9}, {3.5442042008263187`*^9, 
  3.54420420993923*^9}, {3.5442043912753615`*^9, 3.544204404792713*^9}, {
  3.5454201690002184`*^9, 3.5454201694262185`*^9}, {3.545420268596218*^9, 
  3.5454202726112185`*^9}}],

Cell[TextData[{
 "In Physics 123 you hopefully learned that the diffraction pattern produced \
by a single slit of non-negligible width is given by:  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"I", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["I", "0"], "  ", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox[
        RowBox[{"sin", "(", 
         RowBox[{"\[Pi]xa", "/", "\[Lambda]L"}], ")"}], 
        RowBox[{"\[Pi]xa", "/", "\[Lambda]L"}]], ")"}], "2"]}]}], 
   TraditionalForm]]],
 ", where ",
 StyleBox["a ",
  FontSlant->"Italic"],
 "is the slit width, ",
 StyleBox["L",
  FontSlant->"Italic"],
 " is the distance to the screen where the pattern is being observed, and ",
 StyleBox["x",
  FontSlant->"Italic"],
 " is the position on the screen.  (Disclaimer: this involves a small angle \
approximation.) Sometimes that equation is written in terms of the \"sinc\" \
function, where ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"sinc", "(", "x", ")"}], "=", 
    FractionBox[
     RowBox[{"sin", "(", "x", ")"}], "x"]}], TraditionalForm]]],
 ". (Incidentally, Sinc is a pre-defined function in ",
 StyleBox["Mathematica,",
  FontSlant->"Italic"],
 " just like Sin itself.) In the equation, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["I", "0"], TraditionalForm]]],
 " is the intensity at ",
 StyleBox["x ",
  FontSlant->"Italic"],
 "= 0, i.e. the mid-point of the diffraction pattern; let's just define that \
as 1 for simplicity.\n(a) Make a plot of this function for a few \
maxima/minima around the central maximum, for a 100 micron slit, a 633 nm \
laser, and a distance to screen = 10 m. Make two plots, actually: one with \
the default y-axis (meaning intensity)  range, and a second one where you use \
a PlotRange option to \[OpenCurlyDoubleQuote]zoom out\[CloseCurlyDoubleQuote] \
and fully see the central peak.\n(b) Determine the position of the first \
maximum to the right of the central maximum. Side note: In Physics 123 you \
learned a simple formula for the ",
 StyleBox["minima",
  FontSlant->"Italic"],
 ", but there is no similar simple formula for the ",
 StyleBox["maxima",
  FontSlant->"Italic"],
 ". They are only approximately located equidistant between the minima."
}], "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQXa6x+Pz+9FeO5xPf3wbRD3b6PALRSVX5z0A0z6N4
IY6MV478Uz+IgmhBj4NSIPre23meINpf6rkviM6by5kAok0KpUpBtA6fXRmI
Pnz+RQ+IfhE7sw9En2JUMIzKeuWoNvGZNYiO2rKrZWXnK8cnG2e1gui3vGF9
IPrLy47pIPra6Q2zQXSqWfAcEC2mErEQRLNFS60Ey9snTcw+/crx1aXH00H0
Fs6GOSCa71/HXBD9OKD429yHrxylbuV8B9Hb5h1knQekp76T4gLRcgbxAiDa
a3uvIIje5JEtAaKPnO5XBNERT1YbgeiKKd9MQDQA3QShkw==
  "]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to perform a summation", "Subsection",
 CellChangeTimes->{{3.5440437304076896`*^9, 3.54404374255569*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{"1", "/", 
    RowBox[{"n", "^", "2"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "100"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 FractionBox[
  "158950869413303787311229792851755385970238349854370985988943283480381813109\
0369901", 
  "972186144434381030589657976672623144161975583995746241782720354705517986165\
248000"]], "Output",
 CellChangeTimes->{3.607953672787624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"%", ",", " ", "20"}], "]"}]], "Input"],

Cell[BoxData["1.634983900184892865077169498180323766683321778136303681488`20.\
"], "Output",
 CellChangeTimes->{3.607953672834624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{"1", "/", 
    RowBox[{"n", "^", "2"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "Infinity"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440440658666897`*^9, 3.5440440809066896`*^9}}],

Cell[BoxData[
 FractionBox[
  SuperscriptBox["\[Pi]", "2"], "6"]], "Output",
 CellChangeTimes->{3.6079536728656235`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.561835915109239*^9, 3.561835915864315*^9}}],

Cell[BoxData["1.6449340668482262`"], "Output",
 CellChangeTimes->{3.6079536729296236`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sum", "[", " ", 
  RowBox[{
   RowBox[{"n", " ", 
    RowBox[{"x", "^", "n"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.5440441092706895`*^9}],

Cell[BoxData[
 RowBox[{"x", "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["x", "2"]}], "+", 
  RowBox[{"3", " ", 
   SuperscriptBox["x", "3"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["x", "4"]}], "+", 
  RowBox[{"5", " ", 
   SuperscriptBox["x", "5"]}], "+", 
  RowBox[{"6", " ", 
   SuperscriptBox["x", "6"]}], "+", 
  RowBox[{"7", " ", 
   SuperscriptBox["x", "7"]}], "+", 
  RowBox[{"8", " ", 
   SuperscriptBox["x", "8"]}], "+", 
  RowBox[{"9", " ", 
   SuperscriptBox["x", "9"]}], "+", 
  RowBox[{"10", " ", 
   SuperscriptBox["x", "10"]}]}]], "Output",
 CellChangeTimes->{3.607953672975624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"exptaylor", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"Sum", "[", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "^", "n"}], " ", "/", 
      RowBox[{"n", "!"}]}], " ", ",", " ", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "1000"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"exptaylor", "[", "1.2", "]"}]}], "Input",
 CellChangeTimes->{{3.5440438378266897`*^9, 3.5440438865126896`*^9}, {
  3.54404393087169*^9, 3.5440439328276896`*^9}, {3.5440439719226894`*^9, 
  3.5440439722016897`*^9}, {3.5440440416156893`*^9, 3.54404405469269*^9}, {
  3.5440441307826896`*^9, 3.5440441315366898`*^9}, {3.5440443132226896`*^9, 
  3.5440443178146896`*^9}, {3.544124811151101*^9, 3.5441248431209297`*^9}, {
  3.6079509758446236`*^9, 3.607950976044624*^9}}],

Cell[BoxData["3.3201169227365477`"], "Output",
 CellChangeTimes->{3.6079536730136237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"E", "^", "1.2"}]], "Input",
 CellChangeTimes->{{3.5440439148656893`*^9, 3.5440439210136895`*^9}, {
  3.5440441238816895`*^9, 3.5440441378536897`*^9}}],

Cell[BoxData["3.3201169227365472`"], "Output",
 CellChangeTimes->{3.607953673051624*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n\n1. The Sum command can be very useful to quickly compute numerical \
summations. The first summation above would be read as \
\[OpenCurlyDoubleQuote]Sum 1/n^2, with n ranging from 1 to 100\
\[CloseCurlyDoubleQuote]. The second argument (which must be in braces) \
indicates the variable to sum over as well as the summation range, just as in \
the Integrate command.\n\n2. Sum can be used to determine the value of an \
infinite summation.\n\n3. Sum can also be used to define functions which \
include symbolic summations, and in function definitions. \
I\[CloseCurlyQuote]ve defined exptaylor[x_] to be the sum of the first 1000 \
terms of the Taylor series for e^x.\n\n4. As mentioned above, a semicolon can \
be used at the end of a command to suppress the output. Try the exptaylor[x_] \
function definition command without the semicolon.\n\n5. As you might expect, \
the \[OpenCurlyDoubleQuote]!\[CloseCurlyDoubleQuote] symbol can be used to do \
factorials."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405550786896`*^9, 
   3.5440405849196897`*^9}, {3.5440406513876896`*^9, 3.5440407745336895`*^9}, 
   3.54404372737169*^9, {3.5440438889466896`*^9, 3.5440438991206894`*^9}, {
   3.54404414915469*^9, 3.5440444668016896`*^9}, {3.5440545728096895`*^9, 
   3.54405459046869*^9}, {3.5440599276365557`*^9, 3.5440599399464474`*^9}, {
   3.544100018429039*^9, 3.544100018557046*^9}, {3.5441248535245247`*^9, 
   3.5441248571347313`*^9}, {3.5963119046536484`*^9, 3.596311905629746*^9}, {
   3.607950997088624*^9, 3.6079509996416235`*^9}}],

Cell[CellGroupData[{

Cell["Assignment 4. Two summations", "Subsubsection",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060876269324*^9}, {
   3.5440609249431906`*^9, 3.5440609284405403`*^9}, {3.544126570457728*^9, 
   3.5441265730818777`*^9}, {3.5441948167633653`*^9, 
   3.5441948281465034`*^9}, {3.5441948691316013`*^9, 
   3.5441948722269106`*^9}, {3.5442060065783496`*^9, 
   3.5442060066663494`*^9}, {3.5454202791022186`*^9, 3.545420316728218*^9}, {
   3.5618956458792343`*^9, 3.561895648270234*^9}}],

Cell[TextData[{
 "(a) Calculate the value of  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"n", "=", "1"}], "\[Infinity]"], 
     FractionBox["1", 
      SuperscriptBox["n", "6"]]}],
    FontSize->18], TraditionalForm]],
  CellChangeTimes->{{3.427581474707872*^9, 3.427581475504752*^9}, {
    3.4275917210859485`*^9, 3.4275917865707426`*^9}, 3.427591836774189*^9, {
    3.42759389169359*^9, 3.427593901193651*^9}}],
 ", in both symbolic and numerical form. \n(b) Calculate the value of 1 - 1/2 \
+ 1/3 - 1/4 + 1/5 - 1/6 + ..."
}], "Text",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060876269324*^9}, {
   3.5440609249431906`*^9, 3.5440609284405403`*^9}, {3.544126570457728*^9, 
   3.5441265730818777`*^9}, {3.5441948167633653`*^9, 
   3.5441948281465034`*^9}, {3.5441948691316013`*^9, 
   3.5441948722269106`*^9}, {3.5442060065783496`*^9, 
   3.5442060066663494`*^9}, {3.5454202791022186`*^9, 
   3.5454202802032185`*^9}, {3.561895649296234*^9, 3.561895658173234*^9}, {
   3.5619021410892344`*^9, 3.5619021418862343`*^9}, {3.6079514313816237`*^9, 
   3.607951436100624*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to simplify results", "Subsection",
 CellChangeTimes->{{3.54419602183486*^9, 3.544196032395916*^9}, {
  3.544200531862459*^9, 3.5442005326535378`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"1", "+", 
   RowBox[{"4", " ", "x"}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["x", "2"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["x", "3"]}], "+", 
   SuperscriptBox["x", "4"]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440564798616896`*^9, 3.54405648996169*^9}, {
  3.5441001322175474`*^9, 3.544100132370556*^9}}],

Cell[BoxData[
 SuperscriptBox[
  RowBox[{"(", 
   RowBox[{"1", "+", "x"}], ")"}], "4"]], "Output",
 CellChangeTimes->{3.607953673121624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"complicatedexpression", " ", "=", 
  RowBox[{
   RowBox[{"1", "/", 
    RowBox[{"(", 
     RowBox[{"3", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "x"}], ")"}]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], " ", "+", " ", 
      RowBox[{"2", "x"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"6", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x", " ", "+", 
        RowBox[{"x", "^", "2"}]}], ")"}]}], ")"}]}], "+", 
   RowBox[{"2", "/", 
    RowBox[{"(", 
     RowBox[{"3", 
      RowBox[{"(", 
       RowBox[{"1", " ", "+", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "/", "3"}], ")"}], " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], " ", "+", 
            RowBox[{"2", " ", "x"}]}], ")"}], "^", "2"}]}]}], ")"}]}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.5440565210856895`*^9, 3.5440565939816895`*^9}, {
   3.5440568089506893`*^9, 3.5440568180696898`*^9}, 3.5441000608634663`*^9, {
   3.5442005638846607`*^9, 3.5442006561818895`*^9}, {3.5442007541156816`*^9, 
   3.544200758745145*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"3", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "x"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "x"}]}], 
   RowBox[{"6", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "x", "+", 
      SuperscriptBox["x", "2"]}], ")"}]}]], "+", 
  FractionBox["2", 
   RowBox[{"3", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "x"}]}], ")"}], "2"]}]}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.6079536731536236`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "complicatedexpression", "]"}]], "Input",
 CellChangeTimes->{{3.5440566063226895`*^9, 3.5440566083016896`*^9}, {
  3.5442007631445847`*^9, 3.544200765863857*^9}}],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"1", "+", 
   SuperscriptBox["x", "3"]}]]], "Output",
 CellChangeTimes->{3.607953673185624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"complicatedexpression", "[", "2", "]"}]], "Input",
 CellChangeTimes->{{3.5618360904227686`*^9, 3.5618360934390707`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"3", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "x"}], ")"}]}]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "x"}]}], 
     RowBox[{"6", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x", "+", 
        SuperscriptBox["x", "2"]}], ")"}]}]], "+", 
    FractionBox["2", 
     RowBox[{"3", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{
         FractionBox["1", "3"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "x"}]}], ")"}], "2"]}]}], ")"}]}]]}], ")"}], 
  "[", "2", "]"}]], "Output",
 CellChangeTimes->{3.6079536732176237`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n  \n1. A lot of time symbolic integration or differentiation will give \
output that looks like the complicated function above. I've gotten into the \
habit of typing \"Simplify[%]\" whenever I obtain some output that looks at \
all like it might be simplifyable.\n\n2. You don\[CloseCurlyQuote]t ",
 StyleBox["always",
  FontSlant->"Italic"],
 " have to define a function using the bracket & underscore notation. \
However, if you don\[CloseCurlyQuote]t you have to be really careful because \
the results might not be what you expect. In the example above, it might ",
 StyleBox["look",
  FontSlant->"Italic"],
 " like I have defined \[OpenCurlyDoubleQuote]complicatedexpression\
\[CloseCurlyDoubleQuote] as a function of x. However, what I have ",
 StyleBox["actually ",
  FontSlant->"Italic"],
 "done is defined \[OpenCurlyDoubleQuote]complicatedexpression\
\[CloseCurlyDoubleQuote] as a ",
 StyleBox["variable",
  FontSlant->"Italic"],
 " whose value is equal to the three terms involving x. \
That\[CloseCurlyQuote]s fine here, since I was using the term \
\[OpenCurlyDoubleQuote]complicatedexpression\[CloseCurlyDoubleQuote] strictly \
in place of where I would have to type the expression itself. But if you try \
typing, for example, \[OpenCurlyDoubleQuote]complicatedexpression[2]\
\[CloseCurlyDoubleQuote] to evaluate the function at x=2, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " won\[CloseCurlyQuote]t know what to do. There are ways to treat \
expressions like that as functions; we\[CloseCurlyQuote]ll get into that in \
the next lab."
}], "Text",
 CellChangeTimes->{{3.5441961001826944`*^9, 3.5441961055972357`*^9}, {
  3.5442006665869303`*^9, 3.5442007315414248`*^9}, {3.5442007740156717`*^9, 
  3.544200843873657*^9}, {3.544200875618831*^9, 3.5442009037386427`*^9}, {
  3.561836045456273*^9, 3.5618361122619524`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["A bit more algebra ", "Subsection",
 CellChangeTimes->{{3.5440558564176893`*^9, 3.5440558832906895`*^9}, {
   3.544059577674917*^9, 3.5440595893723197`*^9}, {3.5440599542206717`*^9, 
   3.5440599754426885`*^9}, {3.544121005345422*^9, 3.544121005405425*^9}, {
   3.5443006949447427`*^9, 3.5443007078867426`*^9}, {3.5443008063287425`*^9, 
   3.544300822639743*^9}, 3.5459095635191936`*^9, {3.5619070535621543`*^9, 
   3.5619070554733453`*^9}}],

Cell["\<\
Mathematica has many advanced algebraic functions. \
\[OpenCurlyDoubleQuote]Solve\[CloseCurlyDoubleQuote] and \
\[OpenCurlyDoubleQuote]Simplify\[CloseCurlyDoubleQuote] are two examples; \
here are a few more examples of algebraic-related functions that can be \
helpful. Figure out what each one is doing.\
\>", "Text",
 CellChangeTimes->{{3.5440563718556895`*^9, 3.5440563747016897`*^9}, {
   3.54405641018069*^9, 3.54405646118069*^9}, {3.5441000847018294`*^9, 
   3.5441000923802686`*^9}, 3.544124869940464*^9, {3.5443007029197426`*^9, 
   3.5443007102067423`*^9}, {3.544369204254056*^9, 3.5443692487445045`*^9}, {
   3.5619070671865163`*^9, 3.5619070889396915`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "x"}], ")"}], "^", "4"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440564531826897`*^9, 3.54405647033669*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{"4", " ", "x"}], "+", 
  RowBox[{"6", " ", 
   SuperscriptBox["x", "2"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["x", "3"]}], "+", 
  SuperscriptBox["x", "4"]}]], "Output",
 CellChangeTimes->{3.607953673249624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Together", "[", 
  RowBox[{
   RowBox[{"1", "/", "x"}], "+", 
   RowBox[{"1", "/", "y"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.54405697514769*^9, 3.5440569932426896`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"x", "+", "y"}], 
  RowBox[{"x", " ", "y"}]]], "Output",
 CellChangeTimes->{3.607953673281624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Apart", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"x", "+", "y"}], ")"}], "/", 
   RowBox[{"(", "xy", ")"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5440569957236896`*^9, 3.5440570064676895`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0.`\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6079536734276237`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.1`"}], " ", "x"}], "-", 
      RowBox[{"0.1`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"4.851651954097903`*^8", " ", "x"}], "+", 
      RowBox[{"4.851651954097903`*^8", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.10101010101010101`"}], " ", "x"}], "-", 
      RowBox[{"0.10101010101010101`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3.258670388999762`*^8", " ", "x"}], "+", 
      RowBox[{"3.258670388999762`*^8", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.1020408163265306`"}], " ", "x"}], "-", 
      RowBox[{"0.1020408163265306`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.197497594772619`*^8", " ", "x"}], "+", 
      RowBox[{"2.197497594772619`*^8", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.10309278350515465`"}], " ", "x"}], "-", 
      RowBox[{"0.10309278350515465`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.4878308532339725`*^8", " ", "x"}], "+", 
      RowBox[{"1.4878308532339725`*^8", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.10416666666666667`"}], " ", "x"}], "-", 
      RowBox[{"0.10416666666666667`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.0113835612262589`*^8", " ", "x"}], "+", 
      RowBox[{"1.0113835612262589`*^8", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.10526315789473684`"}], " ", "x"}], "-", 
      RowBox[{"0.10526315789473684`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"6.90264277430174`*^7", " ", "x"}], "+", 
      RowBox[{"6.90264277430174`*^7", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.10638297872340426`"}], " ", "x"}], "-", 
      RowBox[{"0.10638297872340426`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"4.729901364152449`*^7", " ", "x"}], "+", 
      RowBox[{"4.729901364152449`*^7", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.1075268817204301`"}], " ", "x"}], "-", 
      RowBox[{"0.1075268817204301`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3.2540629337652713`*^7", " ", "x"}], "+", 
      RowBox[{"3.2540629337652713`*^7", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.10869565217391305`"}], " ", "x"}], "-", 
      RowBox[{"0.10869565217391305`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.2476929824061714`*^7", " ", "x"}], "+", 
      RowBox[{"2.2476929824061714`*^7", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.10989010989010989`"}], " ", "x"}], "-", 
      RowBox[{"0.10989010989010989`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.5587813795581905`*^7", " ", "x"}], "+", 
      RowBox[{"1.5587813795581905`*^7", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.1111111111111111`"}], " ", "x"}], "-", 
      RowBox[{"0.1111111111111111`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.085351989906441`*^7", " ", "x"}], "+", 
      RowBox[{"1.085351989906441`*^7", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.11235955056179775`"}], " ", "x"}], "-", 
      RowBox[{"0.11235955056179775`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"7.587403530483495`*^6", " ", "x"}], "+", 
      RowBox[{"7.587403530483495`*^6", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.11363636363636363`"}], " ", "x"}], "-", 
      RowBox[{"0.11363636363636363`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"5.32540860527031`*^6", " ", "x"}], "+", 
      RowBox[{"5.32540860527031`*^6", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.1149425287356322`"}], " ", "x"}], "-", 
      RowBox[{"0.1149425287356322`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3.7527520170195145`*^6", " ", "x"}], "+", 
      RowBox[{"3.7527520170195145`*^6", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.11627906976744186`"}], " ", "x"}], "-", 
      RowBox[{"0.11627906976744186`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.6551189130554213`*^6", " ", "x"}], "+", 
      RowBox[{"2.6551189130554213`*^6", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.11764705882352941`"}], " ", "x"}], "-", 
      RowBox[{"0.11764705882352941`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.8860589531783033`*^6", " ", "x"}], "+", 
      RowBox[{"1.8860589531783033`*^6", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.11904761904761904`"}], " ", "x"}], "-", 
      RowBox[{"0.11904761904761904`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.345128358105134`*^6", " ", "x"}], "+", 
      RowBox[{"1.345128358105134`*^6", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.12048192771084336`"}], " ", "x"}], "-", 
      RowBox[{"0.12048192771084336`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"963184.2484022581`", " ", "x"}], "+", 
      RowBox[{"963184.2484022581`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.12195121951219513`"}], " ", "x"}], "-", 
      RowBox[{"0.12195121951219513`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"692456.0158441726`", " ", "x"}], "+", 
      RowBox[{"692456.0158441726`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.1234567901234568`"}], " ", "x"}], "-", 
      RowBox[{"0.1234567901234568`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"499818.3443046219`", " ", "x"}], "+", 
      RowBox[{"499818.3443046219`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.125`"}], " ", "x"}], "-", 
      RowBox[{"0.125`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"362217.44961124816`", " ", "x"}], "+", 
      RowBox[{"362217.44961124816`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.12658227848101264`"}], " ", "x"}], "-", 
      RowBox[{"0.12658227848101264`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"263550.4263495675`", " ", "x"}], "+", 
      RowBox[{"263550.4263495675`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.12820512820512822`"}], " ", "x"}], "-", 
      RowBox[{"0.12820512820512822`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"192528.60132788777`", " ", "x"}], "+", 
      RowBox[{"192528.60132788777`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.12987012987012989`"}], " ", "x"}], "-", 
      RowBox[{"0.12987012987012989`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"141209.51663005888`", " ", "x"}], "+", 
      RowBox[{"141209.51663005888`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.13157894736842105`"}], " ", "x"}], "-", 
      RowBox[{"0.13157894736842105`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"103984.79858623909`", " ", "x"}], "+", 
      RowBox[{"103984.79858623909`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.13333333333333333`"}], " ", "x"}], "-", 
      RowBox[{"0.13333333333333333`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"76879.91976467776`", " ", "x"}], "+", 
      RowBox[{"76879.91976467776`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.13513513513513511`"}], " ", "x"}], "-", 
      RowBox[{"0.13513513513513511`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"57068.0674410218`", " ", "x"}], "+", 
      RowBox[{"57068.0674410218`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.136986301369863`"}], " ", "x"}], "-", 
      RowBox[{"0.136986301369863`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"42531.48907589368`", " ", "x"}], "+", 
      RowBox[{"42531.48907589368`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.1388888888888889`"}], " ", "x"}], "-", 
      RowBox[{"0.1388888888888889`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"31824.76375035689`", " ", "x"}], "+", 
      RowBox[{"31824.76375035689`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.14084507042253522`"}], " ", "x"}], "-", 
      RowBox[{"0.14084507042253522`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"23908.755266984805`", " ", "x"}], "+", 
      RowBox[{"23908.755266984805`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.14285714285714285`"}], " ", "x"}], "-", 
      RowBox[{"0.14285714285714285`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"18033.744927828524`", " ", "x"}], "+", 
      RowBox[{"18033.744927828524`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.14492753623188406`"}], " ", "x"}], "-", 
      RowBox[{"0.14492753623188406`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"13656.89771384483`", " ", "x"}], "+", 
      RowBox[{"13656.89771384483`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.14705882352941177`"}], " ", "x"}], "-", 
      RowBox[{"0.14705882352941177`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"10383.777380393209`", " ", "x"}], "+", 
      RowBox[{"10383.777380393209`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.1492537313432836`"}], " ", "x"}], "-", 
      RowBox[{"0.1492537313432836`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"7926.762725951024`", " ", "x"}], "+", 
      RowBox[{"7926.762725951024`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.15151515151515152`"}], " ", "x"}], "-", 
      RowBox[{"0.15151515151515152`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"6075.381107585503`", " ", "x"}], "+", 
      RowBox[{"6075.381107585503`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.15384615384615385`"}], " ", "x"}], "-", 
      RowBox[{"0.15384615384615385`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"4675.072735511792`", " ", "x"}], "+", 
      RowBox[{"4675.072735511792`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.15625`"}], " ", "x"}], "-", 
      RowBox[{"0.15625`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3611.9389052095075`", " ", "x"}], "+", 
      RowBox[{"3611.9389052095075`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.15873015873015872`"}], " ", "x"}], "-", 
      RowBox[{"0.15873015873015872`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2801.751398263732`", " ", "x"}], "+", 
      RowBox[{"2801.751398263732`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.16129032258064518`"}], " ", "x"}], "-", 
      RowBox[{"0.16129032258064518`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2182.0061829391966`", " ", "x"}], "+", 
      RowBox[{"2182.0061829391966`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.1639344262295082`"}], " ", "x"}], "-", 
      RowBox[{"0.1639344262295082`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1706.1591293649653`", " ", "x"}], "+", 
      RowBox[{"1706.1591293649653`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.16666666666666666`"}], " ", "x"}], "-", 
      RowBox[{"0.16666666666666666`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1339.430764394418`", " ", "x"}], "+", 
      RowBox[{"1339.430764394418`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.16949152542372883`"}], " ", "x"}], "-", 
      RowBox[{"0.16949152542372883`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1055.7429330294658`", " ", "x"}], "+", 
      RowBox[{"1055.7429330294658`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.1724137931034483`"}], " ", "x"}], "-", 
      RowBox[{"0.1724137931034483`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"835.4746446011287`", " ", "x"}], "+", 
      RowBox[{"835.4746446011287`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.17543859649122806`"}], " ", "x"}], "-", 
      RowBox[{"0.17543859649122806`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"663.8126791751276`", " ", "x"}], "+", 
      RowBox[{"663.8126791751276`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.17857142857142858`"}], " ", "x"}], "-", 
      RowBox[{"0.17857142857142858`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"529.5353902931872`", " ", "x"}], "+", 
      RowBox[{"529.5353902931872`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.18181818181818182`"}], " ", "x"}], "-", 
      RowBox[{"0.18181818181818182`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"424.1130300447645`", " ", "x"}], "+", 
      RowBox[{"424.1130300447645`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.1851851851851852`"}], " ", "x"}], "-", 
      RowBox[{"0.1851851851851852`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"341.0400776012886`", " ", "x"}], "+", 
      RowBox[{"341.0400776012886`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.18867924528301888`"}], " ", "x"}], "-", 
      RowBox[{"0.18867924528301888`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"275.3381558794107`", " ", "x"}], "+", 
      RowBox[{"275.3381558794107`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.19230769230769235`"}], " ", "x"}], "-", 
      RowBox[{"0.19230769230769235`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"223.18477147033354`", " ", "x"}], "+", 
      RowBox[{"223.18477147033354`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.19607843137254904`"}], " ", "x"}], "-", 
      RowBox[{"0.19607843137254904`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"181.63514914520243`", " ", "x"}], "+", 
      RowBox[{"181.63514914520243`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.2`"}], " ", "x"}], "-", 
      RowBox[{"0.2`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"148.4131591025766`", " ", "x"}], "+", 
      RowBox[{"148.4131591025766`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.20408163265306126`"}], " ", "x"}], "-", 
      RowBox[{"0.20408163265306126`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"121.75368153670227`", " ", "x"}], "+", 
      RowBox[{"121.75368153670227`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.20833333333333334`"}], " ", "x"}], "-", 
      RowBox[{"0.20833333333333334`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"100.28338217150392`", " ", "x"}], "+", 
      RowBox[{"100.28338217150392`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.21276595744680854`"}], " ", "x"}], "-", 
      RowBox[{"0.21276595744680854`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"82.930258869458`", " ", "x"}], "+", 
      RowBox[{"82.930258869458`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.2173913043478261`"}], " ", "x"}], "-", 
      RowBox[{"0.2173913043478261`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"68.85480416432726`", " ", "x"}], "+", 
      RowBox[{"68.85480416432726`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.2222222222222222`"}], " ", "x"}], "-", 
      RowBox[{"0.2222222222222222`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"57.39745704544619`", " ", "x"}], "+", 
      RowBox[{"57.39745704544619`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.2272727272727273`"}], " ", "x"}], "-", 
      RowBox[{"0.2272727272727273`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"48.03836680170818`", " ", "x"}], "+", 
      RowBox[{"48.03836680170818`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.23255813953488372`"}], " ", "x"}], "-", 
      RowBox[{"0.23255813953488372`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"40.36649059205319`", " ", "x"}], "+", 
      RowBox[{"40.36649059205319`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.23809523809523814`"}], " ", "x"}], "-", 
      RowBox[{"0.23809523809523814`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"34.05578788198416`", " ", "x"}], "+", 
      RowBox[{"34.05578788198416`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.24390243902439027`"}], " ", "x"}], "-", 
      RowBox[{"0.24390243902439027`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"28.846826877787713`", " ", "x"}], "+", 
      RowBox[{"28.846826877787713`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.25`"}], " ", "x"}], "-", 
      RowBox[{"0.25`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"24.532530197109352`", " ", "x"}], "+", 
      RowBox[{"24.532530197109352`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.25641025641025644`"}], " ", "x"}], "-", 
      RowBox[{"0.25641025641025644`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"20.947095559936997`", " ", "x"}], "+", 
      RowBox[{"20.947095559936997`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.2631578947368421`"}], " ", "x"}], "-", 
      RowBox[{"0.2631578947368421`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"17.957358944987327`", " ", "x"}], "+", 
      RowBox[{"17.957358944987327`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.27027027027027034`"}], " ", "x"}], "-", 
      RowBox[{"0.27027027027027034`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"15.456042079478442`", " ", "x"}], "+", 
      RowBox[{"15.456042079478442`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.2777777777777778`"}], " ", "x"}], "-", 
      RowBox[{"0.2777777777777778`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"13.356457823727284`", " ", "x"}], "+", 
      RowBox[{"13.356457823727284`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.2857142857142857`"}], " ", "x"}], "-", 
      RowBox[{"0.2857142857142857`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"11.588346719223392`", " ", "x"}], "+", 
      RowBox[{"11.588346719223392`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.2941176470588236`"}], " ", "x"}], "-", 
      RowBox[{"0.2941176470588236`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"10.094593666612203`", " ", "x"}], "+", 
      RowBox[{"10.094593666612203`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.30303030303030304`"}], " ", "x"}], "-", 
      RowBox[{"0.30303030303030304`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"8.828631327026779`", " ", "x"}], "+", 
      RowBox[{"8.828631327026779`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.31250000000000006`"}], " ", "x"}], "-", 
      RowBox[{"0.31250000000000006`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"7.7523808295443395`", " ", "x"}], "+", 
      RowBox[{"7.7523808295443395`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.32258064516129037`"}], " ", "x"}], "-", 
      RowBox[{"0.32258064516129037`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"6.834614037245428`", " ", "x"}], "+", 
      RowBox[{"6.834614037245428`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.3333333333333333`"}], " ", "x"}], "-", 
      RowBox[{"0.3333333333333333`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"6.0496474644129465`", " ", "x"}], "+", 
      RowBox[{"6.0496474644129465`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.34482758620689663`"}], " ", "x"}], "-", 
      RowBox[{"0.34482758620689663`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"5.376297821333812`", " ", "x"}], "+", 
      RowBox[{"5.376297821333812`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.35714285714285715`"}], " ", "x"}], "-", 
      RowBox[{"0.35714285714285715`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"4.797044504278354`", " ", "x"}], "+", 
      RowBox[{"4.797044504278354`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.37037037037037046`"}], " ", "x"}], "-", 
      RowBox[{"0.37037037037037046`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"4.29735621546916`", " ", "x"}], "+", 
      RowBox[{"4.29735621546916`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.3846153846153847`"}], " ", "x"}], "-", 
      RowBox[{"0.3846153846153847`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3.8651481017552354`", " ", "x"}], "+", 
      RowBox[{"3.8651481017552354`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.4`"}], " ", "x"}], "-", 
      RowBox[{"0.4`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3.4903429574618414`", " ", "x"}], "+", 
      RowBox[{"3.4903429574618414`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.41666666666666674`"}], " ", "x"}], "-", 
      RowBox[{"0.41666666666666674`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3.164515616107995`", " ", "x"}], "+", 
      RowBox[{"3.164515616107995`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.4347826086956522`"}], " ", "x"}], "-", 
      RowBox[{"0.4347826086956522`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.880604016184829`", " ", "x"}], "+", 
      RowBox[{"2.880604016184829`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.4545454545454547`"}], " ", "x"}], "-", 
      RowBox[{"0.4545454545454547`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.63267384280886`", " ", "x"}], "+", 
      RowBox[{"2.63267384280886`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.4761904761904763`"}], " ", "x"}], "-", 
      RowBox[{"0.4761904761904763`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.4157263308455974`", " ", "x"}], "+", 
      RowBox[{"2.4157263308455974`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.5`"}], " ", "x"}], "-", 
      RowBox[{"0.5`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.225540928492468`", " ", "x"}], "+", 
      RowBox[{"2.225540928492468`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.5263157894736841`"}], " ", "x"}], "-", 
      RowBox[{"0.5263157894736841`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.058546188672212`", " ", "x"}], "+", 
      RowBox[{"2.058546188672212`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.5555555555555559`"}], " ", "x"}], "-", 
      RowBox[{"0.5555555555555559`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.9117135758847468`", " ", "x"}], "+", 
      RowBox[{"1.9117135758847468`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.5882352941176473`"}], " ", "x"}], "-", 
      RowBox[{"0.5882352941176473`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.7824699235852395`", " ", "x"}], "+", 
      RowBox[{"1.7824699235852395`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.6250000000000001`"}], " ", "x"}], "-", 
      RowBox[{"0.6250000000000001`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.6686251101396663`", " ", "x"}], "+", 
      RowBox[{"1.6686251101396663`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.6666666666666666`"}], " ", "x"}], "-", 
      RowBox[{"0.6666666666666666`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.5683121854901687`", " ", "x"}], "+", 
      RowBox[{"1.5683121854901687`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.7142857142857141`"}], " ", "x"}], "-", 
      RowBox[{"0.7142857142857141`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.4799377114022887`", " ", "x"}], "+", 
      RowBox[{"1.4799377114022887`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.7692307692307698`"}], " ", "x"}], "-", 
      RowBox[{"0.7692307692307698`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.4021405034053198`", " ", "x"}], "+", 
      RowBox[{"1.4021405034053198`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.8333333333333338`"}], " ", "x"}], "-", 
      RowBox[{"0.8333333333333338`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.3337573041233841`", " ", "x"}], "+", 
      RowBox[{"1.3337573041233841`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.9090909090909094`"}], " ", "x"}], "-", 
      RowBox[{"0.9090909090909094`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.2737941928161947`", " ", "x"}], "+", 
      RowBox[{"1.2737941928161947`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "1.`"}], " ", "x"}], "-", 
      RowBox[{"1.`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.2214027581601699`", " ", "x"}], "+", 
      RowBox[{"1.2214027581601699`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "1.1111111111111107`"}], " ", "x"}], "-", 
      RowBox[{"1.1111111111111107`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.1758602413209998`", " ", "x"}], "+", 
      RowBox[{"1.1758602413209998`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "1.2500000000000018`"}], " ", "x"}], "-", 
      RowBox[{"1.2500000000000018`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.1365530026970598`", " ", "x"}], "+", 
      RowBox[{"1.1365530026970598`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "1.42857142857143`"}], " ", "x"}], "-", 
      RowBox[{"1.42857142857143`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.1029627851085075`", " ", "x"}], "+", 
      RowBox[{"1.1029627851085075`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "1.6666666666666676`"}], " ", "x"}], "-", 
      RowBox[{"1.6666666666666676`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.0746553440638136`", " ", "x"}], "+", 
      RowBox[{"1.0746553440638136`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "2.`"}], " ", "x"}], "-", 
      RowBox[{"2.`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.0512710963760241`", " ", "x"}], "+", 
      RowBox[{"1.0512710963760241`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "2.500000000000009`"}], " ", "x"}], "-", 
      RowBox[{"2.500000000000009`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.032517505305118`", " ", "x"}], "+", 
      RowBox[{"1.032517505305118`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "3.333333333333345`"}], " ", "x"}], "-", 
      RowBox[{"3.333333333333345`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.0181629763897937`", " ", "x"}], "+", 
      RowBox[{"1.0181629763897937`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "5.000000000000018`"}], " ", "x"}], "-", 
      RowBox[{"5.000000000000018`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.0080320855042735`", " ", "x"}], "+", 
      RowBox[{"1.0080320855042735`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "10.000000000000036`"}], " ", "x"}], "-", 
      RowBox[{"10.000000000000036`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.0020020013340003`", " ", "x"}], "+", 
      RowBox[{"1.0020020013340003`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"ComplexInfinity", ",", 
     RowBox[{
      RowBox[{"1.`", " ", "x"}], "+", 
      RowBox[{"1.`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"9.999999999999858`", " ", "x"}], "+", 
      RowBox[{"9.999999999999858`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.0020020013340003`", " ", "x"}], "+", 
      RowBox[{"1.0020020013340003`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"4.999999999999973`", " ", "x"}], "+", 
      RowBox[{"4.999999999999973`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.0080320855042735`", " ", "x"}], "+", 
      RowBox[{"1.0080320855042735`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"3.3333333333333255`", " ", "x"}], "+", 
      RowBox[{"3.3333333333333255`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.018162976389794`", " ", "x"}], "+", 
      RowBox[{"1.018162976389794`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"2.499999999999998`", " ", "x"}], "+", 
      RowBox[{"2.499999999999998`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.0325175053051185`", " ", "x"}], "+", 
      RowBox[{"1.0325175053051185`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"2.`", " ", "x"}], "+", 
      RowBox[{"2.`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.0512710963760241`", " ", "x"}], "+", 
      RowBox[{"1.0512710963760241`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"1.6666666666666627`", " ", "x"}], "+", 
      RowBox[{"1.6666666666666627`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.074655344063814`", " ", "x"}], "+", 
      RowBox[{"1.074655344063814`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"1.4285714285714264`", " ", "x"}], "+", 
      RowBox[{"1.4285714285714264`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.1029627851085082`", " ", "x"}], "+", 
      RowBox[{"1.1029627851085082`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"1.249999999999999`", " ", "x"}], "+", 
      RowBox[{"1.249999999999999`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.1365530026970605`", " ", "x"}], "+", 
      RowBox[{"1.1365530026970605`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"1.1111111111111107`", " ", "x"}], "+", 
      RowBox[{"1.1111111111111107`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.1758602413209998`", " ", "x"}], "+", 
      RowBox[{"1.1758602413209998`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"1.`", " ", "x"}], "+", 
      RowBox[{"1.`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.2214027581601699`", " ", "x"}], "+", 
      RowBox[{"1.2214027581601699`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.909090909090908`", " ", "x"}], "+", 
      RowBox[{"0.909090909090908`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.2737941928161958`", " ", "x"}], "+", 
      RowBox[{"1.2737941928161958`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.8333333333333326`", " ", "x"}], "+", 
      RowBox[{"0.8333333333333326`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.3337573041233852`", " ", "x"}], "+", 
      RowBox[{"1.3337573041233852`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.7692307692307688`", " ", "x"}], "+", 
      RowBox[{"0.7692307692307688`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.402140503405321`", " ", "x"}], "+", 
      RowBox[{"1.402140503405321`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.7142857142857141`", " ", "x"}], "+", 
      RowBox[{"0.7142857142857141`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.4799377114022887`", " ", "x"}], "+", 
      RowBox[{"1.4799377114022887`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.6666666666666666`", " ", "x"}], "+", 
      RowBox[{"0.6666666666666666`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.5683121854901687`", " ", "x"}], "+", 
      RowBox[{"1.5683121854901687`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.6249999999999994`", " ", "x"}], "+", 
      RowBox[{"0.6249999999999994`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.6686251101396683`", " ", "x"}], "+", 
      RowBox[{"1.6686251101396683`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.5882352941176467`", " ", "x"}], "+", 
      RowBox[{"0.5882352941176467`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.7824699235852417`", " ", "x"}], "+", 
      RowBox[{"1.7824699235852417`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.5555555555555554`", " ", "x"}], "+", 
      RowBox[{"0.5555555555555554`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.9117135758847492`", " ", "x"}], "+", 
      RowBox[{"1.9117135758847492`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.5263157894736841`", " ", "x"}], "+", 
      RowBox[{"0.5263157894736841`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.058546188672212`", " ", "x"}], "+", 
      RowBox[{"2.058546188672212`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.5`", " ", "x"}], "+", 
      RowBox[{"0.5`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.225540928492468`", " ", "x"}], "+", 
      RowBox[{"2.225540928492468`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.4761904761904759`", " ", "x"}], "+", 
      RowBox[{"0.4761904761904759`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.415726330845601`", " ", "x"}], "+", 
      RowBox[{"2.415726330845601`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.4545454545454543`", " ", "x"}], "+", 
      RowBox[{"0.4545454545454543`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.6326738428088636`", " ", "x"}], "+", 
      RowBox[{"2.6326738428088636`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.43478260869565205`", " ", "x"}], "+", 
      RowBox[{"0.43478260869565205`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.8806040161848316`", " ", "x"}], "+", 
      RowBox[{"2.8806040161848316`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.41666666666666663`", " ", "x"}], "+", 
      RowBox[{"0.41666666666666663`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3.164515616107998`", " ", "x"}], "+", 
      RowBox[{"3.164515616107998`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.4`", " ", "x"}], "+", 
      RowBox[{"0.4`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3.4903429574618414`", " ", "x"}], "+", 
      RowBox[{"3.4903429574618414`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.3846153846153844`", " ", "x"}], "+", 
      RowBox[{"0.3846153846153844`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3.865148101755243`", " ", "x"}], "+", 
      RowBox[{"3.865148101755243`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.37037037037037024`", " ", "x"}], "+", 
      RowBox[{"0.37037037037037024`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"4.297356215469168`", " ", "x"}], "+", 
      RowBox[{"4.297356215469168`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.35714285714285704`", " ", "x"}], "+", 
      RowBox[{"0.35714285714285704`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"4.797044504278358`", " ", "x"}], "+", 
      RowBox[{"4.797044504278358`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.3448275862068965`", " ", "x"}], "+", 
      RowBox[{"0.3448275862068965`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"5.376297821333816`", " ", "x"}], "+", 
      RowBox[{"5.376297821333816`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.3333333333333333`", " ", "x"}], "+", 
      RowBox[{"0.3333333333333333`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"6.0496474644129465`", " ", "x"}], "+", 
      RowBox[{"6.0496474644129465`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.32258064516129015`", " ", "x"}], "+", 
      RowBox[{"0.32258064516129015`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"6.834614037245442`", " ", "x"}], "+", 
      RowBox[{"6.834614037245442`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.3124999999999999`", " ", "x"}], "+", 
      RowBox[{"0.3124999999999999`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"7.752380829544356`", " ", "x"}], "+", 
      RowBox[{"7.752380829544356`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.303030303030303`", " ", "x"}], "+", 
      RowBox[{"0.303030303030303`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"8.828631327026786`", " ", "x"}], "+", 
      RowBox[{"8.828631327026786`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.2941176470588235`", " ", "x"}], "+", 
      RowBox[{"0.2941176470588235`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"10.094593666612216`", " ", "x"}], "+", 
      RowBox[{"10.094593666612216`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.2857142857142857`", " ", "x"}], "+", 
      RowBox[{"0.2857142857142857`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"11.588346719223392`", " ", "x"}], "+", 
      RowBox[{"11.588346719223392`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.2777777777777777`", " ", "x"}], "+", 
      RowBox[{"0.2777777777777777`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"13.356457823727322`", " ", "x"}], "+", 
      RowBox[{"13.356457823727322`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.2702702702702702`", " ", "x"}], "+", 
      RowBox[{"0.2702702702702702`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"15.45604207947848`", " ", "x"}], "+", 
      RowBox[{"15.45604207947848`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.26315789473684204`", " ", "x"}], "+", 
      RowBox[{"0.26315789473684204`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"17.95735894498735`", " ", "x"}], "+", 
      RowBox[{"17.95735894498735`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.2564102564102564`", " ", "x"}], "+", 
      RowBox[{"0.2564102564102564`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"20.947095559937026`", " ", "x"}], "+", 
      RowBox[{"20.947095559937026`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.25`", " ", "x"}], "+", 
      RowBox[{"0.25`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"24.532530197109352`", " ", "x"}], "+", 
      RowBox[{"24.532530197109352`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.24390243902439016`", " ", "x"}], "+", 
      RowBox[{"0.24390243902439016`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"28.84682687778779`", " ", "x"}], "+", 
      RowBox[{"28.84682687778779`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.23809523809523803`", " ", "x"}], "+", 
      RowBox[{"0.23809523809523803`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"34.055787881984266`", " ", "x"}], "+", 
      RowBox[{"34.055787881984266`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.2325581395348837`", " ", "x"}], "+", 
      RowBox[{"0.2325581395348837`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"40.36649059205324`", " ", "x"}], "+", 
      RowBox[{"40.36649059205324`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.22727272727272727`", " ", "x"}], "+", 
      RowBox[{"0.22727272727272727`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"48.03836680170824`", " ", "x"}], "+", 
      RowBox[{"48.03836680170824`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.2222222222222222`", " ", "x"}], "+", 
      RowBox[{"0.2222222222222222`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"57.39745704544619`", " ", "x"}], "+", 
      RowBox[{"57.39745704544619`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.21739130434782603`", " ", "x"}], "+", 
      RowBox[{"0.21739130434782603`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"68.8548041643275`", " ", "x"}], "+", 
      RowBox[{"68.8548041643275`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.21276595744680846`", " ", "x"}], "+", 
      RowBox[{"0.21276595744680846`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"82.93025886945829`", " ", "x"}], "+", 
      RowBox[{"82.93025886945829`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.20833333333333331`", " ", "x"}], "+", 
      RowBox[{"0.20833333333333331`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"100.2833821715041`", " ", "x"}], "+", 
      RowBox[{"100.2833821715041`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.2040816326530612`", " ", "x"}], "+", 
      RowBox[{"0.2040816326530612`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"121.75368153670249`", " ", "x"}], "+", 
      RowBox[{"121.75368153670249`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.2`", " ", "x"}], "+", 
      RowBox[{"0.2`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"148.4131591025766`", " ", "x"}], "+", 
      RowBox[{"148.4131591025766`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.19607843137254896`", " ", "x"}], "+", 
      RowBox[{"0.19607843137254896`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"181.6351491452031`", " ", "x"}], "+", 
      RowBox[{"181.6351491452031`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.19230769230769226`", " ", "x"}], "+", 
      RowBox[{"0.19230769230769226`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"223.18477147033437`", " ", "x"}], "+", 
      RowBox[{"223.18477147033437`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.18867924528301885`", " ", "x"}], "+", 
      RowBox[{"0.18867924528301885`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"275.33815587941115`", " ", "x"}], "+", 
      RowBox[{"275.33815587941115`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.18518518518518517`", " ", "x"}], "+", 
      RowBox[{"0.18518518518518517`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"341.04007760128917`", " ", "x"}], "+", 
      RowBox[{"341.04007760128917`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.18181818181818182`", " ", "x"}], "+", 
      RowBox[{"0.18181818181818182`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"424.1130300447645`", " ", "x"}], "+", 
      RowBox[{"424.1130300447645`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.17857142857142852`", " ", "x"}], "+", 
      RowBox[{"0.17857142857142852`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"529.5353902931896`", " ", "x"}], "+", 
      RowBox[{"529.5353902931896`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.17543859649122803`", " ", "x"}], "+", 
      RowBox[{"0.17543859649122803`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"663.8126791751283`", " ", "x"}], "+", 
      RowBox[{"663.8126791751283`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.17241379310344826`", " ", "x"}], "+", 
      RowBox[{"0.17241379310344826`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"835.4746446011294`", " ", "x"}], "+", 
      RowBox[{"835.4746446011294`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1694915254237288`", " ", "x"}], "+", 
      RowBox[{"0.1694915254237288`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1055.7429330294667`", " ", "x"}], "+", 
      RowBox[{"1055.7429330294667`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.16666666666666666`", " ", "x"}], "+", 
      RowBox[{"0.16666666666666666`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1339.430764394418`", " ", "x"}], "+", 
      RowBox[{"1339.430764394418`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.16393442622950816`", " ", "x"}], "+", 
      RowBox[{"0.16393442622950816`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1706.1591293649728`", " ", "x"}], "+", 
      RowBox[{"1706.1591293649728`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.16129032258064518`", " ", "x"}], "+", 
      RowBox[{"0.16129032258064518`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2182.0061829391966`", " ", "x"}], "+", 
      RowBox[{"2182.0061829391966`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.15873015873015872`", " ", "x"}], "+", 
      RowBox[{"0.15873015873015872`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2801.7513982637397`", " ", "x"}], "+", 
      RowBox[{"2801.7513982637397`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.15624999999999994`", " ", "x"}], "+", 
      RowBox[{"0.15624999999999994`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3611.9389052095203`", " ", "x"}], "+", 
      RowBox[{"3611.9389052095203`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.15384615384615385`", " ", "x"}], "+", 
      RowBox[{"0.15384615384615385`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"4675.072735511792`", " ", "x"}], "+", 
      RowBox[{"4675.072735511792`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1515151515151515`", " ", "x"}], "+", 
      RowBox[{"0.1515151515151515`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"6075.381107585525`", " ", "x"}], "+", 
      RowBox[{"6075.381107585525`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1492537313432836`", " ", "x"}], "+", 
      RowBox[{"0.1492537313432836`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"7926.762725951024`", " ", "x"}], "+", 
      RowBox[{"7926.762725951024`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.14705882352941174`", " ", "x"}], "+", 
      RowBox[{"0.14705882352941174`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"10383.777380393245`", " ", "x"}], "+", 
      RowBox[{"10383.777380393245`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.144927536231884`", " ", "x"}], "+", 
      RowBox[{"0.144927536231884`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"13656.897713844877`", " ", "x"}], "+", 
      RowBox[{"13656.897713844877`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.14285714285714285`", " ", "x"}], "+", 
      RowBox[{"0.14285714285714285`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"18033.744927828524`", " ", "x"}], "+", 
      RowBox[{"18033.744927828524`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1408450704225352`", " ", "x"}], "+", 
      RowBox[{"0.1408450704225352`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"23908.75526698489`", " ", "x"}], "+", 
      RowBox[{"23908.75526698489`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1388888888888889`", " ", "x"}], "+", 
      RowBox[{"0.1388888888888889`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"31824.76375035689`", " ", "x"}], "+", 
      RowBox[{"31824.76375035689`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.136986301369863`", " ", "x"}], "+", 
      RowBox[{"0.136986301369863`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"42531.489075893754`", " ", "x"}], "+", 
      RowBox[{"42531.489075893754`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1351351351351351`", " ", "x"}], "+", 
      RowBox[{"0.1351351351351351`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"57068.0674410221`", " ", "x"}], "+", 
      RowBox[{"57068.0674410221`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.13333333333333333`", " ", "x"}], "+", 
      RowBox[{"0.13333333333333333`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"76879.91976467776`", " ", "x"}], "+", 
      RowBox[{"76879.91976467776`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.13157894736842102`", " ", "x"}], "+", 
      RowBox[{"0.13157894736842102`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"103984.79858623963`", " ", "x"}], "+", 
      RowBox[{"103984.79858623963`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.12987012987012989`", " ", "x"}], "+", 
      RowBox[{"0.12987012987012989`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"141209.51663005888`", " ", "x"}], "+", 
      RowBox[{"141209.51663005888`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1282051282051282`", " ", "x"}], "+", 
      RowBox[{"0.1282051282051282`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"192528.60132788843`", " ", "x"}], "+", 
      RowBox[{"192528.60132788843`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1265822784810126`", " ", "x"}], "+", 
      RowBox[{"0.1265822784810126`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"263550.4263495689`", " ", "x"}], "+", 
      RowBox[{"263550.4263495689`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.125`", " ", "x"}], "+", 
      RowBox[{"0.125`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"362217.44961124816`", " ", "x"}], "+", 
      RowBox[{"362217.44961124816`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.12345679012345677`", " ", "x"}], "+", 
      RowBox[{"0.12345679012345677`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"499818.34430462547`", " ", "x"}], "+", 
      RowBox[{"499818.34430462547`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.12195121951219513`", " ", "x"}], "+", 
      RowBox[{"0.12195121951219513`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"692456.0158441726`", " ", "x"}], "+", 
      RowBox[{"692456.0158441726`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.12048192771084336`", " ", "x"}], "+", 
      RowBox[{"0.12048192771084336`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"963184.2484022581`", " ", "x"}], "+", 
      RowBox[{"963184.2484022581`", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.11904761904761901`", " ", "x"}], "+", 
      RowBox[{"0.11904761904761901`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.345128358105141`*^6", " ", "x"}], "+", 
      RowBox[{"1.345128358105141`*^6", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.11764705882352941`", " ", "x"}], "+", 
      RowBox[{"0.11764705882352941`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.8860589531783033`*^6", " ", "x"}], "+", 
      RowBox[{"1.8860589531783033`*^6", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.11627906976744184`", " ", "x"}], "+", 
      RowBox[{"0.11627906976744184`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.6551189130554358`*^6", " ", "x"}], "+", 
      RowBox[{"2.6551189130554358`*^6", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1149425287356322`", " ", "x"}], "+", 
      RowBox[{"0.1149425287356322`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3.7527520170195145`*^6", " ", "x"}], "+", 
      RowBox[{"3.7527520170195145`*^6", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.11363636363636363`", " ", "x"}], "+", 
      RowBox[{"0.11363636363636363`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"5.32540860527031`*^6", " ", "x"}], "+", 
      RowBox[{"5.32540860527031`*^6", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.11235955056179772`", " ", "x"}], "+", 
      RowBox[{"0.11235955056179772`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"7.587403530483537`*^6", " ", "x"}], "+", 
      RowBox[{"7.587403530483537`*^6", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1111111111111111`", " ", "x"}], "+", 
      RowBox[{"0.1111111111111111`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.085351989906441`*^7", " ", "x"}], "+", 
      RowBox[{"1.085351989906441`*^7", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.10989010989010987`", " ", "x"}], "+", 
      RowBox[{"0.10989010989010987`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.558781379558207`*^7", " ", "x"}], "+", 
      RowBox[{"1.558781379558207`*^7", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.10869565217391301`", " ", "x"}], "+", 
      RowBox[{"0.10869565217391301`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.247692982406203`*^7", " ", "x"}], "+", 
      RowBox[{"2.247692982406203`*^7", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1075268817204301`", " ", "x"}], "+", 
      RowBox[{"0.1075268817204301`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3.2540629337652713`*^7", " ", "x"}], "+", 
      RowBox[{"3.2540629337652713`*^7", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.10638297872340423`", " ", "x"}], "+", 
      RowBox[{"0.10638297872340423`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"4.7299013641524665`*^7", " ", "x"}], "+", 
      RowBox[{"4.7299013641524665`*^7", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.10526315789473684`", " ", "x"}], "+", 
      RowBox[{"0.10526315789473684`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"6.90264277430174`*^7", " ", "x"}], "+", 
      RowBox[{"6.90264277430174`*^7", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.10416666666666666`", " ", "x"}], "+", 
      RowBox[{"0.10416666666666666`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.0113835612262662`*^8", " ", "x"}], "+", 
      RowBox[{"1.0113835612262662`*^8", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1030927835051546`", " ", "x"}], "+", 
      RowBox[{"0.1030927835051546`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"1.487830853233994`*^8", " ", "x"}], "+", 
      RowBox[{"1.487830853233994`*^8", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1020408163265306`", " ", "x"}], "+", 
      RowBox[{"0.1020408163265306`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"2.197497594772619`*^8", " ", "x"}], "+", 
      RowBox[{"2.197497594772619`*^8", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.101010101010101`", " ", "x"}], "+", 
      RowBox[{"0.101010101010101`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"3.258670388999785`*^8", " ", "x"}], "+", 
      RowBox[{"3.258670388999785`*^8", " ", "y"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1`", " ", "x"}], "+", 
      RowBox[{"0.1`", " ", "y"}]}], ",", 
     RowBox[{
      RowBox[{"4.851651954097903`*^8", " ", "x"}], "+", 
      RowBox[{"4.851651954097903`*^8", " ", "y"}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.607953673477624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"longexpression", " ", "=", " ", 
  RowBox[{"1", "+", 
   RowBox[{"4", " ", "r"}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["r", "2"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["r", "3"]}], "+", 
   SuperscriptBox["r", "4"], "+", 
   RowBox[{"4", " ", "s"}], "+", 
   RowBox[{"12", " ", "r", " ", "s"}], "+", 
   RowBox[{"12", " ", 
    SuperscriptBox["r", "2"], " ", "s"}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["r", "3"], " ", "s"}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["s", "2"]}], "+", 
   RowBox[{"12", " ", "r", " ", 
    SuperscriptBox["s", "2"]}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["r", "2"], " ", 
    SuperscriptBox["s", "2"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["s", "3"]}], "+", 
   RowBox[{"4", " ", "r", " ", 
    SuperscriptBox["s", "3"]}], "+", 
   SuperscriptBox["s", "4"]}]}]], "Input",
 CellChangeTimes->{{3.5440572528216896`*^9, 3.5440572932006893`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "7.627923469741905`*^13", ",", "7.627030601136922`*^13", ",", 
   "7.626090620840361`*^13", ",", "7.625112932564867`*^13", ",", 
   "7.624107314505289`*^13", ",", "7.623083821261366`*^13", ",", 
   "7.622052683104814`*^13", ",", "7.621024203608042`*^13", ",", 
   "7.62000865666348`*^13", ",", "7.619016183923661`*^13", ",", 
   "7.61805669368304`*^13", ",", "7.617139762203344`*^13", ",", 
   "7.616274538455362`*^13", ",", "7.615469653212038`*^13", ",", 
   "7.614733133380945`*^13", ",", "7.614072322409503`*^13", ",", 
   "7.613493807533961`*^13", ",", "7.613003354574311`*^13", ",", 
   "7.612605850902223`*^13", ",", "7.612305257128844`*^13", ",", 
   "7.61210456797445`*^13", ",", "7.612005782693289`*^13", ",", 
   "7.612009885335331`*^13", ",", "7.612116835032662`*^13", ",", 
   "7.612325566402873`*^13", ",", "7.612634000065598`*^13", ",", 
   "7.613039063172245`*^13", ",", "7.61353671975359`*^13", ",", 
   "7.614122010596189`*^13", ",", "7.614789102267028`*^13", ",", 
   "7.615531344817561`*^13", ",", "7.616341337613711`*^13", ",", 
   "7.617211002658536`*^13", ",", "7.618131664699742`*^13", ",", 
   "7.619094137345731`*^13", ",", "7.620088814352238`*^13", ",", 
   "7.621105765187403`*^13", ",", "7.622134833937119`*^13", ",", 
   "7.62316574057503`*^13", ",", "7.624188183593569`*^13", ",", 
   "7.625191942973895`*^13", ",", "7.626166982464336`*^13", ",", 
   "7.62710355013887`*^13", ",", "7.627992276219842`*^13", ",", 
   "7.628824267172112`*^13", ",", "7.629591195109639`*^13", ",", 
   "7.630285381599375`*^13", ",", "7.630899875001483`*^13", ",", 
   "7.631428520548338`*^13", ",", "7.631866022437369`*^13", ",", 
   "7.632207997293539`*^13", ",", "7.632451018445333`*^13", ",", 
   "7.632592650552797`*^13", ",", "7.63263147422604`*^13", ",", 
   "7.632567100376838`*^13", ",", "7.632400174153136`*^13", ",", 
   "7.63213236841533`*^13", ",", "7.631766366822534`*^13", ",", 
   "7.631305836705845`*^13", ",", "7.630755392012086`*^13", ",", 
   "7.630120546704805`*^13", ",", "7.629407659108034`*^13", ",", 
   "7.628623867771327`*^13", ",", "7.62777701952106`*^13", ",", 
   "7.62687559044171`*^13", ",", "7.625928600601219`*^13", ",", 
   "7.624945523395786`*^13", ",", "7.623936190440972`*^13", ",", 
   "7.622910692977553`*^13", ",", "7.621879280791503`*^13", ",", 
   "7.620852259668139`*^13", ",", "7.61983988841026`*^13", ",", 
   "7.618852276449652`*^13", ",", "7.617899283070388`*^13", ",", 
   "7.616990419241517`*^13", ",", "7.616134753026311`*^13", ",", 
   "7.615340819495614`*^13", ",", "7.614616536024767`*^13", ",", 
   "7.61396912379745`*^13", ",", "7.613405036276355`*^13", ",", 
   "7.612929895330634`*^13", ",", "7.612548435634072`*^13", ",", 
   "7.612264457866844`*^13", ",", "7.612080791168189`*^13", ",", 
   "7.611999265198142`*^13", ",", "7.61202069207434`*^13", ",", 
   "7.612144858355725`*^13", ",", "7.612370527149303`*^13", ",", 
   "7.61269545031999`*^13", ",", "7.613116390687405`*^13", ",", 
   "7.613629153998458`*^13", ",", "7.614228630371072`*^13", ",", 
   "7.614908844813388`*^13", ",", "7.615663016335098`*^13", ",", 
   "7.61648362508371`*^13", ",", "7.617362486859508`*^13", ",", 
   "7.61829083428945`*^13", ",", "7.6192594038728`*^13", ",", 
   "7.620258528050927`*^13", ",", "7.621278231400786`*^13", ",", 
   "7.622308330006969`*^13", ",", "7.623338533031392`*^13", ",", 
   "7.624358545473147`*^13", ",", "7.62535817109431`*^13", ",", 
   "7.62632741448088`*^13", ",", "7.627256581211823`*^13", ",", 
   "7.628136375123461`*^13", ",", "7.628957991681431`*^13", ",", 
   "7.629713206507848`*^13", ",", "7.630394458156947`*^13", ",", 
   "7.630994924288261`*^13", ",", "7.631508590451375`*^13", ",", 
   "7.631930310770347`*^13", ",", "7.632255859897877`*^13", ",", 
   "7.632481975698664`*^13", ",", "7.63260639221685`*^13", ",", 
   "7.632627862583294`*^13", ",", "7.632546171623117`*^13", ",", 
   "7.632362138031592`*^13", ",", "7.632077606095614`*^13", ",", 
   "7.631695427047386`*^13", ",", "7.631219430245362`*^13", ",", 
   "7.63065438448362`*^13", ",", "7.630005949833344`*^13", ",", 
   "7.629280620518002`*^13", ",", "7.628485659415792`*^13", ",", 
   "7.627629024868092`*^13", ",", "7.626719290550105`*^13", ",", 
   "7.625765559228753`*^13", ",", "7.62477737129251`*^13", ",", 
   "7.623764608987775`*^13", ",", "7.622737397336139`*^13", ",", 
   "7.621706002736166`*^13", ",", "7.620680730272064`*^13", ",", 
   "7.6196718207598`*^13", ",", "7.61868934855883`*^13", ",", 
   "7.6177431211651`*^13", ",", "7.616842581578461`*^13", ",", 
   "7.615996714405589`*^13", ",", "7.615213956618505`*^13", ",", 
   "7.61450211383922`*^13", ",", "7.613868282963714`*^13", ",", 
   "7.613318781873822`*^13", ",", "7.612859086914586`*^13", ",", 
   "7.612493778737734`*^13", ",", "7.612226497030058`*^13", ",", 
   "7.61205990455924`*^13", ",", "7.611995660880003`*^13", ",", 
   "7.612034405950828`*^13", ",", "7.612175753817117`*^13", ",", 
   "7.612418296420783`*^13", ",", "7.612759617500073`*^13", ",", 
   "7.613196316447498`*^13", ",", "7.613724041898764`*^13", ",", 
   "7.614337534732616`*^13", ",", "7.615030680070923`*^13", ",", 
   "7.615796567781272`*^13", ",", "7.616627560901192`*^13", ",", 
   "7.617515371325064`*^13", ",", "7.61845114202211`*^13", ",", 
   "7.619425534987647`*^13", ",", "7.620428824070566`*^13", ",", 
   "7.62145099176846`*^13", ",", "7.622481829038658`*^13", ",", 
   "7.623511037139062`*^13", ",", "7.624528330487847`*^13", ",", 
   "7.625523539515964`*^13", ",", "7.626486712481539`*^13", ",", 
   "7.62740821522077`*^13", ",", "7.628278827826086`*^13", ",", 
   "7.629089837268945`*^13", ",", "7.629833125021914`*^13", ",", 
   "7.630501248781988`*^13", ",", "7.631087517454481`*^13", ",", 
   "7.631586058623388`*^13", ",", "7.631991877809548`*^13", ",", 
   "7.632300908901234`*^13", ",", "7.632510055232242`*^13", ",", 
   "7.632617220879028`*^13", ",", "7.632621331849961`*^13", ",", 
   "7.632522346945081`*^13", ",", "7.632321258172723`*^13", ",", 
   "7.632020080718647`*^13", ",", "7.631621832572633`*^13", ",", 
   "7.63113050402566`*^13", ",", "7.630551017356298`*^13", ",", 
   "7.629889177126897`*^13", ",", "7.62915161160697`*^13", ",", 
   "7.628345705932252`*^13", ",", "7.627479527691695`*^13", ",", 
   "7.62656174571085`*^13", ",", "7.625601542867302`*^13", ",", 
   "7.624608523832005`*^13", ",", "7.623592618678489`*^13", ",", 
   "7.622563983339948`*^13", ",", "7.621532897921734`*^13", ",", 
   "7.620509663893742`*^13", ",", "7.619504501193566`*^13", ",", 
   "7.618527446267206`*^13", ",", "7.617588252059881`*^13", ",", 
   "7.61669629094534`*^13"}], "}"}]], "Output",
 CellChangeTimes->{3.607953673534624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Collect", "[", 
  RowBox[{"longexpression", ",", "s"}], "]"}]], "Input",
 CellChangeTimes->{
  3.5440573033266897`*^9, {3.5440575856436896`*^9, 3.5440575881726894`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "7.627923469741905`*^13", ",", "7.627030601136922`*^13", ",", 
   "7.626090620840361`*^13", ",", "7.625112932564867`*^13", ",", 
   "7.624107314505289`*^13", ",", "7.623083821261366`*^13", ",", 
   "7.622052683104814`*^13", ",", "7.621024203608042`*^13", ",", 
   "7.62000865666348`*^13", ",", "7.619016183923661`*^13", ",", 
   "7.61805669368304`*^13", ",", "7.617139762203344`*^13", ",", 
   "7.616274538455362`*^13", ",", "7.615469653212038`*^13", ",", 
   "7.614733133380945`*^13", ",", "7.614072322409503`*^13", ",", 
   "7.613493807533961`*^13", ",", "7.613003354574311`*^13", ",", 
   "7.612605850902223`*^13", ",", "7.612305257128844`*^13", ",", 
   "7.61210456797445`*^13", ",", "7.612005782693289`*^13", ",", 
   "7.612009885335331`*^13", ",", "7.612116835032662`*^13", ",", 
   "7.612325566402873`*^13", ",", "7.612634000065598`*^13", ",", 
   "7.613039063172245`*^13", ",", "7.61353671975359`*^13", ",", 
   "7.614122010596189`*^13", ",", "7.614789102267028`*^13", ",", 
   "7.615531344817561`*^13", ",", "7.616341337613711`*^13", ",", 
   "7.617211002658536`*^13", ",", "7.618131664699742`*^13", ",", 
   "7.619094137345731`*^13", ",", "7.620088814352238`*^13", ",", 
   "7.621105765187403`*^13", ",", "7.622134833937119`*^13", ",", 
   "7.62316574057503`*^13", ",", "7.624188183593569`*^13", ",", 
   "7.625191942973895`*^13", ",", "7.626166982464336`*^13", ",", 
   "7.62710355013887`*^13", ",", "7.627992276219842`*^13", ",", 
   "7.628824267172112`*^13", ",", "7.629591195109639`*^13", ",", 
   "7.630285381599375`*^13", ",", "7.630899875001483`*^13", ",", 
   "7.631428520548338`*^13", ",", "7.631866022437369`*^13", ",", 
   "7.632207997293539`*^13", ",", "7.632451018445333`*^13", ",", 
   "7.632592650552797`*^13", ",", "7.63263147422604`*^13", ",", 
   "7.632567100376838`*^13", ",", "7.632400174153136`*^13", ",", 
   "7.63213236841533`*^13", ",", "7.631766366822534`*^13", ",", 
   "7.631305836705845`*^13", ",", "7.630755392012086`*^13", ",", 
   "7.630120546704805`*^13", ",", "7.629407659108034`*^13", ",", 
   "7.628623867771327`*^13", ",", "7.62777701952106`*^13", ",", 
   "7.62687559044171`*^13", ",", "7.625928600601219`*^13", ",", 
   "7.624945523395786`*^13", ",", "7.623936190440972`*^13", ",", 
   "7.622910692977553`*^13", ",", "7.621879280791503`*^13", ",", 
   "7.620852259668139`*^13", ",", "7.61983988841026`*^13", ",", 
   "7.618852276449652`*^13", ",", "7.617899283070388`*^13", ",", 
   "7.616990419241517`*^13", ",", "7.616134753026311`*^13", ",", 
   "7.615340819495614`*^13", ",", "7.614616536024767`*^13", ",", 
   "7.61396912379745`*^13", ",", "7.613405036276355`*^13", ",", 
   "7.612929895330634`*^13", ",", "7.612548435634072`*^13", ",", 
   "7.612264457866844`*^13", ",", "7.612080791168189`*^13", ",", 
   "7.611999265198142`*^13", ",", "7.61202069207434`*^13", ",", 
   "7.612144858355725`*^13", ",", "7.612370527149303`*^13", ",", 
   "7.61269545031999`*^13", ",", "7.613116390687405`*^13", ",", 
   "7.613629153998458`*^13", ",", "7.614228630371072`*^13", ",", 
   "7.614908844813388`*^13", ",", "7.615663016335098`*^13", ",", 
   "7.61648362508371`*^13", ",", "7.617362486859508`*^13", ",", 
   "7.61829083428945`*^13", ",", "7.6192594038728`*^13", ",", 
   "7.620258528050927`*^13", ",", "7.621278231400786`*^13", ",", 
   "7.622308330006969`*^13", ",", "7.623338533031392`*^13", ",", 
   "7.624358545473147`*^13", ",", "7.62535817109431`*^13", ",", 
   "7.62632741448088`*^13", ",", "7.627256581211823`*^13", ",", 
   "7.628136375123461`*^13", ",", "7.628957991681431`*^13", ",", 
   "7.629713206507848`*^13", ",", "7.630394458156947`*^13", ",", 
   "7.630994924288261`*^13", ",", "7.631508590451375`*^13", ",", 
   "7.631930310770347`*^13", ",", "7.632255859897877`*^13", ",", 
   "7.632481975698664`*^13", ",", "7.63260639221685`*^13", ",", 
   "7.632627862583294`*^13", ",", "7.632546171623117`*^13", ",", 
   "7.632362138031592`*^13", ",", "7.632077606095614`*^13", ",", 
   "7.631695427047386`*^13", ",", "7.631219430245362`*^13", ",", 
   "7.63065438448362`*^13", ",", "7.630005949833344`*^13", ",", 
   "7.629280620518002`*^13", ",", "7.628485659415792`*^13", ",", 
   "7.627629024868092`*^13", ",", "7.626719290550105`*^13", ",", 
   "7.625765559228753`*^13", ",", "7.62477737129251`*^13", ",", 
   "7.623764608987775`*^13", ",", "7.622737397336139`*^13", ",", 
   "7.621706002736166`*^13", ",", "7.620680730272064`*^13", ",", 
   "7.6196718207598`*^13", ",", "7.61868934855883`*^13", ",", 
   "7.6177431211651`*^13", ",", "7.616842581578461`*^13", ",", 
   "7.615996714405589`*^13", ",", "7.615213956618505`*^13", ",", 
   "7.61450211383922`*^13", ",", "7.613868282963714`*^13", ",", 
   "7.613318781873822`*^13", ",", "7.612859086914586`*^13", ",", 
   "7.612493778737734`*^13", ",", "7.612226497030058`*^13", ",", 
   "7.61205990455924`*^13", ",", "7.611995660880003`*^13", ",", 
   "7.612034405950828`*^13", ",", "7.612175753817117`*^13", ",", 
   "7.612418296420783`*^13", ",", "7.612759617500073`*^13", ",", 
   "7.613196316447498`*^13", ",", "7.613724041898764`*^13", ",", 
   "7.614337534732616`*^13", ",", "7.615030680070923`*^13", ",", 
   "7.615796567781272`*^13", ",", "7.616627560901192`*^13", ",", 
   "7.617515371325064`*^13", ",", "7.61845114202211`*^13", ",", 
   "7.619425534987647`*^13", ",", "7.620428824070566`*^13", ",", 
   "7.62145099176846`*^13", ",", "7.622481829038658`*^13", ",", 
   "7.623511037139062`*^13", ",", "7.624528330487847`*^13", ",", 
   "7.625523539515964`*^13", ",", "7.626486712481539`*^13", ",", 
   "7.62740821522077`*^13", ",", "7.628278827826086`*^13", ",", 
   "7.629089837268945`*^13", ",", "7.629833125021914`*^13", ",", 
   "7.630501248781988`*^13", ",", "7.631087517454481`*^13", ",", 
   "7.631586058623388`*^13", ",", "7.631991877809548`*^13", ",", 
   "7.632300908901234`*^13", ",", "7.632510055232242`*^13", ",", 
   "7.632617220879028`*^13", ",", "7.632621331849961`*^13", ",", 
   "7.632522346945081`*^13", ",", "7.632321258172723`*^13", ",", 
   "7.632020080718647`*^13", ",", "7.631621832572633`*^13", ",", 
   "7.63113050402566`*^13", ",", "7.630551017356298`*^13", ",", 
   "7.629889177126897`*^13", ",", "7.62915161160697`*^13", ",", 
   "7.628345705932252`*^13", ",", "7.627479527691695`*^13", ",", 
   "7.62656174571085`*^13", ",", "7.625601542867302`*^13", ",", 
   "7.624608523832005`*^13", ",", "7.623592618678489`*^13", ",", 
   "7.622563983339948`*^13", ",", "7.621532897921734`*^13", ",", 
   "7.620509663893742`*^13", ",", "7.619504501193566`*^13", ",", 
   "7.618527446267206`*^13", ",", "7.617588252059881`*^13", ",", 
   "7.61669629094534`*^13"}], "}"}]], "Output",
 CellChangeTimes->{3.607953673576624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Collect", "[", 
  RowBox[{"longexpression", ",", "s", ",", " ", "Simplify"}], "]"}]], "Input",
 CellChangeTimes->{{3.5440573317786894`*^9, 3.5440573340106897`*^9}, {
  3.54405759190469*^9, 3.5440575945636897`*^9}, {3.58678424248044*^9, 
  3.586784243672435*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "7.627923469741905`*^13", ",", "7.627030601136922`*^13", ",", 
   "7.626090620840361`*^13", ",", "7.625112932564867`*^13", ",", 
   "7.624107314505289`*^13", ",", "7.623083821261366`*^13", ",", 
   "7.622052683104814`*^13", ",", "7.621024203608042`*^13", ",", 
   "7.62000865666348`*^13", ",", "7.619016183923661`*^13", ",", 
   "7.61805669368304`*^13", ",", "7.617139762203344`*^13", ",", 
   "7.616274538455362`*^13", ",", "7.615469653212038`*^13", ",", 
   "7.614733133380945`*^13", ",", "7.614072322409503`*^13", ",", 
   "7.613493807533961`*^13", ",", "7.613003354574311`*^13", ",", 
   "7.612605850902223`*^13", ",", "7.612305257128844`*^13", ",", 
   "7.61210456797445`*^13", ",", "7.612005782693289`*^13", ",", 
   "7.612009885335331`*^13", ",", "7.612116835032662`*^13", ",", 
   "7.612325566402873`*^13", ",", "7.612634000065598`*^13", ",", 
   "7.613039063172245`*^13", ",", "7.61353671975359`*^13", ",", 
   "7.614122010596189`*^13", ",", "7.614789102267028`*^13", ",", 
   "7.615531344817561`*^13", ",", "7.616341337613711`*^13", ",", 
   "7.617211002658536`*^13", ",", "7.618131664699742`*^13", ",", 
   "7.619094137345731`*^13", ",", "7.620088814352238`*^13", ",", 
   "7.621105765187403`*^13", ",", "7.622134833937119`*^13", ",", 
   "7.62316574057503`*^13", ",", "7.624188183593569`*^13", ",", 
   "7.625191942973895`*^13", ",", "7.626166982464336`*^13", ",", 
   "7.62710355013887`*^13", ",", "7.627992276219842`*^13", ",", 
   "7.628824267172112`*^13", ",", "7.629591195109639`*^13", ",", 
   "7.630285381599375`*^13", ",", "7.630899875001483`*^13", ",", 
   "7.631428520548338`*^13", ",", "7.631866022437369`*^13", ",", 
   "7.632207997293539`*^13", ",", "7.632451018445333`*^13", ",", 
   "7.632592650552797`*^13", ",", "7.63263147422604`*^13", ",", 
   "7.632567100376838`*^13", ",", "7.632400174153136`*^13", ",", 
   "7.63213236841533`*^13", ",", "7.631766366822534`*^13", ",", 
   "7.631305836705845`*^13", ",", "7.630755392012086`*^13", ",", 
   "7.630120546704805`*^13", ",", "7.629407659108034`*^13", ",", 
   "7.628623867771327`*^13", ",", "7.62777701952106`*^13", ",", 
   "7.62687559044171`*^13", ",", "7.625928600601219`*^13", ",", 
   "7.624945523395786`*^13", ",", "7.623936190440972`*^13", ",", 
   "7.622910692977553`*^13", ",", "7.621879280791503`*^13", ",", 
   "7.620852259668139`*^13", ",", "7.61983988841026`*^13", ",", 
   "7.618852276449652`*^13", ",", "7.617899283070388`*^13", ",", 
   "7.616990419241517`*^13", ",", "7.616134753026311`*^13", ",", 
   "7.615340819495614`*^13", ",", "7.614616536024767`*^13", ",", 
   "7.61396912379745`*^13", ",", "7.613405036276355`*^13", ",", 
   "7.612929895330634`*^13", ",", "7.612548435634072`*^13", ",", 
   "7.612264457866844`*^13", ",", "7.612080791168189`*^13", ",", 
   "7.611999265198142`*^13", ",", "7.61202069207434`*^13", ",", 
   "7.612144858355725`*^13", ",", "7.612370527149303`*^13", ",", 
   "7.61269545031999`*^13", ",", "7.613116390687405`*^13", ",", 
   "7.613629153998458`*^13", ",", "7.614228630371072`*^13", ",", 
   "7.614908844813388`*^13", ",", "7.615663016335098`*^13", ",", 
   "7.61648362508371`*^13", ",", "7.617362486859508`*^13", ",", 
   "7.61829083428945`*^13", ",", "7.6192594038728`*^13", ",", 
   "7.620258528050927`*^13", ",", "7.621278231400786`*^13", ",", 
   "7.622308330006969`*^13", ",", "7.623338533031392`*^13", ",", 
   "7.624358545473147`*^13", ",", "7.62535817109431`*^13", ",", 
   "7.62632741448088`*^13", ",", "7.627256581211823`*^13", ",", 
   "7.628136375123461`*^13", ",", "7.628957991681431`*^13", ",", 
   "7.629713206507848`*^13", ",", "7.630394458156947`*^13", ",", 
   "7.630994924288261`*^13", ",", "7.631508590451375`*^13", ",", 
   "7.631930310770347`*^13", ",", "7.632255859897877`*^13", ",", 
   "7.632481975698664`*^13", ",", "7.63260639221685`*^13", ",", 
   "7.632627862583294`*^13", ",", "7.632546171623117`*^13", ",", 
   "7.632362138031592`*^13", ",", "7.632077606095614`*^13", ",", 
   "7.631695427047386`*^13", ",", "7.631219430245362`*^13", ",", 
   "7.63065438448362`*^13", ",", "7.630005949833344`*^13", ",", 
   "7.629280620518002`*^13", ",", "7.628485659415792`*^13", ",", 
   "7.627629024868092`*^13", ",", "7.626719290550105`*^13", ",", 
   "7.625765559228753`*^13", ",", "7.62477737129251`*^13", ",", 
   "7.623764608987775`*^13", ",", "7.622737397336139`*^13", ",", 
   "7.621706002736166`*^13", ",", "7.620680730272064`*^13", ",", 
   "7.6196718207598`*^13", ",", "7.61868934855883`*^13", ",", 
   "7.6177431211651`*^13", ",", "7.616842581578461`*^13", ",", 
   "7.615996714405589`*^13", ",", "7.615213956618505`*^13", ",", 
   "7.61450211383922`*^13", ",", "7.613868282963714`*^13", ",", 
   "7.613318781873822`*^13", ",", "7.612859086914586`*^13", ",", 
   "7.612493778737734`*^13", ",", "7.612226497030058`*^13", ",", 
   "7.61205990455924`*^13", ",", "7.611995660880003`*^13", ",", 
   "7.612034405950828`*^13", ",", "7.612175753817117`*^13", ",", 
   "7.612418296420783`*^13", ",", "7.612759617500073`*^13", ",", 
   "7.613196316447498`*^13", ",", "7.613724041898764`*^13", ",", 
   "7.614337534732616`*^13", ",", "7.615030680070923`*^13", ",", 
   "7.615796567781272`*^13", ",", "7.616627560901192`*^13", ",", 
   "7.617515371325064`*^13", ",", "7.61845114202211`*^13", ",", 
   "7.619425534987647`*^13", ",", "7.620428824070566`*^13", ",", 
   "7.62145099176846`*^13", ",", "7.622481829038658`*^13", ",", 
   "7.623511037139062`*^13", ",", "7.624528330487847`*^13", ",", 
   "7.625523539515964`*^13", ",", "7.626486712481539`*^13", ",", 
   "7.62740821522077`*^13", ",", "7.628278827826086`*^13", ",", 
   "7.629089837268945`*^13", ",", "7.629833125021914`*^13", ",", 
   "7.630501248781988`*^13", ",", "7.631087517454481`*^13", ",", 
   "7.631586058623388`*^13", ",", "7.631991877809548`*^13", ",", 
   "7.632300908901234`*^13", ",", "7.632510055232242`*^13", ",", 
   "7.632617220879028`*^13", ",", "7.632621331849961`*^13", ",", 
   "7.632522346945081`*^13", ",", "7.632321258172723`*^13", ",", 
   "7.632020080718647`*^13", ",", "7.631621832572633`*^13", ",", 
   "7.63113050402566`*^13", ",", "7.630551017356298`*^13", ",", 
   "7.629889177126897`*^13", ",", "7.62915161160697`*^13", ",", 
   "7.628345705932252`*^13", ",", "7.627479527691695`*^13", ",", 
   "7.62656174571085`*^13", ",", "7.625601542867302`*^13", ",", 
   "7.624608523832005`*^13", ",", "7.623592618678489`*^13", ",", 
   "7.622563983339948`*^13", ",", "7.621532897921734`*^13", ",", 
   "7.620509663893742`*^13", ",", "7.619504501193566`*^13", ",", 
   "7.618527446267206`*^13", ",", "7.617588252059881`*^13", ",", 
   "7.61669629094534`*^13"}], "}"}]], "Output",
 CellChangeTimes->{3.607953673775624*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n\nCollect is one of the subtlest functions of that bunch. It attempts to \
group the expression in powers of the specified variable. The \
\[OpenCurlyDoubleQuote]Simplify\[CloseCurlyDoubleQuote] option is a \
nice/helpful touch."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405550786896`*^9, 
   3.5440405849196897`*^9}, {3.5440406513876896`*^9, 3.5440407745336895`*^9}, 
   3.54404372737169*^9, {3.5440438889466896`*^9, 3.5440438991206894`*^9}, {
   3.54404414915469*^9, 3.5440444668016896`*^9}, {3.5440545728096895`*^9, 
   3.54405459046869*^9}, {3.54405704781269*^9, 3.5440571266066895`*^9}, {
   3.5440574077506895`*^9, 3.5440576770246897`*^9}, {3.5440586683616896`*^9, 
   3.54405869466669*^9}, {3.5440587608876896`*^9, 3.5440588852176895`*^9}, {
   3.5441002224087057`*^9, 3.5441003602935925`*^9}, {3.5441861930082235`*^9, 
   3.5441862357481003`*^9}, {3.5441954225589385`*^9, 3.544195423766059*^9}, {
   3.5442007412253933`*^9, 3.5442007715604267`*^9}, 3.5442009942386923`*^9, {
   3.5443007187427425`*^9, 3.5443007225017424`*^9}, {3.5557618660622053`*^9, 
   3.5557618666832676`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Cosmetics", "Section",
 CellChangeTimes->{{3.5440435253026896`*^9, 3.5440435357036896`*^9}, {
   3.544060044838461*^9, 3.5440600476722703`*^9}, {3.5440634636160326`*^9, 
   3.5440634638560567`*^9}, 3.5618338527560244`*^9}],

Cell["\<\
Here are various ways you can clean up the look of your notebooks. You don\
\[CloseCurlyQuote]t have to try them all out, but do look them over so that \
when the need arises you can say to yourself, \[OpenCurlyDoubleQuote]Wasn\
\[CloseCurlyQuote]t there something about this in Lab1?\
\[CloseCurlyDoubleQuote]\
\>", "Text",
 CellChangeTimes->{{3.544062246930376*^9, 3.5440622586705503`*^9}, {
  3.5440634182905006`*^9, 3.54406343018569*^9}, {3.544201299017167*^9, 
  3.544201333770642*^9}, {3.5442024546197157`*^9, 3.5442024629865522`*^9}, {
  3.5550760474130244`*^9, 3.5550760475010333`*^9}}],

Cell[CellGroupData[{

Cell["How to make input cells look pretty", "Subsection",
 CellChangeTimes->{{3.4275047198753443`*^9, 3.427504725891008*^9}, {
  3.4275416161739793`*^9, 3.4275416171427355`*^9}, {3.4275417017057767`*^9, 
  3.4275417061901803`*^9}, {3.431182770469048*^9, 3.43118277189095*^9}, {
  3.5440621998596697`*^9, 3.5440622194006233`*^9}, {3.54410098878554*^9, 
  3.5441009996331606`*^9}, {3.544101088490243*^9, 3.544101094315576*^9}}],

Cell[TextData[{
 "I personally prefer to type equations/expressions exactly the way you\
\[CloseCurlyQuote]ve seen in this notebook so far, typing them out using \
function names/parentheses/etc. However, some prefer using the math input \
\[OpenCurlyDoubleQuote]palette\[CloseCurlyDoubleQuote] to help you type them \
in. You can open that palette via ",
 StyleBox["Palettes",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Basic Math Assistant. ",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "Explore the options there if you\[CloseCurlyQuote]d like.That palette has a \
host of formatting capabilities. One of those is the ability to add Greek \
letters (they are under \[OpenCurlyDoubleQuote]Typesetting\
\[CloseCurlyDoubleQuote])--but if that\[CloseCurlyQuote]s all you need, my \
own preference to get Greek letters is via the ",
 StyleBox["Insert",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Special Character ",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "menu item. Or even better, type ",
 StyleBox["Esc",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 ", then the name of the letter, then ",
 StyleBox["Esc",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " again. \n\nYou can also accomplish many formatting tasks using keyboard \
shortcuts. See for example the documentation on ",
 StyleBox[ButtonBox["Two-Dimensional Input",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/EnteringTwoDimensionalInput"],
  FontWeight->"Bold"],
 " and ",
 StyleBox[ButtonBox["Special Characters",
  BaseStyle->"Link",
  ButtonData->"paclet://guide/SpecialCharacters"],
  FontWeight->"Bold"],
 ". "
}], "Text",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.427501750684467*^9}, {3.4275023295319214`*^9, 3.4275025352988634`*^9}, {
   3.427502626549447*^9, 3.427502813128766*^9}, {3.4275028680353675`*^9, 
   3.4275028681603684`*^9}, {3.42750291675443*^9, 3.4275030273176374`*^9}, {
   3.4275033879449453`*^9, 3.4275035765399017`*^9}, {3.427503718259559*^9, 
   3.4275037243689733`*^9}, {3.4275046894376497`*^9, 3.427504699375213*^9}, {
   3.427504730031659*^9, 3.42750473015666*^9}, {3.427504791016425*^9, 
   3.4275052086753473`*^9}, {3.4275052608631816`*^9, 
   3.4275052617538123`*^9}, {3.427505293707142*^9, 3.42750538644211*^9}, {
   3.427505456864436*^9, 3.4275054595519533`*^9}, {3.4275441049196467`*^9, 
   3.4275441516543207`*^9}, {3.427544189607689*^9, 3.4275442045921593`*^9}, {
   3.427544235732984*^9, 3.4275442464361773`*^9}, {3.4275442846239223`*^9, 
   3.4275443490774593`*^9}, {3.4298840480684366`*^9, 
   3.4298840730753803`*^9}, {3.433262309229448*^9, 3.4332623099638414`*^9}, {
   3.4396636717699995`*^9, 3.439663680004427*^9}, {3.43966376637998*^9, 
   3.439663793020776*^9}, {3.4396762436875896`*^9, 3.439676245468851*^9}, {
   3.544100417937889*^9, 3.544100635865354*^9}, {3.544100669606284*^9, 
   3.5441006841541157`*^9}, {3.5441007142988405`*^9, 
   3.5441009625650406`*^9}, {3.544101016884147*^9, 3.544101076234542*^9}, {
   3.544120132743512*^9, 3.5441201505505304`*^9}, {3.5441202091048794`*^9, 
   3.544120209360894*^9}, {3.561836137991525*^9, 3.561836159650691*^9}, {
   3.59631262563974*^9, 3.5963126611602917`*^9}, {3.607951499216624*^9, 
   3.607951543260624*^9}, 3.6079516613656235`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Changing the \[OpenCurlyDoubleQuote]style\[CloseCurlyDoubleQuote] of a \
cell", "Subsection",
 CellChangeTimes->{{3.4274911607260666`*^9, 3.4274911645073404`*^9}, {
   3.427498178395979*^9, 3.4274981808022447`*^9}, {3.4275056842252665`*^9, 
   3.4275056870690346`*^9}, {3.427541684580667*^9, 3.427541687268184*^9}, 
   3.427574135830593*^9, {3.4311827796098485`*^9, 3.4311827809848747`*^9}, 
   3.439664094928958*^9, {3.544062316918374*^9, 3.5440623494336257`*^9}}],

Cell["\<\
The most helpful thing under the Format menu is setting the style of a cell, \
under Format \[RightArrow] Style \[RightArrow] < various styles > . That \
allows you to change a cell to Text style, for example, so that it won\
\[CloseCurlyQuote]t be evaluated as input, or to create section titles, \
bullet points, and so forth. Try changing this cell to a different style to \
see what happens, resetting it to \[OpenCurlyDoubleQuote]Text\
\[CloseCurlyDoubleQuote] when you are done. Be sure to select the whole cell \
as you do this by first clicking on the relevant vertical bar on the right.\
\>", "Text",
 CellChangeTimes->{{3.427491178913683*^9, 3.427491271664276*^9}, {
   3.427491335789687*^9, 3.427491342274103*^9}, {3.427491381696231*^9, 
   3.427491437368462*^9}, {3.427491530369057*^9, 3.4274915791662445`*^9}, {
   3.427498477366643*^9, 3.427498521679426*^9}, {3.4274985754141455`*^9, 
   3.4274987517121487`*^9}, {3.427498863822241*^9, 3.427498950213419*^9}, {
   3.4274989926824408`*^9, 3.427499250887218*^9}, {3.4274992871062*^9, 
   3.427499316606389*^9}, {3.4274993473253355`*^9, 3.427499799593855*^9}, {
   3.4274998381097264`*^9, 3.4274999172977333`*^9}, {3.427500062548663*^9, 
   3.427500070454963*^9}, {3.427500206955837*^9, 3.4275002357841463`*^9}, {
   3.4275003600036917`*^9, 3.4275003609099474`*^9}, {3.4275005522080464`*^9, 
   3.4275005595830936`*^9}, {3.4275007720375786`*^9, 3.427500776678233*^9}, {
   3.4275010020859256`*^9, 3.4275011419930716`*^9}, 3.427504618030943*^9, {
   3.4275413568285694`*^9, 3.4275414390009704`*^9}, {3.4396633373928595`*^9, 
   3.439663338127239*^9}, 3.4396633763618593`*^9, {3.4396760731239977`*^9, 
   3.439676075108386*^9}, {3.5440623517708592`*^9, 3.5440625797766576`*^9}, {
   3.544120329383759*^9, 3.5441204372649293`*^9}, {3.5441204685517187`*^9, 
   3.5441204729699717`*^9}, {3.561836190184744*^9, 3.5618361916408896`*^9}, {
   3.607951613734624*^9, 3.607951621496624*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Changing the appearance of the whole notebook", "Subsection",
 CellChangeTimes->{{3.544062509423623*^9, 3.544062515207201*^9}, 
   3.54406258630231*^9}],

Cell[TextData[{
 "The ",
 StyleBox["Format",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Stylesheet",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 StyleBox[" ",
  FontWeight->"Bold"],
 "submenu changes the look and feel of the whole notebook by altering the \
fonts and colors associated with each style.  The stylesheet used here is the \
",
 StyleBox["Report",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["StandardReport",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 StyleBox[" ",
  FontSlant->"Italic"],
 "stylesheet. Try changing this just for fun. You can edit existing \
stylesheets or even create new ones.\n\nAlso, ",
 StyleBox["Control-Mousewheel",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " is a nice trick for making the text of the whole document get bigger or \
smaller, just as in most web browsers."
}], "Text",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.4275020040923386`*^9}, {3.4275020598739457`*^9, 
   3.4275022012498503`*^9}, {3.427502238218837*^9, 3.4275022611564837`*^9}, {
   3.427541148483486*^9, 3.427541183921213*^9}, {3.42754121632767*^9, 
   3.427541267828*^9}, {3.4275414821262465`*^9, 3.4275415819393854`*^9}, {
   3.4275433055864058`*^9, 3.427543323680272*^9}, {3.427543537650391*^9, 
   3.4275439561686945`*^9}, {3.42754400621589*^9, 3.4275440345754466`*^9}, {
   3.4396633031895156`*^9, 3.439663303736394*^9}, {3.4396633405178795`*^9, 
   3.439663391236954*^9}, {3.4396759342637343`*^9, 3.439675956670128*^9}, 
   3.4396761159055223`*^9, {3.5440625959762774`*^9, 3.5440626193796177`*^9}, {
   3.544120485677698*^9, 3.5441205134582872`*^9}, {3.544195524474129*^9, 
   3.544195580826764*^9}, {3.5618362321619415`*^9, 3.561836246010326*^9}, {
   3.5859274939136057`*^9, 3.585927500384605*^9}, {3.585927553550905*^9, 
   3.5859275763478403`*^9}, {3.586787202553129*^9, 3.586787227360992*^9}, {
   3.596312752291404*^9, 3.596312778195994*^9}, 3.6079516339276237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Changing the appearance of individual words", "Subsection",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.4275020040923386`*^9}, {3.4275020598739457`*^9, 
   3.4275022012498503`*^9}, {3.427502238218837*^9, 3.4275022611564837`*^9}, {
   3.427541148483486*^9, 3.427541183921213*^9}, {3.42754121632767*^9, 
   3.427541267828*^9}, {3.4275414821262465`*^9, 3.4275415819393854`*^9}, {
   3.4275433055864058`*^9, 3.427543323680272*^9}, {3.427543537650391*^9, 
   3.4275439561686945`*^9}, {3.42754400621589*^9, 3.4275440345754466`*^9}, {
   3.4396633031895156`*^9, 3.439663303736394*^9}, {3.4396633405178795`*^9, 
   3.439663391236954*^9}, {3.4396759342637343`*^9, 3.439675956670128*^9}, 
   3.4396761159055223`*^9, {3.5440625959762774`*^9, 3.5440626220198812`*^9}, {
   3.5440626561542945`*^9, 3.544062661127792*^9}}],

Cell[TextData[{
 "As in most word processors, ",
 StyleBox["Control-B",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " and ",
 StyleBox["Control-I",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " produce bolded and/or italicized text.  The ",
 StyleBox["Format",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " menu options can also be used to alter the font/face/size/color of a \
specific word or phrase, though I myself don\[CloseCurlyQuote]t often bother \
with that capability."
}], "Text",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.4275020040923386`*^9}, {3.4275020598739457`*^9, 
   3.4275022012498503`*^9}, {3.427502238218837*^9, 3.4275022611564837`*^9}, {
   3.427541148483486*^9, 3.427541183921213*^9}, {3.42754121632767*^9, 
   3.427541267828*^9}, {3.4275414821262465`*^9, 3.4275415819393854`*^9}, {
   3.4275433055864058`*^9, 3.427543323680272*^9}, {3.427543537650391*^9, 
   3.4275439561686945`*^9}, {3.42754400621589*^9, 3.4275440345754466`*^9}, {
   3.4396633031895156`*^9, 3.439663303736394*^9}, {3.4396633405178795`*^9, 
   3.439663391236954*^9}, {3.4396759342637343`*^9, 3.439675956670128*^9}, 
   3.4396761159055223`*^9, {3.5440625959762774`*^9, 3.5440626220198812`*^9}, {
   3.5440626655732365`*^9, 3.5440627172434025`*^9}, {3.5441205789720345`*^9, 
   3.5441206038104553`*^9}, {3.561836264020127*^9, 3.561836307188443*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Splitting/merging cells", "Subsection",
 CellChangeTimes->{{3.544062741598838*^9, 3.544062751634842*^9}}],

Cell[TextData[{
 "The ",
 StyleBox["Cell",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Divide Cell",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " and ",
 StyleBox["Cell",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Merge Cells",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " options can sometimes be quite useful.  In the input cell below, place \
your cursor at the beginning of the second expression and split the cell into \
two separate cells.  Then select both cells and merge them back together \
again.  When the cells split or merge, notice that the cell brackets at the \
right also split and merge."
}], "Text",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.4275020040923386`*^9}, {3.4275020598739457`*^9, 
   3.4275022012498503`*^9}, {3.427502238218837*^9, 3.4275022611564837`*^9}, 
   3.4275022935941916`*^9, {3.4275985770360765`*^9, 3.4275986057237597`*^9}, {
   3.439663441096648*^9, 3.4396634622530336`*^9}, {3.439663524878434*^9, 
   3.439663528456582*^9}, {3.5440627621728954`*^9, 3.544062792340912*^9}, {
   3.5441206189443207`*^9, 3.544120628148847*^9}, {3.5963128098461585`*^9, 
   3.5963128107182455`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"1", "+", "1"}], "\n", 
 RowBox[{"2", "/", "2"}]}], "Input",
 CellChangeTimes->{{3.427502022467456*^9, 3.4275020379988055`*^9}, {
  3.4275021723121653`*^9, 3.427502224937502*^9}}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.607953673817624*^9}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.607953673821624*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to \[OpenCurlyDoubleQuote]clean up\[CloseCurlyDoubleQuote] output \
cells", "Subsection",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.427501750684467*^9}, {3.4275023295319214`*^9, 3.4275025352988634`*^9}, {
   3.427502626549447*^9, 3.427502813128766*^9}, {3.4275028680353675`*^9, 
   3.4275028681603684`*^9}, {3.42750291675443*^9, 3.4275030273176374`*^9}, {
   3.4275033879449453`*^9, 3.4275035765399017`*^9}, {3.427503718259559*^9, 
   3.4275037243689733`*^9}, {3.4275046894376497`*^9, 3.427504699375213*^9}, {
   3.4275063590889606`*^9, 3.4275064107455406`*^9}, {3.427598472660408*^9, 
   3.4275985725204225`*^9}, {3.427598640223981*^9, 3.427598970897972*^9}, {
   3.4275990592891626`*^9, 3.4275991133207583`*^9}, {3.427599170743001*^9, 
   3.4275993107751474`*^9}, {3.4275994880575314`*^9, 
   3.4275996092926826`*^9}, {3.4275996540585938`*^9, 
   3.4275998294972167`*^9}, {3.4275998609817934`*^9, 3.4276000833582163`*^9}, 
   3.4293341432736683`*^9, {3.4396634532842264`*^9, 3.4396634762218733`*^9}, {
   3.4396635089564576`*^9, 3.4396636458010836`*^9}, {3.439676144655706*^9, 
   3.4396761642652063`*^9}, 3.544062817244402*^9, {3.5440629455752335`*^9, 
   3.54406305534921*^9}, {3.5440631113398085`*^9, 3.544063187451419*^9}}],

Cell[TextData[{
 "The ",
 StyleBox["Cell",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Delete All Output",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " option deletes every output cell in the entire notebook.  This can be \
useful when cleaning up your notebook at the end of a session, but it can't \
be undone (although, as mentioned above, you can do a Control-A followed by \
shift-enter to reevaluate everything from scratch)."
}], "Text",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.427501750684467*^9}, {3.4275023295319214`*^9, 3.4275025352988634`*^9}, {
   3.427502626549447*^9, 3.427502813128766*^9}, {3.4275028680353675`*^9, 
   3.4275028681603684`*^9}, {3.42750291675443*^9, 3.4275030273176374`*^9}, {
   3.4275033879449453`*^9, 3.4275035765399017`*^9}, {3.427503718259559*^9, 
   3.4275037243689733`*^9}, {3.4275046894376497`*^9, 3.427504699375213*^9}, {
   3.4275063590889606`*^9, 3.4275064107455406`*^9}, {3.427598472660408*^9, 
   3.4275985725204225`*^9}, {3.427598640223981*^9, 3.427598970897972*^9}, {
   3.4275990592891626`*^9, 3.4275991133207583`*^9}, {3.427599170743001*^9, 
   3.4275993107751474`*^9}, {3.4275994880575314`*^9, 
   3.4275996092926826`*^9}, {3.4275996540585938`*^9, 
   3.4275998294972167`*^9}, {3.4275998609817934`*^9, 3.4276000833582163`*^9}, 
   3.4293341432736683`*^9, {3.4396634532842264`*^9, 3.4396634762218733`*^9}, {
   3.4396635089564576`*^9, 3.4396636458010836`*^9}, {3.439676144655706*^9, 
   3.4396761642652063`*^9}, 3.544062817244402*^9, {3.5440629455752335`*^9, 
   3.54406305534921*^9}, {3.5440631113398085`*^9, 3.544063219918665*^9}, {
   3.544120657504526*^9, 3.544120701118021*^9}, {3.596312823590533*^9, 
   3.5963128238295565`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["A glipse behind the curtain", "Section",
 CellChangeTimes->{{3.5440634706287336`*^9, 3.5440635140780783`*^9}, {
   3.5440635515218225`*^9, 3.544063556071277*^9}, {3.5441207547420883`*^9, 
   3.544120763712601*^9}, 3.561833854988248*^9}],

Cell[CellGroupData[{

Cell["Functions that are behind the shorthand", "Subsection",
 CellChangeTimes->{{3.399757826043294*^9, 3.399757827214719*^9}, {
   3.405698984477128*^9, 3.405699020024458*^9}, {3.40570250811598*^9, 
   3.4057025090222416`*^9}, {3.4057213325623555`*^9, 
   3.4057213330628195`*^9}, {3.4275086610255675`*^9, 3.427508662056824*^9}, {
   3.427543135334654*^9, 3.427543137194065*^9}, {3.4311828624239388`*^9, 
   3.4311828855493827`*^9}, {3.544061807644452*^9, 3.5440618341611032`*^9}, 
   3.5440634510227737`*^9}],

Cell[TextData[{
 "All ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " expressions down to something as simple as \[OpenCurlyDoubleQuote]2 + 2\
\[CloseCurlyDoubleQuote] can be written as function calls. Here is what ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " really is \[OpenCurlyDoubleQuote]thinking\[CloseCurlyDoubleQuote] when you \
type in some simple things."
}], "Text",
 CellChangeTimes->{{3.427508358883009*^9, 3.4275086207596846`*^9}, {
   3.429157030278156*^9, 3.4291570313718987`*^9}, {3.4396662764585447`*^9, 
   3.439666285396102*^9}, {3.5440618393116183`*^9, 3.5440619061713037`*^9}, {
   3.54406194494118*^9, 3.544062030473733*^9}, 3.5440634510227737`*^9, {
   3.544120772816122*^9, 3.5441207748712397`*^9}, {3.5441208476224003`*^9, 
   3.544120883781469*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"3", "+", "4", "+", "5"}], "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plus", "[", 
   RowBox[{"3", ",", "4", ",", "5"}], "]"}], "  "}]}], "Input",
 CellChangeTimes->{{3.399757833274891*^9, 3.399757846504184*^9}, {
   3.401125874904126*^9, 3.4011258781667624`*^9}, {3.4056980029401383`*^9, 
   3.4056980465966344`*^9}, {3.4056989994616947`*^9, 
   3.4056990001492033`*^9}, {3.4057093239507947`*^9, 3.405709337302889*^9}, {
   3.5440619144711337`*^9, 3.5440619197736635`*^9}, {3.5440619565263386`*^9, 
   3.5440619748701725`*^9}, 3.5440634510237737`*^9, 3.544120830321411*^9, {
   3.5618953823229027`*^9, 3.5618953825879292`*^9}}],

Cell[BoxData["12"], "Output",
 CellChangeTimes->{3.607953673853624*^9}],

Cell[BoxData["12"], "Output",
 CellChangeTimes->{3.607953673857624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"x", " ", "y", " ", "z"}], "\[IndentingNewLine]", 
 RowBox[{"Times", "[", 
  RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "Input",
 CellChangeTimes->{{3.3997578519083576`*^9, 3.3997578561879635`*^9}, {
   3.4011258812108493`*^9, 3.401125884067607*^9}, {3.4011259261540546`*^9, 
   3.401125927996117*^9}, {3.544061937130399*^9, 3.5440619406427507`*^9}, {
   3.544062044361121*^9, 3.544062048777563*^9}, 3.544063451030774*^9, 
   3.544120890309842*^9, {3.5618953914348135`*^9, 3.5618953916118317`*^9}}],

Cell[BoxData[
 RowBox[{"x", " ", "y", " ", "z"}]], "Output",
 CellChangeTimes->{3.6079536738896236`*^9}],

Cell[BoxData[
 RowBox[{"x", " ", "y", " ", "z"}]], "Output",
 CellChangeTimes->{3.607953673893624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"x", "^", "2"}], "\[IndentingNewLine]", 
 RowBox[{"Power", "[", 
  RowBox[{"x", ",", "2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.399757864200511*^9, 3.39975787030754*^9}, {
   3.4011258870492506`*^9, 3.401125890077727*^9}, {3.5440620714678316`*^9, 
   3.5440620737070556`*^9}, 3.5440634510437756`*^9, 3.5441209119710813`*^9, {
   3.5618953994436145`*^9, 3.5618953996916394`*^9}}],

Cell[BoxData[
 SuperscriptBox["x", "2"]], "Output",
 CellChangeTimes->{3.6079536739576235`*^9}],

Cell[BoxData[
 SuperscriptBox["x", "2"]], "Output",
 CellChangeTimes->{3.607953673961624*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"q", "=", "4"}], "\[IndentingNewLine]", 
 RowBox[{"Set", "[", 
  RowBox[{"q", ",", "4"}], "]"}]}], "Input",
 CellChangeTimes->{{3.4275454153186584`*^9, 3.427545468897126*^9}, {
   3.4275455731165433`*^9, 3.427545577147819*^9}, {3.4275456255075035`*^9, 
   3.427545727101904*^9}, 3.429334023694013*^9, {3.4293861288748574`*^9, 
   3.429386132749907*^9}, {3.429386303595844*^9, 3.429386395159516*^9}, {
   3.4396662722553926`*^9, 3.4396662956305423`*^9}, {3.4396663509902716`*^9, 
   3.4396663661153684`*^9}, 3.5440597825984097`*^9, 3.544059863557807*^9, {
   3.5440621045531397`*^9, 3.5440621294716315`*^9}, 3.544063451049776*^9, 
   3.5441209208525887`*^9, {3.5618954047551455`*^9, 3.5618954049721675`*^9}}],

Cell[BoxData["4"], "Output",
 CellChangeTimes->{3.607953673992624*^9}],

Cell[BoxData["4"], "Output",
 CellChangeTimes->{3.607953673996624*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["What Mathematica actually \"sees\"", "Subsection",
 CellChangeTimes->{{3.544062925858262*^9, 3.544062939969673*^9}}],

Cell[TextData[{
 StyleBox["Mathematica ",
  FontSlant->"Italic"],
 "not only interprets shorthand notation as functions, it actually interprets \
nearly ",
 StyleBox["everything",
  FontSlant->"Italic"],
 " as functions.",
 StyleBox[" Cell",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Show Expression",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 " shows you how ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "  views a cell. Try it on this very simple text cell, for example. This \
feature can be toggled on and off -- so don't panic and accidentally delete \
the whole cell to escape the garbage on the screen! "
}], "Text",
 CellChangeTimes->{{3.4057827714119635`*^9, 3.405782929288513*^9}, {
   3.405782990826458*^9, 3.405783146155856*^9}, {3.405783191582673*^9, 
   3.4057832232736206`*^9}, {3.4274999196883736`*^9, 3.427499926188415*^9}, {
   3.4275002392685432`*^9, 3.4275002448935795`*^9}, {3.4275002923938837`*^9, 
   3.4275003961601725`*^9}, {3.4275004338010387`*^9, 3.427500470270022*^9}, {
   3.4275005722550497`*^9, 3.4275006875214124`*^9}, {3.4275007437248974`*^9, 
   3.427500927663574*^9}, {3.42750116607135*^9, 3.4275011948684096`*^9}, {
   3.427501289119013*^9, 3.4275012944159217`*^9}, {3.427501672074589*^9, 
   3.427501750684467*^9}, {3.4275023295319214`*^9, 3.4275025352988634`*^9}, {
   3.427502626549447*^9, 3.427502813128766*^9}, {3.4275028680353675`*^9, 
   3.4275028681603684`*^9}, {3.42750291675443*^9, 3.4275030273176374`*^9}, {
   3.4275033879449453`*^9, 3.4275035765399017`*^9}, {3.427503718259559*^9, 
   3.4275037243689733`*^9}, {3.4275046894376497`*^9, 3.427504699375213*^9}, {
   3.4275063590889606`*^9, 3.4275064107455406`*^9}, {3.427598472660408*^9, 
   3.4275985725204225`*^9}, {3.427598640223981*^9, 3.427598970897972*^9}, {
   3.4275990592891626`*^9, 3.4275991133207583`*^9}, {3.427599170743001*^9, 
   3.4275993107751474`*^9}, {3.4275994880575314`*^9, 
   3.4275996092926826`*^9}, {3.4275996540585938`*^9, 
   3.4275998294972167`*^9}, {3.4275998609817934`*^9, 3.4276000833582163`*^9}, 
   3.4293341432736683`*^9, {3.4396634532842264`*^9, 3.4396634762218733`*^9}, {
   3.4396635089564576`*^9, 3.4396636458010836`*^9}, {3.439676144655706*^9, 
   3.4396761642652063`*^9}, 3.544062817244402*^9, {3.5440629455752335`*^9, 
   3.54406305534921*^9}, {3.5440631113398085`*^9, 3.544063173080982*^9}, {
   3.54412093940565*^9, 3.5441209625609746`*^9}, 3.544202507781031*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Additional Assignments", "Section",
 CellChangeTimes->{{3.427508754666792*^9, 3.4275087661668653`*^9}, {
   3.4275142020922804`*^9, 3.4275142024204073`*^9}, {3.427573787328363*^9, 
   3.427573791781516*^9}, {3.4275963213966403`*^9, 3.4275963319435825`*^9}, {
   3.431183881068496*^9, 3.4311838825372744`*^9}, {3.4311840111334934`*^9, 
   3.4311840113053713`*^9}, 3.433259593081791*^9, {3.433261213310768*^9, 
   3.4332612137639046`*^9}, {3.433261834201662*^9, 3.433261834404793*^9}, 
   3.433262231743089*^9, {3.433262437263975*^9, 3.4332624374202294`*^9}, 
   3.433280211297058*^9, 3.4396650061222897`*^9, {3.544061125374232*^9, 
   3.54406113115881*^9}, {3.5441952748561697`*^9, 3.5441952749291773`*^9}, {
   3.5442013455308175`*^9, 3.544201345594824*^9}, {3.5454200758092184`*^9, 
   3.5454200773042183`*^9}, 3.561833859572706*^9}],

Cell["\<\
Solve the following problems. Feel free to pass several of them off at once. \
If you get stuck, you can ask a TA or a nearby student for help.\
\>", "Text",
 CellChangeTimes->{{3.4275740749239535`*^9, 3.4275741028772573`*^9}, {
   3.427574150455687*^9, 3.427574258722005*^9}, {3.427581225456277*^9, 
   3.4275812462845354`*^9}, {3.427583250031734*^9, 3.4275832666724653`*^9}, {
   3.427583529580398*^9, 3.427583553939929*^9}, {3.4275906459696927`*^9, 
   3.4275906487665854`*^9}, {3.4275907850174575`*^9, 3.427590789017483*^9}, {
   3.4275967626025887`*^9, 3.4275967638057213`*^9}, {3.429157051621769*^9, 
   3.429157052793637*^9}, {3.501268675752616*^9, 3.5012686761126165`*^9}, {
   3.544061135486243*^9, 3.544061163170011*^9}, {3.5441249059015207`*^9, 
   3.5441249438536916`*^9}, {3.544186281421667*^9, 3.54418628865339*^9}, {
   3.5442048339676266`*^9, 3.5442048415193815`*^9}, 3.5454200897432184`*^9}],

Cell[CellGroupData[{

Cell["Assignment 5. The plot thickens", "Subsubsection",
 CellChangeTimes->{{3.5618960470772343`*^9, 3.561896058540234*^9}, {
  3.561902153588234*^9, 3.561902155732234*^9}, {3.5619023469522343`*^9, 
  3.561902347007234*^9}}],

Cell[TextData[{
 "Make a plot of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], " ", "+", " ", 
    RowBox[{"2", 
     SuperscriptBox["x", "3"]}], " ", "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"]}], "+", " ", 
    RowBox[{"4", " ", "x"}], "+", "5"}], TraditionalForm]],
  CellChangeTimes->{{3.4275973150279994`*^9, 3.427597336606262*^9}}],
 ", from ",
 StyleBox["x",
  FontSlant->"Italic"],
 " = -3 to ",
 StyleBox["x",
  FontSlant->"Italic"],
 " = 3. Experiment with different plot styles as options, such as PlotStyle\
\[Rule]Thick,  or PlotStyle\[Rule]Red (or Blue, or Green, or Magenta, etc.), \
or PlotStyle\[Rule]Dashed  (or Dotted, or DotDashed), or \
PlotStyle\[Rule]Opacity[0.5] (or Opacity[0.1], or Opacity[0.8], etc.). After \
you have experimented a bit with these options, choose your favorite plot \
styles and combine them together via a list enclosed in braces: PlotStyle\
\[Rule]{option1, option2, option3, etc.}."
}], "Text",
 CellChangeTimes->{{3.5618960620122337`*^9, 3.561896066739234*^9}, {
   3.561902181315234*^9, 3.5619022129782343`*^9}, {3.561902258270234*^9, 
   3.561902262837234*^9}, {3.5619023016112337`*^9, 3.5619023096182337`*^9}, {
   3.561902375793234*^9, 3.5619024485772343`*^9}, {3.561902529461234*^9, 
   3.561902559642234*^9}, {3.5619026310838194`*^9, 3.561902634701795*^9}, {
   3.561902696084242*^9, 3.561902723953864*^9}, 3.561902763251044*^9, {
   3.561902822415053*^9, 3.5619028400894732`*^9}, {3.561902923545203*^9, 
   3.561903004172441*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Assignment 6. Polynomial roots", "Subsubsection",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060881784875*^9}, {
   3.544060976309327*^9, 3.5440610210428*^9}, {3.5441950277074575`*^9, 
   3.544195029793666*^9}, {3.544195097267413*^9, 3.5441951385475407`*^9}, {
   3.5441951784255276`*^9, 3.544195178426528*^9}, {3.5441952238510695`*^9, 
   3.5441952390235868`*^9}, {3.5442027964548955`*^9, 3.544202798822132*^9}, {
   3.5454204089960256`*^9, 3.545420418932019*^9}, {3.5618954546111307`*^9, 
   3.5618954550201716`*^9}, {3.5618959855922337`*^9, 3.561895985672234*^9}, {
   3.561902349031234*^9, 3.561902349087234*^9}}],

Cell["\<\
As you should have just seen from the plot, the polynomial x^4 + 2 x^3 + 3 \
x^2 + 4 x + 5 has no real roots. (It doesn' t cross zero anywhere.) It does, \
however, have four complex roots. What are they? Find them in decimal form.\
\>", "Text",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060881784875*^9}, {
   3.544060976309327*^9, 3.5440610210428*^9}, {3.5441950277074575`*^9, 
   3.544195029793666*^9}, {3.544195097267413*^9, 3.5441951385475407`*^9}, {
   3.5441951784255276`*^9, 3.544195178426528*^9}, {3.5441952238510695`*^9, 
   3.5441952390235868`*^9}, {3.5442027964548955`*^9, 3.544202798822132*^9}, {
   3.5454204089960256`*^9, 3.545420411932319*^9}, {3.5619030227308617`*^9, 
   3.5619030843985186`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Assignment 7: Taylor\[CloseCurlyQuote]s series of",
 StyleBox[" ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", "x"], TraditionalForm]]]
}], "Subsubsection",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405550786896`*^9, 
   3.5440405849196897`*^9}, {3.5440406513876896`*^9, 3.5440407745336895`*^9}, 
   3.54404372737169*^9, {3.5440438889466896`*^9, 3.5440438991206894`*^9}, {
   3.54404414915469*^9, 3.5440444668016896`*^9}, {3.5440545728096895`*^9, 
   3.54405457562169*^9}, {3.5440556811206894`*^9, 3.5440557605466895`*^9}, {
   3.544195986562333*^9, 3.5441959937780547`*^9}, {3.5442045202362566`*^9, 
   3.5442045395571885`*^9}, {3.54420600879235*^9, 3.54420600889635*^9}, {
   3.5454203546975965`*^9, 3.545420366817808*^9}, {3.561895626760234*^9, 
   3.561895635439234*^9}, {3.561902351312234*^9, 3.5619023514082336`*^9}}],

Cell[TextData[{
 "The Taylor\[CloseCurlyQuote]s series of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", "x"], TraditionalForm]]],
 " evaluated at ",
 StyleBox["x",
  FontSlant->"Italic"],
 " = 1 is 1 + 1 + 1/2 + 1/3! + 1/4!  + ... .  Show that this series gets \
closer and closer to the true value of ",
 StyleBox["e ",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"=", 
     SuperscriptBox["e", "1"]}]}], TraditionalForm]]],
 ") as you include more and more terms. Try 5 terms (as shown), 10 terms, and \
100 terms; give your results to 50 decimal places. Also display ",
 StyleBox["e",
  FontSlant->"Italic"],
 " to 50 decimal places for comparison."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405550786896`*^9, 
   3.5440405849196897`*^9}, {3.5440406513876896`*^9, 3.5440407745336895`*^9}, 
   3.54404372737169*^9, {3.5440438889466896`*^9, 3.5440438991206894`*^9}, {
   3.54404414915469*^9, 3.5440444668016896`*^9}, {3.5440545728096895`*^9, 
   3.54405457562169*^9}, {3.5440556811206894`*^9, 3.5440557605466895`*^9}, {
   3.544195986562333*^9, 3.5441959937780547`*^9}, {3.5442045202362566`*^9, 
   3.5442045395571885`*^9}, {3.54420600879235*^9, 3.54420600889635*^9}, {
   3.5454203546975965`*^9, 3.545420356297756*^9}, {3.561895637399234*^9, 
   3.561895637807234*^9}, {3.561895705218234*^9, 3.561895875008234*^9}, {
   3.561896018487234*^9, 3.5618960246632338`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Assignment 8. A basic derivative", "Subsubsection",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060881784875*^9}, {
   3.544060976309327*^9, 3.5440610210428*^9}, {3.5441950277074575`*^9, 
   3.544195029793666*^9}, {3.544195097267413*^9, 3.5441951385475407`*^9}, {
   3.5441951784255276`*^9, 3.544195178426528*^9}, {3.5441952238510695`*^9, 
   3.5441952390235868`*^9}, {3.5442027964548955`*^9, 3.544202798822132*^9}, {
   3.544204825631793*^9, 3.5442048257358036`*^9}, {3.5442048567049*^9, 
   3.544204963723601*^9}, {3.544205001355364*^9, 3.544205001589387*^9}, {
   3.545420426701796*^9, 3.5454204423483605`*^9}, {3.5618954571393833`*^9, 
   3.5618954573074007`*^9}, {3.5619023546552343`*^9, 3.5619023547432337`*^9}}],

Cell[TextData[{
 "Define the function ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f8", "(", "x", ")"}], " ", "="}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     SuperscriptBox["sin", "2"], "(", "x", ")"}], 
    RowBox[{"1", "+", 
     RowBox[{"cos", "(", "x", ")"}]}]], TraditionalForm]]],
 ". Take its derivative, and simplify the result."
}], "Text",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060881784875*^9}, {
   3.544060976309327*^9, 3.5440610210428*^9}, {3.5441950277074575`*^9, 
   3.544195029793666*^9}, {3.544195097267413*^9, 3.5441951385475407`*^9}, {
   3.5441951784255276`*^9, 3.544195178426528*^9}, {3.5441952238510695`*^9, 
   3.5441952390235868`*^9}, {3.5442027964548955`*^9, 3.544202798822132*^9}, {
   3.544204825631793*^9, 3.5442048257358036`*^9}, {3.5442048567049*^9, 
   3.544204963723601*^9}, {3.544205001355364*^9, 3.544205001589387*^9}, {
   3.545420426701796*^9, 3.5454204289080167`*^9}, {3.607952038062624*^9, 
   3.6079520381446238`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Assignment 9. A basic integral", "Subsubsection",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060876269324*^9}, {
   3.5440609249431906`*^9, 3.544060961789875*^9}, {3.54406104754845*^9, 
   3.5440610511508102`*^9}, {3.5441948470813966`*^9, 3.544194861673856*^9}, {
   3.545420369875114*^9, 3.545420403811507*^9}, {3.561902356975234*^9, 
   3.5619023572472343`*^9}}],

Cell[TextData[{
 "Determine  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Integral]", 
    RowBox[{
     SuperscriptBox["e", 
      RowBox[{"-", "x"}]], 
     RowBox[{"sin", "(", "x", ")"}], 
     RowBox[{"\[DifferentialD]", "x"}]}]}], TraditionalForm]],
  CellChangeTimes->{{3.427581474707872*^9, 3.427581475504752*^9}, {
   3.4275820129144416`*^9, 3.427582062024131*^9}}],
 ", integrated from 0 to infinity. "
}], "Text",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060876269324*^9}, {
   3.5440609249431906`*^9, 3.544060961789875*^9}, {3.54406104754845*^9, 
   3.5440610511508102`*^9}, {3.5441948470813966`*^9, 3.544194861673856*^9}, {
   3.545420369875114*^9, 3.54542037023415*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Assignment 10. A basic complex number calculation", "Subsubsection",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060881784875*^9}, {
   3.5441249729983587`*^9, 3.5441249831809406`*^9}, {3.5441265335406165`*^9, 
   3.5441265554078674`*^9}, {3.544126646010049*^9, 3.544126751051057*^9}, {
   3.5441269103241673`*^9, 3.5441269780940437`*^9}, {3.544186374352959*^9, 
   3.54418638456098*^9}, {3.544186439044428*^9, 3.5441864426837916`*^9}, {
   3.5442059752113495`*^9, 3.5442059778273497`*^9}, {3.5454203211612434`*^9, 
   3.545420336872814*^9}, {3.5619023602472343`*^9, 3.561902360567234*^9}}],

Cell[TextData[{
 "Do a search in ",
 StyleBox["Mathematica'",
  FontSlant->"Italic"],
 "s help files to find the \"Complex numbers tutorial\". Pay special \
attention to the Abs and Arg commands. Use them to calculate the magnitude \
and angle (in radians) of:  (4 + 5i) \[Divide] (6 - 7i).  Give your answers \
in decimal form to 8 sig figs."
}], "Text",
 CellChangeTimes->{{3.5440604357937174`*^9, 3.544060457482222*^9}, 
   3.5440605001230106`*^9, {3.544060816817379*^9, 3.544060881784875*^9}, {
   3.5441249729983587`*^9, 3.5441249831809406`*^9}, {3.5441265335406165`*^9, 
   3.5441265554078674`*^9}, {3.544126646010049*^9, 3.544126751051057*^9}, {
   3.5441269103241673`*^9, 3.5441269780940437`*^9}, {3.544186374352959*^9, 
   3.54418638456098*^9}, {3.544186439044428*^9, 3.5441864426837916`*^9}, {
   3.5442059752113495`*^9, 3.5442059778273497`*^9}, {3.5454203211612434`*^9, 
   3.545420322856413*^9}, 3.6079521345526237`*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Wrap-up", "Section",
 CellChangeTimes->{{3.5440418557376895`*^9, 3.5440418655986896`*^9}, {
  3.5440611783875327`*^9, 3.5440611851452084`*^9}}],

Cell[TextData[{
 "Click on any of the terms in blue to bring up the help file for more \
information.\n\n",
 StyleBox["The following functions were discussed in today\[CloseCurlyQuote]s \
lab, or are very closely related:",
  FontWeight->"Bold"],
 "\nOperators:  ",
 StyleBox[ButtonBox["+",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Plus"],
  FontWeight->"Bold"],
 ButtonBox[",",
  BaseStyle->"Link",
  ButtonData->"paclet://Plus"],
 " ",
 StyleBox[ButtonBox["-",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Minus"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["*",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Times"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["/",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Divide"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["^",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Power"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["!",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Factorial"],
  FontWeight->"Bold"],
 "\nBasic Functions: ",
 StyleBox[ButtonBox["Log",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Log"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Log10",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Log10"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Sqrt",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Sqrt"],
  FontWeight->"Bold"],
 "\nTrig Functions: ",
 StyleBox[ButtonBox["Sin",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Sin"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Cos",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Cos"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Tan",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Tan"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["ArcSin",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/ArcSin"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["ArcCos",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/ArcCos"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["ArcTan",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/ArcTan"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Sinc",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Sinc"],
  FontWeight->"Bold"],
 "\nForcing numerical output: ",
 StyleBox[ButtonBox["N",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/N"],
  FontWeight->"Bold"],
 "\nReferring to previous results: %, %% (and so on), %[number]  (all related \
to ",
 StyleBox[ButtonBox["Out",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Out"],
  FontWeight->"Bold"],
 " function)\nBuilt-in constants: ",
 StyleBox[ButtonBox["Pi",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Pi"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["E",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/E"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["I",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/I"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Infinity",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Infinity"],
  FontWeight->"Bold"],
 "\nFunctions: f[x_] notation to define your own function, f[x] to refer to \
function, ",
 StyleBox[ButtonBox["Plot",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Plot"],
  FontWeight->"Bold"],
 " (and ",
 StyleBox[ButtonBox["PlotRange",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/PlotRange"],
  FontWeight->"Bold"],
 " option) to display function\nCalculus-related functions: ",
 StyleBox[ButtonBox["Integrate",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Integrate"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["NIntegrate",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/NIntegrate"],
  FontWeight->"Bold"],
 ", derivatives via \[OpenCurlyQuote], \[OpenCurlyQuote]\[CloseCurlyQuote] \
(and so on)  (all related to ",
 StyleBox[ButtonBox["D",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/D"],
  FontWeight->"Bold"],
 " function)\nMisc: ",
 StyleBox[ButtonBox["FindRoot,",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/FindRoot"],
  FontWeight->"Bold"],
 " ",
 StyleBox[ButtonBox["FindMaximum",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/FindMaximum"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["FindMinimum",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/FindMinimum"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Sum",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Sum"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Solve",
  BaseStyle->"Hyperlink",
  ButtonData->{"Solve", None}],
  FontWeight->"Bold"],
 "\nComplex Numbers: ",
 StyleBox[ButtonBox["Abs",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Abs"],
  FontWeight->"Bold"],
 ",  ",
 StyleBox[ButtonBox["Arg",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Arg"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Re",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Re"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Im",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Im"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Conjugate",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Conjugate"],
  FontWeight->"Bold"],
 " \n\n",
 StyleBox["Potentially useful summary/tutorial pages:",
  FontWeight->"Bold"],
 "\n",
 StyleBox[ButtonBox["Operators\n",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/Operators"],
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Some mathematical functions",
  BaseStyle->"Link",
  ButtonData->"paclet:tutorial/SomeMathematicalFunctions"],
  FontWeight->"Bold"],
 " \n",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    RowBox[{"Mathematical", " ", "Constants"}],
    BaseStyle->"Link",
    ButtonData->"paclet:guide/MathematicalConstants"], " "}]],
  FontFamily->"Arial",
  FontWeight->"Bold"],
 StyleBox["\n",
  FontFamily->"Arial",
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Defining functions",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/DefiningFunctions"],
  FontWeight->"Bold"],
 StyleBox["\n",
  FontFamily->"Arial",
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Solving Equations\n",
  BaseStyle->"Link",
  ButtonData->"paclet:tutorial/SolvingEquations"],
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Comments (*  *)\n",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/DocumentationConstructs"],
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Complex numbers tutorial",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/ComplexNumbers"],
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.5440419833276896`*^9, 3.5440420260566893`*^9}, {
   3.5440420754346895`*^9, 3.5440421220466895`*^9}, {3.5440422444226894`*^9, 
   3.54404224697069*^9}, 3.544059869450808*^9, {3.5440606601137104`*^9, 
   3.5440606625789566`*^9}, {3.5441269830273256`*^9, 3.544126988333629*^9}, {
   3.544184734220355*^9, 3.5441847349994326`*^9}, {3.5441857074644337`*^9, 
   3.5441859491244564`*^9}, {3.5441860368940067`*^9, 3.544186053601348*^9}, {
   3.5441892933658457`*^9, 3.54418946172968*^9}, {3.5441894950780144`*^9, 
   3.5441895320127077`*^9}, {3.5441896908935943`*^9, 3.544189981671669*^9}, {
   3.544190023984002*^9, 3.544190122250002*^9}, {3.544190263794002*^9, 
   3.544190296224002*^9}, {3.544194542247916*^9, 3.544194569548646*^9}, 
   3.5441947187965693`*^9, 3.5441947956052494`*^9, {3.5442025386751204`*^9, 
   3.5442025847027225`*^9}, {3.5442026233245845`*^9, 
   3.5442026684820995`*^9}, {3.5442027046887197`*^9, 
   3.5442027696202126`*^9}, {3.5442042384580812`*^9, 3.544204265756811*^9}, {
   3.5442112924112616`*^9, 3.5442112983768578`*^9}}]
}, Closed]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{1264, 899},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
ShowCellTags->True,
Magnification->1.2000000476837158`,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->FrontEnd`FileName[{"Report"}, "StandardReport.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 313, 4, 106, "Title"],
Cell[883, 28, 805, 14, 138, "Subtitle"],
Cell[1691, 44, 6441, 149, 515, "Text"],
Cell[CellGroupData[{
Cell[8157, 197, 987, 13, 97, "Section"],
Cell[CellGroupData[{
Cell[9169, 214, 975, 17, 37, "Subsection"],
Cell[10147, 233, 1501, 27, 126, "Text"],
Cell[CellGroupData[{
Cell[11673, 264, 116, 2, 55, "Input"],
Cell[11792, 268, 72, 1, 55, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[11901, 274, 119, 2, 55, "Input"],
Cell[12023, 278, 89, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[12149, 285, 222, 4, 79, "Input"],
Cell[12374, 291, 71, 1, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[12482, 297, 119, 2, 79, "Input"],
Cell[12604, 301, 75, 1, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[12716, 307, 191, 5, 79, "Input"],
Cell[12910, 314, 90, 2, 108, "Output"]
}, Closed]],
Cell[13015, 319, 273, 5, 60, "Text"],
Cell[CellGroupData[{
Cell[13313, 328, 154, 3, 79, "Input"],
Cell[13470, 333, 94, 1, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[13601, 339, 203, 3, 79, "Input"],
Cell[13807, 344, 81, 1, 79, "Output"]
}, Closed]],
Cell[13903, 348, 1483, 23, 100, "Text"],
Cell[CellGroupData[{
Cell[15411, 375, 119, 2, 66, "Input"],
Cell[15533, 379, 73, 1, 66, "Output"]
}, Closed]],
Cell[15621, 383, 2228, 38, 213, "Text"],
Cell[17852, 423, 1966, 34, 84, "Text"],
Cell[CellGroupData[{
Cell[19843, 461, 126, 2, 66, "Input"],
Cell[19972, 465, 72, 1, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[20081, 471, 127, 2, 66, "Input"],
Cell[20211, 475, 72, 1, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[20320, 481, 125, 2, 66, "Input"],
Cell[20448, 485, 82, 2, 72, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[20567, 492, 124, 2, 66, "Input"],
Cell[20694, 496, 88, 1, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[20819, 502, 178, 4, 66, "Input"],
Cell[21000, 508, 158, 3, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[21195, 516, 169, 3, 66, "Input"],
Cell[21367, 521, 99, 2, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[21503, 528, 122, 2, 66, "Input"],
Cell[21628, 532, 90, 1, 66, "Output"]
}, Closed]],
Cell[21733, 536, 2735, 52, 572, "Text"],
Cell[24471, 590, 1850, 35, 148, "Text"],
Cell[26324, 627, 921, 16, 50, "Text"],
Cell[CellGroupData[{
Cell[27270, 647, 130, 2, 66, "Input"],
Cell[27403, 651, 71, 1, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[27511, 657, 157, 3, 66, "Input"],
Cell[27671, 662, 72, 1, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[27780, 668, 116, 2, 66, "Input"],
Cell[27899, 672, 71, 1, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[28007, 678, 130, 2, 66, "Input"],
Cell[28140, 682, 73, 1, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[28250, 688, 119, 2, 66, "Input"],
Cell[28372, 692, 74, 1, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[28483, 698, 116, 2, 66, "Input"],
Cell[28602, 702, 113, 1, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[28752, 708, 152, 3, 66, "Input"],
Cell[28907, 713, 88, 2, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[29032, 720, 71, 1, 66, "Input"],
Cell[29106, 723, 90, 2, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[29233, 730, 125, 2, 79, "Input"],
Cell[29361, 734, 73, 1, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[29471, 740, 136, 2, 79, "Input"],
Cell[29610, 744, 78, 1, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[29725, 750, 119, 2, 79, "Input"],
Cell[29847, 754, 94, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[29978, 761, 161, 3, 79, "Input"],
Cell[30142, 766, 123, 3, 46, "Output"]
}, Closed]],
Cell[30280, 772, 1839, 30, 264, "Text"],
Cell[32122, 804, 894, 14, 35, "Text"],
Cell[CellGroupData[{
Cell[33041, 822, 150, 3, 46, "Input"],
Cell[33194, 827, 70, 1, 46, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[33301, 833, 148, 3, 46, "Input"],
Cell[33452, 838, 156, 3, 46, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[33645, 846, 291, 8, 46, "Input"],
Cell[33939, 856, 189, 6, 64, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[34165, 867, 168, 4, 46, "Input"],
Cell[34336, 873, 72, 1, 46, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[34445, 879, 130, 2, 46, "Input"],
Cell[34578, 883, 442, 10, 26, "Message"],
Cell[35023, 895, 71, 1, 46, "Output"]
}, Closed]],
Cell[35109, 899, 1976, 32, 263, "Text"],
Cell[37088, 933, 1162, 18, 58, "Text"],
Cell[38253, 953, 3049, 60, 171, "Text"],
Cell[41305, 1015, 2097, 33, 82, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[43439, 1053, 178, 4, 36, "Subsection"],
Cell[43620, 1059, 704, 13, 82, "Text"],
Cell[CellGroupData[{
Cell[44349, 1076, 358, 8, 46, "Input"],
Cell[44710, 1086, 82, 1, 46, "Output"]
}, Closed]],
Cell[44807, 1090, 368, 6, 35, "Text"],
Cell[CellGroupData[{
Cell[45200, 1100, 217, 5, 46, "Input"],
Cell[45420, 1107, 500, 10, 26, "Message"]
}, Closed]],
Cell[CellGroupData[{
Cell[45957, 1122, 1861, 25, 36, "Subsubsection"],
Cell[47821, 1149, 2434, 41, 136, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[50304, 1196, 141, 2, 36, "Subsection"],
Cell[50448, 1200, 1282, 17, 35, "Text"],
Cell[CellGroupData[{
Cell[51755, 1221, 366, 10, 46, "Input"],
Cell[52124, 1233, 230, 7, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[52391, 1245, 124, 2, 79, "Input"],
Cell[52518, 1249, 146, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[52701, 1258, 148, 3, 79, "Input"],
Cell[52852, 1263, 135, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[53024, 1270, 124, 2, 79, "Input"],
Cell[53151, 1274, 171, 5, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[53359, 1284, 124, 2, 79, "Input"],
Cell[53486, 1288, 104, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[53627, 1295, 124, 2, 79, "Input"],
Cell[53754, 1299, 230, 7, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[54021, 1311, 144, 3, 79, "Input"],
Cell[54168, 1316, 256, 8, 82, "Output"]
}, Closed]],
Cell[54439, 1327, 2631, 44, 540, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[57107, 1376, 1605, 22, 61, "Subsection"],
Cell[CellGroupData[{
Cell[58737, 1402, 259, 7, 79, "Input"],
Cell[58999, 1411, 7726, 134, 508, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[66762, 1550, 317, 10, 66, "Input"],
Cell[67082, 1562, 6840, 119, 446, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[73959, 1686, 288, 8, 66, "Input"],
Cell[74250, 1696, 24811, 415, 422, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[99098, 2116, 343, 9, 66, "Input"],
Cell[99444, 2127, 27261, 453, 422, "Output"]
}, Closed]],
Cell[126720, 2583, 3645, 56, 507, "Text"],
Cell[130368, 2641, 2671, 40, 148, "Text"],
Cell[133042, 2683, 1869, 28, 50, "Text"],
Cell[CellGroupData[{
Cell[134936, 2715, 109, 3, 66, "Input"],
Cell[135048, 2720, 101, 2, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[135186, 2727, 109, 3, 66, "Input"],
Cell[135298, 2732, 99, 2, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[135434, 2739, 253, 8, 66, "Input"],
Cell[135690, 2749, 25001, 419, 414, "Output"]
}, Closed]],
Cell[160706, 3171, 100, 1, 50, "Text"],
Cell[CellGroupData[{
Cell[160831, 3176, 268, 7, 66, "Input"],
Cell[161102, 3185, 12161, 207, 414, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[173300, 3397, 268, 7, 79, "Input"],
Cell[173571, 3406, 13210, 224, 496, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[186818, 3635, 155, 3, 66, "Input"],
Cell[186976, 3640, 25003, 419, 414, "Output"]
}, Closed]],
Cell[211994, 4062, 3030, 47, 346, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[215061, 4114, 114, 1, 51, "Subsection"],
Cell[215178, 4117, 2370, 36, 84, "Text"],
Cell[217551, 4155, 2070, 29, 50, "Text"],
Cell[CellGroupData[{
Cell[219646, 4188, 746, 20, 100, "Input"],
Cell[220395, 4210, 273, 9, 94, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[220705, 4224, 170, 6, 66, "Input"],
Cell[220878, 4232, 216, 7, 90, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[221131, 4244, 266, 7, 66, "Input"],
Cell[221400, 4253, 344, 11, 94, "Output"]
}, Closed]],
Cell[221759, 4267, 728, 12, 246, "Text"],
Cell[222490, 4281, 214, 3, 50, "Text"],
Cell[CellGroupData[{
Cell[222729, 4288, 1200, 30, 133, "Input"],
Cell[223932, 4320, 229, 7, 94, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[224198, 4332, 148, 3, 66, "Input"],
Cell[224349, 4337, 159, 3, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[224545, 4345, 298, 7, 66, "Input"],
Cell[224846, 4354, 90, 1, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[224973, 4360, 78, 2, 66, "Input"],
Cell[225054, 4364, 88, 1, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[225179, 4370, 367, 11, 66, "Input"],
Cell[225549, 4383, 320, 10, 96, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[225906, 4398, 339, 11, 66, "Input"],
Cell[226248, 4411, 90, 1, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[226375, 4417, 424, 12, 66, "Input"],
Cell[226802, 4431, 158, 3, 66, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[226997, 4439, 343, 10, 66, "Input"],
Cell[227343, 4451, 87, 2, 72, "Output"]
}, Closed]],
Cell[227445, 4456, 2065, 30, 441, "Text"],
Cell[CellGroupData[{
Cell[229535, 4490, 348, 4, 72, "Subsubsection"],
Cell[229886, 4496, 501, 8, 98, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[230436, 4510, 1981, 27, 72, "Subsection"],
Cell[232420, 4539, 2116, 33, 61, "Text"],
Cell[CellGroupData[{
Cell[234561, 4576, 179, 5, 79, "Input"],
Cell[234743, 4583, 252, 8, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[235032, 4596, 147, 4, 79, "Input"],
Cell[235182, 4602, 231, 7, 79, "Output"]
}, Closed]],
Cell[235428, 4612, 2654, 44, 260, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[238119, 4661, 2111, 29, 61, "Subsection"],
Cell[CellGroupData[{
Cell[240255, 4694, 230, 8, 79, "Input"],
Cell[240488, 4704, 158, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[240683, 4713, 194, 6, 79, "Input"],
Cell[240880, 4721, 140, 3, 79, "Output"]
}, Closed]],
Cell[241035, 4727, 4032, 67, 573, "Text"],
Cell[CellGroupData[{
Cell[245092, 4798, 618, 8, 60, "Subsubsection"],
Cell[245713, 4808, 857, 14, 176, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[246619, 4828, 118, 1, 61, "Subsection"],
Cell[CellGroupData[{
Cell[246762, 4833, 342, 10, 79, "Input"],
Cell[247107, 4845, 89, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[247233, 4852, 428, 13, 79, "Input"],
Cell[247664, 4867, 477, 17, 108, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[248178, 4889, 121, 2, 79, "Input"],
Cell[248302, 4893, 282, 8, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[248621, 4906, 506, 14, 79, "Input"],
Cell[249130, 4922, 222, 7, 79, "Output"]
}, Closed]],
Cell[249367, 4932, 924, 15, 295, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[250328, 4952, 137, 1, 61, "Subsection"],
Cell[250468, 4955, 2128, 31, 60, "Text"],
Cell[CellGroupData[{
Cell[252621, 4990, 215, 7, 79, "Input"],
Cell[252839, 4999, 138, 3, 79, "Output"]
}, Closed]],
Cell[252992, 5005, 2979, 45, 333, "Text"],
Cell[255974, 5052, 2181, 31, 60, "Text"],
Cell[CellGroupData[{
Cell[258180, 5087, 183, 4, 79, "Input"],
Cell[258366, 5093, 208, 5, 79, "Output"]
}, Closed]],
Cell[258589, 5101, 3138, 48, 296, "Text"],
Cell[CellGroupData[{
Cell[261752, 5153, 538, 7, 60, "Subsubsection"],
Cell[262293, 5162, 2658, 67, 463, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[265000, 5235, 115, 1, 61, "Subsection"],
Cell[CellGroupData[{
Cell[265140, 5240, 194, 6, 79, "Input"],
Cell[265337, 5248, 261, 6, 108, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[265635, 5259, 83, 2, 79, "Input"],
Cell[265721, 5263, 134, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[265892, 5270, 264, 7, 79, "Input"],
Cell[266159, 5279, 120, 3, 112, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[266316, 5287, 120, 2, 79, "Input"],
Cell[266439, 5291, 90, 1, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[266566, 5297, 242, 7, 79, "Input"],
Cell[266811, 5306, 606, 20, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[267454, 5331, 827, 18, 120, "Input"],
Cell[268284, 5351, 90, 1, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[268411, 5357, 174, 3, 79, "Input"],
Cell[268588, 5362, 88, 1, 79, "Output"]
}, Closed]],
Cell[268691, 5366, 3629, 54, 607, "Text"],
Cell[CellGroupData[{
Cell[272345, 5424, 563, 8, 60, "Subsubsection"],
Cell[272911, 5434, 1213, 26, 122, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[274173, 5466, 161, 2, 61, "Subsection"],
Cell[CellGroupData[{
Cell[274359, 5472, 381, 10, 87, "Input"],
Cell[274743, 5484, 140, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[274920, 5493, 1160, 35, 79, "Input"],
Cell[276083, 5530, 697, 25, 126, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[276817, 5560, 202, 3, 79, "Input"],
Cell[277022, 5565, 138, 4, 111, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[277197, 5574, 144, 2, 79, "Input"],
Cell[277344, 5578, 798, 28, 138, "Output"]
}, Closed]],
Cell[278157, 5609, 1923, 37, 458, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[280117, 5651, 447, 6, 61, "Subsection"],
Cell[280567, 5659, 679, 11, 98, "Text"],
Cell[CellGroupData[{
Cell[281271, 5674, 198, 5, 79, "Input"],
Cell[281472, 5681, 265, 8, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[281774, 5694, 199, 5, 79, "Input"],
Cell[281976, 5701, 136, 4, 108, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[282149, 5710, 225, 6, 79, "Input"],
Cell[282377, 5718, 449, 10, 76, "Message"],
Cell[282829, 5730, 60403, 1709, 4077, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[343269, 7444, 956, 27, 81, "Input"],
Cell[344228, 7473, 6692, 104, 1160, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[350957, 7582, 193, 4, 79, "Input"],
Cell[351153, 7588, 6692, 104, 1160, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[357882, 7697, 286, 5, 79, "Input"],
Cell[358171, 7704, 6692, 104, 1160, "Output"]
}, Closed]],
Cell[364878, 7811, 3181, 48, 253, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[368108, 7865, 228, 3, 61, "Section"],
Cell[368339, 7870, 604, 10, 140, "Text"],
Cell[CellGroupData[{
Cell[368968, 7884, 425, 5, 87, "Subsection"],
Cell[369396, 7891, 4018, 75, 478, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[373451, 7971, 471, 6, 87, "Subsection"],
Cell[373925, 7979, 1951, 27, 253, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[375913, 8011, 158, 2, 87, "Subsection"],
Cell[376074, 8015, 2672, 52, 254, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[378783, 8072, 1377, 18, 87, "Subsection"],
Cell[380163, 8092, 1998, 35, 140, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[382198, 8132, 111, 1, 87, "Subsection"],
Cell[382312, 8135, 1869, 37, 139, "Text"],
Cell[CellGroupData[{
Cell[384206, 8176, 203, 4, 120, "Input"],
Cell[384412, 8182, 70, 1, 79, "Output"],
Cell[384485, 8185, 70, 1, 79, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[384604, 8192, 1804, 24, 87, "Subsection"],
Cell[386411, 8218, 2342, 38, 140, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[388802, 8262, 242, 3, 61, "Section"],
Cell[CellGroupData[{
Cell[389069, 8269, 510, 7, 87, "Subsection"],
Cell[389582, 8278, 793, 16, 100, "Text"],
Cell[CellGroupData[{
Cell[390400, 8298, 673, 12, 120, "Input"],
Cell[391076, 8312, 71, 1, 79, "Output"],
Cell[391150, 8315, 71, 1, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[391258, 8321, 523, 8, 120, "Input"],
Cell[391784, 8331, 104, 2, 79, "Output"],
Cell[391891, 8335, 102, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[392030, 8342, 406, 7, 120, "Input"],
Cell[392439, 8351, 95, 2, 79, "Output"],
Cell[392537, 8355, 93, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[392667, 8362, 731, 11, 120, "Input"],
Cell[393401, 8375, 70, 1, 46, "Output"],
Cell[393474, 8378, 70, 1, 46, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[393593, 8385, 122, 1, 36, "Subsection"],
Cell[393718, 8388, 2503, 45, 83, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[396270, 8439, 840, 11, 61, "Section"],
Cell[397113, 8452, 918, 13, 35, "Text"],
Cell[CellGroupData[{
Cell[398056, 8469, 224, 3, 35, "Subsubsection"],
Cell[398283, 8474, 1526, 33, 106, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[399846, 8512, 703, 9, 35, "Subsubsection"],
Cell[400552, 8523, 805, 12, 58, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[401394, 8540, 2873, 45, 36, "Subsubsection"],
Cell[404270, 8587, 3432, 62, 88, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[407739, 8654, 803, 10, 35, "Subsubsection"],
Cell[408545, 8666, 1097, 25, 52, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[409679, 8696, 450, 6, 35, "Subsubsection"],
Cell[410132, 8704, 763, 18, 40, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[410932, 8727, 675, 8, 35, "Subsubsection"],
Cell[411610, 8737, 932, 16, 59, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[412591, 8759, 149, 2, 61, "Section"],
Cell[412743, 8763, 7468, 257, 507, "Text"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
