(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    358469,       9388]
NotebookOptionsPosition[    334069,       8582]
NotebookOutlinePosition[    334596,       8602]
CellTagsIndexPosition[    334553,       8599]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Physics 230 -- Lab 2 (Functions and Lists)", "Title",
 CellChangeTimes->{{3.399308987464324*^9, 3.399308997477577*^9}, {
   3.3996509147507887`*^9, 3.3996509168582067`*^9}, 3.4274817158062444`*^9, {
   3.427505828304313*^9, 3.427505832757467*^9}, {3.4275745555520296`*^9, 
   3.42757455564578*^9}, {3.427574731865658*^9, 3.4275747372563176`*^9}, {
   3.4332596447706146`*^9, 3.4332596557552705`*^9}, {3.4332800782155266`*^9, 
   3.4332800788717937`*^9}, {3.439671351819152*^9, 3.439671380928713*^9}, {
   3.544801770492015*^9, 3.5448017744090147`*^9}}],

Cell["\<\
Bret Hess, Fall 2014

Labs developed by John S. Colton, BYU Physics & Astronomy, based in part on \
past labs by Branton Cambell and Steve Turley.\
\>", "Subtitle",
 CellChangeTimes->{{3.433259527908248*^9, 3.433259551315097*^9}, {
   3.439668146501763*^9, 3.4396681489705286`*^9}, {3.4717903873401966`*^9, 
   3.471790388152707*^9}, 3.5014683969905767`*^9, {3.534714375816204*^9, 
   3.5347143809460506`*^9}, 3.54420956588515*^9, 3.544801748188015*^9, {
   3.5619032252065144`*^9, 3.5619032299964724`*^9}, {3.562012882644806*^9, 
   3.5620128829568057`*^9}, {3.585928714955669*^9, 3.5859287404350224`*^9}, {
   3.586788497468356*^9, 3.586788497932353*^9}, {3.5976809848257465`*^9, 
   3.5976809898322473`*^9}, {3.619276500062826*^9, 3.6192765045822783`*^9}}],

Cell[TextData[{
 "\n",
 StyleBox["Remember the three most helpful pieces of advice you will get this \
semester, from Lab 1:",
  FontWeight->"Bold"],
 "  \n\n",
 StyleBox["Probably the most helpful advice you will get this semester: ",
  FontWeight->"Bold"],
 "If you are typing ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " commands and things are not working the way you expect, go to ",
 StyleBox["Evaluation",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Quit Kernel",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Local",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 ". That clears the memory and will restart the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " engine the next time you enter a command. Just as the way to solve most \
computer problems is to turn it off and on again, the way to solve most ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " problems is to turn off the kernel (the processing engine) and then turn \
it on again. ",
 StyleBox["Evaluation",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Abort ",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "can also be quite useful, to stop the execution of the current command if \
things are taking much longer than expected. \n\n",
 StyleBox["The second most helpful piece of advice you\[CloseCurlyQuote]ll \
get this semester: ",
  FontWeight->"Bold"],
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " has outstanding online help. To find out more information about any \
function, click on the function name and press F1. You can also access help \
topics organized by category, and/or search for a particular topic by going \
to ",
 StyleBox["Help",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 "\[RightArrow]",
 StyleBox["Documentation Center",
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]],
 ". One cool feature is that you can actually edit examples inside the help \
documents and execute them with shift-enter.\n\n",
 StyleBox["The third most helpful advice you will get this semester: ",
  FontWeight->"Bold"],
 "Be very VERY careful when choosing between parentheses (always used for \
arithmetic grouping), square brackets (always used in function \
calls/definitions), and braces (always used for lists of items). ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is EXTREMELY picky about which is which, and will give you errors if you \
use them incorrectly.\n\n---\n\nMore on clearing the memory to solve \
problems--as mentioned above, quitting the kernel is an excellent way to \
solve issues if your computer starts giving you results that don\
\[CloseCurlyQuote]t make sense. But often you can solve problems by clearing \
the memory without doing a full kernel reboot. There\[CloseCurlyQuote]s a \
command for that:"
}], "Text",
 CellChangeTimes->{{3.405709666581501*^9, 3.4057097023331814`*^9}, {
   3.4057131772798314`*^9, 3.4057131945238028`*^9}, {3.427511589997438*^9, 
   3.4275115905755663`*^9}, {3.4275136544481506`*^9, 
   3.4275137827145963`*^9}, {3.4275908020488167`*^9, 
   3.4275908849712224`*^9}, {3.4291570411218367`*^9, 3.4291570423249536`*^9}, 
   3.4293340703039846`*^9, {3.429375396378108*^9, 3.4293754693790426`*^9}, {
   3.429384747466551*^9, 3.4293847851701584`*^9}, {3.4396669267439566`*^9, 
   3.439666927447086*^9}, {3.544209778236388*^9, 3.5442099046056566`*^9}, {
   3.5443601594836693`*^9, 3.544360211412862*^9}, {3.607952635367624*^9, 
   3.607952742055624*^9}, {3.6079527779976234`*^9, 3.6079527806396236`*^9}, {
   3.6079528106936235`*^9, 3.607952914341624*^9}, {3.6079529634746237`*^9, 
   3.607953040630624*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Clear", "[", "\"\<`*\>\"", " ", "]"}],
  FontWeight->"Bold",
  FontColor->RGBColor[0., 0.5019607843137255, 0.]]], "Input",
 CellChangeTimes->{{3.544209587412058*^9, 3.544209751518463*^9}}],

Cell["\<\
That command will erase the definitions of any symbols used previously so \
that they don't interfere with subsequent work that employs the same symbol \
names for different purposes. It\[CloseCurlyQuote]s often a good idea to \
start each new notebook with that command so that variables defined in other \
notebooks that have been executed won\[CloseCurlyQuote]t inadvertently affect \
the current notebook. Here, the  *  is a wildcard symbol that refers to all \
variables that have been defined, and the  `  character signifies the current \
session (i.e., the command means \[OpenCurlyDoubleQuote]clear all variables \
that have been defined in the current session\[CloseCurlyDoubleQuote]). \
\>", "Text",
 CellChangeTimes->{{3.405709666581501*^9, 3.4057097023331814`*^9}, {
   3.4057131772798314`*^9, 3.4057131945238028`*^9}, {3.427511589997438*^9, 
   3.4275115905755663`*^9}, {3.4275136544481506`*^9, 
   3.4275137827145963`*^9}, {3.4275908020488167`*^9, 
   3.4275908849712224`*^9}, {3.4291570411218367`*^9, 3.4291570423249536`*^9}, 
   3.4293340703039846`*^9, {3.429375396378108*^9, 3.4293754693790426`*^9}, {
   3.429384747466551*^9, 3.4293847851701584`*^9}, {3.4396669267439566`*^9, 
   3.439666927447086*^9}, {3.544209778236388*^9, 3.5442099046056566`*^9}, {
   3.5443601594836693`*^9, 3.544360211412862*^9}, {3.607952635367624*^9, 
   3.6079527670146236`*^9}, {3.607952874064624*^9, 3.607952874800624*^9}, {
   3.607952938340624*^9, 3.6079529386276236`*^9}, 3.607953048157624*^9}],

Cell[CellGroupData[{

Cell["Advanced Function Definition", "Section",
 CellChangeTimes->{{3.427505994399126*^9, 3.4275059956022587`*^9}, {
   3.427506060305798*^9, 3.427506065837084*^9}, {3.4275467927024736`*^9, 
   3.4275468084994497`*^9}, {3.4311829085341988`*^9, 3.4311829110654974`*^9}, 
   3.4311829432379904`*^9, 3.4332595893316956`*^9, {3.4332806284639874`*^9, 
   3.433280628667118*^9}, {3.439664976700226*^9, 3.439664976825227*^9}, {
   3.4396650138723392`*^9, 3.439665014075465*^9}, {3.5442066078273497`*^9, 
   3.54420661648135*^9}, {3.54420845806835*^9, 3.5442084581633496`*^9}, {
   3.5442086597673492`*^9, 3.54420866058235*^9}, {3.544212493658374*^9, 
   3.5442124946984777`*^9}, {3.544212578084816*^9, 3.5442126007340803`*^9}, {
   3.544300829863743*^9, 3.5443008299187427`*^9}, {3.5443776930879483`*^9, 
   3.5443777066943088`*^9}, 3.54542063405953*^9, 3.5619069215329523`*^9}],

Cell[CellGroupData[{

Cell["Quick review", "Subsection",
 CellChangeTimes->{{3.5460016757892833`*^9, 3.5460016913802834`*^9}, {
  3.546001816268283*^9, 3.5460018184112835`*^9}}],

Cell[TextData[{
 "In Lab 1 you learned the basic steps of how to define your own functions, \
such as this to define ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "=", 
    RowBox[{
     SuperscriptBox["x", "2"], "+", 
     RowBox[{"3", "x"}]}]}], TraditionalForm]]],
 ":"
}], "Text",
 CellChangeTimes->{{3.546001695070283*^9, 3.546001747200283*^9}, {
  3.5460018232032833`*^9, 3.5460018443382835`*^9}, {3.555357200130744*^9, 
  3.5553572014188414`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], " ", "=", " ", 
  RowBox[{
   RowBox[{"x", "^", "2"}], " ", "+", " ", 
   RowBox[{"3", "x"}]}]}]], "Input",
 CellChangeTimes->{{3.5460017512742834`*^9, 3.546001756481283*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", "x"}], "+", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{{3.6079537217766237`*^9, 3.6079537361976237`*^9}, 
   3.61886268617295*^9, 3.6188627650298347`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "[", "2", "]"}]], "Input",
 CellChangeTimes->{{3.5460017636182833`*^9, 3.546001764864283*^9}}],

Cell[BoxData["10"], "Output",
 CellChangeTimes->{{3.607953721810624*^9, 3.6079537362306237`*^9}, 
   3.618862686206953*^9, 3.6188627650688386`*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to use slash-dot notation", "Subsection",
 CellChangeTimes->{{3.5442066317803497`*^9, 3.5442066385203495`*^9}, {
  3.5442067013643494`*^9, 3.5442067045723495`*^9}, {3.54420689982335*^9, 
  3.5442069016553497`*^9}}],

Cell[TextData[{
 "As mentioned in the last lab, the arrow symbol (obtained via \"-\" followed \
by \">\" ) is often used to specify parameters in function arguments. It can \
also be used to instruct ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to replace one quantity with a different quantity, when paired with a \
\[OpenCurlyDoubleQuote]slash-dot\[CloseCurlyDoubleQuote]: "
}], "Text",
 CellChangeTimes->{{3.54420691174535*^9, 3.5442070383273497`*^9}, {
  3.5443602349822187`*^9, 3.544360264543174*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"x", "^", "2"}], " ", "+", " ", 
  RowBox[{"3", "x", "  "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", "x"}], "+", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{{3.607953721840624*^9, 3.607953736262624*^9}, 
   3.6188626862399564`*^9, 3.6188627651078424`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"x", "^", "2"}], " ", "+", " ", 
   RowBox[{"3", "x"}]}], "  ", "/.", " ", 
  RowBox[{"x", "\[Rule]", "2"}]}]], "Input",
 CellChangeTimes->{{3.5442070431923494`*^9, 3.5442070544873495`*^9}}],

Cell[BoxData["10"], "Output",
 CellChangeTimes->{{3.6079537218776236`*^9, 3.6079537362966237`*^9}, 
   3.6188626862729597`*^9, 3.6188627651468463`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"notafunction", " ", "=", " ", 
  RowBox[{
   RowBox[{"x", "^", "2"}], " ", "+", " ", 
   RowBox[{"3", " ", "x"}]}]}]], "Input",
 CellChangeTimes->{{3.5442072214023495`*^9, 3.5442072348833494`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", "x"}], "+", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{{3.6079537219106236`*^9, 3.607953736331624*^9}, 
   3.618862686306963*^9, 3.61886276518585*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"notafunction", " ", "/.", " ", 
  RowBox[{"x", "\[Rule]", "2"}]}]], "Input",
 CellChangeTimes->{{3.5442072377693496`*^9, 3.5442072408353496`*^9}}],

Cell[BoxData["10"], "Output",
 CellChangeTimes->{{3.607953721944624*^9, 3.6079537363656235`*^9}, 
   3.6188626863399663`*^9, 3.6188627652248545`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"notafunction", " ", "/.", " ", 
  RowBox[{"x", "\[Rule]", " ", 
   RowBox[{"y", "^", "2"}]}]}]], "Input",
 CellChangeTimes->{{3.5442072890843496`*^9, 3.54420729539135*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", 
   SuperscriptBox["y", "2"]}], "+", 
  SuperscriptBox["y", "4"]}]], "Output",
 CellChangeTimes->{{3.607953721977624*^9, 3.607953736400624*^9}, 
   3.6188626863729696`*^9, 3.618862765263858*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{"notafunction", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5442073474393497`*^9, 3.5442073700833497`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwtmHs0VV33x892C8kRKkLhkYRyK8qJs5R7uZZS5FoqFU9eoYTy6E1UIkrS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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{-4, 4}, {-2.249999499421511, 27.999998204081656`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.607953722017624*^9, 3.6079537366276236`*^9}, 
   3.618862687127045*^9, 3.6188627653938713`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to notice: \n",
  FontWeight->"Bold"],
 "\n1. The \[OpenCurlyDoubleQuote]slash-dot\[CloseCurlyDoubleQuote] can be \
read in English as the word \[OpenCurlyDoubleQuote]with\
\[CloseCurlyDoubleQuote]. The arrow symbol can be read as \
\[OpenCurlyDoubleQuote]is replaced with\[CloseCurlyDoubleQuote]. Thus the \
command \[OpenCurlyDoubleQuote]x^2 + 3x  /. x\[Rule]2\[CloseCurlyDoubleQuote] \
can be read as \[OpenCurlyDoubleQuote]x^2 + 3x, with x replaced by 2\
\[CloseCurlyDoubleQuote]. So it gives you a result of 2^2 + 3*2 (= 10).\n\n2. \
Slash-dot can be used to mimic the behavior of functions. The expression \
\[OpenCurlyDoubleQuote]notafunction\[CloseCurlyDoubleQuote] is ",
 StyleBox["not",
  FontSlant->"Italic"],
 " a function, rather it is a variable that contains an algebraic expression \
involving x. But \[OpenCurlyDoubleQuote]notafunction\[CloseCurlyDoubleQuote] \
can be used to mimic the behavior of a function because an expression with \
the variable replaced by a number is essentially the same as a function \
evaluated at the number.\n\n3. As in the   /. x\[Rule] y^2   example, \
slash-dot can be used to replace a variable with basically ",
 StyleBox["anything",
  FontSlant->"Italic"],
 ", including a function of another variable.\n\n4. The Plot function example \
doesn\[CloseCurlyQuote]t involve slash-dot directly, but \
it\[CloseCurlyQuote]s doing much the same \
thing--\[OpenCurlyDoubleQuote]notafunction\[CloseCurlyDoubleQuote] is being \
interpreted as a particular expression involving x\[CloseCurlyQuote]s, so the \
command is essentially the same as typing in \[OpenCurlyDoubleQuote]Plot[x^2 \
+ 3 x,{x,-4,4}].  Plotting things that way can be useful, but do so \
carefully. Things don\[CloseCurlyQuote]t always work as expected--the value \
of the \[OpenCurlyDoubleQuote]notafunction\[CloseCurlyDoubleQuote] variable \
could get accidentally changed, for example. In my opinion the following \
method is generally safer/better:"
}], "Text",
 CellChangeTimes->{{3.5442070795253496`*^9, 3.5442071776303496`*^9}, {
  3.5442072452423496`*^9, 3.5442073443243494`*^9}, {3.5442073770903497`*^9, 
  3.5442075885883493`*^9}, {3.5442076231453495`*^9, 3.5442076629583497`*^9}, {
  3.54436029040876*^9, 3.5443603118889084`*^9}, {3.5443609731120243`*^9, 
  3.544361051610873*^9}, {3.5443610842451363`*^9, 3.5443611780085115`*^9}, {
  3.546010552563283*^9, 3.5460105951042833`*^9}, {3.5619861896847653`*^9, 
  3.5619862082357655`*^9}, {3.597681380064266*^9, 3.59768139559982*^9}, {
  3.6188626336216955`*^9, 3.6188626362219553`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"thisisafunction", "[", "x_", "]"}], " ", "=", " ", 
  RowBox[{
   RowBox[{"x", "^", "2"}], "+", 
   RowBox[{"3", "x", "   ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"Now", " ", "this", " ", "IS", " ", "a", " ", "function"}], ",",
       " ", 
      RowBox[{
      "not", " ", "just", " ", "a", " ", "variable", " ", "defined", " ", 
       "to", " ", "be", " ", "equal", " ", "to", " ", "an", " ", "expression",
        " ", "involving", " ", "x"}]}], " ", "*)"}]}]}]}]], "Input",
 CellChangeTimes->{{3.5442075940403495`*^9, 3.5442076024603496`*^9}, {
  3.5442076722153497`*^9, 3.54420769708735*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", "x"}], "+", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{{3.6079537220476236`*^9, 3.607953736655624*^9}, 
   3.618862687228055*^9, 3.618862765444876*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"thisisafunction", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5442076140033493`*^9, 3.5442076164143496`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwtmHs0VV33x892C8kRKkLhkYRyK8qJs5R7uZZS5FoqFU9eoYTy6E1UIkrS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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{-4, 4}, {-2.249999499421511, 27.999998204081656`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.6079537220856237`*^9, 3.607953736695624*^9}, 
   3.6188626872680593`*^9, 3.618862765491881*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["\nSlash-dot usage with FindRoot and Solve. ",
  FontWeight->"Bold"],
 "Slash-dot can be used to make the solutions to FindRoot and Solve \
appear/behave a little more normally. Look at the difference between the \
outputs of these commands:"
}], "Text",
 CellChangeTimes->{{3.5442077307273493`*^9, 3.5442077688073497`*^9}, {
  3.5442079214373493`*^9, 3.5442079320373497`*^9}, {3.5442081634463496`*^9, 
  3.5442081647583494`*^9}, {3.5460104802722836`*^9, 3.546010509093283*^9}, {
  3.546010609511283*^9, 3.5460106116712832`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"FindRoot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Cos", "[", "x", "]"}], "\[Equal]", "x"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", "1"}], "}"}]}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"from", " ", "last", " ", "lab"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.54420777062035*^9, 3.5442077981993494`*^9}, {
  3.5442078295333495`*^9, 3.5442078429403496`*^9}, {3.5443612904297523`*^9, 
  3.544361290781788*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"x", "\[Rule]", "0.7390851332151607`"}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537221126237`*^9, 3.607953736721624*^9}, 
   3.6188626874890814`*^9, 3.6188627655368853`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", " ", "/.", " ", 
  RowBox[{"FindRoot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Cos", "[", "x", "]"}], "\[Equal]", "x"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", "1"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5442078015113497`*^9, 3.5442078030713496`*^9}, 
   3.54420784954935*^9}],

Cell[BoxData["0.7390851332151607`"], "Output",
 CellChangeTimes->{{3.6079537221466236`*^9, 3.607953736754624*^9}, 
   3.618862687526085*^9, 3.618862765574889*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"3", " ", 
      RowBox[{"x", "^", "2"}]}], " ", "\[Equal]", " ", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3", " ", "x"}], " ", "-", " ", 
         RowBox[{"x", "^", "2"}]}], ")"}]}], " ", "+", "5"}]}], ",", " ", 
    "x"}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"from", " ", "last", " ", "lab"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442078114993496`*^9, 3.5442078147013493`*^9}, {
  3.5442078758603497`*^9, 3.5442078838503494`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "7"], " ", 
      RowBox[{"(", 
       RowBox[{"6", "-", 
        SqrtBox["71"]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "7"], " ", 
      RowBox[{"(", 
       RowBox[{"6", "+", 
        SqrtBox["71"]}], ")"}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.607953722180624*^9, 3.607953736808624*^9}, 
   3.618862687845117*^9, 3.618862765631895*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", " ", "/.", " ", "%"}]], "Input",
 CellChangeTimes->{{3.5442078902483497`*^9, 3.5442078921853495`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["1", "7"], " ", 
    RowBox[{"(", 
     RowBox[{"6", "-", 
      SqrtBox["71"]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", "7"], " ", 
    RowBox[{"(", 
     RowBox[{"6", "+", 
      SqrtBox["71"]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537222146235`*^9, 3.6079537368426237`*^9}, 
   3.6188626878921213`*^9, 3.618862765669899*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.5442078950903497`*^9, 3.5442078972093496`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.34659282473947983`"}], ",", "2.060878539025194`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.607953722249624*^9, 3.607953736876624*^9}, 
   3.618862687937126*^9, 3.618862765705902*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to notice: \n",
  FontWeight->"Bold"],
 "\n1. FindRoot and Solve actually return ",
 StyleBox["rules",
  FontSlant->"Italic"],
 " as their output. (I do not know why this is the case.) The fact that an \
output expression is a ",
 StyleBox["rule",
  FontSlant->"Italic"],
 " rather than a number is indicated by the arrow. The output of the first \
FindRoot command is the rule \[OpenCurlyDoubleQuote]x is to be replaced by \
0.739085\[CloseCurlyDoubleQuote].\n\n2. The rules returned by those commands \
can be used as the second part of a slash-dot command. Thus, the second input \
can be read like this: \[OpenCurlyDoubleQuote]x, with x replaced by 0.739085\
\[CloseCurlyDoubleQuote]. This of course gives you just 0.739085."
}], "Text",
 CellChangeTimes->{{3.5442070795253496`*^9, 3.5442071776303496`*^9}, {
  3.5442072452423496`*^9, 3.5442073443243494`*^9}, {3.5442073770903497`*^9, 
  3.5442075885883493`*^9}, {3.5442076231453495`*^9, 3.5442076629583497`*^9}, {
  3.5442079409893494`*^9, 3.5442081243213496`*^9}, {3.5442081548313494`*^9, 
  3.5442081569183493`*^9}, {3.5443613235020595`*^9, 3.5443613271894283`*^9}}],

Cell[CellGroupData[{

Cell["Assignment 1. Three slash-dot tasks ", "Subsubsection",
 CellChangeTimes->{{3.5442082290573497`*^9, 3.5442082922063494`*^9}, {
   3.54420833513935*^9, 3.5442083711443496`*^9}, {3.5451833391985874`*^9, 
   3.5451833613858056`*^9}, 3.545420681626286*^9, {3.5460104576252832`*^9, 
   3.5460104588482833`*^9}, {3.5460106502762833`*^9, 3.546010650860283*^9}, {
   3.5619086537151537`*^9, 3.561908653818164*^9}}],

Cell[TextData[{
 "(a) Use slash-dot notation to figure out what this complicated expression \
is equal to when x is 4:  1/(3 (1+x))-(-1 + 2x)/(6 (1-x +x^2))+2/(3(1 + (1/3) \
(-1 +2 x)^2)).  \n(b) Figure out the expression in terms of y, given x = 2y \
(and simplify your result)\n(c) Define the following two expressions: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "1"], "=", 
    RowBox[{"x", " ", 
     RowBox[{"sin", "(", "x", ")"}]}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "2"], "=", 
    SuperscriptBox["e", "x"]}], TraditionalForm]]],
 ". When plotted, the two curves intersect in an infinite number of places. \
Use ",
 StyleBox["FindRoot ",
  FontWeight->"Bold"],
 "to find the intersection that occurs closest to x=0, and use slash-dot to \
determine what the y-value of the intersection is without doing any copying & \
pasting of your own."
}], "Text",
 CellChangeTimes->{{3.5442082290573497`*^9, 3.5442082922063494`*^9}, {
  3.54420833513935*^9, 3.5442083711443496`*^9}, {3.5451833391985874`*^9, 
  3.545183344817149*^9}, {3.546010653325283*^9, 3.546010657483283*^9}, {
  3.5460107198002834`*^9, 3.5460107382622833`*^9}, {3.5460109000622835`*^9, 
  3.5460110560592833`*^9}, {3.618863040940423*^9, 3.6188631036546936`*^9}, {
  3.618863143247653*^9, 3.6188631767209997`*^9}, {3.6192255978819427`*^9, 
  3.61922559854801*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Delayed function assignments with :=", "Subsection",
 CellChangeTimes->{{3.39917291007075*^9, 3.39917291607075*^9}, {
  3.4057025112410197`*^9, 3.405702511850403*^9}, {3.405715450249255*^9, 
  3.4057154510468693`*^9}, {3.4057213347675247`*^9, 3.405721335299268*^9}, {
  3.427543139912867*^9, 3.427543144194199*^9}, {3.4311828869400344`*^9, 
  3.4311828893150797`*^9}, {3.5442085986193495`*^9, 3.54420860470535*^9}, {
  3.5619863129407654`*^9, 3.5619863183807654`*^9}}],

Cell[TextData[{
 "Sometimes functions are defined with  :=  instead of with  =.  This causes \
a subtle difference in the way ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " handles the function. With equals, the function is immediately defined as \
was specified by the right hand side of the equation. With a colon-equals, \
the function definition is postponed until it is actually called later. And \
it\[CloseCurlyQuote]s reevaluated each time it\[CloseCurlyQuote]s called. \
Evaluate the following two cells and think through the results carefully."
}], "Text",
 CellChangeTimes->{{3.399171132555125*^9, 3.39917119725825*^9}, 
   3.39917183088325*^9, 3.399172477211375*^9, {3.39917292400825*^9, 
   3.39917311832075*^9}, {3.3991731504145*^9, 3.399173255352*^9}, {
   3.399173341586375*^9, 3.399173348398875*^9}, {3.405699056134295*^9, 
   3.4056991011817465`*^9}, {3.40569945690505*^9, 3.405699459170704*^9}, 
   3.405699850066332*^9, {3.427510101987915*^9, 3.4275101553476315`*^9}, {
   3.4275101872540855`*^9, 3.427510236879403*^9}, {3.427510689382299*^9, 
   3.4275108316644597`*^9}, {3.4275457507270546`*^9, 3.427545768680295*^9}, {
   3.4275458020867586`*^9, 3.4275458379932384`*^9}, {3.4275459124937153`*^9, 
   3.427546010400592*^9}, {3.427546083401059*^9, 3.4275461347920127`*^9}, {
   3.4275462471833572`*^9, 3.4275462941367826`*^9}, {3.427590945690361*^9, 
   3.4275909707998967`*^9}, {3.4396667604303923`*^9, 3.439666771242961*^9}, {
   3.439666810618213*^9, 3.439666829071456*^9}, {3.544063314731146*^9, 
   3.5440633192345963`*^9}, {3.5442086317043495`*^9, 
   3.5442086513343496`*^9}, {3.5442087537763495`*^9, 
   3.5442089554193497`*^9}, {3.54420907602835*^9, 3.5442090769163494`*^9}, {
   3.5443614570984173`*^9, 3.544361462249933*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"m", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"m", " ", 
    RowBox[{"x", "^", "2"}]}]}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"immediate", " ", 
    RowBox[{"assignment", " ", "--"}], " ", "evaluated", " ", "right", " ", 
    "now"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", "x_", "]"}], " ", ":=", " ", 
   RowBox[{"m", " ", 
    RowBox[{"x", "^", "2"}]}]}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"delayed", " ", 
    RowBox[{"assignment", " ", "--"}], " ", "not", " ", "evaluated", " ", 
    "until", " ", "used", " ", "later"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"a", "[", "4", "]"}], "\[IndentingNewLine]", 
 RowBox[{"b", "[", "4", "]"}]}], "Input",
 CellChangeTimes->{{3.399173512367625*^9, 3.399173527055125*^9}, {
   3.39917356838325*^9, 3.39917357332075*^9}, {3.399173638648875*^9, 
   3.399173639242625*^9}, {3.399404603845406*^9, 3.399404605981606*^9}, {
   3.399758539316167*^9, 3.3997585408624477`*^9}, {3.401126831059501*^9, 
   3.401126831715151*^9}, {3.4011268749567895`*^9, 3.4011269390387135`*^9}, {
   3.4011272213894444`*^9, 3.4011272281176558`*^9}, {3.4011272649745183`*^9, 
   3.401127273560404*^9}, {3.4011273116505117`*^9, 3.401127319533915*^9}, {
   3.405699528312214*^9, 3.4056996122351627`*^9}, {3.4056998715509825`*^9, 
   3.405699880316719*^9}, 3.4057085914952865`*^9, {3.4275110768066535`*^9, 
   3.4275113005893354`*^9}, {3.4275114849655156`*^9, 3.427511486043648*^9}, {
   3.4275911079882746`*^9, 3.4275911311134224`*^9}, {3.54420897577835*^9, 
   3.5442090366643496`*^9}, {3.5442090966523495`*^9, 
   3.5442091785923495`*^9}, {3.618862718188151*^9, 3.618862718891221*^9}, 
   3.6188628029426255`*^9}],

Cell[BoxData[
 RowBox[{"2", " ", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{{3.6079537224626236`*^9, 3.607953737071624*^9}, 
   3.6188626882811604`*^9, 3.61886271948028*^9, 3.618862765929925*^9, 
   3.6188628043867702`*^9}],

Cell[BoxData["32"], "Output",
 CellChangeTimes->{{3.6079537224626236`*^9, 3.607953737071624*^9}, 
   3.6188626882811604`*^9, 3.61886271948028*^9, 3.618862765929925*^9, 
   3.6188628043917704`*^9}],

Cell[BoxData["32"], "Output",
 CellChangeTimes->{{3.6079537224626236`*^9, 3.607953737071624*^9}, 
   3.6188626882811604`*^9, 3.61886271948028*^9, 3.618862765929925*^9, 
   3.618862804395771*^9}]
}, Closed]],

Cell["\<\
(The two outputs are the result of the a[1] and b[1] commands, in order.)\
\>", "Text",
 CellChangeTimes->{{3.5442093134703493`*^9, 3.5442093378503494`*^9}, {
  3.5976922104661984`*^9, 3.5976922143775897`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"m", " ", "=", " ", "3"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "[", "4", "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "uses", " ", "the", " ", "original", " ", "value", " ", "of", " ", "m", 
    " ", "that", " ", "was", " ", "in", " ", "force", " ", "when", " ", "the",
     " ", "assignment", " ", "was", " ", "first", " ", "made"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "[", "4", "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "reevaluated", " ", "now", " ", "using", " ", "the", " ", "current", " ", 
    "value", " ", "of", " ", "m"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.399173512367625*^9, 3.399173527055125*^9}, {
   3.39917356838325*^9, 3.39917357332075*^9}, {3.399173638648875*^9, 
   3.399173639242625*^9}, {3.399404603845406*^9, 3.399404605981606*^9}, {
   3.399758539316167*^9, 3.3997585408624477`*^9}, {3.401126831059501*^9, 
   3.401126831715151*^9}, {3.4011268749567895`*^9, 3.4011269390387135`*^9}, {
   3.4011272213894444`*^9, 3.4011272281176558`*^9}, {3.4011272649745183`*^9, 
   3.401127273560404*^9}, {3.4011273116505117`*^9, 3.401127319533915*^9}, {
   3.405699528312214*^9, 3.4056996122351627`*^9}, {3.4056998715509825`*^9, 
   3.405699880316719*^9}, 3.4057085914952865`*^9, {3.4275110768066535`*^9, 
   3.4275113005893354`*^9}, {3.4275114849655156`*^9, 3.427511486043648*^9}, {
   3.4275911079882746`*^9, 3.4275911311134224`*^9}, {3.54420897577835*^9, 
   3.5442090325663495`*^9}, {3.54420916982535*^9, 3.5442091839993496`*^9}, {
   3.618862737612093*^9, 3.618862738259158*^9}}],

Cell[BoxData["32"], "Output",
 CellChangeTimes->{{3.607953722505624*^9, 3.6079537371086235`*^9}, 
   3.6188626883321657`*^9, {3.618862738748207*^9, 3.6188627659759293`*^9}}],

Cell[BoxData["48"], "Output",
 CellChangeTimes->{{3.607953722505624*^9, 3.6079537371086235`*^9}, 
   3.6188626883321657`*^9, {3.618862738748207*^9, 3.61886276598093*^9}}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to notice:",
  FontWeight->"Bold"],
 " \n\n1. The function a(x) was defined to be 2 x^2 for all time (or at \
least, until it gets redefined).\n\n2. The function b(x) was defined to be m \
x^2, NOT 2 x^2.  Each time the function b(x) is used, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " has to detect what the value of ",
 StyleBox["m",
  FontSlant->"Italic"],
 " is in order to evaluate the function. That\[CloseCurlyQuote]s why the \
value of b(1) in the second cell is different than the value of b(1) in the \
first cell.\n\n3. The function definition b[x_] := m x^2  generates no output \
(because it\[CloseCurlyQuote]s not evaluated yet!). In that respect it\
\[CloseCurlyQuote]s like there is a semicolon at the end of the line.\n\n\n",
 StyleBox["Final notes on this topic: \n\n",
  FontWeight->"Bold"],
 "If it\[CloseCurlyQuote]s not clear why this might be useful, don\
\[CloseCurlyQuote]t fret. The advantages of  =  over  :=, or vice versa, will \
become clearer as you gain more experience. For now, if a function definition \
doesn\[CloseCurlyQuote]t work the way you think it ought to, just remember \
that perhaps you should have used := instead of =  (or vice versa). \n\nAlso, \
you can use this  :=  notation for ",
 StyleBox["any",
  FontSlant->"Italic"],
 " type of assignment that you\[CloseCurlyQuote]d normally do with a regular \
equals sign, not just for functions. "
}], "Text",
 CellChangeTimes->{{3.54420904849535*^9, 3.5442090905383496`*^9}, {
  3.5442091963873496`*^9, 3.5442093043483496`*^9}, {3.5442093495713496`*^9, 
  3.5442094178863497`*^9}, {3.5442094555723495`*^9, 3.544209521884765*^9}, {
  3.5443615318378906`*^9, 3.544361531907898*^9}, {3.544361580205727*^9, 
  3.5443616989215975`*^9}, {3.544372196737274*^9, 3.5443722046730676`*^9}, {
  3.561908670403822*^9, 3.561908813729153*^9}, {3.597692248868038*^9, 
  3.597692249163068*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["How to use Postfix notation", "Subsection",
 CellChangeTimes->{{3.399174072852*^9, 3.399174093836375*^9}, {
   3.399761770200031*^9, 3.3997617717619305`*^9}, {3.4057025135379243`*^9, 
   3.4057025141004314`*^9}, {3.4057213369726944`*^9, 3.405721337535716*^9}, {
   3.4293831238988943`*^9, 3.429383132649006*^9}, {3.429465487563163*^9, 
   3.4294654946568675`*^9}, {3.4311840546812043`*^9, 3.431184056384362*^9}, 
   3.4311874194958076`*^9, {3.431187559607873*^9, 3.4311875599360037`*^9}, {
   3.544210051912112*^9, 3.5442100823952723`*^9}}],

Cell[TextData[{
 "In addition to the standard ",
 StyleBox["g",
  FontSlant->"Italic"],
 "[",
 StyleBox["x",
  FontSlant->"Italic"],
 "] form for calling a function, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " provides several different alternate forms for calling functions. One of \
these is the \[OpenCurlyDoubleQuote]postfix\[CloseCurlyDoubleQuote] form, \
indicated by two slashes: //.  The following two function calls are \
equivalent:"
}], "Text",
 CellChangeTimes->{{3.4293858573870077`*^9, 3.429386004717018*^9}, {
  3.429455411190152*^9, 3.429455435908744*^9}, {3.4294643441329813`*^9, 
  3.429464404773218*^9}, {3.429464475413391*^9, 3.4294644997726097`*^9}, {
  3.4294666904598026`*^9, 3.429466755804389*^9}, {3.431803967883357*^9, 
  3.431803977446041*^9}, {3.4332811483522964`*^9, 3.433281151571129*^9}, {
  3.5442100613059907`*^9, 3.544210061883106*^9}, {3.5442101291429462`*^9, 
  3.5442101434863806`*^9}, {3.5442101791599474`*^9, 3.544210218137845*^9}, {
  3.54421037290232*^9, 3.5442103729593253`*^9}, {3.544361713253031*^9, 
  3.5443617273634415`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"g", "[", "x", "]"}], "     ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "function", " ", "call", " ", "in", " ", "standard", " ", "notation"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"x", "//", "g", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "equivalent", " ", "shorthand", " ", "call", " ", "in", " ", 
    "\"\<postfix\>\"", " ", "notation"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.3991394562604237`*^9, 3.399139476448053*^9}, {
  3.4057007725000143`*^9, 3.4057009121111765`*^9}, {3.405700959205529*^9, 
  3.405700967346258*^9}, {3.4057010095499234`*^9, 3.4057010182219095`*^9}, {
  3.405783273560341*^9, 3.4057832772326155`*^9}, {3.429455371190408*^9, 
  3.429455390612159*^9}, {3.4294554425805764`*^9, 3.429455453064884*^9}, {
  3.42946441224192*^9, 3.4294644180075083`*^9}, {3.429467424969204*^9, 
  3.429467426391097*^9}, {3.4294674642665825`*^9, 3.4294674690635185`*^9}, {
  3.544210243099341*^9, 3.5442102435073814`*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", "x", "]"}]], "Output",
 CellChangeTimes->{{3.607953722551624*^9, 3.607953737150624*^9}, 
   3.6188626883871713`*^9, 3.6188627661079426`*^9}],

Cell[BoxData[
 RowBox[{"g", "[", "x", "]"}]], "Output",
 CellChangeTimes->{{3.607953722551624*^9, 3.607953737150624*^9}, 
   3.6188626883871713`*^9, 3.6188627661129427`*^9}]
}, Closed]],

Cell["\<\
The postfix notation is a bit like \[OpenCurlyDoubleQuote]Reverse Polish \
Notation\[CloseCurlyDoubleQuote] (RPN) if you have ever used an HP calculator \
or are familiar with the concept of a \[OpenCurlyDoubleQuote]stack\
\[CloseCurlyDoubleQuote].\
\>", "Text",
 CellChangeTimes->{{3.4293860120608625`*^9, 3.4293860748272905`*^9}, {
   3.4294576062386036`*^9, 3.4294578145653954`*^9}, {3.429457907283552*^9, 
   3.4294579083772955`*^9}, {3.4294581471570168`*^9, 
   3.4294581524069834`*^9}, {3.4294584036710005`*^9, 
   3.4294584045303698`*^9}, {3.4294639946508427`*^9, 3.4294640247444*^9}, 
   3.42946584976397*^9, {3.429467521845444*^9, 3.429467522798581*^9}, {
   3.5442102521302433`*^9, 3.54421028519555*^9}, {3.5442117458315988`*^9, 
   3.544211752872303*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Log", "[", "2.4", "]"}]], "Input",
 CellChangeTimes->{{3.544210287757806*^9, 3.5442103025572863`*^9}}],

Cell[BoxData["0.8754687373538999`"], "Output",
 CellChangeTimes->{{3.607953722591624*^9, 3.607953737281624*^9}, 
   3.618862688433176*^9, 3.6188627661509466`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"2.4", " ", "//", "Log", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"the", " ", "same", " ", 
    RowBox[{"thing", "!"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442103044544754`*^9, 3.544210315190549*^9}}],

Cell[BoxData["0.8754687373538999`"], "Output",
 CellChangeTimes->{{3.607953722626624*^9, 3.6079537373166237`*^9}, 
   3.6188626884721794`*^9, 3.6188627661989517`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"Sin", "[", "1", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5442103256235924`*^9, 3.5442103396869984`*^9}}],

Cell[BoxData["0.8414709848078965`"], "Output",
 CellChangeTimes->{{3.607953722661624*^9, 3.607953737352624*^9}, 
   3.6188626885121837`*^9, 3.6188627662489567`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Sin", "[", "1", "]"}], " ", "//", "N"}]], "Input",
 CellChangeTimes->{{3.544210342224252*^9, 3.5442103440944395`*^9}}],

Cell[BoxData["0.8414709848078965`"], "Output",
 CellChangeTimes->{{3.6079537226976237`*^9, 3.607953737387624*^9}, 
   3.618862688552188*^9, 3.6188627662989616`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ArcSin", "[", ".7", "]"}], "  ", "/", "Degree", " "}]], "Input",
 CellChangeTimes->{{3.5442106822062473`*^9, 3.544210683018328*^9}, {
  3.5442107318602123`*^9, 3.544210742973323*^9}, {3.5442107939204173`*^9, 
  3.544210848081833*^9}, {3.5442114189659157`*^9, 3.544211419796999*^9}}],

Cell[BoxData["44.4270040008057`"], "Output",
 CellChangeTimes->{{3.607953722732624*^9, 3.607953737423624*^9}, 
   3.6188626885911913`*^9, 3.6188627663489666`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to notice: ",
  FontWeight->"Bold"],
 "\n\n1. The second log command can be thought of in English as: \
\[OpenCurlyDoubleQuote]Consider the number 2.4.  Now take the log of it.\
\[CloseCurlyDoubleQuote]\n\n2. I personally find the postfix method of \
forcing a numerical answer ( //N ) to be extremely helpful.\n\n3. There\
\[CloseCurlyQuote]s not an easy way of specifying a second argument via \
postfix form. So if you want sin(1) to 50 decimal places \
it\[CloseCurlyQuote]s usually best to use something like N[Sin[1],50].\n\n4. \
The constant \[OpenCurlyDoubleQuote]Degree\[CloseCurlyDoubleQuote] is equal \
to pi/180, the conversion factor for going from degrees to radians. To go \
from radians to degrees, you can divide by it. Its slash has nothing to do \
with postfix form; it\[CloseCurlyQuote]s simple division. But it\
\[CloseCurlyQuote]s included here because it sort of works to think of it as \
a \[OpenCurlyDoubleQuote]convert to degrees\[CloseCurlyDoubleQuote] postfix \
function."
}], "Text",
 CellChangeTimes->{{3.4293860120608625`*^9, 3.4293860748272905`*^9}, {
   3.4294576062386036`*^9, 3.4294578145653954`*^9}, {3.429457907283552*^9, 
   3.4294579083772955`*^9}, {3.4294581471570168`*^9, 
   3.4294581524069834`*^9}, {3.4294584036710005`*^9, 
   3.4294584045303698`*^9}, {3.4294639946508427`*^9, 3.4294640247444*^9}, 
   3.42946584976397*^9, {3.429467521845444*^9, 3.429467522798581*^9}, {
   3.5442102521302433`*^9, 3.54421028519555*^9}, {3.544210362678297*^9, 
   3.544210458760905*^9}, {3.544210852687293*^9, 3.54421096556358*^9}, {
   3.5442114246754866`*^9, 3.5442114700290213`*^9}, {3.5443617930210066`*^9, 
   3.5443618529539995`*^9}, {3.5976923055897098`*^9, 3.59769230589374*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["How to use Prefix notation", "Subsection",
 CellChangeTimes->{{3.399174072852*^9, 3.399174093836375*^9}, {
   3.399761770200031*^9, 3.3997617717619305`*^9}, {3.4057025135379243`*^9, 
   3.4057025141004314`*^9}, {3.4057213369726944`*^9, 3.405721337535716*^9}, {
   3.4293831238988943`*^9, 3.429383132649006*^9}, {3.429465487563163*^9, 
   3.4294654946568675`*^9}, {3.4311840546812043`*^9, 3.431184056384362*^9}, 
   3.4311874194958076`*^9, {3.431187559607873*^9, 3.4311875599360037`*^9}, {
   3.544210051912112*^9, 3.5442100914521775`*^9}}],

Cell["\<\
Another alternate way of calling a function is the \
\[OpenCurlyDoubleQuote]prefix\[CloseCurlyDoubleQuote] form, indicated by an \
at sign: @.  The following two function calls are equivalent:\
\>", "Text",
 CellChangeTimes->{{3.4293858573870077`*^9, 3.429386004717018*^9}, {
   3.429455411190152*^9, 3.429455435908744*^9}, {3.4294643441329813`*^9, 
   3.429464404773218*^9}, {3.429464475413391*^9, 3.4294644997726097`*^9}, {
   3.4294666904598026`*^9, 3.429466755804389*^9}, {3.431803967883357*^9, 
   3.431803977446041*^9}, {3.4332811483522964`*^9, 3.433281151571129*^9}, {
   3.5442100613059907`*^9, 3.544210061883106*^9}, {3.5442101291429462`*^9, 
   3.5442101434863806`*^9}, {3.5442101791599474`*^9, 3.544210218137845*^9}, {
   3.54421037290232*^9, 3.5442103729593253`*^9}, {3.5442117620722227`*^9, 
   3.5442117969697123`*^9}, 3.5442118778608007`*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"g", "[", "x", "]"}], "     ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "function", " ", "call", " ", "in", " ", "standard", " ", "notation"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"g", "@", "x", "      ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "equivalent", " ", "shorthand", " ", "call", " ", "in", " ", 
    "\"\<prefix\>\"", " ", "notation"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.3991394562604237`*^9, 3.399139476448053*^9}, {
  3.4057007725000143`*^9, 3.4057009121111765`*^9}, {3.405700959205529*^9, 
  3.405700967346258*^9}, {3.4057010095499234`*^9, 3.4057010182219095`*^9}, {
  3.405783273560341*^9, 3.4057832772326155`*^9}, {3.429455371190408*^9, 
  3.429455390612159*^9}, {3.4294554425805764`*^9, 3.429455453064884*^9}, {
  3.42946441224192*^9, 3.4294644180075083`*^9}, {3.429467424969204*^9, 
  3.429467426391097*^9}, {3.4294674642665825`*^9, 3.4294674690635185`*^9}, {
  3.544210243099341*^9, 3.5442102435073814`*^9}, {3.5442118049635115`*^9, 
  3.5442118140764227`*^9}}],

Cell[BoxData[
 RowBox[{"g", "[", "x", "]"}]], "Output",
 CellChangeTimes->{{3.607953722847624*^9, 3.607953737459624*^9}, 
   3.6188626886351957`*^9, 3.6188627663989716`*^9}],

Cell[BoxData[
 RowBox[{"g", "[", "x", "]"}]], "Output",
 CellChangeTimes->{{3.607953722847624*^9, 3.607953737459624*^9}, 
   3.6188626886351957`*^9, 3.618862766402972*^9}]
}, Closed]],

Cell["The expression \"g@x\" can be read as \"g evaluated at x\"", "Text",
 CellChangeTimes->{{3.5442118851215267`*^9, 3.5442119043724513`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", "x_", "]"}], "=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"x", "/", "3"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"g", "[", "13", "]"}], "\[IndentingNewLine]", 
 RowBox[{"g", "@", "13"}]}], "Input",
 CellChangeTimes->{{3.5442118168156967`*^9, 3.5442118560376186`*^9}}],

Cell[BoxData[
 SqrtBox[
  FractionBox["13", "3"]]], "Output",
 CellChangeTimes->{{3.607953722887624*^9, 3.607953737498624*^9}, 
   3.618862688683201*^9, 3.6188627664489765`*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox["13", "3"]]], "Output",
 CellChangeTimes->{{3.607953722887624*^9, 3.607953737498624*^9}, 
   3.618862688683201*^9, 3.618862766452977*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Pure functions or \[OpenCurlyDoubleQuote]nameless\[CloseCurlyDoubleQuote] \
functions\
\>", "Subsection",
 CellChangeTimes->{{3.5555030287493987`*^9, 3.555503050458399*^9}, {
  3.587298620236902*^9, 3.587298631042899*^9}}],

Cell[TextData[{
 "Sometimes you may want to define a function and use it, without ever giving \
it a name. This can be done in a single line. The construct is a bit abstract \
but can be extremely powerful. We\[CloseCurlyQuote]ll see much more of it \
later in the semester. The format for this involves two special symbols:\n# = \
indicates the variable; you can think of it as \[OpenCurlyDoubleQuote]x\
\[CloseCurlyDoubleQuote] if you like \n& = indicates the end of the function \
definition\n\nThe # and & symbols are actually shortcuts for the ",
 StyleBox[ButtonBox["Slot",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Slot"],
  FontWeight->"Bold"],
 " and ",
 StyleBox[ButtonBox["Function ",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Function"],
  FontWeight->"Bold"],
 "commands, respectively. And ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " calls these ",
 StyleBox[ButtonBox["pure functions",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/PureFunctions"],
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"],
 "instead of the name I prefer, \[OpenCurlyDoubleQuote]nameless functions\
\[CloseCurlyDoubleQuote].\n\nWhen used in the context of commands that \
require f[x], the \[OpenCurlyDoubleQuote][x]\[CloseCurlyDoubleQuote] must be \
added by hand. Here are two examples:"
}], "Text",
 CellChangeTimes->{{3.544211946655679*^9, 3.5442121632703385`*^9}, {
  3.5555027452733984`*^9, 3.5555027514463987`*^9}, {3.5555030622843986`*^9, 
  3.5555032292183986`*^9}, {3.5555034190463986`*^9, 3.5555035292433987`*^9}, {
  3.5555035822883987`*^9, 3.5555036670473986`*^9}, {3.5619033644903655`*^9, 
  3.561903366087685*^9}, {3.5619034349614573`*^9, 3.5619034686611958`*^9}, {
  3.6188628406693983`*^9, 3.618862895862917*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"3", "^", "#"}], ")"}], "&"}], " ", "[", "x", "]"}], " ", "/.", 
  " ", 
  RowBox[{"x", "\[Rule]", " ", "3.5", "  ", 
   RowBox[{"(*", " ", 
    RowBox[{"calculates", " ", 
     RowBox[{"3", "^", "3.5"}]}], " ", "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.5555036722323985`*^9, 3.555503713701399*^9}, {
  3.5555037620083985`*^9, 3.5555037741843987`*^9}, {3.5555038341863985`*^9, 
  3.5555038436223984`*^9}, {3.555503874689399*^9, 3.555503891715399*^9}}],

Cell[BoxData["46.76537180435969`"], "Output",
 CellChangeTimes->{{3.607953722930624*^9, 3.607953737538624*^9}, 
   3.6188626887422066`*^9, 3.6188627664989815`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "#"}], ")"}], " ", "&"}], " ", "[", "x", "]"}], ",", 
    " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"plots", " ", 
    RowBox[{"1", "/", "x"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5555032308683987`*^9, 3.5555032628023987`*^9}, {
  3.5555034609153986`*^9, 3.5555034629473987`*^9}, {3.5555037164493985`*^9, 
  3.5555037275873985`*^9}, {3.555503850373399*^9, 3.5555038549743986`*^9}, {
  3.5555039061973987`*^9, 3.5555039100873985`*^9}, {3.618862971644494*^9, 
  3.6188629823155613`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVjHk8FHgDh01uL+M+KuQqJckR2rYixyatikri3cKWVGhT6BJRXnJsWlo0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     "]], LineBox[CompressedData["
1:eJwV0Hk81PkDBvBhmgwiR2xEqNCBLluu7fkUkiNJG0WRanQ4ihTWphypLdFi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     "]], 
    LineBox[{{-0.0006020088733939097, -5.720605107974476}, \
{-0.0005988187044051456, 5.688385169590651}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{-2, 2}, {-5.720605107974476, 5.688385169590651}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.607953722970624*^9, 3.607953737576624*^9}, 
   3.6188626887902117`*^9, 3.6188627665489864`*^9, 3.618862974609791*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:\n",
  FontWeight->"Bold"],
 "1. The parentheses aren\[CloseCurlyQuote]t strictly speaking necessary, but \
can be helpful to visually separate the function definition from the rest of \
the line. The & symbol could be placed either inside or outside the \
parentheses.\n2. As mentioned, the ampersand, &, indicates the end of the \
function definition. Thus \[OpenCurlyDoubleQuote]3^# \
&\[CloseCurlyDoubleQuote] defines the 3^x function and \
\[OpenCurlyDoubleQuote]#^2 &\[CloseCurlyDoubleQuote] defines the x^2 function."
}], "Text",
 CellChangeTimes->{{3.544211946655679*^9, 3.5442121632703385`*^9}, {
  3.5555027452733984`*^9, 3.5555027514463987`*^9}, {3.5555030622843986`*^9, 
  3.555503206069399*^9}, {3.5555034722973986`*^9, 3.5555034762163987`*^9}, {
  3.5555037997453985`*^9, 3.5555038188863983`*^9}, {3.5555038599763985`*^9, 
  3.555503864661399*^9}, {3.5555038999933987`*^9, 3.5555039338863983`*^9}, {
  3.5555040183273983`*^9, 3.5555040287493987`*^9}, {3.5555043415123987`*^9, 
  3.5555043867633986`*^9}, {3.5555047896413984`*^9, 3.555504796451399*^9}, {
  3.561903479808425*^9, 3.561903480230509*^9}, {3.5619873906115017`*^9, 
  3.561987391187559*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Nameless functions combined with prefix notation", "Subsection",
 CellChangeTimes->{{3.544211946655679*^9, 3.5442121632703385`*^9}, {
  3.5555027452733984`*^9, 3.5555027514463987`*^9}, {3.5555030622843986`*^9, 
  3.555503206069399*^9}, {3.5555034722973986`*^9, 3.5555034762163987`*^9}, {
  3.5555037997453985`*^9, 3.5555038188863983`*^9}, {3.5555038599763985`*^9, 
  3.555503864661399*^9}, {3.5555038999933987`*^9, 3.5555039338863983`*^9}, {
  3.5555040183273983`*^9, 3.5555040259863987`*^9}}],

Cell["\<\
My experience is that prefix notation (using @) and nameless functions (using \
# and &) are most useful when combined together. That way you don\
\[CloseCurlyQuote]t need the clunky \[OpenCurlyDoubleQuote][x]\
\[CloseCurlyDoubleQuote] after the nameless function definition as in the two \
examples above. The 3^3.5 calculation becomes much shorter, like this:\
\>", "Text",
 CellChangeTimes->{{3.544211946655679*^9, 3.5442121632703385`*^9}, {
  3.5555027452733984`*^9, 3.5555027514463987`*^9}, {3.5555030622843986`*^9, 
  3.555503206069399*^9}, {3.5555034722973986`*^9, 3.5555034762163987`*^9}, {
  3.5555037997453985`*^9, 3.5555038188863983`*^9}, {3.5555038599763985`*^9, 
  3.555503864661399*^9}, {3.5555038999933987`*^9, 3.5555039338863983`*^9}, {
  3.5555040183273983`*^9, 3.555504021642399*^9}, {3.5555042091003985`*^9, 
  3.5555042913833985`*^9}, {3.5555043265873985`*^9, 3.555504328220399*^9}, {
  3.5555044126983986`*^9, 3.5555044137523985`*^9}, {3.555504684781399*^9, 
  3.5555046923233986`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{"3", "^", "#"}], ")"}], "&"}], "  ", "@", "3.5", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"calculates", " ", 
    RowBox[{"3", "^", "3.5"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.544212168896901*^9, 3.5442121936813793`*^9}, {
  3.5555043040443983`*^9, 3.5555043171763983`*^9}}],

Cell[BoxData["46.76537180435969`"], "Output",
 CellChangeTimes->{{3.607953722999624*^9, 3.607953737603624*^9}, 
   3.6188626888192143`*^9, 3.618862766572989*^9}]
}, Closed]],

Cell["\<\
Nameless functions can be very useful when you want to do the same \
calculation for several numbers in a row (in the following case, the numbers \
12, 13, and 14).\
\>", "Text",
 CellChangeTimes->{{3.5442121982538366`*^9, 3.544212211256137*^9}, {
   3.54421227799481*^9, 3.5442123036433744`*^9}, {3.544212374486458*^9, 
   3.5442124093989487`*^9}, {3.5442124588168907`*^9, 
   3.5442124733863473`*^9}, {3.5442126880418105`*^9, 3.544212723770383*^9}, 
   3.5442127953015356`*^9, {3.544212877974802*^9, 3.5442129368496885`*^9}, {
   3.555502781871399*^9, 3.5555028143773985`*^9}, {3.5555029716273985`*^9, 
   3.5555029734833984`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"#", "/", "3"}], "]"}], " ", "&"}], " ", ")"}], "  ", "@", " ", 
   RowBox[{"{", 
    RowBox[{"12", ",", "13", " ", ",", "14"}], "}"}]}], " ", "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.5442128176557703`*^9, 3.5442128268636913`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2.`", ",", "2.0816659994661326`", ",", "2.160246899469287`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.607953723036624*^9, 3.607953737637624*^9}, 
   3.618862688865219*^9, 3.618862766614993*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n1. The numbers 12, 13, and 14 are grouped together in braces to form a \
\[OpenCurlyDoubleQuote]list\[CloseCurlyDoubleQuote]. More on lists below.\n2. \
Did you notice I combined prefix with postfix notation by adding //N at the \
end?\n3. I would interpret that command in standard English to read something \
like, \[OpenCurlyDoubleQuote]Consider the numbers 12, 13, and 14. One at a \
time, divide the numbers by three, and take the square root. Oh yeah, and don\
\[CloseCurlyQuote]t forget to express the answers in numerical form.\
\[CloseCurlyDoubleQuote] Make sure you can understand where each part of that \
sentence comes from."
}], "Text",
 CellChangeTimes->{{3.5442121982538366`*^9, 3.544212211256137*^9}, {
   3.54421227799481*^9, 3.5442123036433744`*^9}, {3.544212374486458*^9, 
   3.5442124093989487`*^9}, {3.5442124588168907`*^9, 
   3.5442124733863473`*^9}, {3.5442126880418105`*^9, 3.544212723770383*^9}, 
   3.5442127953015356`*^9, 3.544212877974802*^9, {3.544212945003504*^9, 
   3.544212980397043*^9}, {3.544213016516655*^9, 3.5442130453095336`*^9}, {
   3.5442130785668592`*^9, 3.5442133124152417`*^9}, {3.5443620250212045`*^9, 
   3.544362028710573*^9}, {3.561903530515885*^9, 3.561903532436077*^9}, {
   3.5619873964520855`*^9, 3.561987397859226*^9}}],

Cell["\<\
You can actually call regularly-defined functions with a list of numbers as \
well. This is the equivalent of that one-line command:\
\>", "Text",
 CellChangeTimes->{{3.5442121982538366`*^9, 3.544212211256137*^9}, {
   3.54421227799481*^9, 3.5442123036433744`*^9}, {3.544212374486458*^9, 
   3.5442124093989487`*^9}, {3.5442124588168907`*^9, 
   3.5442124733863473`*^9}, {3.5442126880418105`*^9, 3.544212723770383*^9}, 
   3.5442127953015356`*^9, 3.544212877974802*^9, {3.544212945003504*^9, 
   3.544212980397043*^9}, {3.544213016516655*^9, 3.5442130453095336`*^9}, {
   3.5442130785668592`*^9, 3.5442133124152417`*^9}, {3.5443620250212045`*^9, 
   3.5443620374544477`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"x", "/", "3"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"{", 
    RowBox[{"12", ",", "13", ",", "14"}], "}"}], "]"}], " ", "//", 
  "N"}]}], "Input",
 CellChangeTimes->{{3.544213315814582*^9, 3.544213329242924*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2.`", ",", "2.0816659994661326`", ",", "2.160246899469287`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.607953723076624*^9, 3.607953737670624*^9}, 
   3.6188626889132237`*^9, 3.6188627666659985`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["An aside: ",
  FontWeight->"Bold"],
 "It turns out you can use nameless functions to give a second argument to a \
postfix command. Here\[CloseCurlyQuote]s how you could do the N[Sin[1],50] \
command referred to above, in postfix form (if you really wanted to). The \
\[OpenCurlyDoubleQuote]// N[#,50] &\[CloseCurlyDoubleQuote] part gets \
interpreted as \[OpenCurlyDoubleQuote]Take the previously calculated number, \
and compute it to 50 decimal places.\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.5442121982538366`*^9, 3.544212211256137*^9}, {
   3.54421227799481*^9, 3.5442123036433744`*^9}, {3.544212374486458*^9, 
   3.5442124093989487`*^9}, {3.5442124588168907`*^9, 
   3.5442124733863473`*^9}, {3.5442126880418105`*^9, 3.544212723770383*^9}, 
   3.5442127953015356`*^9, 3.544212877974802*^9, {3.544212945003504*^9, 
   3.544212980397043*^9}, {3.544213016516655*^9, 3.5442130453095336`*^9}, {
   3.5442130785668592`*^9, 3.54421320238724*^9}, {3.5443620712328253`*^9, 
   3.544362146266328*^9}, {3.54436217759546*^9, 3.5443621838600864`*^9}, {
   3.544362353618061*^9, 3.544362387875486*^9}, {3.544372375583157*^9, 
   3.5443724104096394`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"1", " ", "//", " ", "Sin"}], " ", "//", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"#", ",", "50"}], "]"}], "&"}]}]], "Input",
 CellChangeTimes->{{3.544362952391932*^9, 3.5443629654652395`*^9}}],

Cell[BoxData["0.\
84147098480789650665250232163029899962256306079837106567275170999191040177331`\
50."], "Output",
 CellChangeTimes->{{3.6079537231136236`*^9, 3.6079537377056236`*^9}, 
   3.618862688965229*^9, 3.6188627667160034`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Assignment 2. Postfix and prefix calculations", "Subsubsection",
 CellChangeTimes->{{3.5442110934993725`*^9, 3.5442111517221937`*^9}, {
  3.544211497110729*^9, 3.544211534111429*^9}, {3.5451833898386507`*^9, 
  3.545183446055272*^9}, {3.5555040892653985`*^9, 3.5555040946063986`*^9}, {
  3.5619088281925993`*^9, 3.5619088284336233`*^9}}],

Cell["\<\
(a) Calculate the numerical value of log(sin(sqrt(exp(7.3)))) using standard \
commands.
(b) Repeat, using only postfix commands.
(c) Repeat, using prefix form combined with a nameless function.\
\>", "Text",
 CellChangeTimes->{{3.5442110934993725`*^9, 3.5442111517221937`*^9}, {
  3.544211497110729*^9, 3.544211534111429*^9}, {3.5451833898386507`*^9, 
  3.545183446055272*^9}, {3.5555040978533983`*^9, 3.5555041114533987`*^9}, {
  3.5619035721410465`*^9, 3.561903621807013*^9}, {3.5619036969935308`*^9, 
  3.561903697297561*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Assignment 3. Translation to English", "Subsubsection",
 CellChangeTimes->{{3.544213351025102*^9, 3.5442133628092804`*^9}, {
  3.5443631843511257`*^9, 3.5443632470653963`*^9}, {3.544363362270916*^9, 
  3.5443634517688646`*^9}, {3.5443635463803253`*^9, 3.544363670001686*^9}, {
  3.544363823345019*^9, 3.5443638428469687`*^9}, {3.54436392206689*^9, 
  3.544363926154299*^9}, {3.545183466353301*^9, 3.545183468316498*^9}, {
  3.5454206622853518`*^9, 3.5454206659567194`*^9}}],

Cell["\<\
Type a sentence or two in standard English that describes what these commands \
will do (use F1 on the Exp function if you are unfamiliar with it). Then test \
your guess by executing the commands, and modify your sentences if needed. 
(a) Exp[q] /. q-> 2 //N   
(b) h[x_]  :=  a*Sin[x Degree]   
(c) (Sqrt[#] & )  @ {x,y,z}\
\>", "Text",
 CellChangeTimes->{{3.544213351025102*^9, 3.5442133628092804`*^9}, {
  3.5443631843511257`*^9, 3.5443632470653963`*^9}, {3.544363362270916*^9, 
  3.5443634517688646`*^9}, {3.5443635463803253`*^9, 3.544363670001686*^9}, {
  3.544363823345019*^9, 3.5443638428469687`*^9}, {3.54436392206689*^9, 
  3.544363926154299*^9}, {3.545183466353301*^9, 3.545183496167282*^9}, {
  3.545183539113577*^9, 3.5451835399686623`*^9}, {3.5619036724970818`*^9, 
  3.561903673961228*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Lists", "Section",
 CellChangeTimes->{{3.427508689978878*^9, 3.4275086919476404`*^9}, {
   3.42750882546412*^9, 3.42750882779226*^9}, {3.427514208139194*^9, 
   3.427514216373622*^9}, {3.4275745791615553`*^9, 3.427574579661559*^9}, {
   3.427574635380666*^9, 3.427574639521317*^9}, {3.42947342551476*^9, 
   3.4294734269522786`*^9}, {3.431187155146982*^9, 3.431187157490777*^9}, {
   3.431187499559845*^9, 3.431187499762974*^9}, 3.4332817598992014`*^9, {
   3.544212604878495*^9, 3.5442126117261796`*^9}, {3.5443008258797426`*^9, 
   3.5443008259667425`*^9}, 3.5459082097828336`*^9, 3.5619063202718325`*^9}],

Cell[TextData[{
 "Lists are ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " objects that are items grouped together with braces. A list can be any \
collection of items: numbers, unassigned variables, plots, even other lists.  \
You' ve already used them in a few limited ways--to specify limits in the \
Plot command, for example, or to have a function give you values of f(x) for \
several different x values at once. In addition to their utility in \
evaluating functions and I would say that the three primary purposes of lists \
are to (1) serve as \[OpenCurlyDoubleQuote]arrays\[CloseCurlyDoubleQuote] for \
programming purposes, (2) allow you to do linear algebra with vectors and \
matrices, and (3) allow you to manipulate real data. We\[CloseCurlyQuote]ll \
tackle #1 and #2 today, and #3 in a later lab."
}], "Text",
 CellChangeTimes->{{3.5442641671306744`*^9, 3.544264440605019*^9}, {
  3.54426515378633*^9, 3.5442651696599174`*^9}, {3.5442652237273235`*^9, 
  3.5442652269986506`*^9}, {3.5442652739683475`*^9, 3.54426527969592*^9}, {
  3.5442653184988*^9, 3.5442653782207713`*^9}, {3.544265424124361*^9, 
  3.5442654560915575`*^9}, {3.5442887800898376`*^9, 3.544288904708298*^9}, {
  3.5443639838120637`*^9, 3.5443641141520967`*^9}}],

Cell[CellGroupData[{

Cell["How to create a list.", "Subsection",
 CellChangeTimes->{{3.429377696110669*^9, 3.429377699141958*^9}, {
  3.4294735405318575`*^9, 3.429473543203767*^9}, {3.4311840883849764`*^9, 
  3.431184089728752*^9}, {3.5442654609860473`*^9, 3.544265466726621*^9}}],

Cell[TextData[{
 "There are numerous ways to create lists in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". Look over these examples and press F1 on the function names if it\
\[CloseCurlyQuote]s not clear what\[CloseCurlyQuote]s going on."
}], "Text",
 CellChangeTimes->{
  3.429377701329486*^9, {3.429379534696703*^9, 3.429379548431254*^9}, {
   3.429383287775992*^9, 3.4293832886822534`*^9}, 3.429466240792717*^9, {
   3.4294664574632053`*^9, 3.4294664602600627`*^9}, 3.4294673662653275`*^9, {
   3.4396684361754913`*^9, 3.439668446519308*^9}, {3.4396684773632555`*^9, 
   3.4396684773632555`*^9}, {3.4396685097853374`*^9, 3.439668543082426*^9}, {
   3.544265473740322*^9, 3.5442654967526236`*^9}, {3.544364173210002*^9, 
   3.5443641950431848`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"list", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}], 
  "  "}]], "Input",
 CellChangeTimes->{{3.5442655417601233`*^9, 3.5442655505920067`*^9}, {
  3.5442660168186245`*^9, 3.5442660202689695`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953723385624*^9, 3.6079537379576235`*^9}, 
   3.618862689434276*^9, 3.618862767133045*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"list", "^", "2", "  "}]], "Input",
 CellChangeTimes->{{3.5442656105670033`*^9, 3.5442656313180785`*^9}, {
  3.544266029091852*^9, 3.5442660296149044`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "4", ",", "9", ",", "16", ",", "25"}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537234216237`*^9, 3.607953737991624*^9}, 
   3.618862689492282*^9, 3.6188627671820498`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"list2", "=", 
  RowBox[{"{", 
   RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.5442656547394204`*^9, 3.5442656605510015`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e"}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537234606237`*^9, 3.607953738024624*^9}, 
   3.618862689547287*^9, 3.618862767233055*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"list2", "^", "2"}]], "Input",
 CellChangeTimes->{{3.5442660318741302`*^9, 3.5442660335062933`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   SuperscriptBox["a", "2"], ",", 
   SuperscriptBox["b", "2"], ",", 
   SuperscriptBox["c", "2"], ",", 
   SuperscriptBox["d", "2"], ",", 
   SuperscriptBox["e", "2"]}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537234956236`*^9, 3.607953738057624*^9}, 
   3.6188626895992928`*^9, 3.61886276728306*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"#", "^", "2"}], " ", "&"}], ")"}], " ", "@", "list", "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "nameless", " ", "function", " ", "to", " ", "operate", " ", "on", " ", 
     "list", " ", "elements"}], ",", " ", 
    RowBox[{"prefix", " ", "form"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.54426555762571*^9, 3.5442656033152785`*^9}, {
  3.5442656746834145`*^9, 3.544265678528799*^9}, {3.544266064755418*^9, 
  3.544266065703513*^9}, {3.561986495027952*^9, 3.561986495820031*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "4", ",", "9", ",", "16", ",", "25"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953723531624*^9, 3.607953738091624*^9}, 
   3.6188626896402965`*^9, 3.618862767333065*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Range", "[", "10", "]"}]], "Input",
 CellChangeTimes->{{3.5442657513870845`*^9, 3.5442657545353994`*^9}, {
  3.544266002829226*^9, 3.544266003563299*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", "8", 
   ",", "9", ",", "10"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953723567624*^9, 3.6079537381256237`*^9}, 
   3.6188626896803007`*^9, 3.61886276738307*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Range", "[", 
  RowBox[{"10", ",", "20"}], "]"}]], "Input",
 CellChangeTimes->{{3.561903893642194*^9, 3.5619038938342133`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "10", ",", "11", ",", "12", ",", "13", ",", "14", ",", "15", ",", "16", ",",
    "17", ",", "18", ",", "19", ",", "20"}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537236016235`*^9, 3.607953738159624*^9}, 
   3.6188626897203045`*^9, 3.6188627674270744`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"range", " ", "=", " ", 
  RowBox[{"Range", "[", 
   RowBox[{"0", ",", "10", ",", ".2"}], "]"}], "    ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"general", " ", "format", " ", "for", " ", 
     RowBox[{"Range", ":", "  ", "start"}]}], ",", " ", "end", ",", " ", 
    RowBox[{"step", " ", "size"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.544266199322873*^9, 3.5442662223871794`*^9}, {
  3.5442668504916773`*^9, 3.544266851560357*^9}, {3.544286931198967*^9, 
  3.5442869417680235`*^9}, {3.561903901211951*^9, 3.5619039018190117`*^9}, {
  3.5619865072121706`*^9, 3.561986508036253*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.`", ",", "0.2`", ",", "0.4`", ",", "0.6000000000000001`", ",", "0.8`", 
   ",", "1.`", ",", "1.2000000000000002`", ",", "1.4000000000000001`", ",", 
   "1.6`", ",", "1.8`", ",", "2.`", ",", "2.2`", ",", "2.4000000000000004`", 
   ",", "2.6`", ",", "2.8000000000000003`", ",", "3.`", ",", "3.2`", ",", 
   "3.4000000000000004`", ",", "3.6`", ",", "3.8000000000000003`", ",", "4.`",
    ",", "4.2`", ",", "4.4`", ",", "4.6000000000000005`", ",", 
   "4.800000000000001`", ",", "5.`", ",", "5.2`", ",", "5.4`", ",", 
   "5.6000000000000005`", ",", "5.800000000000001`", ",", "6.`", ",", "6.2`", 
   ",", "6.4`", ",", "6.6000000000000005`", ",", "6.800000000000001`", ",", 
   "7.`", ",", "7.2`", ",", "7.4`", ",", "7.6000000000000005`", ",", 
   "7.800000000000001`", ",", "8.`", ",", "8.200000000000001`", ",", "8.4`", 
   ",", "8.6`", ",", "8.8`", ",", "9.`", ",", "9.200000000000001`", ",", 
   "9.4`", ",", "9.600000000000001`", ",", "9.8`", ",", "10.`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.6079537236396236`*^9, 3.6079537382646236`*^9}, 
   3.618862689762309*^9, 3.6188627674680786`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"#", "^", "2"}], " ", "&"}], ")"}], " ", "@", " ", 
  "range"}]], "Input",
 CellChangeTimes->{{3.5442662604499855`*^9, 3.544266264405381*^9}, {
  3.544266855690118*^9, 3.5442668560680037`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.`", ",", "0.04000000000000001`", ",", "0.16000000000000003`", ",", 
   "0.3600000000000001`", ",", "0.6400000000000001`", ",", "1.`", ",", 
   "1.4400000000000004`", ",", "1.9600000000000004`", ",", 
   "2.5600000000000005`", ",", "3.24`", ",", "4.`", ",", "4.840000000000001`",
    ",", "5.760000000000002`", ",", "6.760000000000001`", ",", 
   "7.840000000000002`", ",", "9.`", ",", "10.240000000000002`", ",", 
   "11.560000000000002`", ",", "12.96`", ",", "14.440000000000001`", ",", 
   "16.`", ",", "17.64`", ",", "19.360000000000003`", ",", 
   "21.160000000000004`", ",", "23.040000000000006`", ",", "25.`", ",", 
   "27.040000000000003`", ",", "29.160000000000004`", ",", 
   "31.360000000000007`", ",", "33.64000000000001`", ",", "36.`", ",", 
   "38.440000000000005`", ",", "40.96000000000001`", ",", 
   "43.56000000000001`", ",", "46.24000000000001`", ",", "49.`", ",", 
   "51.84`", ",", "54.760000000000005`", ",", "57.760000000000005`", ",", 
   "60.84000000000001`", ",", "64.`", ",", "67.24000000000002`", ",", 
   "70.56`", ",", "73.96`", ",", "77.44000000000001`", ",", "81.`", ",", 
   "84.64000000000001`", ",", "88.36000000000001`", ",", "92.16000000000003`",
    ",", "96.04000000000002`", ",", "100.`"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953723676624*^9, 3.607953738301624*^9}, 
   3.618862689803313*^9, 3.618862767513083*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"n", "^", "2"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"n", ",", "3", ",", "7"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5442656409560423`*^9, 3.5442656470906553`*^9}, {
  3.544265742690215*^9, 3.5442657473756833`*^9}, {3.5619039278526144`*^9, 
  3.5619039328441133`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"9", ",", "16", ",", "25", ",", "36", ",", "49"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953723711624*^9, 3.607953738336624*^9}, 
   3.618862689845317*^9, 3.618862767563088*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"n", "^", "2"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"n", ",", "1", ",", "5", ",", "0.1"}], "}"}]}], "]"}], "    ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"general", " ", "format", " ", "for", " ", 
     RowBox[{"Table", ":", " ", "start"}]}], ",", " ", "end", ",", " ", 
    RowBox[{"step", " ", "size"}]}], "  ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442656409560423`*^9, 3.5442656470906553`*^9}, {
  3.544265742690215*^9, 3.5442657473756833`*^9}, {3.5442659873726807`*^9, 
  3.5442659893038735`*^9}, {3.5442869558724337`*^9, 3.544286964312278*^9}, {
  3.561903921155945*^9, 3.5619039227161007`*^9}, {3.561986509844434*^9, 
  3.561986510828532*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.`", ",", "1.2100000000000002`", ",", "1.44`", ",", "1.6900000000000002`",
    ",", "1.9599999999999997`", ",", "2.25`", ",", "2.5600000000000005`", ",",
    "2.8900000000000006`", ",", "3.24`", ",", "3.61`", ",", "4.`", ",", 
   "4.41`", ",", "4.840000000000001`", ",", "5.289999999999999`", ",", 
   "5.760000000000002`", ",", "6.25`", ",", "6.760000000000001`", ",", 
   "7.290000000000001`", ",", "7.839999999999999`", ",", "8.410000000000002`",
    ",", "9.`", ",", "9.610000000000001`", ",", "10.240000000000002`", ",", 
   "10.890000000000002`", ",", "11.560000000000002`", ",", "12.25`", ",", 
   "12.96`", ",", "13.690000000000001`", ",", "14.440000000000001`", ",", 
   "15.210000000000003`", ",", "16.`", ",", "16.81`", ",", "17.64`", ",", 
   "18.490000000000006`", ",", "19.360000000000003`", ",", "20.25`", ",", 
   "21.159999999999997`", ",", "22.090000000000003`", ",", 
   "23.040000000000006`", ",", "24.010000000000005`", ",", "25.`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.6079537237476234`*^9, 3.607953738371624*^9}, 
   3.618862689886321*^9, 3.618862767605092*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"x", "^", "3"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Array", "[", 
  RowBox[{"f", ",", " ", "10"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5442657980907545`*^9, 3.5442659296349072`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "8", ",", "27", ",", "64", ",", "125", ",", "216", ",", "343", 
   ",", "512", ",", "729", ",", "1000"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953723861624*^9, 3.607953738406624*^9}, 
   3.618862689928325*^9, 3.6188627676630983`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"#", "^", "3"}], "&"}], ",", "10"}], "]"}]], "Input",
 CellChangeTimes->{{3.544265773739319*^9, 3.5442657740103464`*^9}, {
  3.544265809189864*^9, 3.544265809363881*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "8", ",", "27", ",", "64", ",", "125", ",", "216", ",", "343", 
   ",", "512", ",", "729", ",", "1000"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953723897624*^9, 3.6079537384416237`*^9}, 
   3.6188626899683294`*^9, 3.6188627677161036`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe: ",
  FontWeight->"Bold"],
 "There are lots of ways to construct lists! The five ways used there were:\n\
1. Manually defining a list with braces.\n2. Operating on an existing list\n\
3. The Range command, to create an equally-spaced set of \
\[OpenCurlyDoubleQuote]points\[CloseCurlyDoubleQuote] (list elements)\n4. The \
Table command, as a very flexible way of creating a set of function values\n\
5. The Array command, as a slightly less flexible way of doing the same (with \
some added capability to create multi-dimensional lists)\n\nI personally \
favor the Range and Table commands over the Array command."
}], "Text",
 CellChangeTimes->{
  3.429377701329486*^9, {3.429379534696703*^9, 3.429379548431254*^9}, {
   3.429383287775992*^9, 3.4293832886822534`*^9}, 3.429466240792717*^9, {
   3.4294664574632053`*^9, 3.4294664602600627`*^9}, 3.4294673662653275`*^9, {
   3.4396684361754913`*^9, 3.439668446519308*^9}, {3.4396684773632555`*^9, 
   3.4396684773632555`*^9}, {3.4396685097853374`*^9, 3.439668543082426*^9}, {
   3.544265473740322*^9, 3.544265488989847*^9}, {3.544265735073453*^9, 
   3.544265735523498*^9}, {3.5442664507880173`*^9, 3.544266539236861*^9}, {
   3.5442665744493823`*^9, 3.544266578334771*^9}, {3.5442666445483913`*^9, 
   3.5442666761875553`*^9}, {3.5442667342283583`*^9, 3.544266830385711*^9}, {
   3.5442668694799795`*^9, 3.5442669106306305`*^9}, {3.544266973888647*^9, 
   3.5442670001557646`*^9}, {3.5442671691934557`*^9, 3.54426717035334*^9}, 
   3.5442672993844357`*^9, {3.5443642116118417`*^9, 3.544364218627543*^9}, {
   3.5443642497256527`*^9, 3.544364261941874*^9}, {3.561903990595888*^9, 
   3.561904066415469*^9}, {3.5619041183846655`*^9, 3.5619041189287205`*^9}, {
   3.5619042110599327`*^9, 3.561904230356862*^9}, {3.5619042953113565`*^9, 
   3.5619043065284786`*^9}, {3.5619045470485277`*^9, 3.561904618387661*^9}, {
   3.56198656071552*^9, 3.5619865730517535`*^9}, {3.5619874039798384`*^9, 
   3.5619874144738874`*^9}}],

Cell[CellGroupData[{

Cell["Assignment 4. Creating lists of even numbers", "Subsubsection",
 CellChangeTimes->{{3.5442673019741764`*^9, 3.5442673385395193`*^9}, {
   3.5442674093524375`*^9, 3.544267424697665*^9}, {3.544267507328665*^9, 
   3.544267544239665*^9}, 3.5442870222720737`*^9, {3.544364266981378*^9, 
   3.544364327000379*^9}, {3.545183804952158*^9, 3.54518382107277*^9}, {
   3.5619088321529956`*^9, 3.5619088323620167`*^9}}],

Cell["\<\
Use three different ways to create a list of the even numbers from 1 to 100. \
Each method must use a different function and just a single line of code. \
\>", "Text",
 CellChangeTimes->{{3.5442673019741764`*^9, 3.5442673385395193`*^9}, {
   3.5442674093524375`*^9, 3.544267424697665*^9}, {3.544267507328665*^9, 
   3.544267544239665*^9}, 3.5442870222720737`*^9, {3.544364266981378*^9, 
   3.544364327000379*^9}, {3.545183804952158*^9, 3.545183807063369*^9}, {
   3.5555022615263987`*^9, 3.5555022616663985`*^9}, {3.561904428876712*^9, 
   3.5619044312039447`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to plot a list", "Subsection",
 CellChangeTimes->{{3.5442641671306744`*^9, 3.544264440605019*^9}, {
  3.54426515378633*^9, 3.5442651696599174`*^9}, {3.5442652237273235`*^9, 
  3.5442652269986506`*^9}, {3.5442652739683475`*^9, 3.54426527969592*^9}, {
  3.5442653184988*^9, 3.5442653782207713`*^9}, {3.544265424124361*^9, 
  3.544265447292678*^9}, {3.5442663402389636`*^9, 3.5442663469046297`*^9}, {
  3.5442663838443236`*^9, 3.5442663841793575`*^9}, {3.5442675747836647`*^9, 
  3.5442676149486647`*^9}}],

Cell["\<\
If you just want to plot a list of numbers, the method is simple:\
\>", "Text",
 CellChangeTimes->{{3.5442677819856653`*^9, 3.5442677955256653`*^9}, {
  3.544267830634665*^9, 3.544267843156665*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"list", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"n", "^", "2"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "1", ",", "10"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"list", ",", " ", 
   RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5442678652166653`*^9, 3.544267907048665*^9}, {
  3.544267959635665*^9, 3.544267980056665*^9}, {3.544268015826665*^9, 
  3.544268033050665*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "4", ",", "9", ",", "16", ",", "25", ",", "36", ",", "49", ",", 
   "64", ",", "81", ",", "100"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953723985624*^9, 3.6079537385196238`*^9}, 
   3.6188626900713396`*^9, 3.6188627678181133`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], 
    LineBox[{{1., 1.}, {2., 4.}, {3., 9.}, {4., 16.}, {5., 25.}, {6., 36.}, {
     7., 49.}, {8., 64.}, {9., 81.}, {10., 100.}}]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 10.}, {0, 100.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.2, 0.2}, {2., 2.}}]], "Output",
 CellChangeTimes->{{3.607953723985624*^9, 3.6079537385196238`*^9}, 
   3.6188626900713396`*^9, 3.6188627678661184`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n1. This is basically a plot of y = x^2.\n2. ",
 StyleBox["ListPlot",
  FontWeight->"Bold"],
 " works a lot like ",
 StyleBox["Plot",
  FontWeight->"Bold"],
 ", to be used if you want to manually specify the x-values for which the \
function is being plotted. Most of the same options are available. For \
example, you can plot two lists simultaneously by grouping them together.\n3. \
Figure out what the ",
 StyleBox["Joined",
  FontWeight->"Bold"],
 " option does...try plotting it without the Joined option being set to True."
}], "Text",
 CellChangeTimes->{{3.544268043733665*^9, 3.544268214818665*^9}, {
  3.5442682485266647`*^9, 3.5442683026396646`*^9}, {3.5442683856925306`*^9, 
  3.5442684108720484`*^9}, {3.5443643484965286`*^9, 3.5443643506647453`*^9}, {
  3.5619874221476545`*^9, 3.561987423434784*^9}}],

Cell["\<\
If you are not careful, however, ListPlot may produce unexpected results. \
What' s wrong with this?\
\>", "Text",
 CellChangeTimes->{{3.544268043733665*^9, 3.544268214818665*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"list", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"n", "^", "2"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "1", ",", "10", ",", ".5"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"list", ",", " ", 
   RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.544267992221665*^9, 3.544268020679665*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.`", ",", "2.25`", ",", "4.`", ",", "6.25`", ",", "9.`", ",", "12.25`", 
   ",", "16.`", ",", "20.25`", ",", "25.`", ",", "30.25`", ",", "36.`", ",", 
   "42.25`", ",", "49.`", ",", "56.25`", ",", "64.`", ",", "72.25`", ",", 
   "81.`", ",", "90.25`", ",", "100.`"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953724034624*^9, 3.607953738611624*^9}, 
   3.6188626905383863`*^9, 3.618862767922124*^9}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGAQBmIQDQEf7FFpBgcIxQSlOaC0ABotCaVFoLQSlJaA0A0a
UL4MlDaA0goQ2sEETZ8llFaByttB+WpQ2glKQ81VcIXytaD2eUD5OlB5Hyhf
D0oHoLpDIAjKN4TaFwLlG0HoCWFQvjGUjnQAAKLNFi0=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 19.}, {0, 100.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.38, 0.38}, {2., 2.}}]], "Output",
 CellChangeTimes->{{3.607953724034624*^9, 3.607953738611624*^9}, 
   3.6188626905383863`*^9, 3.6188627679361253`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:  ",
  FontWeight->"Bold"],
 "Notice the x-axis now goes from 1 to 19!  This is no longer a plot of y = \
x^2.  The reason is that we gave ListPlot a single, simple list, so there\
\[CloseCurlyQuote]s no way for it to know what x-values are associated with \
each y-value. Therefore ListPlot defaults to using the ",
 StyleBox["list element number",
  FontSlant->"Italic"],
 " as the x-axis. There are 19 elements in our list."
}], "Text",
 CellChangeTimes->{{3.5442680803356647`*^9, 3.544268089358665*^9}, {
  3.544268229024665*^9, 3.544268244031665*^9}, {3.544268315864665*^9, 
  3.544268372897251*^9}, {3.5442851512309685`*^9, 3.544285185895435*^9}, {
  3.544364378058484*^9, 3.5443644126509438`*^9}, {3.544364446101288*^9, 
  3.54436445111679*^9}, {3.544364532207898*^9, 3.544364536504328*^9}}],

Cell[TextData[{
 StyleBox["Plotting y vs. x. ",
  FontWeight->"Bold"],
 "If you want to specify the x coordinates in order to plot y vs. x, you have \
to do a little more work. Something like \"ListPlot[{xaxis,yaxis}]\" isn't \
quite right--that would actually plot both lists (the x-axis list and the \
y-axis list), each as a function of list element number.\n\nInstead, you have \
to give it a list of x-y pairs. Here\[CloseCurlyQuote]s a slick way to \
generate a list of x-y pairs. It uses the Transpose function which we\
\[CloseCurlyQuote]ll discuss more later."
}], "Text",
 CellChangeTimes->{{3.5442680803356647`*^9, 3.544268089358665*^9}, {
  3.544268229024665*^9, 3.544268244031665*^9}, {3.544268315864665*^9, 
  3.54426837708467*^9}, {3.5442684497229333`*^9, 3.544268523445305*^9}, {
  3.5442851922640715`*^9, 3.544285218808726*^9}, {3.544364462829961*^9, 
  3.5443645218388615`*^9}, {3.5619092169114676`*^9, 3.5619092460733833`*^9}, {
  3.561909279496725*^9, 3.5619093657163467`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"xaxis", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"1", ",", "10", ",", ".5"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yaxis", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"n", "^", "2"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "1", ",", "10", ",", ".5"}], "}"}]}], "]"}]}], ";"}],
   "    ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "could", " ", "also", " ", "use", " ", "\"\<yaxis = xaxis^2;\>\""}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"combinedlist", " ", "=", " ", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"xaxis", ",", "yaxis"}], "}"}], " ", "//", 
   "Transpose"}]}]}], "Input",
 CellChangeTimes->{{3.5442796659014907`*^9, 3.5442796813060308`*^9}, {
   3.5442797344773474`*^9, 3.5442797414540453`*^9}, {3.544279798529752*^9, 
   3.544279821073006*^9}, {3.544285251644009*^9, 3.5442852531951637`*^9}, {
   3.544368644796116*^9, 3.544368709575593*^9}, 3.544368762961931*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1.`", ",", "1.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.5`", ",", "2.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.`", ",", "4.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.5`", ",", "6.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.`", ",", "9.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.5`", ",", "12.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.`", ",", "16.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.5`", ",", "20.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.`", ",", "25.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.5`", ",", "30.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.`", ",", "36.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.5`", ",", "42.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.`", ",", "49.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.5`", ",", "56.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8.`", ",", "64.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8.5`", ",", "72.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9.`", ",", "81.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9.5`", ",", "90.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10.`", ",", "100.`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.607953724083624*^9, 3.607953738661624*^9}, 
   3.618862690594392*^9, 3.61886276798313*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"combinedlist", ",", 
   RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5442686072406836`*^9, 3.5442686381567745`*^9}, {
  3.544285295749419*^9, 3.5442853175185957`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGAQBmIQDQEf7FHpH1CayQGqAEoLQGkWKC0JpTmgtBKU5oHQ
DRpo+gygtBCEdjCB8kWgtCWUFoPK20H5ElDaCUpLQWgFVyhfBmqfB5QvB5X3
gfIVoHQAlFaE0AJBqO52CIHylSH0hDAoXwVKRzoAAD9rFkA=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 10.}, {0, 100.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.2, 0.2}, {2., 2.}}]], "Output",
 CellChangeTimes->{{3.607953724124624*^9, 3.607953738702624*^9}, 
   3.618862690644397*^9, 3.618862768033135*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:  ",
  FontWeight->"Bold"],
 "Now the plot is y vs. x for the given set of x-values and y-values. Using \
ListPlot to plot functions point-by-point in this fashion is essential in \
dealing with real experimental data."
}], "Text",
 CellChangeTimes->{{3.5442874330051427`*^9, 3.544287521417983*^9}, {
  3.5443645530079775`*^9, 3.5443645980494814`*^9}}],

Cell[CellGroupData[{

Cell["Assignment 5.  ListPlot of a Gaussian function ", "Subsubsection",
 CellChangeTimes->{{3.5442870543162775`*^9, 3.5442871346363087`*^9}, {
   3.544287282826126*^9, 3.5442873579566383`*^9}, 3.5443645774574223`*^9, {
   3.544364613443021*^9, 3.5443646149221687`*^9}, {3.5451838447611384`*^9, 
   3.545183845710233*^9}, {3.545183878309493*^9, 3.545183885749237*^9}, {
   3.5619088350412846`*^9, 3.561908835281308*^9}}],

Cell["\<\
Create a list of constantly-spaced points from -10 to 10, with a spacing of \
0.1. Make a plot of this \"Gaussian\" function, e^(-x^2 /5), over that \
domain. Hint: Make sure you plot x-y pairs and not just a list of y-values. \
Doing it correctly will result in a plot centered on the origin.\
\>", "Text",
 CellChangeTimes->{{3.5442870543162775`*^9, 3.5442871346363087`*^9}, {
   3.544287282826126*^9, 3.5442873579566383`*^9}, 3.5443645774574223`*^9, {
   3.544364613443021*^9, 3.5443646149221687`*^9}, {3.5451838447611384`*^9, 
   3.545183845710233*^9}, {3.561909376900465*^9, 3.5619094012779026`*^9}, {
   3.5619868228937354`*^9, 3.56198696185063*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["How to access individual list elements", "Subsection",
 CellChangeTimes->{{3.5442876748283224`*^9, 3.544287684272267*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " uses ",
 StyleBox["double square brackets ",
  FontWeight->"Bold"],
 "to indicate specific list elements. (This is technically a shortcut for the \
",
 StyleBox[ButtonBox["Part",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Part"],
  FontWeight->"Bold"],
 " function.) For example: "
}], "Text",
 CellChangeTimes->{{3.5442876897158113`*^9, 3.5442877156494045`*^9}, {
   3.5555024102283983`*^9, 3.5555024331713986`*^9}, {3.5555024894093986`*^9, 
   3.555502489411399*^9}, {3.5555025427033987`*^9, 3.5555025453013983`*^9}, {
   3.5555026194623985`*^9, 3.5555026194643984`*^9}, 3.5976926340815554`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grocerylist", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{
   "\"\<eggs\>\"", ",", "\"\<milk\>\"", ",", "\"\<bread\>\"", ",", " ", 
    "\"\<soda\>\"", ",", " ", "\"\<ice cream\>\""}], "}"}]}]], "Input",
 CellChangeTimes->{{3.544287724397279*^9, 3.544287777525591*^9}, {
  3.54428783811965*^9, 3.5442878477276106`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"eggs\"\>", ",", "\<\"milk\"\>", ",", "\<\"bread\"\>", 
   ",", "\<\"soda\"\>", ",", "\<\"ice cream\"\>"}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537241916237`*^9, 3.607953738760624*^9}, 
   3.6188626908814206`*^9, 3.6188627681771493`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grocerylist", "[", 
  RowBox[{"[", "2", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5442877556954083`*^9, 3.5442877623080697`*^9}}],

Cell[BoxData["\<\"milk\"\>"], "Output",
 CellChangeTimes->{{3.6079537242266235`*^9, 3.607953738795624*^9}, 
   3.6188626909234247`*^9, 3.618862768218154*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grocerylist", "[", 
  RowBox[{"[", "5", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5442877645672956`*^9, 3.5442877703518744`*^9}}],

Cell[BoxData["\<\"ice cream\"\>"], "Output",
 CellChangeTimes->{{3.607953724261624*^9, 3.6079537388356237`*^9}, 
   3.618862690964429*^9, 3.6188627682671585`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"grocerylist", "[", "5", "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"wrong", " ", 
    RowBox[{"way", "!!"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.544287962725109*^9, 3.5442879650123377`*^9}, {
  3.544288005717408*^9, 3.544288009829819*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"\<\"eggs\"\>", ",", "\<\"milk\"\>", ",", "\<\"bread\"\>", 
    ",", "\<\"soda\"\>", ",", "\<\"ice cream\"\>"}], "}"}], "[", "5", 
  "]"}]], "Output",
 CellChangeTimes->{{3.6079537242976236`*^9, 3.6079537388706236`*^9}, 
   3.6188626910064335`*^9, 3.6188627683171635`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n1. This is a list of a new type of data, called strings. A string is just \
a collection of text characters formed into a word or phrase.  \n2. If you \
accidentally try to access a list element using single square brackets \
instead of double, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will be very confused. In the example labeled \[OpenCurlyDoubleQuote]wrong \
way\[CloseCurlyDoubleQuote], it thinks that you want to evaluate the \
grocerylist ",
 StyleBox["function",
  FontSlant->"Italic"],
 " at x=5. But no such function exists, so it is unable to comply with the \
request and spits out a garbage answer. ",
 StyleBox["Be very careful to use double square brackets to refer to list \
items.",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.544287789687807*^9, 3.544288054173253*^9}, {
  3.5442880953913746`*^9, 3.5442881336732025`*^9}, {3.544364668420518*^9, 
  3.544364681604836*^9}, {3.5555023759263983`*^9, 3.5555024058363986`*^9}, {
  3.5619874699184313`*^9, 3.5619874706705065`*^9}, {3.597692653562504*^9, 
  3.5976926541385612`*^9}}],

Cell[TextData[{
 StyleBox["Replacing a list item: ",
  FontWeight->"Bold"],
 "You can also use this double square bracket notation to replace a specific \
list item."
}], "Text",
 CellChangeTimes->{{3.5443647582384987`*^9, 3.5443647870483794`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"grocerylist", "[", 
   RowBox[{"[", "2", "]"}], "]"}], " ", "=", " ", 
  "\"\<lowfat milk\>\""}]], "Input",
 CellChangeTimes->{{3.5443647430249777`*^9, 3.5443647475204268`*^9}}],

Cell[BoxData["\<\"lowfat milk\"\>"], "Output",
 CellChangeTimes->{{3.6079537243356237`*^9, 3.607953738907624*^9}, 
   3.618862691050438*^9, 3.6188627683671684`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData["grocerylist"], "Input",
 CellChangeTimes->{{3.544364750536729*^9, 3.544364751841859*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"eggs\"\>", ",", "\<\"lowfat milk\"\>", ",", "\<\"bread\"\>", 
   ",", "\<\"soda\"\>", ",", "\<\"ice cream\"\>"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953724371624*^9, 3.607953738942624*^9}, 
   3.618862691093442*^9, 3.6188627684171734`*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Some basic list functions", "Subsection",
 CellChangeTimes->{{3.5442876199448347`*^9, 3.544287629045745*^9}}],

Cell["\<\
Here are some of the most useful functions involving list manipulation. \
\>", "Text",
 CellChangeTimes->{{3.5442641671306744`*^9, 3.544264440605019*^9}, {
  3.54426515378633*^9, 3.5442651696599174`*^9}, {3.5442652237273235`*^9, 
  3.5442652269986506`*^9}, {3.5442652739683475`*^9, 3.54426527969592*^9}, {
  3.5442653184988*^9, 3.5442653782207713`*^9}, {3.544265424124361*^9, 
  3.544265447292678*^9}, {3.5442663402389636`*^9, 3.5442663469046297`*^9}, {
  3.5442663838443236`*^9, 3.5442663841793575`*^9}, {3.5442675747836647`*^9, 
  3.544267601830665*^9}, {3.544267729413665*^9, 3.544267731396665*^9}, {
  3.5442876513829784`*^9, 3.5442876663274727`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grocerylist", "   ", 
  RowBox[{"(*", " ", "reminder", " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442964936147423`*^9, 3.5442964995907426`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"eggs\"\>", ",", "\<\"lowfat milk\"\>", ",", "\<\"bread\"\>", 
   ",", "\<\"soda\"\>", ",", "\<\"ice cream\"\>"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953724413624*^9, 3.607953738977624*^9}, 
   3.6188626911374464`*^9, 3.6188627684671783`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "grocerylist", "]"}]], "Input",
 CellChangeTimes->{{3.544288151180953*^9, 3.54428815485032*^9}}],

Cell[BoxData["5"], "Output",
 CellChangeTimes->{{3.607953724449624*^9, 3.6079537390136237`*^9}, 
   3.6188626911994524`*^9, 3.6188627685171833`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Reverse", "[", "grocerylist", "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"reverses", " ", "order"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.544288984764303*^9, 3.5442889933921657`*^9}, {
  3.5442966546697426`*^9, 3.5442966577087426`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"ice cream\"\>", ",", "\<\"soda\"\>", ",", "\<\"bread\"\>", 
   ",", "\<\"lowfat milk\"\>", ",", "\<\"eggs\"\>"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953724484624*^9, 3.607953739048624*^9}, 
   3.618862691244457*^9, 3.6188627685671883`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sort", "[", "grocerylist", "]"}]], "Input",
 CellChangeTimes->{{3.5442882143602705`*^9, 3.5442882180206366`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"bread\"\>", ",", "\<\"eggs\"\>", ",", "\<\"ice cream\"\>", 
   ",", "\<\"lowfat milk\"\>", ",", "\<\"soda\"\>"}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537245216236`*^9, 3.607953739084624*^9}, 
   3.618862691285461*^9, 3.618862768617193*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Append", "[", 
   RowBox[{"grocerylist", ",", " ", "\"\<steak\>\""}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"adds", " ", "to", " ", "the", " ", "end"}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442891738432093`*^9, 3.544289204832308*^9}, {
  3.5442965234777427`*^9, 3.5442965260057425`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"eggs\"\>", ",", "\<\"lowfat milk\"\>", ",", "\<\"bread\"\>", 
   ",", "\<\"soda\"\>", ",", "\<\"ice cream\"\>", ",", "\<\"steak\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.607953724557624*^9, 3.607953739119624*^9}, 
   3.618862691327465*^9, 3.618862768667198*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Insert", "[", 
   RowBox[{"grocerylist", ",", " ", "\"\<candy\>\"", ",", " ", "3"}], "]"}], 
  "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"inserts", " ", "into", " ", "position", " ", "3"}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.544289353914214*^9, 3.5442893950313253`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"eggs\"\>", ",", "\<\"lowfat milk\"\>", ",", "\<\"candy\"\>", 
   ",", "\<\"bread\"\>", ",", "\<\"soda\"\>", ",", "\<\"ice cream\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.607953724593624*^9, 3.607953739154624*^9}, 
   3.6188626913704696`*^9, 3.618862768717203*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Drop", "[", 
   RowBox[{"grocerylist", ",", "2"}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "drops", " ", "2", " ", "items", " ", "from", " ", "the", " ", "start", 
    " ", "of", " ", "list"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442964388267426`*^9, 3.544296453290743*^9}, {
  3.544296534061743*^9, 3.5442965341647425`*^9}, {3.5442966229987426`*^9, 
  3.5442966235047426`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"bread\"\>", ",", "\<\"soda\"\>", ",", "\<\"ice cream\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.607953724629624*^9, 3.607953739188624*^9}, 
   3.618862691413474*^9, 3.618862768767208*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Drop", "[", 
   RowBox[{"grocerylist", ",", 
    RowBox[{"-", "3"}]}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "drops", " ", "3", " ", "items", " ", "from", " ", "the", " ", "end", " ", 
    "of", " ", "list"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442965393247423`*^9, 3.5442965472367425`*^9}, {
  3.5442966264307423`*^9, 3.5442966332707424`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"eggs\"\>", ",", "\<\"lowfat milk\"\>"}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537246656237`*^9, 3.6079537393326235`*^9}, 
   3.6188626914554777`*^9, 3.618862768817213*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ReplacePart", "[", 
   RowBox[{"grocerylist", ",", " ", 
    RowBox[{"4", "\[Rule]", " ", "\"\<root beer\>\""}]}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "replaces", " ", "the", " ", "fourth", " ", "element", " ", "of", " ", 
    "the", " ", "list"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442974637427425`*^9, 3.5442975169737425`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"eggs\"\>", ",", "\<\"lowfat milk\"\>", ",", "\<\"bread\"\>", 
   ",", "\<\"root beer\"\>", ",", "\<\"ice cream\"\>"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953724702624*^9, 3.607953739366624*^9}, 
   3.6188626915624886`*^9, 3.6188627688672185`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grades", "=", 
  RowBox[{"{", 
   RowBox[{
   "90", ",", "76", ",", "88", ",", "45", ",", "99", ",", "86", ",", "76", 
    ",", "85", ",", "97", ",", "99"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"Sort", "[", "grades", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Sort", "[", 
  RowBox[{"grades", ",", "Greater"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5442886205468845`*^9, 3.54428866019685*^9}, {
  3.5442887071985493`*^9, 3.54428871090292*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "90", ",", "76", ",", "88", ",", "45", ",", "99", ",", "86", ",", "76", ",",
    "85", ",", "97", ",", "99"}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537247386236`*^9, 3.6079537394016237`*^9}, 
   3.6188626916074934`*^9, 3.6188627689172235`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "45", ",", "76", ",", "76", ",", "85", ",", "86", ",", "88", ",", "90", ",",
    "97", ",", "99", ",", "99"}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537247386236`*^9, 3.6079537394016237`*^9}, 
   3.6188626916074934`*^9, 3.618862768923224*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "99", ",", "99", ",", "97", ",", "90", ",", "88", ",", "86", ",", "85", ",",
    "76", ",", "76", ",", "45"}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537247386236`*^9, 3.6079537394016237`*^9}, 
   3.6188626916074934`*^9, 3.618862768927224*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Select", "[", 
  RowBox[{"grades", ",", " ", 
   RowBox[{
    RowBox[{"#", ">", "90"}], "&"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.544288920056833*^9, 3.544288921069934*^9}, {
  3.5442890295617824`*^9, 3.5442890665634823`*^9}, {3.544289129888814*^9, 
  3.544289136061431*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"99", ",", "97", ",", "99"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953724781624*^9, 3.607953739499624*^9}, 
   3.6188626916694994`*^9, 3.6188627689682283`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to notice:",
  FontWeight->"Bold"],
 "\n\n1. Length tells you how many items are in the list.\n\n2. Sort puts the \
list items in alphabetical or numerical order. You can specify details about \
how to sort (e.g. low to high vs high to low); see help file for details.\n\n\
3. Reverse, Append, Insert, and Drop are all fairly obvious. \n\n4. \
ReplacePart used this way is identical to more simply stating:  \
grocerylist[[4]] = \[OpenCurlyDoubleQuote]root beer\[CloseCurlyDoubleQuote].  \
But it has some added features relating to replacing multiple items at once \
which can be helpful.\n\n5. Select allows you to determine which list items \
meet a particular criterion. In the example given here, I specified the \
criterion using an unnamed function which compared the numbers in the list to \
the number 90."
}], "Text",
 CellChangeTimes->{{3.5442641671306744`*^9, 3.544264440605019*^9}, {
   3.54426515378633*^9, 3.5442651696599174`*^9}, {3.5442652237273235`*^9, 
   3.5442652269986506`*^9}, {3.5442652739683475`*^9, 3.54426527969592*^9}, {
   3.5442653184988*^9, 3.5442653782207713`*^9}, {3.544265424124361*^9, 
   3.544265447292678*^9}, {3.5442663402389636`*^9, 3.5442663469046297`*^9}, {
   3.5442663838443236`*^9, 3.5442663841793575`*^9}, {3.5442675747836647`*^9, 
   3.544267601830665*^9}, {3.544267729413665*^9, 3.544267731396665*^9}, {
   3.5442876513829784`*^9, 3.544287664887328*^9}, {3.5442887441662455`*^9, 
   3.544288745072336*^9}, {3.5442890007999067`*^9, 3.5442890207359*^9}, {
   3.544289155718397*^9, 3.544289172101035*^9}, {3.5442892099828224`*^9, 
   3.5442893463874617`*^9}, {3.5442893845482774`*^9, 3.544289416487471*^9}, {
   3.5442965595387425`*^9, 3.5442966452917423`*^9}, {3.5442966791627426`*^9, 
   3.5442967115277424`*^9}, {3.544297520731743*^9, 3.5442975295707426`*^9}, {
   3.5443648222508993`*^9, 3.544364905204194*^9}, 3.6188632078661137`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Beyond one dimension--2D lists", "Subsection",
 CellChangeTimes->{{3.5442894336041822`*^9, 3.5442894474315653`*^9}, {
  3.5619056499598083`*^9, 3.561905651470959*^9}}],

Cell[TextData[{
 "We\[CloseCurlyQuote]ve seen how to do lists of numbers... but some of the \
ListPlot examples above used lists of ",
 StyleBox["pairs",
  FontSlant->"Italic"],
 " of numbers. Since each pair is a two-element list, a list of pairs \
involves a \[OpenCurlyDoubleQuote]list of lists\[CloseCurlyDoubleQuote]. That \
is, a list in whcih each element is itself a list. \n\n\
Here\[CloseCurlyQuote]s another example of a list of pairs. These are two \
equivalent commands that generate a series of (x,y) pairs of points for the y \
= sin(x) function in steps of 0.2. "
}], "Text",
 CellChangeTimes->{
  3.429377701329486*^9, {3.429379534696703*^9, 3.429379548431254*^9}, {
   3.429383287775992*^9, 3.4293832886822534`*^9}, 3.429466240792717*^9, {
   3.4294664574632053`*^9, 3.4294664602600627`*^9}, 3.4294673662653275`*^9, {
   3.4396684361754913`*^9, 3.439668446519308*^9}, {3.4396684773632555`*^9, 
   3.4396684773632555`*^9}, {3.4396685097853374`*^9, 3.439668543082426*^9}, {
   3.544265473740322*^9, 3.544265488989847*^9}, {3.544265735073453*^9, 
   3.544265735523498*^9}, {3.5442664507880173`*^9, 3.544266539236861*^9}, {
   3.5442665744493823`*^9, 3.544266578334771*^9}, {3.5442666445483913`*^9, 
   3.5442666761875553`*^9}, {3.5442667342283583`*^9, 3.544266830385711*^9}, {
   3.5442668694799795`*^9, 3.5442669106306305`*^9}, {3.544266973888647*^9, 
   3.5442670001557646`*^9}, {3.5442671691934557`*^9, 3.54426717035334*^9}, 
   3.5442672993844357`*^9, {3.5443642116118417`*^9, 3.544364218627543*^9}, {
   3.5443642497256527`*^9, 3.544364261941874*^9}, {3.561903990595888*^9, 
   3.561904066415469*^9}, {3.5619041183846655`*^9, 3.5619041189287205`*^9}, {
   3.5619042110599327`*^9, 3.561904230356862*^9}, {3.5619042953113565`*^9, 
   3.5619043065284786`*^9}, {3.5619045470485277`*^9, 3.561904586593482*^9}, {
   3.561904683461168*^9, 3.5619047558474054`*^9}, {3.561904897092529*^9, 
   3.5619049405348725`*^9}, {3.56190575219503*^9, 3.561905765124323*^9}, {
   3.5619094121819925`*^9, 3.5619095239231653`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pairs", " ", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"#", ",", " ", 
      RowBox[{"Sin", "[", "#", "]"}]}], "}"}], "&"}], " ", "/@", " ", 
   RowBox[{"Range", "[", 
    RowBox[{"0", ",", "10", ",", ".2"}], "]"}], "   ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"The", " ", "/@", " ", "command"}], " ", "is", " ", "a", " ", 
      "lot", " ", "like", " ", 
      RowBox[{"the", " ", "@", " ", "command"}]}], ",", " ", 
     RowBox[{
     "and", " ", "is", " ", "explaned", " ", "more", " ", "below", " ", "in", 
      " ", "the", " ", "\"\<Using \>\"", "Map", "\"\< on a list of lists\>\"",
       " ", "section"}]}], " ", "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.5619040681476426`*^9, 3.5619041056423917`*^9}, {
  3.5619042527681026`*^9, 3.5619042686726933`*^9}, {3.5619048912799473`*^9, 
  3.5619049449453135`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0.`", ",", "0.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.2`", ",", "0.19866933079506122`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.4`", ",", "0.3894183423086505`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.6000000000000001`", ",", "0.5646424733950355`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.8`", ",", "0.7173560908995228`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.`", ",", "0.8414709848078965`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.2000000000000002`", ",", "0.9320390859672264`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.4000000000000001`", ",", "0.9854497299884603`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.6`", ",", "0.9995736030415051`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.8`", ",", "0.9738476308781951`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.`", ",", "0.9092974268256817`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.2`", ",", "0.8084964038195901`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.4000000000000004`", ",", "0.6754631805511506`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.6`", ",", "0.5155013718214642`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.8000000000000003`", ",", "0.33498815015590466`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.`", ",", "0.1411200080598672`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.2`", ",", 
     RowBox[{"-", "0.058374143427580086`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.4000000000000004`", ",", 
     RowBox[{"-", "0.25554110202683167`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.6`", ",", 
     RowBox[{"-", "0.44252044329485246`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.8000000000000003`", ",", 
     RowBox[{"-", "0.6118578909427193`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.`", ",", 
     RowBox[{"-", "0.7568024953079282`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.2`", ",", 
     RowBox[{"-", "0.8715757724135882`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.4`", ",", 
     RowBox[{"-", "0.9516020738895161`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.6000000000000005`", ",", 
     RowBox[{"-", "0.9936910036334645`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.800000000000001`", ",", 
     RowBox[{"-", "0.9961646088358406`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.`", ",", 
     RowBox[{"-", "0.9589242746631385`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.2`", ",", 
     RowBox[{"-", "0.8834546557201531`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.4`", ",", 
     RowBox[{"-", "0.7727644875559871`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.6000000000000005`", ",", 
     RowBox[{"-", "0.6312666378723208`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.800000000000001`", ",", 
     RowBox[{"-", "0.4646021794137566`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.`", ",", 
     RowBox[{"-", "0.27941549819892586`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.2`", ",", 
     RowBox[{"-", "0.0830894028174964`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.4`", ",", "0.11654920485049364`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.6000000000000005`", ",", "0.3115413635133787`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.800000000000001`", ",", "0.49411335113860894`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.`", ",", "0.6569865987187891`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.2`", ",", "0.7936678638491531`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.4`", ",", "0.8987080958116269`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.6000000000000005`", ",", "0.9679196720314865`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.800000000000001`", ",", "0.998543345374605`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8.`", ",", "0.9893582466233818`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8.200000000000001`", ",", "0.9407305566797726`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8.4`", ",", "0.8545989080882805`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8.6`", ",", "0.7343970978741133`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8.8`", ",", "0.5849171928917617`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9.`", ",", "0.4121184852417566`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9.200000000000001`", ",", "0.22288991410024592`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9.4`", ",", "0.024775425453357765`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9.600000000000001`", ",", 
     RowBox[{"-", "0.1743267812229814`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9.8`", ",", 
     RowBox[{"-", "0.3664791292519284`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10.`", ",", 
     RowBox[{"-", "0.5440211108893698`"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.607953724905624*^9, 3.607953739536624*^9}, 
   3.6188626917205043`*^9, 3.6188627690172334`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pairs", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"Sin", "[", "x", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10", ",", ".2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.561904183126139*^9, 3.561904199381765*^9}, {
  3.5619047718580065`*^9, 3.5619047746742883`*^9}, {3.5873020842172127`*^9, 
  3.58730208427949*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0.`", ",", "0.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.2`", ",", "0.19866933079506122`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.4`", ",", "0.3894183423086505`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.6000000000000001`", ",", "0.5646424733950355`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.8`", ",", "0.7173560908995228`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.`", ",", "0.8414709848078965`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.2000000000000002`", ",", "0.9320390859672264`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.4000000000000001`", ",", "0.9854497299884603`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.6`", ",", "0.9995736030415051`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.8`", ",", "0.9738476308781951`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.`", ",", "0.9092974268256817`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.2`", ",", "0.8084964038195901`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.4000000000000004`", ",", "0.6754631805511506`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.6`", ",", "0.5155013718214642`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.8000000000000003`", ",", "0.33498815015590466`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.`", ",", "0.1411200080598672`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.2`", ",", 
     RowBox[{"-", "0.058374143427580086`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.4000000000000004`", ",", 
     RowBox[{"-", "0.25554110202683167`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.6`", ",", 
     RowBox[{"-", "0.44252044329485246`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.8000000000000003`", ",", 
     RowBox[{"-", "0.6118578909427193`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.`", ",", 
     RowBox[{"-", "0.7568024953079282`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.2`", ",", 
     RowBox[{"-", "0.8715757724135882`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.4`", ",", 
     RowBox[{"-", "0.9516020738895161`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.6000000000000005`", ",", 
     RowBox[{"-", "0.9936910036334645`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.800000000000001`", ",", 
     RowBox[{"-", "0.9961646088358406`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.`", ",", 
     RowBox[{"-", "0.9589242746631385`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.2`", ",", 
     RowBox[{"-", "0.8834546557201531`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.4`", ",", 
     RowBox[{"-", "0.7727644875559871`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.6000000000000005`", ",", 
     RowBox[{"-", "0.6312666378723208`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.800000000000001`", ",", 
     RowBox[{"-", "0.4646021794137566`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.`", ",", 
     RowBox[{"-", "0.27941549819892586`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.2`", ",", 
     RowBox[{"-", "0.0830894028174964`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.4`", ",", "0.11654920485049364`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.6000000000000005`", ",", "0.3115413635133787`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.800000000000001`", ",", "0.49411335113860894`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.`", ",", "0.6569865987187891`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.2`", ",", "0.7936678638491531`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.4`", ",", "0.8987080958116269`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.6000000000000005`", ",", "0.9679196720314865`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7.800000000000001`", ",", "0.998543345374605`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8.`", ",", "0.9893582466233818`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8.200000000000001`", ",", "0.9407305566797726`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8.4`", ",", "0.8545989080882805`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8.6`", ",", "0.7343970978741133`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8.8`", ",", "0.5849171928917617`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9.`", ",", "0.4121184852417566`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9.200000000000001`", ",", "0.22288991410024592`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9.4`", ",", "0.024775425453357765`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9.600000000000001`", ",", 
     RowBox[{"-", "0.1743267812229814`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9.8`", ",", 
     RowBox[{"-", "0.3664791292519284`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10.`", ",", 
     RowBox[{"-", "0.5440211108893698`"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537249486237`*^9, 3.6079537395756235`*^9}, 
   3.6188626917645087`*^9, 3.6188627690672383`*^9}]
}, Closed]],

Cell["We can plot the points if we want:", "Text",
 CellChangeTimes->{{3.561909530297803*^9, 3.5619095607548485`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "pairs", "]"}]], "Input",
 CellChangeTimes->{{3.56190954096887*^9, 3.561909545548328*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxd0W1IU2EUB/ClKZuN3HxpazlzzmKmc7RbWYE8x7e+FFSjVAwjQjMQS0r6
YoR+6IXAohjVFpVIgQTamzWa2pWFyWRDN7FpOba5rG3ObabThNFq3eOXDjxc
Ls85v3P5X8np86q6OBaLRf09sef/pdXEykj6rUXSaKORMO9TpKE+z7vfP0l2
UbFyk+riZ4J2/gzee4n5N21QL30njBIiAS7n9rF5H/YvkqHjos7S8XlSfyZW
yyTeVeYw3wji/CoZKnEOt0WCxGyKVYSE0gfaDLlB9FhwoNfiWxbOY/86YNue
T1EOL/rx8MDyMVz7aBbn10Pf1Y6+yBUn7kuEwdka6YWmCfTYcGLiXeNengE9
Dijlnn2F7m6a8TZA86Eoz1g9RjMeFxYsodJi1TTNeBuhY9AfrVC7acbjQU/m
tP19oQf7eTCZMub46Z6jGZ8PIVn5zmsXAzifAnp/TepRUxD3pUK0iKtVO4Po
pQGlcYbbXgTQSwNbjv51SbkfvXRoSlDev6z3oLcJesP3BBXUN/QEMOK4NZzU
b0dPCIOdL28uuCzoCUFs/vC1qvwtepshf8duRd7nAcxLBHc5XsXB0DjmuwU4
fJ+2/YkD88sAdlKjgZ24lncGJBvd2/R1XsxTDMu5CS2FBj96mZD8i9etXA2g
txUUutZ8/tLa/82CllFZh7UriP1ZUEB5Vy6JAuhngXZFPuqomiP/xikJyF/1
Vha0/sB9ErBbR0qe6mbQy4Y7Cu6e7ae+oJcNDQ8nxF3XTehlw0xxWZf+pAa/
RwoyXTq78sgnzEMKcefeOGubbZhfDqgOL4Yfn3XRfwCzC3AA
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.},
  Method->{},
  PlotRange->{{0, 10.}, {-0.9961646088358406, 0.9995736030415051}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.2, 0.2}, {0.03991476423754691, 
   0.03991476423754691}}]], "Output",
 CellChangeTimes->{{3.6079537249936237`*^9, 3.6079537396206236`*^9}, 
   3.618862691823515*^9, 3.618862769190251*^9}]
}, Closed]],

Cell[TextData[{
 "You can visualize how these numbers are organized by using ",
 StyleBox["MatrixForm",
  FontWeight->"Bold"],
 " and/or ",
 StyleBox["TableForm",
  FontWeight->"Bold"],
 " to look at the lists."
}], "Text",
 CellChangeTimes->{{3.5619048243082514`*^9, 3.561904841705991*^9}, {
  3.5619049630551243`*^9, 3.561904975447364*^9}, {3.5619095766214347`*^9, 
  3.5619095781115837`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pairs", " ", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5619047777695975`*^9, 3.5619048100668273`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.`", "0.`"},
     {"0.2`", "0.19866933079506122`"},
     {"0.4`", "0.3894183423086505`"},
     {"0.6000000000000001`", "0.5646424733950355`"},
     {"0.8`", "0.7173560908995228`"},
     {"1.`", "0.8414709848078965`"},
     {"1.2000000000000002`", "0.9320390859672264`"},
     {"1.4000000000000001`", "0.9854497299884603`"},
     {"1.6`", "0.9995736030415051`"},
     {"1.8`", "0.9738476308781951`"},
     {"2.`", "0.9092974268256817`"},
     {"2.2`", "0.8084964038195901`"},
     {"2.4000000000000004`", "0.6754631805511506`"},
     {"2.6`", "0.5155013718214642`"},
     {"2.8000000000000003`", "0.33498815015590466`"},
     {"3.`", "0.1411200080598672`"},
     {"3.2`", 
      RowBox[{"-", "0.058374143427580086`"}]},
     {"3.4000000000000004`", 
      RowBox[{"-", "0.25554110202683167`"}]},
     {"3.6`", 
      RowBox[{"-", "0.44252044329485246`"}]},
     {"3.8000000000000003`", 
      RowBox[{"-", "0.6118578909427193`"}]},
     {"4.`", 
      RowBox[{"-", "0.7568024953079282`"}]},
     {"4.2`", 
      RowBox[{"-", "0.8715757724135882`"}]},
     {"4.4`", 
      RowBox[{"-", "0.9516020738895161`"}]},
     {"4.6000000000000005`", 
      RowBox[{"-", "0.9936910036334645`"}]},
     {"4.800000000000001`", 
      RowBox[{"-", "0.9961646088358406`"}]},
     {"5.`", 
      RowBox[{"-", "0.9589242746631385`"}]},
     {"5.2`", 
      RowBox[{"-", "0.8834546557201531`"}]},
     {"5.4`", 
      RowBox[{"-", "0.7727644875559871`"}]},
     {"5.6000000000000005`", 
      RowBox[{"-", "0.6312666378723208`"}]},
     {"5.800000000000001`", 
      RowBox[{"-", "0.4646021794137566`"}]},
     {"6.`", 
      RowBox[{"-", "0.27941549819892586`"}]},
     {"6.2`", 
      RowBox[{"-", "0.0830894028174964`"}]},
     {"6.4`", "0.11654920485049364`"},
     {"6.6000000000000005`", "0.3115413635133787`"},
     {"6.800000000000001`", "0.49411335113860894`"},
     {"7.`", "0.6569865987187891`"},
     {"7.2`", "0.7936678638491531`"},
     {"7.4`", "0.8987080958116269`"},
     {"7.6000000000000005`", "0.9679196720314865`"},
     {"7.800000000000001`", "0.998543345374605`"},
     {"8.`", "0.9893582466233818`"},
     {"8.200000000000001`", "0.9407305566797726`"},
     {"8.4`", "0.8545989080882805`"},
     {"8.6`", "0.7343970978741133`"},
     {"8.8`", "0.5849171928917617`"},
     {"9.`", "0.4121184852417566`"},
     {"9.200000000000001`", "0.22288991410024592`"},
     {"9.4`", "0.024775425453357765`"},
     {"9.600000000000001`", 
      RowBox[{"-", "0.1743267812229814`"}]},
     {"9.8`", 
      RowBox[{"-", "0.3664791292519284`"}]},
     {"10.`", 
      RowBox[{"-", "0.5440211108893698`"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.6079537250426235`*^9, 3.6079537396466236`*^9}, 
   3.6188626918675194`*^9, 3.618862769215253*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pairs", "//", "TableForm"}]], "Input",
 CellChangeTimes->{{3.5619048472605457`*^9, 3.561904850387859*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0.`", "0.`"},
    {"0.2`", "0.19866933079506122`"},
    {"0.4`", "0.3894183423086505`"},
    {"0.6000000000000001`", "0.5646424733950355`"},
    {"0.8`", "0.7173560908995228`"},
    {"1.`", "0.8414709848078965`"},
    {"1.2000000000000002`", "0.9320390859672264`"},
    {"1.4000000000000001`", "0.9854497299884603`"},
    {"1.6`", "0.9995736030415051`"},
    {"1.8`", "0.9738476308781951`"},
    {"2.`", "0.9092974268256817`"},
    {"2.2`", "0.8084964038195901`"},
    {"2.4000000000000004`", "0.6754631805511506`"},
    {"2.6`", "0.5155013718214642`"},
    {"2.8000000000000003`", "0.33498815015590466`"},
    {"3.`", "0.1411200080598672`"},
    {"3.2`", 
     RowBox[{"-", "0.058374143427580086`"}]},
    {"3.4000000000000004`", 
     RowBox[{"-", "0.25554110202683167`"}]},
    {"3.6`", 
     RowBox[{"-", "0.44252044329485246`"}]},
    {"3.8000000000000003`", 
     RowBox[{"-", "0.6118578909427193`"}]},
    {"4.`", 
     RowBox[{"-", "0.7568024953079282`"}]},
    {"4.2`", 
     RowBox[{"-", "0.8715757724135882`"}]},
    {"4.4`", 
     RowBox[{"-", "0.9516020738895161`"}]},
    {"4.6000000000000005`", 
     RowBox[{"-", "0.9936910036334645`"}]},
    {"4.800000000000001`", 
     RowBox[{"-", "0.9961646088358406`"}]},
    {"5.`", 
     RowBox[{"-", "0.9589242746631385`"}]},
    {"5.2`", 
     RowBox[{"-", "0.8834546557201531`"}]},
    {"5.4`", 
     RowBox[{"-", "0.7727644875559871`"}]},
    {"5.6000000000000005`", 
     RowBox[{"-", "0.6312666378723208`"}]},
    {"5.800000000000001`", 
     RowBox[{"-", "0.4646021794137566`"}]},
    {"6.`", 
     RowBox[{"-", "0.27941549819892586`"}]},
    {"6.2`", 
     RowBox[{"-", "0.0830894028174964`"}]},
    {"6.4`", "0.11654920485049364`"},
    {"6.6000000000000005`", "0.3115413635133787`"},
    {"6.800000000000001`", "0.49411335113860894`"},
    {"7.`", "0.6569865987187891`"},
    {"7.2`", "0.7936678638491531`"},
    {"7.4`", "0.8987080958116269`"},
    {"7.6000000000000005`", "0.9679196720314865`"},
    {"7.800000000000001`", "0.998543345374605`"},
    {"8.`", "0.9893582466233818`"},
    {"8.200000000000001`", "0.9407305566797726`"},
    {"8.4`", "0.8545989080882805`"},
    {"8.6`", "0.7343970978741133`"},
    {"8.8`", "0.5849171928917617`"},
    {"9.`", "0.4121184852417566`"},
    {"9.200000000000001`", "0.22288991410024592`"},
    {"9.4`", "0.024775425453357765`"},
    {"9.600000000000001`", 
     RowBox[{"-", "0.1743267812229814`"}]},
    {"9.8`", 
     RowBox[{"-", "0.3664791292519284`"}]},
    {"10.`", 
     RowBox[{"-", "0.5440211108893698`"}]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.607953725081624*^9, 3.6079537396866236`*^9}, 
   3.618862691914524*^9, 3.618862769270259*^9}]
}, Closed]],

Cell["\<\
When viewed that way, it should be obvious as to why a list of lists is often \
called a two-dimensional list (or equivalently, a two-dimensional \
\[OpenCurlyDoubleQuote]array\[CloseCurlyDoubleQuote]). It requires two \
numbers, called indices, to specify the list elements--one for the row, and \
one for the column.\
\>", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQA2IQXaP3ZI9qxivHwBjh+yB6nqalhRqQ5pYztQLRNm7f
HUD0py/xjiB6yx87dxD9y+UbmNb+dt4HRPcLuIeA6CO/mKNA9LzYlzEgevrS
9jMgetenmLMgejPL74sg2mcv6yUQfUL4Zpo6kD4/xSoLRO+z0a0C0dUbc8B0
jGOOiSGQ/pciYwaiHwWy7gXRUwKUwPS1GZJ3QXRdz/T7IFrmb9kHEL3OuvkT
iPYotv8OosXSfDiMgHRttyAviGaIOCYAoh0+coiB6Ge2s5VBdFVj148wkP9c
y36C6DyPZ46nO185ei/RcgLRN8qLc0D0tCbxJhBtMjnoPIgW37L8HoiuqT23
6iyQ9vC4AKYB7A+qfQ==
  "]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"pairs", "[", 
   RowBox[{"[", 
    RowBox[{"5", ",", "2"}], "]"}], "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"the", " ", "element", " ", "in", " ", "5", "th", " ", "row"}], 
    ",", " ", 
    RowBox[{"2", "nd", " ", "column"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.561905172220039*^9, 3.5619052479636126`*^9}, {
  3.5619053730791225`*^9, 3.561905375903405*^9}}],

Cell[BoxData["0.7173560908995228`"], "Output",
 CellChangeTimes->{{3.607953725121624*^9, 3.6079537397316236`*^9}, 
   3.618862691968529*^9, 3.618862769313263*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"pairs", "[", 
   RowBox[{"[", "5", "]"}], "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "this", " ", "just", " ", "gives", " ", "the", " ", "fifth", " ", "row"}], 
   " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5619052504348593`*^9, 3.561905258787695*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.8`", ",", "0.7173560908995228`"}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537251586237`*^9, 3.607953739765624*^9}, 
   3.6188626920185347`*^9, 3.618862769354267*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"pairs", "[", 
    RowBox[{"[", "5", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "another", " ", "way", " ", "of", " ", "accessing", " ", "the", " ", 
     "number", " ", "in", " ", "the", " ", "5", "th", " ", "row"}], ",", " ", 
    RowBox[{"second", " ", "column"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5619052621790338`*^9, 3.5619052748763037`*^9}}],

Cell[BoxData["0.7173560908995228`"], "Output",
 CellChangeTimes->{{3.607953725194624*^9, 3.6079537397996235`*^9}, 
   3.6188626920615387`*^9, 3.618862769401272*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to notice:\n",
  FontWeight->"Bold"],
 "\n1. Make sure that the pairs[[5,2]] command actually gives the number in \
the 5th row, 2nd column. \n\n2. The (5,2) list element can be accessed via \
either [[5]][[2]] or [[5,2]]. Personally I prefer the latter but I think the \
former may be more common. I believe that\[CloseCurlyQuote]s because ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " didn\[CloseCurlyQuote]t originally allow the latter notation, but I could \
be wrong. I\[CloseCurlyQuote]ll use the two interchangeably."
}], "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQA2IQXaP3ZI9qxivHwBjh+yB6nqalhRqQ5pYztQLRNm7f
HUD0py/xjiB6yx87dxD9y+UbmNb+dt4HRPcLuIeA6CO/mKNA9LzYlzEgevrS
9jMgetenmLMgejPL74sg2mcv6yUQfUL4Zpo6kD4/xSoLRO+z0a0C0dUbc8B0
jGOOiSGQ/pciYwaiHwWy7gXRUwKUwPS1GZJ3QXRdz/T7IFrmb9kHEL3OuvkT
iPYotv8OosXSfDiMgHRttyAviGaIOCYAoh0+coiB6Ge2s5VBdFVj148wkP9c
y36C6DyPZ46nO185ei/RcgLRN8qLc0D0tCbxJhB94BfvVBC970rjEhBdoeKz
BkR/FSgC0wD6/6qQ
  "]],

Cell["\<\

The commands which generate 1D lists can generally be used to generate 2D \
lists as well. For example, here's a 2D list generated by the Table command:\
\>", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBWIQXaP3ZI9qxivHwBjh+yB6nqalhRqQ5pYztQLRNm7f
HUD0py/xjiB6yx87dxD9y+UbmNb+dt4HRPcLuIeA6CO/mKNA9LzYlzEgevrS
9jMgetenmLMgejPL74sg2mcv6yUQfUL4Zpo6kD4/xSoLRO+z0a0C0dUbc8B0
jGOOiSGQ/pciYwaiHwWy7gXRUwKUwPS1GZJ3QXRdz/T7IFrmb9kHEL3OuvkT
iPYotv8OosXSfDiMgHRttyAviGaIOCYAoh0+coiB6Ge2s5VBdFVj148wkP9c
y36C6DyPZ46nO185ei/RcgLRN8qLc0D0tCbxJhB94BfvVBCds/PZahANAJRF
odk=
  "]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"twoDlist", " ", "=", " ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"x", " ", 
     RowBox[{"y", "^", "2"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.544289569751796*^9, 3.5442896556333833`*^9}, {
  3.5442897349253116`*^9, 3.5442898030701256`*^9}, {3.5442899124420614`*^9, 
  3.5442899126820855`*^9}, {3.5442900945772734`*^9, 3.544290097032519*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "80"}], ",", 
     RowBox[{"-", "45"}], ",", 
     RowBox[{"-", "20"}], ",", 
     RowBox[{"-", "5"}], ",", "0", ",", 
     RowBox[{"-", "5"}], ",", 
     RowBox[{"-", "20"}], ",", 
     RowBox[{"-", "45"}], ",", 
     RowBox[{"-", "80"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "64"}], ",", 
     RowBox[{"-", "36"}], ",", 
     RowBox[{"-", "16"}], ",", 
     RowBox[{"-", "4"}], ",", "0", ",", 
     RowBox[{"-", "4"}], ",", 
     RowBox[{"-", "16"}], ",", 
     RowBox[{"-", "36"}], ",", 
     RowBox[{"-", "64"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "48"}], ",", 
     RowBox[{"-", "27"}], ",", 
     RowBox[{"-", "12"}], ",", 
     RowBox[{"-", "3"}], ",", "0", ",", 
     RowBox[{"-", "3"}], ",", 
     RowBox[{"-", "12"}], ",", 
     RowBox[{"-", "27"}], ",", 
     RowBox[{"-", "48"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "32"}], ",", 
     RowBox[{"-", "18"}], ",", 
     RowBox[{"-", "8"}], ",", 
     RowBox[{"-", "2"}], ",", "0", ",", 
     RowBox[{"-", "2"}], ",", 
     RowBox[{"-", "8"}], ",", 
     RowBox[{"-", "18"}], ",", 
     RowBox[{"-", "32"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "16"}], ",", 
     RowBox[{"-", "9"}], ",", 
     RowBox[{"-", "4"}], ",", 
     RowBox[{"-", "1"}], ",", "0", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "4"}], ",", 
     RowBox[{"-", "9"}], ",", 
     RowBox[{"-", "16"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "16", ",", "9", ",", "4", ",", "1", ",", "0", ",", "1", ",", "4", ",", 
     "9", ",", "16"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "32", ",", "18", ",", "8", ",", "2", ",", "0", ",", "2", ",", "8", ",", 
     "18", ",", "32"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "48", ",", "27", ",", "12", ",", "3", ",", "0", ",", "3", ",", "12", ",", 
     "27", ",", "48"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "64", ",", "36", ",", "16", ",", "4", ",", "0", ",", "4", ",", "16", ",", 
     "36", ",", "64"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "80", ",", "45", ",", "20", ",", "5", ",", "0", ",", "5", ",", "20", ",", 
     "45", ",", "80"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.607953725234624*^9, 3.607953739836624*^9}, 
   3.6188626921095433`*^9, 3.618862769451277*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"twoDlist", "//", "TableForm"}]], "Input",
 CellChangeTimes->{{3.5619055466964827`*^9, 3.561905560317845*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{"-", "80"}], 
     RowBox[{"-", "45"}], 
     RowBox[{"-", "20"}], 
     RowBox[{"-", "5"}], "0", 
     RowBox[{"-", "5"}], 
     RowBox[{"-", "20"}], 
     RowBox[{"-", "45"}], 
     RowBox[{"-", "80"}]},
    {
     RowBox[{"-", "64"}], 
     RowBox[{"-", "36"}], 
     RowBox[{"-", "16"}], 
     RowBox[{"-", "4"}], "0", 
     RowBox[{"-", "4"}], 
     RowBox[{"-", "16"}], 
     RowBox[{"-", "36"}], 
     RowBox[{"-", "64"}]},
    {
     RowBox[{"-", "48"}], 
     RowBox[{"-", "27"}], 
     RowBox[{"-", "12"}], 
     RowBox[{"-", "3"}], "0", 
     RowBox[{"-", "3"}], 
     RowBox[{"-", "12"}], 
     RowBox[{"-", "27"}], 
     RowBox[{"-", "48"}]},
    {
     RowBox[{"-", "32"}], 
     RowBox[{"-", "18"}], 
     RowBox[{"-", "8"}], 
     RowBox[{"-", "2"}], "0", 
     RowBox[{"-", "2"}], 
     RowBox[{"-", "8"}], 
     RowBox[{"-", "18"}], 
     RowBox[{"-", "32"}]},
    {
     RowBox[{"-", "16"}], 
     RowBox[{"-", "9"}], 
     RowBox[{"-", "4"}], 
     RowBox[{"-", "1"}], "0", 
     RowBox[{"-", "1"}], 
     RowBox[{"-", "4"}], 
     RowBox[{"-", "9"}], 
     RowBox[{"-", "16"}]},
    {"0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"16", "9", "4", "1", "0", "1", "4", "9", "16"},
    {"32", "18", "8", "2", "0", "2", "8", "18", "32"},
    {"48", "27", "12", "3", "0", "3", "12", "27", "48"},
    {"64", "36", "16", "4", "0", "4", "16", "36", "64"},
    {"80", "45", "20", "5", "0", "5", "20", "45", "80"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.6079537252716236`*^9, 3.6079537398726234`*^9}, 
   3.6188626921545477`*^9, 3.6188627695012817`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.544290108736689*^9, 3.5442901234171567`*^9}}],

Cell[BoxData["11"], "Output",
 CellChangeTimes->{{3.607953725308624*^9, 3.6079537399156237`*^9}, 
   3.618862692198552*^9, 3.6188627695512867`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"twoDlist", "[", 
   RowBox[{"[", "3", "]"}], "]"}], "[", 
  RowBox[{"[", "3", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.544289821476966*^9, 3.544289828296648*^9}}],

Cell[BoxData[
 RowBox[{"-", "12"}]], "Output",
 CellChangeTimes->{{3.6079537253446236`*^9, 3.6079537399646235`*^9}, 
   3.6188626922415566`*^9, 3.6188627696012917`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to notice:",
  FontWeight->"Bold"],
 "\n\n1. This Table command created a 2D list that\[CloseCurlyQuote]s \
somewhat similar to the function f(x,y) = x y^2. The first index specifies \
which of the x-values you want to query, the second index specifies which of \
the y-values. If you look closely, you can see that it\[CloseCurlyQuote]s \
really an 11 element \[OpenCurlyDoubleQuote]list of lists\
\[CloseCurlyDoubleQuote], where each element in the list is its own 9 element \
list. That\[CloseCurlyQuote]s why ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " reports its length as 11. Similarly, when viewed in TableForm (or \
MatrixForm), you can easily tell there are 11 rows.\n\n2. Find -12 in the \
list and make sure you understand why it was the answer to the last command."
}], "Text",
 CellChangeTimes->{{3.544289857580576*^9, 3.5442900142112374`*^9}, {
  3.544290054413257*^9, 3.54429008534335*^9}, {3.5442901410489197`*^9, 
  3.5442901807148857`*^9}, {3.544290271724986*^9, 3.5442902889497085`*^9}, {
  3.544290346961509*^9, 3.5442903529351063`*^9}, {3.5442907036121707`*^9, 
  3.544290704916301*^9}, {3.544365016539326*^9, 3.5443650252731996`*^9}, {
  3.5443696985754833`*^9, 3.544369804036028*^9}, {3.5443727180043955`*^9, 
  3.5443727334849434`*^9}, {3.561905596909504*^9, 3.5619056287746897`*^9}}],

Cell[CellGroupData[{

Cell["Assignment 6. A series of list functions", "Subsubsection",
 CellChangeTimes->{{3.5442932446417427`*^9, 3.5442932506147423`*^9}, {
  3.544297680849743*^9, 3.5442976836557426`*^9}, {3.544298249455743*^9, 
  3.5442982987617426`*^9}, {3.5442983959897423`*^9, 3.5442984952137423`*^9}, {
  3.544365806878352*^9, 3.5443658330379677`*^9}, {3.5443658634480085`*^9, 
  3.544365872055869*^9}, {3.5443724969572935`*^9, 3.544372497309328*^9}, {
  3.544375067227873*^9, 3.5443751532029853`*^9}, {3.545183899261588*^9, 
  3.5451839001596775`*^9}, {3.5451839389595575`*^9, 3.5451839421668777`*^9}}],

Cell[TextData[{
 "Start with list1 = {{4,8,9,10},{8,6,7,1}} and list2 = \
{{3,7,8,4},{3,1,2,8}}. ",
 StyleBox["Join",
  FontWeight->"Bold"],
 " the two lists together, then ",
 StyleBox["Flatten",
  FontWeight->"Bold"],
 " the resulting list, ",
 StyleBox["Sort",
  FontWeight->"Bold"],
 " in ascending order, find the ",
 StyleBox["Union",
  FontWeight->"Bold"],
 " (i.e. the unique elements), use ",
 StyleBox["Complement",
  FontWeight->"Bold"],
 " to extract only those elements that are not equal to 1, 2, or 3, ",
 StyleBox["Reverse",
  FontWeight->"Bold"],
 " the order, then finally ",
 StyleBox["Partition",
  FontWeight->"Bold"],
 " the result into pairs.  If done correctly, this exercise yields  {{10, 9}, \
{8, 7}, {6, 4}}.    (You'll need to read up on ",
 StyleBox["Join",
  FontWeight->"Bold"],
 ", ",
 StyleBox["Union",
  FontWeight->"Bold"],
 ", and ",
 StyleBox["Complement",
  FontWeight->"Bold"],
 " on  your own.)"
}], "Text",
 CellChangeTimes->{{3.5442932446417427`*^9, 3.5442932506147423`*^9}, {
  3.544297680849743*^9, 3.5442976836557426`*^9}, {3.544298249455743*^9, 
  3.5442982987617426`*^9}, {3.5442983959897423`*^9, 3.5442984952137423`*^9}, {
  3.544365806878352*^9, 3.5443658330379677`*^9}, {3.5443658634480085`*^9, 
  3.544365872055869*^9}, {3.5443724969572935`*^9, 3.544372497309328*^9}, {
  3.544375067227873*^9, 3.5443751532029853`*^9}, {3.545183899261588*^9, 
  3.5451839001596775`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["3D lists", "Subsection",
 CellChangeTimes->{{3.5619056411079226`*^9, 3.5619056617519875`*^9}}],

Cell[TextData[{
 "If a 2D list is like a matrix, a 3D list is like a ",
 StyleBox["set",
  FontSlant->"Italic"],
 " of matrices, each matrix indexed by its own number. You visualize them as \
matrices written on pages in a book, one matrix per page: the first number \
tells you which page, then the second and third numbers tell you which row & \
column to go to when you get to that particular page. This is an example of a \
2x3x2 list with 12 total elements: 2 pages, 3 rows, and 2 columns."
}], "Text",
 CellChangeTimes->{{3.544291218586663*^9, 3.5442912480076046`*^9}, {
  3.5442925156927423`*^9, 3.544292540283743*^9}, {3.5443650670903807`*^9, 
  3.5443652007837486`*^9}, {3.544372792735868*^9, 3.5443727960471992`*^9}, {
  3.5619059787876873`*^9, 3.561906030836892*^9}, {3.618863244483775*^9, 
  3.6188632457869053`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"threeDlist", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\"\<this\>\"", ",", "\"\<is\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\"\<a\>\"", ",", "\"\<very\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\"\<inconvenient\>\"", ",", "\"\<way\>\""}], "}"}]}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\"\<to\>\"", ",", "\"\<generate\>\""}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"\"\<a\>\"", ",", " ", "\"\<three\>\""}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"\"\<dimensional\>\"", ",", " ", "\"\<list\>\""}], "}"}]}], 
     "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.5442903010059137`*^9, 3.544290341041917*^9}, {
   3.5442904235721693`*^9, 3.5442904636781797`*^9}, 3.544290499479759*^9, {
   3.544290536976509*^9, 3.544290539216733*^9}, {3.5442905710909195`*^9, 
   3.5442906319170017`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"this\"\>", ",", "\<\"is\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"a\"\>", ",", "\<\"very\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"inconvenient\"\>", ",", "\<\"way\"\>"}], "}"}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"to\"\>", ",", "\<\"generate\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"a\"\>", ",", "\<\"three\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"dimensional\"\>", ",", "\<\"list\"\>"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.6079537254576235`*^9, 3.6079537400926237`*^9}, 
   3.618862692363569*^9, 3.6188627697323046`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", "threeDlist", "]"}]], "Input",
 CellChangeTimes->{{3.5442958462497425`*^9, 3.5442958501287427`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "3", ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953725531624*^9, 3.6079537401726236`*^9}, 
   3.6188626924525776`*^9, 3.6188627698163133`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Length", "[", "threeDlist", "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"how", " ", "many", " ", "\"\<pages\>\""}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442926348137426`*^9, 3.5442926425187426`*^9}, {
  3.5443653793516035`*^9, 3.544365385175186*^9}}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{{3.607953725567624*^9, 3.6079537402076235`*^9}, 
   3.618862692493582*^9, 3.6188627698583174`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"threeDlist", "[", 
   RowBox[{"[", "1", "]"}], "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"threeDlist", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "  ", "//", " ", "MatrixForm", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"the", " ", "first", " ", "page"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.544297150948743*^9, 3.544297155000743*^9}, {
  3.544365228162486*^9, 3.5443652321218824`*^9}, {3.5443653870563745`*^9, 
  3.5443653879514637`*^9}, {3.5619060500958176`*^9, 3.5619060589357014`*^9}, {
  3.5619060928890963`*^9, 3.5619061019780054`*^9}, {3.618863529391263*^9, 
  3.618863530295354*^9}, {3.6188636701323357`*^9, 3.6188636705483775`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"this\"\>", ",", "\<\"is\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"a\"\>", ",", "\<\"very\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"inconvenient\"\>", ",", "\<\"way\"\>"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.607953725604624*^9, 3.6079537403356237`*^9}, 
   3.6188626926115932`*^9, 3.6188627698993216`*^9, {3.6188636626165843`*^9, 
   3.6188636770080233`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"this\"\>", "\<\"is\"\>"},
     {"\<\"a\"\>", "\<\"very\"\>"},
     {"\<\"inconvenient\"\>", "\<\"way\"\>"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.607953725604624*^9, 3.6079537403356237`*^9}, 
   3.6188626926115932`*^9, 3.6188627698993216`*^9, {3.6188636626165843`*^9, 
   3.618863677014024*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"threeDlist", "[", 
   RowBox[{"[", "2", "]"}], "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"threeDlist", "[", 
   RowBox[{"[", "2", "]"}], "]"}], "  ", "//", " ", "MatrixForm", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"the", " ", "second", " ", "page"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.618863494821807*^9, 3.6188634991422386`*^9}, {
  3.6188635333036547`*^9, 3.6188635334466686`*^9}, {3.618863674365759*^9, 
  3.6188636745077734`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"to\"\>", ",", "\<\"generate\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"a\"\>", ",", "\<\"three\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"dimensional\"\>", ",", "\<\"list\"\>"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.618863499477272*^9, {3.618863657632086*^9, 3.6188636759109135`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"to\"\>", "\<\"generate\"\>"},
     {"\<\"a\"\>", "\<\"three\"\>"},
     {"\<\"dimensional\"\>", "\<\"list\"\>"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.618863499477272*^9, {3.618863657632086*^9, 3.6188636759179144`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"threeDlist", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "the", " ", "first", " ", "row", " ", "of", " ", "the", " ", "matrix", " ",
     "on", " ", "the", " ", "first", " ", "page"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442972732047424`*^9, 3.5442972746717424`*^9}, {
  3.5443652338190517`*^9, 3.544365242626933*^9}, {3.544365344254094*^9, 
  3.5443653542620955`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"this\"\>", ",", "\<\"is\"\>"}], "}"}]], "Output",
 CellChangeTimes->{{3.607953725647624*^9, 3.6079537403846235`*^9}, 
   3.6188626926585984`*^9, 3.618862769965328*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"threeDlist", "[", 
   RowBox[{"[", 
    RowBox[{"2", ",", "3", ",", "1"}], "]"}], "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"the", " ", "word", " ", 
     RowBox[{"that", "'"}], "s", " ", "on", " ", "the", " ", "second", " ", 
     "page"}], ",", " ", 
    RowBox[{"third", " ", "row"}], ",", " ", 
    RowBox[{"first", " ", "column"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.544290541146926*^9, 3.5442905478075914`*^9}, {
  3.5442906391487246`*^9, 3.5442906643482447`*^9}, {3.544292547837743*^9, 
  3.5442925537567425`*^9}, {3.544365244667137*^9, 3.5443652679794674`*^9}, {
  3.5443698109837227`*^9, 3.54436981486211*^9}}],

Cell[BoxData["\<\"dimensional\"\>"], "Output",
 CellChangeTimes->{{3.6079537256846237`*^9, 3.607953740420624*^9}, 
   3.618862692703603*^9, 3.618862770016333*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixForm", "[", "threeDlist", "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "another", " ", "way", " ", "to", " ", "display", " ", "the", " ", 
    "info"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442926841757426`*^9, 3.544292690955743*^9}, {
  3.561906076472455*^9, 3.561906082736081*^9}, {3.618863549024226*^9, 
  3.6188635776320868`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\<\"this\"\>"},
          {"\<\"is\"\>"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\<\"a\"\>"},
          {"\<\"very\"\>"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\<\"inconvenient\"\>"},
          {"\<\"way\"\>"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\<\"to\"\>"},
          {"\<\"generate\"\>"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\<\"a\"\>"},
          {"\<\"three\"\>"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\<\"dimensional\"\>"},
          {"\<\"list\"\>"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.6079537254956236`*^9, 3.607953740128624*^9}, 
   3.6188626924095736`*^9, 3.618862769774309*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 StyleBox[
  RowBox[{
   RowBox[{
    RowBox[{"Flatten", "[", "threeDlist", "]"}], ";"}], "  ", 
   RowBox[{"(*", " ", 
    RowBox[{"now", " ", "a", " ", "1", "D", " ", "list"}], " ", "*)"}]}],
  FontWeight->"Bold"], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox["ReplacePart",
    FontWeight->"Bold"], 
   StyleBox["[",
    FontWeight->"Bold"], 
   RowBox[{
    StyleBox["%",
     FontWeight->"Bold"], 
    StyleBox[",",
     FontWeight->"Bold"], 
    RowBox[{
     StyleBox["10",
      FontWeight->"Bold"], 
     StyleBox["\[Rule]",
      FontWeight->"Bold"], "\"\<two\>\""}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Partition", "[", 
   RowBox[{"%", ",", " ", "2"}], "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"now", " ", "2", "D"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.544297052653743*^9, 3.544297106151743*^9}, {
   3.5442973500727425`*^9, 3.5442974293957424`*^9}, {3.5442981443267426`*^9, 
   3.5442981454857426`*^9}, {3.5442981839637423`*^9, 3.5442981880347424`*^9}, 
   3.5443654631949873`*^9, {3.544365494452113*^9, 3.544365511756843*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"this\"\>", ",", "\<\"is\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"a\"\>", ",", "\<\"very\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"inconvenient\"\>", ",", "\<\"way\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"to\"\>", ",", "\<\"generate\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"a\"\>", ",", "\<\"two\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"dimensional\"\>", ",", "\<\"list\"\>"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.607953725721624*^9, 3.607953740465624*^9}, 
   3.6188626927526073`*^9, 3.6188627700683384`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to notice:\n",
  FontWeight->"Bold"],
 "\n1. \[OpenCurlyDoubleQuote]threeDlist\[CloseCurlyDoubleQuote] is a list of \
lists of lists. In this case the main list is of length 2. That is, there are \
two elements, each of which is a list of lists. For example, the first \
element is this: {{this,is},{a,very},{inconvenient,way}}\n\n2. Each of the \
two main elements is a three item list... each item of which is itself a two \
item list. For example, the first element of the first element is {this,is}. \
\n\n3. The word \[OpenCurlyDoubleQuote]dimensional\[CloseCurlyDoubleQuote] is \
in the second element of the main list (the bottom half of the MatrixForm \
output). It\[CloseCurlyQuote]s the third element of the bottom half. And it\
\[CloseCurlyQuote]s the first element of ",
 StyleBox["that ",
  FontSlant->"Italic"],
 "list. Or you can think of it as the word on the second page, third row, \
first column. So the reference to that word is [[2,3,1]] or [[2]][[3]][[1]].\n\
\n4. Using MatrixForm on higher dimensions than 2D can cause strange results. \
In particular the pages here are displayed as rows and the rows are displayed \
as columns.\n\n5. Flatten used that way will turn any higher dimensional list \
into a 1D list. It can also be used to only partially flatten a list; see \
help file for details. Use carefully. \n\n6. Partition will turn a 1D list \
into a higher dimensional list. Use carefully."
}], "Text",
 CellChangeTimes->{{3.54429041757257*^9, 3.5442904204018526`*^9}, {
   3.5442925718177423`*^9, 3.5442927407667427`*^9}, {3.5442927875637426`*^9, 
   3.5442929811757426`*^9}, 3.5442930386287427`*^9, {3.5442932225047426`*^9, 
   3.5442932252797427`*^9}, {3.5442971096717424`*^9, 
   3.5442971300127425`*^9}, {3.5442971968087425`*^9, 3.544297343198743*^9}, {
   3.5442974368507423`*^9, 3.544297452337743*^9}, {3.5442975604657426`*^9, 
   3.5442975735127425`*^9}, {3.5442981550607424`*^9, 3.544298171809743*^9}, {
   3.5442994012747426`*^9, 3.5442994131937428`*^9}, {3.544365592253892*^9, 
   3.5443656992915945`*^9}, {3.544372877985392*^9, 3.5443728815617495`*^9}, 
   3.587302904320553*^9, {3.6188635837627*^9, 3.6188636320485277`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Matrices", "Section",
 CellChangeTimes->{{3.561906335980403*^9, 3.5619063394397492`*^9}}],

Cell[CellGroupData[{

Cell["Basic matrix and vector operations", "Subsection",
 CellChangeTimes->{{3.4275742769096212`*^9, 3.427574284050292*^9}, {
  3.427574322331787*^9, 3.4275743558945017`*^9}, {3.427574441504425*^9, 
  3.427574442035678*^9}, {3.427574876397833*^9, 3.4275748783040953`*^9}, {
  3.431182998567178*^9, 3.4311830001609583`*^9}, {3.5442930483317423`*^9, 
  3.5442930616267424`*^9}, {3.5619063457763824`*^9, 3.561906352377043*^9}}],

Cell[TextData[{
 "Because 2D lists are so very closely related to matrices, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " just uses 2D lists directly for matrix and vector computation. If you \
haven\[CloseCurlyQuote]t seen matrices before you\[CloseCurlyQuote]ll get a \
chance to learn a lot more about them in a linear algebra class and in the \
Linear Algebra lab in this class. For now just think of a matrix as being a  \
2D list of numbers. You can add or subtract matrices if they have the same \
dimensions, and you can multiply them together under certain circumstances. \
Multiplying matrices is a lot more complicated than just multiplying the \
individual numbers together, however. The inverse of a matrix is the matrix \
which, when multiplying your starting matrix, produces an \
\[OpenCurlyDoubleQuote]identity\[CloseCurlyDoubleQuote] matrix (1\
\[CloseCurlyQuote]s down the diagonal and 0\[CloseCurlyQuote]s everywhere \
else). ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " has various built-in matrix-specific functions such as \
\[OpenCurlyDoubleQuote]take the inverse of a matrix\[CloseCurlyDoubleQuote] \
(which results in another matrix), or \[OpenCurlyDoubleQuote]compute the \
determinant of a matrix\[CloseCurlyDoubleQuote] (which results in a single \
number). Some of these are illustrated below. 3\[Times]3 matrices are closely \
related to three-component vectors (such as used in Physics 121), and such a \
matrix can multiply a vector, resulting in a new vector."
}], "Text",
 CellChangeTimes->{{3.427591924118498*^9, 3.4275920097596707`*^9}, 
   3.4275920528224463`*^9, {3.4275921150572195`*^9, 3.4275921177603617`*^9}, 
   3.427592442606191*^9, {3.4275924759189043`*^9, 3.4275924885908604`*^9}, {
   3.4275925235754595`*^9, 3.4275926845764894`*^9}, {3.4275928127023096`*^9, 
   3.4275928317805567`*^9}, {3.427592913734206*^9, 3.4275929826252723`*^9}, {
   3.4275930151723557`*^9, 3.4275930763133717`*^9}, {3.4275933445963387`*^9, 
   3.427593430893766*^9}, {3.4275966160235257`*^9, 3.427596624664206*^9}, {
   3.4332618835779266`*^9, 3.433261902515911*^9}, {3.4396780652148724`*^9, 
   3.439678070652407*^9}, {3.471789678419198*^9, 3.4717896958261166`*^9}, {
   3.471789729046142*^9, 3.4717897317649965`*^9}, {3.471789779094939*^9, 
   3.471789827596753*^9}, {3.471789887597905*^9, 3.471789900770033*^9}, {
   3.5442932658407426`*^9, 3.5442933300177426`*^9}, {3.561906167786586*^9, 
   3.56190616832964*^9}, {3.5976939443605704`*^9, 3.597694093549488*^9}, {
   3.5976941258627186`*^9, 3.5976943321023407`*^9}, {3.597694435562686*^9, 
   3.5976946042805557`*^9}, {3.597694668978025*^9, 3.5976947934944754`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"m", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "5", ",", "6"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "8", ",", "10"}], "}"}]}], "}"}]}], ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"Define", " ", "matrices", " ", "like", " ", "this"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.5442933420587425`*^9, 3.5442933627937427`*^9}, {
  3.5442934251977425`*^9, 3.5442934328287425`*^9}, {3.5442939488997426`*^9, 
  3.5442939545387425`*^9}, {3.5443659422118845`*^9, 3.5443659498446474`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "2", "3"},
     {"4", "5", "6"},
     {"7", "8", "10"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.607953725765624*^9, 3.6079537405146236`*^9}, 
   3.6188626928006124`*^9, 3.618862770191351*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"m2", " ", "=", " ", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "5", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "8", ",", "10"}], "}"}]}], "}"}], " ", "//", 
   "MatrixForm", "   ", 
   RowBox[{"(*", 
    StyleBox[" ",
     FontSlant->"Italic"], 
    RowBox[{
     StyleBox[
      RowBox[{
       RowBox[{"Don", "'"}], "t", " "}],
      FontSlant->"Italic"], "define", " ", "matrices", " ", "this", " ", 
     RowBox[{"way", "!!"}], " ", "See", " ", 
     RowBox[{"below", "."}]}], " ", "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.5442936962997427`*^9, 3.5442937260577426`*^9}, {
   3.5442938956237426`*^9, 3.544293901790743*^9}, {3.5442939661947427`*^9, 
   3.5442939672747426`*^9}, {3.5442940074407425`*^9, 3.544294011311743*^9}, {
   3.544365928476511*^9, 3.544365964781141*^9}, 3.56190621073888*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "2", "3"},
     {"4", "5", "6"},
     {"7", "8", "10"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.6079537258026237`*^9, 3.607953740558624*^9}, 
   3.6188626928526173`*^9, 3.618862770233355*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Transpose", "[", "m", "]"}], " ", "//", "MatrixForm", "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Transpose", " ", "switches", " ", "the", " ", "rows", " ", "and", " ", 
    "columns", " ", "of", " ", "the", " ", 
    RowBox[{"matrix", ".", " ", 
     RowBox[{"It", "'"}]}], "s", " ", "OK", " ", "to", " ", "use", " ", 
    "MatrixForm", " ", "in", " ", "postfix", " ", "as", " ", "long", " ", 
    "are", " ", "you", " ", "are", " ", "not", " ", "defining", " ", 
    "anything"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442934017967424`*^9, 3.5442934110847425`*^9}, {
  3.5442938863667426`*^9, 3.5442939176527424`*^9}, {3.5443659734450073`*^9, 
  3.5443659885575185`*^9}, {3.5976943684969797`*^9, 3.597694387177848*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "4", "7"},
     {"2", "5", "8"},
     {"3", "6", "10"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.607953725939624*^9, 3.607953740593624*^9}, 
   3.6188626928936214`*^9, 3.6188627702863607`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Det", "[", "m", "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"computes", " ", "the", " ", "determinant"}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442939419787426`*^9, 3.5442939433227425`*^9}, {
  3.597694398698*^9, 3.597694405242654*^9}}],

Cell[BoxData[
 RowBox[{"-", "3"}]], "Output",
 CellChangeTimes->{{3.6079537260006237`*^9, 3.607953740636624*^9}, 
   3.6188626930366364`*^9, 3.618862770336365*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"minverse", " ", "=", " ", 
    RowBox[{"Inverse", "[", "m", "]"}]}], ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "This", " ", "is", " ", "the", " ", "matrix", " ", "inverse", " ", "of", 
     " ", "m"}], ",", " ", 
    RowBox[{"often", " ", "written", " ", "as", " ", 
     RowBox[{"m", "^", 
      RowBox[{"-", "1"}]}], " ", "in", " ", "textbooks"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.5442938578617425`*^9, 3.5442938581597424`*^9}, {
  3.5442939192847424`*^9, 3.5442939311317425`*^9}, {3.5442939801457424`*^9, 
  3.544293987639743*^9}, {3.5442942294977427`*^9, 3.5442942320247426`*^9}, {
  3.544294273686743*^9, 3.5442942778067427`*^9}, {3.597694623362464*^9, 
  3.597694642515379*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", 
       FractionBox["2", "3"]}], 
      RowBox[{"-", 
       FractionBox["4", "3"]}], "1"},
     {
      RowBox[{"-", 
       FractionBox["2", "3"]}], 
      FractionBox["11", "3"], 
      RowBox[{"-", "2"}]},
     {"1", 
      RowBox[{"-", "2"}], "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.607953726037624*^9, 3.6079537406796236`*^9}, 
   3.6188626930826406`*^9, 3.6188627703863707`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"m", "^", 
   RowBox[{"-", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "MatrixForm", "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"This", " ", "is", " ", 
    StyleBox["not",
     FontSlant->"Italic"], " ", "the", " ", "matrix", " ", 
    RowBox[{"inverse", "!"}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.5442942056367426`*^9, 3.5442942259687424`*^9}, {
  3.561906181499957*^9, 3.5619061853083377`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", 
      FractionBox["1", "2"], 
      FractionBox["1", "3"]},
     {
      FractionBox["1", "4"], 
      FractionBox["1", "5"], 
      FractionBox["1", "6"]},
     {
      FractionBox["1", "7"], 
      FractionBox["1", "8"], 
      FractionBox["1", "10"]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.6079537260736237`*^9, 3.607953740715624*^9}, 
   3.618862693135646*^9, 3.618862770437375*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"v", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"3", ",", 
      RowBox[{"-", "2"}], ",", "1"}], "}"}]}], ";"}], "    ", 
  RowBox[{"(*", " ", 
   RowBox[{"this", " ", "is", " ", "a", " ", "vector"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.5442933420587425`*^9, 3.5442933657667427`*^9}, {
  3.544294760639743*^9, 3.5442947714777427`*^9}, {3.5976946524113684`*^9, 
  3.5976946622923565`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"3"},
      {
       RowBox[{"-", "2"}]},
      {"1"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.607953726111624*^9, 3.607953740760624*^9}, 
   3.618862693185651*^9, 3.6188627704873805`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"m", ".", "v"}], " ", "//", "MatrixForm", "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"This", " ", "is", " ", "m", " ", "times", " ", "v"}], ",", " ", 
    RowBox[{"using", " ", "matrix", " ", "multiplication"}]}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442941785847425`*^9, 3.5442941850357428`*^9}, {
  3.5442942516877427`*^9, 3.544294266566743*^9}, {3.5442947633747425`*^9, 
  3.5442947701347427`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"2"},
      {"8"},
      {"15"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.607953726182624*^9, 3.6079537407966237`*^9}, 
   3.6188626932296553`*^9, 3.6188627705363855`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"m", " ", "*", " ", "v"}], " ", "//", "MatrixForm", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"This", " ", "is", " ", 
    StyleBox["not",
     FontSlant->"Italic"], " ", "m", " ", "times", " ", 
    RowBox[{"v", "!"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442942380297427`*^9, 3.5442943040837426`*^9}, 
   3.5442946127687426`*^9, {3.544294764646743*^9, 3.5442947675887423`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"3", "6", "9"},
     {
      RowBox[{"-", "8"}], 
      RowBox[{"-", "10"}], 
      RowBox[{"-", "12"}]},
     {"7", "8", "10"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.607953726222624*^9, 3.6079537408396235`*^9}, 
   3.6188626932856607`*^9, 3.6188627705863905`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Warning:  ",
  FontWeight->"Bold"],
 "There is a very subtle difference between the matrix itself (the 2D list) \
and the MatrixForm representation of the matrix. Defining a matrix like I did \
with m, and immediately viewing it via MatrixForm is a great idea. Defining a \
matrix like I did with m2, while also simultaneously using //MatrixForm to \
force it into the MaxtrixForm representation is a ",
 StyleBox["bad idea",
  FontWeight->"Bold"],
 ". Don\[CloseCurlyQuote]t do that! It defines m2 to be the MatrixForm \
representation of the actual matrix, which won\[CloseCurlyQuote]t always \
behave as the matrix itself should. (But if you\[CloseCurlyQuote]re not \
setting a variable equal to the matrix, there\[CloseCurlyQuote]s no problem \
with using  //MatrixForm at the end of your matrix commands.)\n\n",
 StyleBox["Other things to observe",
  FontWeight->"Bold"],
 "\n1. Many matrix functions work as expected, such as Transpose and Det \
(determinant).  Also, Transpose can actually be used on any 2D list, not just \
a numerical-style matrix.\n2. Many matrix functions do ",
 StyleBox["not ",
  FontSlant->"Italic"],
 "work as expected. Specifically:  m^-1 does NOT calculate the matrix \
inverse. (It creates a new matrix where each element is the inverse of the \
corresponding element of the previous matrix. Not too helpful, usually.) And  \
*  does NOT multiply two matrices together using matrix multiplication. You \
must use a period for that, as in ",
 StyleBox["m.v",
  FontWeight->"Bold"],
 ". \n3. You can define row/column vectors as 1D lists like this: v = \
{3,-2,1}.  ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will interpret it as either a row or a column depending on the situation."
}], "Text",
 CellChangeTimes->{{3.5442934488997426`*^9, 3.5442934611447425`*^9}, {
  3.5442937344947424`*^9, 3.544293883941743*^9}, {3.5442940384217424`*^9, 
  3.5442940501227427`*^9}, {3.5442943126897426`*^9, 3.5442945984477425`*^9}, {
  3.5442946365837426`*^9, 3.5442946373087425`*^9}, {3.5442957755957427`*^9, 
  3.5442957988107424`*^9}, {3.5443660362052827`*^9, 3.5443661872893896`*^9}, {
  3.5443662702786875`*^9, 3.544366319215581*^9}, {3.561906239590765*^9, 
  3.5619062745212584`*^9}, {3.561987476472087*^9, 3.561987527302169*^9}, {
  3.561987558504289*^9, 3.561987591408579*^9}}],

Cell[TextData[{
 StyleBox["More on vectors: ",
  FontWeight->"Bold"],
 "You can do vector dot products and cross products, calculate the magnitude \
of a vector, and even create a unit vector in the same direction as the given \
vector:"
}], "Text",
 CellChangeTimes->{{3.5442934488997426`*^9, 3.5442934611447425`*^9}, {
  3.5442937344947424`*^9, 3.544293883941743*^9}, {3.5442940384217424`*^9, 
  3.5442940501227427`*^9}, {3.5442943126897426`*^9, 3.5442945984477425`*^9}, {
  3.5442946365837426`*^9, 3.5442946969687424`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"v2", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.5442947265897427`*^9, 3.5442947525097427`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.6079537262736235`*^9, 3.607953740885624*^9}, 
   3.6188626933386664`*^9, 3.6188627706373954`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"v", ".", "v2"}]], "Input",
 CellChangeTimes->{{3.5442947548927426`*^9, 3.544294778316743*^9}}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{{3.607953726310624*^9, 3.607953740932624*^9}, 
   3.618862693381671*^9, 3.6188627706864004`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dot", "[", 
  RowBox[{"v", ",", "v2"}], "]"}]], "Input",
 CellChangeTimes->{{3.5442947832537427`*^9, 3.5442947851567426`*^9}}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{{3.6079537263556237`*^9, 3.607953740968624*^9}, 
   3.618862693424675*^9, 3.6188627707364054`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"v", "\[Cross]", "v2"}], " ", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5442948163787427`*^9, 3.5442948414007425`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "8"}]},
      {
       RowBox[{"-", "8"}]},
      {"8"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.607953726393624*^9, 3.607953741004624*^9}, 
   3.618862693467679*^9, 3.6188627707774096`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Cross", "[", 
   RowBox[{"v", ",", "v2"}], "]"}], " ", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5442947864827423`*^9, 3.5442947941487427`*^9}, 
   3.5442951136077423`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "8"}]},
      {
       RowBox[{"-", "8"}]},
      {"8"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.6079537264316235`*^9, 3.6079537410406237`*^9}, 
   3.618862693512684*^9, 3.6188627708184137`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Norm", "[", "v", "]"}], " "}]], "Input",
 CellChangeTimes->{{3.5442950886377425`*^9, 3.544295100672743*^9}}],

Cell[BoxData[
 SqrtBox["14"]], "Output",
 CellChangeTimes->{{3.607953726468624*^9, 3.607953741084624*^9}, 
   3.618862693624695*^9, 3.6188627708694186`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Normalize", "[", "v", "]"}], " ", "//", "MatrixForm", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"creates", " ", "a", " ", "unit", " ", "vector"}], " ", "*)"}], 
  " "}]], "Input",
 CellChangeTimes->{{3.5442951024217424`*^9, 3.5442951391787424`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       FractionBox["3", 
        SqrtBox["14"]]},
      {
       RowBox[{"-", 
        SqrtBox[
         FractionBox["2", "7"]]}]},
      {
       FractionBox["1", 
        SqrtBox["14"]]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.6079537265146236`*^9, 3.607953741128624*^9}, 
   3.6188626936706996`*^9, 3.6188627709194236`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"v", "/", 
   RowBox[{"Norm", "[", "v", "]"}]}], "  ", "//", "MatrixForm", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"same", " ", "thing"}], ",", " ", 
    RowBox[{
     RowBox[{"since", " ", "a", " ", "unit", " ", "vector"}], " ", "=", " ", 
     RowBox[{"vector", "/", "magnitude"}]}]}], " ", "*)"}], " "}]], "Input",
 CellChangeTimes->{{3.544295119389743*^9, 3.5442951326307425`*^9}, {
  3.5443730403936315`*^9, 3.544373046010193*^9}, {3.5619876597894163`*^9, 
  3.561987668109248*^9}, {3.5976948516912947`*^9, 3.597694851786304*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       FractionBox["3", 
        SqrtBox["14"]]},
      {
       RowBox[{"-", 
        SqrtBox[
         FractionBox["2", "7"]]}]},
      {
       FractionBox["1", 
        SqrtBox["14"]]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.6079537265526237`*^9, 3.607953741163624*^9}, 
   3.6188626937217045`*^9, 3.6188627709694285`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n1. Dot products can be done with a period, like matrix multiplication.\n\
2. There are many ways to produce the \[Cross] symbol for cross product. Here \
are three:\n\ta. You can copy & paste an existing one.\n\tb. You can go to \
Insert\[RightArrow]Special Characters\[RightArrow]Symbols\[RightArrow]Times \
menu. It\[CloseCurlyQuote]s labeled \[OpenCurlyDoubleQuote]cross\
\[CloseCurlyDoubleQuote], not \[OpenCurlyDoubleQuote]times\
\[CloseCurlyDoubleQuote], though.\n\tc. You can type the keyboard shortcut \
using the word \[OpenCurlyDoubleQuote]cross\[CloseCurlyDoubleQuote]: \
<Esc>cross<Esc>.  There are a number of shortcuts like that--for instance, to \
get Greek letters you typically can do <esc>name_of_letter<esc>. \n3. ",
 StyleBox["Norm",
  FontWeight->"Bold"],
 " gives you the magnitude of a vector (via Pythagorean theorem). ",
 StyleBox["Normalize",
  FontWeight->"Bold"],
 " creates a unit vector by dividing a vector by its magnitude."
}], "Text",
 CellChangeTimes->{{3.5442948447817426`*^9, 3.5442950615457425`*^9}, {
   3.5442951506047425`*^9, 3.544295183377743*^9}, {3.5442953086577425`*^9, 
   3.5442953667257423`*^9}, 3.5443663945321116`*^9, {3.5619876790293407`*^9, 
   3.561987707575195*^9}, {3.6188637094192643`*^9, 3.618863712387561*^9}}],

Cell[TextData[{
 StyleBox["More on Matrices:\n\n",
  FontWeight->"Bold"],
 "Sometimes identity matrices are helpful."
}], "Text",
 CellChangeTimes->{{3.5442934488997426`*^9, 3.5442934611447425`*^9}, {
  3.5442937344947424`*^9, 3.544293883941743*^9}, {3.5442940384217424`*^9, 
  3.5442940501227427`*^9}, {3.5442943126897426`*^9, 3.5442945984477425`*^9}, {
  3.5442946365837426`*^9, 3.5442946969687424`*^9}, {3.5442977046167426`*^9, 
  3.5442977964257426`*^9}, {3.544297905580743*^9, 3.544297909210743*^9}, {
  3.5442980704247427`*^9, 3.544298070896743*^9}, {3.5442991364517426`*^9, 
  3.5442991719947424`*^9}, {3.5443664400336614`*^9, 3.54436644931559*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"IdentityMatrix", "[", "4", "]"}], " ", "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5442934488997426`*^9, 3.5442934611447425`*^9}, {
  3.5442937344947424`*^9, 3.544293883941743*^9}, {3.5442940384217424`*^9, 
  3.5442940501227427`*^9}, {3.5442943126897426`*^9, 3.5442945984477425`*^9}, {
  3.5442946365837426`*^9, 3.5442946969687424`*^9}, {3.5442977046167426`*^9, 
  3.5442977964257426`*^9}, {3.544297905580743*^9, 3.544297909210743*^9}, {
  3.5442980704247427`*^9, 3.544298070896743*^9}, {3.5442991364517426`*^9, 
  3.5442991719947424`*^9}, {3.5443664400336614`*^9, 3.5443664767663345`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.607953726596624*^9, 3.6079537412076235`*^9}, 
   3.6188626937697096`*^9, 3.6188627710194335`*^9}]
}, Closed]],

Cell[TextData[{
 "\nCalculating eigenvalues and eigenvectors are two of the most important \
things to do with matrices. If you don\[CloseCurlyQuote]t yet know about \
eigenvalues/eigenvectors, be patient. They arise in a large number of physics \
applications, so you\[CloseCurlyQuote]ll see them eventually. The output of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s ",
 StyleBox["Eigenvalues",
  FontWeight->"Bold"],
 " and ",
 StyleBox["Eigenvectors ",
  FontWeight->"Bold"],
 "commands can be a little funny, but the ",
 StyleBox["N",
  FontWeight->"Bold"],
 " command can usually clean things up."
}], "Text",
 CellChangeTimes->{{3.5442934488997426`*^9, 3.5442934611447425`*^9}, {
   3.5442937344947424`*^9, 3.544293883941743*^9}, {3.5442940384217424`*^9, 
   3.5442940501227427`*^9}, {3.5442943126897426`*^9, 
   3.5442945984477425`*^9}, {3.5442946365837426`*^9, 
   3.5442946969687424`*^9}, {3.5442977046167426`*^9, 
   3.5442977964257426`*^9}, {3.544297905580743*^9, 3.544297909210743*^9}, {
   3.5442980704247427`*^9, 3.544298070896743*^9}, {3.5442991364517426`*^9, 
   3.5442991719947424`*^9}, {3.5443664400336614`*^9, 3.54436646992465*^9}, {
   3.544801846613015*^9, 3.544801905154015*^9}, 3.5619877346309*^9, {
   3.5619877649369307`*^9, 3.561987779752412*^9}, {3.597694940341159*^9, 
   3.5976949409082155`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Eigenvalues", "[", "m", "]"}]], "Input",
 CellChangeTimes->{{3.5442977536307425`*^9, 3.5442977575577426`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Root", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"3", "-", 
       RowBox[{"12", " ", "#1"}], "-", 
       RowBox[{"16", " ", 
        SuperscriptBox["#1", "2"]}], "+", 
       SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], ",", 
   RowBox[{"Root", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"3", "-", 
       RowBox[{"12", " ", "#1"}], "-", 
       RowBox[{"16", " ", 
        SuperscriptBox["#1", "2"]}], "+", 
       SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], ",", 
   RowBox[{"Root", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"3", "-", 
       RowBox[{"12", " ", "#1"}], "-", 
       RowBox[{"16", " ", 
        SuperscriptBox["#1", "2"]}], "+", 
       SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.607953726661624*^9, 3.607953741251624*^9}, 
   3.618862693902723*^9, 3.618862771069439*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", " ", "//", "N"}]], "Input",
 CellChangeTimes->{{3.5442977655207424`*^9, 3.544297766868743*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"16.707493316124747`", ",", 
   RowBox[{"-", "0.9057401795217584`"}], ",", "0.19824686339701011`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.607953726699624*^9, 3.6079537413726234`*^9}, 
   3.6188626939467273`*^9, 3.618862771119444*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Eigenvectors", "[", "m", "]"}]], "Input",
 CellChangeTimes->{{3.544297799085743*^9, 3.5442978027867427`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "33"], " ", 
      RowBox[{"(", 
       RowBox[{"6", "+", 
        RowBox[{"67", " ", 
         RowBox[{"Root", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"3", "-", 
             RowBox[{"12", " ", "#1"}], "-", 
             RowBox[{"16", " ", 
              SuperscriptBox["#1", "2"]}], "+", 
             SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}]}], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox[
          RowBox[{"Root", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"3", "-", 
              RowBox[{"12", " ", "#1"}], "-", 
              RowBox[{"16", " ", 
               SuperscriptBox["#1", "2"]}], "+", 
              SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], "2"]}]}],
        ")"}]}], ",", 
     RowBox[{
      FractionBox["1", "66"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "93"}], "-", 
        RowBox[{"109", " ", 
         RowBox[{"Root", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"3", "-", 
             RowBox[{"12", " ", "#1"}], "-", 
             RowBox[{"16", " ", 
              SuperscriptBox["#1", "2"]}], "+", 
             SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}]}], "+", 
        RowBox[{"7", " ", 
         SuperscriptBox[
          RowBox[{"Root", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"3", "-", 
              RowBox[{"12", " ", "#1"}], "-", 
              RowBox[{"16", " ", 
               SuperscriptBox["#1", "2"]}], "+", 
              SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], "2"]}]}],
        ")"}]}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "33"], " ", 
      RowBox[{"(", 
       RowBox[{"6", "+", 
        RowBox[{"67", " ", 
         RowBox[{"Root", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"3", "-", 
             RowBox[{"12", " ", "#1"}], "-", 
             RowBox[{"16", " ", 
              SuperscriptBox["#1", "2"]}], "+", 
             SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}]}], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox[
          RowBox[{"Root", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"3", "-", 
              RowBox[{"12", " ", "#1"}], "-", 
              RowBox[{"16", " ", 
               SuperscriptBox["#1", "2"]}], "+", 
              SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], "2"]}]}],
        ")"}]}], ",", 
     RowBox[{
      FractionBox["1", "66"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "93"}], "-", 
        RowBox[{"109", " ", 
         RowBox[{"Root", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"3", "-", 
             RowBox[{"12", " ", "#1"}], "-", 
             RowBox[{"16", " ", 
              SuperscriptBox["#1", "2"]}], "+", 
             SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}]}], "+", 
        RowBox[{"7", " ", 
         SuperscriptBox[
          RowBox[{"Root", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"3", "-", 
              RowBox[{"12", " ", "#1"}], "-", 
              RowBox[{"16", " ", 
               SuperscriptBox["#1", "2"]}], "+", 
              SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], "2"]}]}],
        ")"}]}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "33"], " ", 
      RowBox[{"(", 
       RowBox[{"6", "+", 
        RowBox[{"67", " ", 
         RowBox[{"Root", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"3", "-", 
             RowBox[{"12", " ", "#1"}], "-", 
             RowBox[{"16", " ", 
              SuperscriptBox["#1", "2"]}], "+", 
             SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}]}], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox[
          RowBox[{"Root", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"3", "-", 
              RowBox[{"12", " ", "#1"}], "-", 
              RowBox[{"16", " ", 
               SuperscriptBox["#1", "2"]}], "+", 
              SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], "2"]}]}],
        ")"}]}], ",", 
     RowBox[{
      FractionBox["1", "66"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "93"}], "-", 
        RowBox[{"109", " ", 
         RowBox[{"Root", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"3", "-", 
             RowBox[{"12", " ", "#1"}], "-", 
             RowBox[{"16", " ", 
              SuperscriptBox["#1", "2"]}], "+", 
             SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}]}], "+", 
        RowBox[{"7", " ", 
         SuperscriptBox[
          RowBox[{"Root", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"3", "-", 
              RowBox[{"12", " ", "#1"}], "-", 
              RowBox[{"16", " ", 
               SuperscriptBox["#1", "2"]}], "+", 
              SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], "2"]}]}],
        ")"}]}], ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.607953726754624*^9, 3.607953741409624*^9}, 
   3.6188626940107336`*^9, 3.6188627712074523`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", " ", "//", "N", "     "}]], "Input",
 CellChangeTimes->{{3.5442978083067427`*^9, 3.544297817889743*^9}, {
  3.5442978751107426`*^9, 3.5442978811017427`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0.2679006226347183`", ",", "0.6040236197102159`", ",", "1.`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.7565470642169165`"}], ",", "0.17376115874958206`", ",", 
     "1.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.579555532491293`", ",", 
     RowBox[{"-", "1.732330233005255`"}], ",", "1.`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.607953726793624*^9, 3.6079537414546237`*^9}, 
   3.618862694055738*^9, 3.618862771250457*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", " ", "//", "MatrixForm", "     ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "each", " ", "row", " ", "of", " ", "this", " ", "matrix", " ", "is", " ", 
    "one", " ", "of", " ", "the", " ", "eigenvectors"}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442978859337425`*^9, 3.5442979011247425`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.2679006226347183`", "0.6040236197102159`", "1.`"},
     {
      RowBox[{"-", "1.7565470642169165`"}], "0.17376115874958206`", "1.`"},
     {"0.579555532491293`", 
      RowBox[{"-", "1.732330233005255`"}], "1.`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.607953726831624*^9, 3.607953741496624*^9}, 
   3.618862694106743*^9, 3.618862771300462*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Assignment 7.  Solving for a vector", "Subsubsection",
 CellChangeTimes->{{3.5442951944447427`*^9, 3.5442952736597424`*^9}, {
   3.5442953848077426`*^9, 3.5442954183587427`*^9}, {3.5442954656927423`*^9, 
   3.5442954676947427`*^9}, {3.5442955482167425`*^9, 3.5442955611057425`*^9}, 
   3.5443665019298506`*^9, {3.5443725020968075`*^9, 3.5443725024578433`*^9}, {
   3.5451839515248137`*^9, 3.5451839851151724`*^9}, {3.5619088393527155`*^9, 
   3.5619088395217323`*^9}}],

Cell[TextData[{
 "Let ",
 StyleBox["A",
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5]],
 " = ",
 Cell[BoxData[
  TagBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"3", "2", 
       RowBox[{"-", "4"}]},
      {"2", "1", 
       RowBox[{"-", "2"}]},
      {"4", "2", 
       RowBox[{"-", "5"}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]]],
  CellChangeTimes->{{3.4275923123866076`*^9, 3.427592318964775*^9}, {
   3.427592389965229*^9, 3.427592457856289*^9}}],
 "and ",
 StyleBox["w",
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5]],
 " = ",
 Cell[BoxData[
  TagBox[
   RowBox[{"(", "\[NoBreak]", 
    TagBox[GridBox[{
       {"1"},
       {"2"},
       {"1"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.5599999999999999]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     Column], "\[NoBreak]", ")"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]]],
  CellChangeTimes->{{3.4275923123866076`*^9, 3.427592318964775*^9}, {
   3.427592389965229*^9, 3.427592457840664*^9}, {3.427592502919077*^9, 
   3.427592519262932*^9}}],
 ". Solve the matrix equation, A \[Beta] = w  for the unknown vector \[Beta], \
and display it via MatrixForm. Hint: multiply both sides by the inverse of ",
 StyleBox["A",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.5442951944447427`*^9, 3.5442952736597424`*^9}, {
   3.5442953848077426`*^9, 3.5442954183587427`*^9}, {3.5442954656927423`*^9, 
   3.5442954676947427`*^9}, {3.5442955482167425`*^9, 3.5442955611057425`*^9}, 
   3.5443665019298506`*^9, {3.5443725020968075`*^9, 3.5443725024578433`*^9}, {
   3.5451839515248137`*^9, 3.545184000161677*^9}, {3.5553583179178953`*^9, 
   3.5553583243328953`*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Statistics", "Section",
 CellChangeTimes->{{3.561906374830288*^9, 3.561906381064911*^9}}],

Cell[CellGroupData[{

Cell["Basic statistical functions", "Subsection",
 CellChangeTimes->{{3.429386553145913*^9, 3.4293865559896994`*^9}, {
  3.429473546485059*^9, 3.4294735486725864`*^9}, {3.4311841001352024`*^9, 
  3.431184102307119*^9}, {3.544295660691743*^9, 3.544295663778743*^9}, {
  3.5442960139807425`*^9, 3.5442960197797427`*^9}, {3.5442980887747426`*^9, 
  3.5442980888947425`*^9}, {3.5443005305707426`*^9, 3.5443005315457425`*^9}}],

Cell["I think these are all self explanatory.", "Text",
 CellChangeTimes->{{3.5442960228977423`*^9, 3.5442960330757427`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"yAL", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"20", ",", "14", ",", "9", ",", 
      RowBox[{"-", "4"}], ",", "7", ",", " ", "7"}], "}"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"stands", " ", "for", " ", "yetAnotherList"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"Min", "[", "yAL", "]"}]}], "Input",
 CellChangeTimes->{{3.5442956748077426`*^9, 3.5442957311907425`*^9}, {
  3.544295961002743*^9, 3.5442959626507425`*^9}}],

Cell[BoxData[
 RowBox[{"-", "4"}]], "Output",
 CellChangeTimes->{{3.607953727053624*^9, 3.6079537416276236`*^9}, 
   3.6188626942777605`*^9, 3.61886277148348*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Max", "[", "yAL", "]"}]], "Input",
 CellChangeTimes->{{3.5442956748077426`*^9, 3.5442957311907425`*^9}}],

Cell[BoxData["20"], "Output",
 CellChangeTimes->{{3.607953727090624*^9, 3.607953741662624*^9}, 
   3.618862694311764*^9, 3.618862771536485*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Mean", "[", "yAL", "]"}], " ", "//", "N"}]], "Input",
 CellChangeTimes->{{3.5442959343667426`*^9, 3.544295951377743*^9}}],

Cell[BoxData["8.833333333333334`"], "Output",
 CellChangeTimes->{{3.6079537271276236`*^9, 3.607953741699624*^9}, 
   3.6188626943817706`*^9, 3.6188627715864906`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"StandardDeviation", "[", "yAL", "]"}], " ", "//", "N"}]], "Input",
 CellChangeTimes->{{3.5442959385507426`*^9, 3.5442959487147427`*^9}}],

Cell[BoxData["8.035338615557322`"], "Output",
 CellChangeTimes->{{3.607953727163624*^9, 3.607953741734624*^9}, 
   3.618862694414774*^9, 3.618862771636495*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Median", "[", "yAL", "]"}]], "Input",
 CellChangeTimes->{{3.5442959940917425`*^9, 3.5442959974397426`*^9}}],

Cell[BoxData["8"], "Output",
 CellChangeTimes->{{3.6079537272006235`*^9, 3.607953741768624*^9}, 
   3.618862694448777*^9, 3.6188627716865005`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Commonest", "[", "yAL", "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"the", " ", "mode"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442959698517427`*^9, 3.5442959922077427`*^9}}],

Cell[BoxData[
 RowBox[{"{", "7", "}"}]], "Output",
 CellChangeTimes->{{3.607953727235624*^9, 3.6079537418026237`*^9}, 
   3.6188626944877815`*^9, 3.6188627717365055`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Total", "[", "yAL", "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"the", " ", "sum"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442967296627426`*^9, 3.544296732047743*^9}, {
  3.5442967718467426`*^9, 3.544296778092743*^9}}],

Cell[BoxData["53"], "Output",
 CellChangeTimes->{{3.607953727272624*^9, 3.6079537418376236`*^9}, 
   3.6188626945227847`*^9, 3.6188627717865105`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Total", "[", 
   RowBox[{"yAL", "^", "2"}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"the", " ", "sum", " ", "of", " ", "squares"}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.5442967800987425`*^9, 3.5442968092597427`*^9}}],

Cell[BoxData["791"], "Output",
 CellChangeTimes->{{3.607953727307624*^9, 3.607953741871624*^9}, 
   3.618862694625795*^9, 3.6188627718365154`*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Advanced statistical functions", "Subsection",
 CellChangeTimes->{{3.429506930814454*^9, 3.4295069410958357`*^9}, 
   3.429506985908909*^9, {3.4295070184093246`*^9, 3.4295070239250207`*^9}, {
   3.429508860807907*^9, 3.4295088612610383`*^9}, {3.4311870868175454`*^9, 
   3.431187088708207*^9}, {3.431187279821251*^9, 3.4311873015404177`*^9}, {
   3.439936623717964*^9, 3.439936630703635*^9}, {3.5443005378417425`*^9, 
   3.5443005445847425`*^9}}],

Cell[TextData[{
 "The ability to generate random numbers can sometimes be helpful. There are \
two main ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " commands for that:"
}], "Text",
 CellChangeTimes->{{3.4293869673543396`*^9, 3.429387022698798*^9}, 
   3.429508173642862*^9, {3.4295083679734745`*^9, 3.4295083756298223`*^9}, {
   3.4295084340055695`*^9, 3.4295087616660137`*^9}, {3.429508965840502*^9, 
   3.4295090467477875`*^9}, {3.4295103291235766`*^9, 3.429510461250268*^9}, {
   3.439936645784559*^9, 3.4399366697421293`*^9}, {3.544366565393196*^9, 
   3.544366591928849*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RandomInteger", "[", "6", "]"}], "    ", 
  RowBox[{"(*", " ", 
   RowBox[{"integer", " ", "from", " ", "0", " ", "to", " ", "6"}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.544366597664423*^9, 3.5443666555652122`*^9}}],

Cell[BoxData["6"], "Output",
 CellChangeTimes->{{3.607953727346624*^9, 3.607953741905624*^9}, 
   3.6188626946737995`*^9, 3.6188627718865204`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RandomInteger", "[", 
   RowBox[{"{", 
    RowBox[{"14", ",", "46"}], "}"}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"integer", " ", "from", " ", "14", " ", "to", " ", "46"}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.5443666439390497`*^9, 3.5443666611087666`*^9}, {
  3.5448019630080147`*^9, 3.5448019689270153`*^9}, {3.5976933122273636`*^9, 
  3.59769331269141*^9}}],

Cell[BoxData["23"], "Output",
 CellChangeTimes->{{3.607953727383624*^9, 3.607953741939624*^9}, 
   3.6188626947098036`*^9, 3.6188627719365253`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RandomInteger", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", "20"}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "a", " ", "list", " ", "of", " ", "20", " ", "random", " ", "integers", 
     " ", "from"}], " ", "-", 
    RowBox[{"5", " ", "to", " ", "5"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5443666721898746`*^9, 3.544366686278283*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", 
   RowBox[{"-", "5"}], ",", 
   RowBox[{"-", "3"}], ",", "0", ",", "2", ",", 
   RowBox[{"-", "2"}], ",", 
   RowBox[{"-", "3"}], ",", "4", ",", 
   RowBox[{"-", "4"}], ",", "3", ",", 
   RowBox[{"-", "3"}], ",", 
   RowBox[{"-", "5"}], ",", "2", ",", "3", ",", "3", ",", "4", ",", "1", ",", 
   RowBox[{"-", "2"}], ",", 
   RowBox[{"-", "1"}], ",", 
   RowBox[{"-", "2"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.607953727418624*^9, 3.6079537419736238`*^9}, 
   3.618862694744807*^9, 3.6188627719865303`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RandomReal", "[", "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "real", " ", "number", " ", "from", " ", "0", " ", "to", " ", "1"}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.544366706340289*^9, 3.5443667293835936`*^9}, {
  3.597693331963337*^9, 3.5976933371158524`*^9}}],

Cell[BoxData["0.6672207432423898`"], "Output",
 CellChangeTimes->{{3.607953727456624*^9, 3.607953742008624*^9}, 
   3.6188626947798104`*^9, 3.6188627720365353`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RandomReal", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"8.4", ",", " ", "13.7"}], "}"}], ",", "10"}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "a", " ", "list", " ", "of", " ", "10", " ", "random", " ", "real", " ", 
    "numbers", " ", "between", " ", "8.4", " ", "amd", " ", "13.7"}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.5443667358152366`*^9, 3.5443667992665815`*^9}, {
  3.5976933454846888`*^9, 3.597693346787819*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "9.39219642075868`", ",", "9.455110645460104`", ",", "10.623058452727573`", 
   ",", "8.721808248233193`", ",", "10.22911301576488`", ",", 
   "10.422158283962027`", ",", "9.683477623992353`", ",", 
   "9.567799744161745`", ",", "12.30670113210098`", ",", 
   "12.296712911927733`"}], "}"}]], "Output",
 CellChangeTimes->{{3.6079537274976234`*^9, 3.607953742043624*^9}, 
   3.618862694814814*^9, 3.61886277208654*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to notice:",
  FontWeight->"Bold"],
 "\n\n1. You can use each command in several different variations. Some of \
the most common are here. Look up the help files to see more examples.\n\n2. \
These functions assume an equal probability for numbers across the entire \
range. That\[CloseCurlyQuote]s called a \[OpenCurlyDoubleQuote]uniform \
distribution\[CloseCurlyDoubleQuote], and is not always what you\
\[CloseCurlyQuote]d like--for example, sometimes numbers in the middle should \
be more likely."
}], "Text",
 CellChangeTimes->{{3.4293869673543396`*^9, 3.429387022698798*^9}, 
   3.429508173642862*^9, {3.4295083679734745`*^9, 3.4295083756298223`*^9}, {
   3.4295084340055695`*^9, 3.4295087616660137`*^9}, {3.429508965840502*^9, 
   3.4295090467477875`*^9}, {3.4295103291235766`*^9, 3.429510461250268*^9}, {
   3.439936645784559*^9, 3.4399366697421293`*^9}, {3.544366565393196*^9, 
   3.544366591928849*^9}, {3.5443668255062046`*^9, 3.5443668279554496`*^9}, {
   3.5443668633559895`*^9, 3.5443669243240857`*^9}, {3.544367475616209*^9, 
   3.5443675330359507`*^9}, {3.544802027794015*^9, 3.5448020285860147`*^9}}],

Cell[TextData[{
 StyleBox["Nonuniform distributions. ",
  FontWeight->"Bold"],
 "There are many built-in nonuniform distributions. One of the most useful is \
the \[OpenCurlyDoubleQuote]normal\[CloseCurlyDoubleQuote] (or \
\[OpenCurlyDoubleQuote]Gaussian\[CloseCurlyDoubleQuote]) distribution, which \
weights points in the center of the distribution more heavily than points on \
the edges. In other words, points near the center are more likely to be \
selected in a random draw. It has the form of  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"exp", "(", 
    RowBox[{"-", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x", "-", 
         OverscriptBox["x", "_"]}], ")"}], "2"], 
      RowBox[{"2", 
       SuperscriptBox["\[Sigma]", "2"]}]]}], ")"}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["x", "_"], TraditionalForm]]],
 " is the center (also the mean) and \[Sigma] is the standard deviation. So, \
for the Gaussian function used above in the ListPlot assignment, e^(-x^2 /5), \
the center is x=0 and the standard deviation is about 1.581  (=sqrt(5/2)). To \
get a random number weighted with a Gaussian distribution, you just change \
the first parameter of the RandomReal function call:"
}], "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBWIQfSDsdRRn70vHvphriSC6QrSk1wVI3xJ9Caalfumf
dwPSqn/mXwTRKr2Pn4LorsXTGNyB9BbN9+wgWmP1Kk4QbfL0rh+IPp86zR9E
v1v9KrhiwktHozUKISC6Tulcm8bCl46173h7QfTa3WmTQbTqCfGFIDo5W2IF
iFbbHLUNRBv8aj0Ook1rg06C6MZm4bMg2oilFkwvXDox/uuil44blm4B0z4K
0Ss0xF45Osr/AtNNB3+ERWS8ctTL2hoOohWcJHNBdJKuwhQQfY6BeQ6Irmx0
XQ2iXZ7PuwaiZ258dx9EayUc+g6iS6w+gmmHDZPidDJfOR503QWmPy9ut+c7
98rRZJuCA4gGANKOqFo=
  "]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"nsample", " ", "=", " ", 
    RowBox[{"RandomReal", "[", 
     RowBox[{
      RowBox[{"NormalDistribution", "[", 
       RowBox[{"0", ",", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"5", "/", "2"}], "]"}]}], "]"}], ",", "50000"}], "]"}]}], 
   ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"50000", " ", "random", " ", "numbers"}], "..."}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mean", "[", "nsample", "]"}], "     ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "...", "whose", " ", "average", " ", "is", " ", "very", " ", "close", " ",
      "to", " ", "0"}], "..."}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StandardDeviation", "[", "nsample", "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "...", " ", "and", " ", "whose", " ", "standard", " ", "deviation", " ", 
    "is", " ", "very", " ", "close", " ", "to", " ", "sqrt", 
    RowBox[{"(", 
     RowBox[{"5", "/", "2"}], ")"}]}], "  ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Histogram", "[", "nsample", "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "to", " ", "help", " ", "visualize", " ", "the", " ", "list", " ", "of", 
    " ", "numbers"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.5443684778064184`*^9, 3.544368505856223*^9}, {
  3.5443688989275265`*^9, 3.5443689586474977`*^9}, {3.544802083330015*^9, 
  3.5448020863940153`*^9}}],

Cell[BoxData["0.008228848710807306`"], "Output",
 CellChangeTimes->{{3.607953727560624*^9, 3.607953742086624*^9}, 
   3.6188626949368258`*^9, 3.618862772136545*^9}],

Cell[BoxData["1.5723276429304445`"], "Output",
 CellChangeTimes->{{3.607953727560624*^9, 3.607953742086624*^9}, 
   3.6188626949368258`*^9, 3.618862772140546*^9}],

Cell[BoxData[
 GraphicsBox[
  {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
   EdgeForm[Opacity[-0.189]], {}, 
   {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
    EdgeForm[Opacity[-0.189]], RectangleBox[{-6.6, 0.}, {-6.5, 1.},
     RoundingRadius->0], RectangleBox[{-6.5, 0.}, {-6.4, 1.},
     RoundingRadius->0], RectangleBox[{-6.3, 0.}, {-6.2, 1.},
     RoundingRadius->0], RectangleBox[{-6.2, 0.}, {-6.1, 2.},
     RoundingRadius->0], RectangleBox[{-6.1, 0.}, {-6., 2.},
     RoundingRadius->0], RectangleBox[{-6., 0.}, {-5.9, 1.},
     RoundingRadius->0], RectangleBox[{-5.9, 0.}, {-5.8, 1.},
     RoundingRadius->0], RectangleBox[{-5.8, 0.}, {-5.7, 1.},
     RoundingRadius->0], RectangleBox[{-5.7, 0.}, {-5.6, 1.},
     RoundingRadius->0], RectangleBox[{-5.6, 0.}, {-5.5, 3.},
     RoundingRadius->0], RectangleBox[{-5.5, 0.}, {-5.4, 4.},
     RoundingRadius->0], RectangleBox[{-5.4, 0.}, {-5.3, 6.},
     RoundingRadius->0], RectangleBox[{-5.3, 0.}, {-5.2, 6.},
     RoundingRadius->0], RectangleBox[{-5.2, 0.}, {-5.1, 8.},
     RoundingRadius->0], RectangleBox[{-5.1, 0.}, {-5., 10.},
     RoundingRadius->0], RectangleBox[{-5., 0.}, {-4.9, 7.},
     RoundingRadius->0], RectangleBox[{-4.9, 0.}, {-4.8, 13.},
     RoundingRadius->0], RectangleBox[{-4.8, 0.}, {-4.7, 7.},
     RoundingRadius->0], RectangleBox[{-4.7, 0.}, {-4.6, 13.},
     RoundingRadius->0], RectangleBox[{-4.6, 0.}, {-4.5, 24.},
     RoundingRadius->0], RectangleBox[{-4.5, 0.}, {-4.4, 34.},
     RoundingRadius->0], RectangleBox[{-4.4, 0.}, {-4.3, 28.},
     RoundingRadius->0], RectangleBox[{-4.3, 0.}, {-4.2, 34.},
     RoundingRadius->0], RectangleBox[{-4.2, 0.}, {-4.1, 39.},
     RoundingRadius->0], RectangleBox[{-4.1, 0.}, {-4., 51.},
     RoundingRadius->0], RectangleBox[{-4., 0.}, {-3.9, 67.},
     RoundingRadius->0], RectangleBox[{-3.9, 0.}, {-3.8, 57.},
     RoundingRadius->0], RectangleBox[{-3.8, 0.}, {-3.7, 62.},
     RoundingRadius->0], RectangleBox[{-3.7, 0.}, {-3.6, 84.},
     RoundingRadius->0], RectangleBox[{-3.6, 0.}, {-3.5, 104.},
     RoundingRadius->0], RectangleBox[{-3.5, 0.}, {-3.4, 114.},
     RoundingRadius->0], RectangleBox[{-3.4, 0.}, {-3.3, 138.},
     RoundingRadius->0], RectangleBox[{-3.3, 0.}, {-3.2, 142.},
     RoundingRadius->0], RectangleBox[{-3.2, 0.}, {-3.1, 166.},
     RoundingRadius->0], RectangleBox[{-3.1, 0.}, {-3., 204.},
     RoundingRadius->0], RectangleBox[{-3., 0.}, {-2.9, 195.},
     RoundingRadius->0], RectangleBox[{-2.9, 0.}, {-2.8, 249.},
     RoundingRadius->0], RectangleBox[{-2.8, 0.}, {-2.7, 301.},
     RoundingRadius->0], RectangleBox[{-2.7, 0.}, {-2.6, 280.},
     RoundingRadius->0], RectangleBox[{-2.6, 0.}, {-2.5, 283.},
     RoundingRadius->0], RectangleBox[{-2.5, 0.}, {-2.4, 363.},
     RoundingRadius->0], RectangleBox[{-2.4, 0.}, {-2.3, 437.},
     RoundingRadius->0], RectangleBox[{-2.3, 0.}, {-2.2, 473.},
     RoundingRadius->0], RectangleBox[{-2.2, 0.}, {-2.1, 514.},
     RoundingRadius->0], RectangleBox[{-2.1, 0.}, {-2., 527.},
     RoundingRadius->0], RectangleBox[{-2., 0.}, {-1.9, 553.},
     RoundingRadius->0], RectangleBox[{-1.9, 0.}, {-1.8, 575.},
     RoundingRadius->0], RectangleBox[{-1.8, 0.}, {-1.7, 688.},
     RoundingRadius->0], RectangleBox[{-1.7, 0.}, {-1.6, 653.},
     RoundingRadius->0], RectangleBox[{-1.6, 0.}, {-1.5, 799.},
     RoundingRadius->0], RectangleBox[{-1.5, 0.}, {-1.4, 794.},
     RoundingRadius->0], RectangleBox[{-1.4, 0.}, {-1.3, 928.},
     RoundingRadius->0], RectangleBox[{-1.3, 0.}, {-1.2, 955.},
     RoundingRadius->0], RectangleBox[{-1.2, 0.}, {-1.1, 957.},
     RoundingRadius->0], RectangleBox[{-1.1, 0.}, {-1., 1047.},
     RoundingRadius->0], RectangleBox[{-1., 0.}, {-0.9, 1055.},
     RoundingRadius->0], RectangleBox[{-0.9, 0.}, {-0.8, 1040.},
     RoundingRadius->0], RectangleBox[{-0.8, 0.}, {-0.7, 1166.},
     RoundingRadius->0], RectangleBox[{-0.7, 0.}, {-0.6, 1153.},
     RoundingRadius->0], RectangleBox[{-0.6, 0.}, {-0.5, 1184.},
     RoundingRadius->0], RectangleBox[{-0.5, 0.}, {-0.4, 1223.},
     RoundingRadius->0], RectangleBox[{-0.4, 0.}, {-0.3, 1272.},
     RoundingRadius->0], RectangleBox[{-0.3, 0.}, {-0.2, 1239.},
     RoundingRadius->0], RectangleBox[{-0.2, 0.}, {-0.1, 1290.},
     RoundingRadius->0], RectangleBox[{-0.1, 0.}, {0., 1253.},
     RoundingRadius->0], RectangleBox[{0., 0.}, {0.1, 1248.},
     RoundingRadius->0], RectangleBox[{0.1, 0.}, {0.2, 1250.},
     RoundingRadius->0], RectangleBox[{0.2, 0.}, {0.3, 1297.},
     RoundingRadius->0], RectangleBox[{0.3, 0.}, {0.4, 1249.},
     RoundingRadius->0], RectangleBox[{0.4, 0.}, {0.5, 1219.},
     RoundingRadius->0], RectangleBox[{0.5, 0.}, {0.6, 1158.},
     RoundingRadius->0], RectangleBox[{0.6, 0.}, {0.7, 1155.},
     RoundingRadius->0], RectangleBox[{0.7, 0.}, {0.8, 1125.},
     RoundingRadius->0], RectangleBox[{0.8, 0.}, {0.9, 1137.},
     RoundingRadius->0], RectangleBox[{0.9, 0.}, {1., 1093.},
     RoundingRadius->0], RectangleBox[{1., 0.}, {1.1, 1029.},
     RoundingRadius->0], RectangleBox[{1.1, 0.}, {1.2, 977.},
     RoundingRadius->0], RectangleBox[{1.2, 0.}, {1.3, 917.},
     RoundingRadius->0], RectangleBox[{1.3, 0.}, {1.4, 870.},
     RoundingRadius->0], RectangleBox[{1.4, 0.}, {1.5, 881.},
     RoundingRadius->0], RectangleBox[{1.5, 0.}, {1.6, 767.},
     RoundingRadius->0], RectangleBox[{1.6, 0.}, {1.7, 718.},
     RoundingRadius->0], RectangleBox[{1.7, 0.}, {1.8, 708.},
     RoundingRadius->0], RectangleBox[{1.8, 0.}, {1.9, 639.},
     RoundingRadius->0], RectangleBox[{1.9, 0.}, {2., 585.},
     RoundingRadius->0], RectangleBox[{2., 0.}, {2.1, 541.},
     RoundingRadius->0], RectangleBox[{2.1, 0.}, {2.2, 515.},
     RoundingRadius->0], RectangleBox[{2.2, 0.}, {2.3, 448.},
     RoundingRadius->0], RectangleBox[{2.3, 0.}, {2.4, 415.},
     RoundingRadius->0], RectangleBox[{2.4, 0.}, {2.5, 365.},
     RoundingRadius->0], RectangleBox[{2.5, 0.}, {2.6, 334.},
     RoundingRadius->0], RectangleBox[{2.6, 0.}, {2.7, 301.},
     RoundingRadius->0], RectangleBox[{2.7, 0.}, {2.8, 307.},
     RoundingRadius->0], RectangleBox[{2.8, 0.}, {2.9, 249.},
     RoundingRadius->0], RectangleBox[{2.9, 0.}, {3., 217.},
     RoundingRadius->0], RectangleBox[{3., 0.}, {3.1, 185.},
     RoundingRadius->0], RectangleBox[{3.1, 0.}, {3.2, 171.},
     RoundingRadius->0], RectangleBox[{3.2, 0.}, {3.3, 150.},
     RoundingRadius->0], RectangleBox[{3.3, 0.}, {3.4, 138.},
     RoundingRadius->0], RectangleBox[{3.4, 0.}, {3.5, 116.},
     RoundingRadius->0], RectangleBox[{3.5, 0.}, {3.6, 100.},
     RoundingRadius->0], RectangleBox[{3.6, 0.}, {3.7, 88.},
     RoundingRadius->0], RectangleBox[{3.7, 0.}, {3.8, 71.},
     RoundingRadius->0], RectangleBox[{3.8, 0.}, {3.9, 56.},
     RoundingRadius->0], RectangleBox[{3.9, 0.}, {4., 49.},
     RoundingRadius->0], RectangleBox[{4., 0.}, {4.1, 42.},
     RoundingRadius->0], RectangleBox[{4.1, 0.}, {4.2, 45.},
     RoundingRadius->0], RectangleBox[{4.2, 0.}, {4.3, 31.},
     RoundingRadius->0], RectangleBox[{4.3, 0.}, {4.4, 29.},
     RoundingRadius->0], RectangleBox[{4.4, 0.}, {4.5, 18.},
     RoundingRadius->0], RectangleBox[{4.5, 0.}, {4.6, 27.},
     RoundingRadius->0], RectangleBox[{4.6, 0.}, {4.7, 20.},
     RoundingRadius->0], RectangleBox[{4.7, 0.}, {4.8, 16.},
     RoundingRadius->0], RectangleBox[{4.8, 0.}, {4.9, 9.},
     RoundingRadius->0], RectangleBox[{4.9, 0.}, {5., 8.},
     RoundingRadius->0], RectangleBox[{5., 0.}, {5.1, 7.},
     RoundingRadius->0], RectangleBox[{5.1, 0.}, {5.2, 4.},
     RoundingRadius->0], RectangleBox[{5.2, 0.}, {5.3, 6.},
     RoundingRadius->0], RectangleBox[{5.3, 0.}, {5.4, 6.},
     RoundingRadius->0], RectangleBox[{5.4, 0.}, {5.5, 2.},
     RoundingRadius->0], RectangleBox[{5.5, 0.}, {5.6, 1.},
     RoundingRadius->0], RectangleBox[{5.6, 0.}, {5.7, 3.},
     RoundingRadius->0], RectangleBox[{6., 0.}, {6.1, 1.},
     RoundingRadius->0], RectangleBox[{6.1, 0.}, {6.2, 1.},
     RoundingRadius->0], RectangleBox[{6.2, 0.}, {6.3, 1.},
     RoundingRadius->0], RectangleBox[{6.4, 0.}, {6.5, 2.},
     RoundingRadius->0], RectangleBox[{6.7, 0.}, {6.8, 1.},
     RoundingRadius->0]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{-6.6, 0.},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  PlotRange->{{-6.6, 6.8}, {All, All}},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.1]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.607953727560624*^9, 3.607953742086624*^9}, 
   3.6188626949368258`*^9, 3.6188627725585876`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to notice: ",
  FontWeight->"Bold"],
 "The histogram of these random points is very similar in shape to our \
previous plot of the e^(-x^2/5) function. "
}], "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQfSDsdRRn70vHvphriSC6QrSk1wVI3xJ9Caalfumf
dwPSqn/mXwTRKr2Pn4LorsXTGNyB9BbN9+wgWmP1Kk4QbfL0rh+IPp86zR9E
v1v9KrhiwktHozUKISC6Tulcm8bCl46173h7QfTa3WmTQbTqCfGFIDo5W2IF
iFbbHLUNRBv8aj0Ook1rg06C6MZm4bMg2oilFkwvXDox/uuil44blm4B0z4K
0Ss0xF45Osr/AtNNB3+ERWS8ctTL2hoOohWcJHNBdJKuwhQQfY6BeQ6Irmx0
XQ2ixdaovwDRUX/Xgukllw+8B9Gf1PW+gOgV39//BNEiK5V+gWgAgLeh7A==

  "]],

Cell[CellGroupData[{

Cell["Assignment 8. How to generate test data", "Subsubsection",
 CellChangeTimes->{{3.544367838068451*^9, 3.544367943217965*^9}, {
  3.5443725045490522`*^9, 3.5443725049170895`*^9}, {3.5451840195006104`*^9, 
  3.5451840417028303`*^9}, {3.5619063963704414`*^9, 3.561906400585863*^9}, {
  3.5619088417769575`*^9, 3.561908842569037*^9}}],

Cell["\<\
When preparing to analyze experimental data it\[CloseCurlyQuote]s often \
useful to have a set of test data for testing your algorithms. To create some \
test data that mimics a noisy sinusoidal response, create a list of sin(x) \
values where x varies from x=-10 to 10 in steps of 0.1, and a list of random \
numbers (from -0.1 to 0.1, uniformly distributed). Then add these two lists \
together to create a \[OpenCurlyDoubleQuote]noisy\[CloseCurlyDoubleQuote] \
sin(x) function, and plot this function as a function of x (e.g. {x,function} \
pairs). Hint: You should have 201 values in your list.\
\>", "Text",
 CellChangeTimes->{{3.544367838068451*^9, 3.544367943217965*^9}, {
  3.5443725045490522`*^9, 3.5443725049170895`*^9}, {3.5451840195006104`*^9, 
  3.545184020544715*^9}, {3.555357264657366*^9, 3.5553572678327303`*^9}, {
  3.561906436499454*^9, 3.5619066226500673`*^9}, {3.5873040600557013`*^9, 
  3.5873040641039467`*^9}, {3.5879150705417147`*^9, 3.587915226242776*^9}, {
  3.6079532867696238`*^9, 3.6079533361386237`*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Using \[OpenCurlyDoubleQuote]Map\[CloseCurlyDoubleQuote] On A List Of \
Lists", "Section",
 CellChangeTimes->{{3.545908238386694*^9, 3.5459082598048353`*^9}, {
  3.545908309264781*^9, 3.5459083095188065`*^9}, {3.561907187175514*^9, 
  3.561907197206517*^9}, {3.6079525343026237`*^9, 3.6079525372456236`*^9}}],

Cell["\<\
Sometimes you might want to use a \[OpenCurlyDoubleQuote]list of lists\
\[CloseCurlyDoubleQuote] as a matrix, but sometimes you might just want it to \
be just a collection of lists. A list of lists can be useful if you want to \
apply the same function to a bunch of lists, all at the same time. For \
example, here\[CloseCurlyQuote]s a \[OpenCurlyDoubleQuote]list function\
\[CloseCurlyDoubleQuote] I created which takes a list and returns the list \
with the average subtracted from each element:\
\>", "Text",
 CellChangeTimes->{{3.5459082708369384`*^9, 3.545908278419697*^9}, {
  3.545908328925747*^9, 3.5459083410269566`*^9}, {3.5459083883266864`*^9, 
  3.5459084561014633`*^9}, {3.5459085011979723`*^9, 3.545908525465399*^9}, {
  3.5459087100588565`*^9, 3.545908776534503*^9}, {3.545909010486896*^9, 
  3.5459090152823753`*^9}, {3.5976935226254015`*^9, 3.597693522705409*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"subtractmean", "[", "x_", "]"}], " ", "=", " ", 
  RowBox[{"x", " ", "-", " ", 
   RowBox[{"Mean", "[", "x", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.545908657870761*^9, 3.5459086866564074`*^9}, {
  3.5459087877866287`*^9, 3.545908829417791*^9}}],

Cell[BoxData[
 RowBox[{"x", "-", 
  RowBox[{"Mean", "[", "x", "]"}]}]], "Output",
 CellChangeTimes->{3.6079537436726236`*^9, 3.6188626955118837`*^9, 
  3.6188627727606077`*^9}]
}, Closed]],

Cell["Let's test it out:", "Text",
 CellChangeTimes->{{3.545908830697919*^9, 3.5459088412529745`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"testlist1", "=", 
   RowBox[{"{", 
    RowBox[{"1.1", ",", "2.2", ",", "3.3", ",", "3.4", ",", "3.5"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"subtractmean", "[", "testlist1", "]"}]}], "Input",
 CellChangeTimes->{{3.545908657870761*^9, 3.5459086866564074`*^9}, {
  3.5459087877866287`*^9, 3.545908829417791*^9}, {3.545908927751623*^9, 
  3.545908935839432*^9}, {3.5459089710289507`*^9, 3.5459089748203297`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "1.6`"}], ",", 
   RowBox[{"-", "0.5`"}], ",", "0.5999999999999996`", ",", 
   "0.6999999999999997`", ",", "0.7999999999999998`"}], "}"}]], "Output",
 CellChangeTimes->{3.607953745203624*^9, 3.6188626955488873`*^9, 
  3.6188627728036118`*^9}]
}, Closed]],

Cell["\<\
We mentioned above how you can use prefix notation to apply the same function \
to a list of numbers, such as this example with the function sin(x^2):\
\>", "Text",
 CellChangeTimes->{{3.5459082708369384`*^9, 3.545908278419697*^9}, {
  3.545908328925747*^9, 3.5459083410269566`*^9}, {3.5459083883266864`*^9, 
  3.5459084561014633`*^9}, {3.5459085011979723`*^9, 3.545908525465399*^9}, {
  3.5459087100588565`*^9, 3.545908746792529*^9}, {3.545908856804529*^9, 
  3.5459088629161406`*^9}, {3.5459088957434225`*^9, 3.545908902387087*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{"#", "^", "2"}], "]"}], " ", "&"}], "    ", "@", "  ", 
  RowBox[{"{", 
   RowBox[{"0.1", ",", "0.2", ",", "0.3", ",", "0.4"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.545908282811136*^9, 3.545908295115366*^9}, {
   3.5459083263924932`*^9, 3.5459083821750712`*^9}, {3.545908872647114*^9, 
   3.545908915152364*^9}, 3.545908973149163*^9, {3.5459091014319897`*^9, 
   3.545909113269173*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.009999833334166666`", ",", "0.03998933418663417`", ",", 
   "0.08987854919801104`", ",", "0.159318206614246`"}], "}"}]], "Output",
 CellChangeTimes->{3.6079537459316235`*^9, 3.6188626956598983`*^9, 
  3.618862772854617*^9}]
}, Closed]],

Cell["\<\
You might expect the same sort of thing to work for a list function such as \
\[OpenCurlyDoubleQuote]subtractmean\[CloseCurlyDoubleQuote]. However, observe \
what happens:\
\>", "Text",
 CellChangeTimes->{{3.545908981633011*^9, 3.545909053671214*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"testlist2", "=", 
   RowBox[{"{", 
    RowBox[{"1.3", ",", "2.7", ",", "3.5", ",", "3.9", ",", "4.5"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"testlist3", "=", 
   RowBox[{"{", 
    RowBox[{"1.7", ",", "2.9", ",", "3.8", ",", "4.4", ",", "5.5"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"subtractmean", "[", "#", "]"}], "&"}], "   ", "@", 
  RowBox[{"{", 
   RowBox[{"testlist1", ",", "testlist2", ",", "testlist3"}], 
   "}"}]}]}], "Input",
 CellChangeTimes->{{3.5459090429111385`*^9, 3.5459090856024065`*^9}, {
  3.545909120224869*^9, 3.545909140346881*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Thread", "::", "tdlen"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Objects of unequal length in \
\[NoBreak]\\!\\(\\(\\({\\(\\({1.1`, 2.2`, 3.3`, 3.4`, 3.5`}\\)\\), \
\\(\\({1.3`, 2.7`, 3.5`, 3.9`, 4.5`}\\)\\), \\(\\({1.7`, 2.9`, 3.8`, 4.4`, \
5.5`}\\)\\)}\\)\\) + \\(\\({\\(\\(-1.366666666666667`\\)\\), \
\\(\\(-2.6`\\)\\), \\(\\(-3.533333333333333`\\)\\), \\(\\(-3.9`\\)\\), \
\\(\\(-4.5`\\)\\)}\\)\\)\\)\[NoBreak] cannot be combined. \\!\\(\\*ButtonBox[\
\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/Thread/tdlen\\\", ButtonNote -> \
\\\"Thread::tdlen\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.607953746070624*^9, 3.618862695936926*^9, 
  3.6188627729916306`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1.1`", ",", "2.2`", ",", "3.3`", ",", "3.4`", ",", "3.5`"}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1.3`", ",", "2.7`", ",", "3.5`", ",", "3.9`", ",", "4.5`"}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1.7`", ",", "2.9`", ",", "3.8`", ",", "4.4`", ",", "5.5`"}], 
     "}"}]}], "}"}], "+", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"-", "1.366666666666667`"}], ",", 
    RowBox[{"-", "2.6`"}], ",", 
    RowBox[{"-", "3.533333333333333`"}], ",", 
    RowBox[{"-", "3.9`"}], ",", 
    RowBox[{"-", "4.5`"}]}], "}"}]}]], "Output",
 CellChangeTimes->{3.607953746076624*^9, 3.6188626959569283`*^9, 
  3.618862772996631*^9}]
}, Closed]],

Cell[TextData[{
 "It crashes and burns. Other times when you attempt this, it might give you \
numerical values which are NOT what you are expecting. For example, if you \
try to determine the ",
 StyleBox["Mean",
  FontWeight->"Bold"],
 " of the three lists using the @ sign in this fashion, you get more than \
three numbers, so it\[CloseCurlyQuote]s obviously not returning a list of of \
the three means:"
}], "Text",
 CellChangeTimes->{{3.5459091829881444`*^9, 3.5459093248413286`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Mean", "[", "#", "]"}], "&"}], "   ", "@", 
  RowBox[{"{", 
   RowBox[{"testlist1", ",", "testlist2", ",", "testlist3"}], 
   "}"}]}]], "Input",
 CellChangeTimes->{3.5459092832561703`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.366666666666667`", ",", "2.6`", ",", "3.533333333333333`", ",", "3.9`", 
   ",", "4.5`"}], "}"}]], "Output",
 CellChangeTimes->{3.6079537461156235`*^9, 3.6188626959979324`*^9, 
  3.6188627730396357`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["The solution: ",
  FontWeight->"Bold"],
 "When you want to apply a function to each list contained within a list of \
lists, you must use the ",
 StyleBox[ButtonBox["Map",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Map"],
  FontWeight->"Bold"],
 " function, shortcut ",
 StyleBox["/@",
  FontWeight->"Bold"],
 ". You use the shortcut in exactly the same way that you would normally use \
the sample ",
 StyleBox["@ ",
  FontWeight->"Bold"],
 "in prefix notation. For the subtractmean and the Mean examples, here\
\[CloseCurlyQuote]s what happens:"
}], "Text",
 CellChangeTimes->{{3.5459093319520397`*^9, 3.54590945947379*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"subtractmean", "[", "#", "]"}], "&"}], "   ", "/@", 
   RowBox[{"{", 
    RowBox[{"testlist1", ",", "testlist2", ",", "testlist3"}], "}"}]}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "gives", " ", "you", " ", "the", " ", "correct", " ", "three", " ", "new", 
    " ", "lists"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Mean", "[", "#", "]"}], "&"}], "   ", "/@", 
  RowBox[{"{", 
   RowBox[{"testlist1", ",", "testlist2", ",", "testlist3"}], "}"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "gives", " ", "you", " ", "a", " ", "list", " ", "of", " ", "the", " ", 
    "three", " ", "means"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.5459091652903748`*^9, {3.545909426376481*^9, 3.5459094341522584`*^9}, {
   3.5459094666665096`*^9, 3.5459095043302755`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.6`"}], ",", 
     RowBox[{"-", "0.5`"}], ",", "0.5999999999999996`", ",", 
     "0.6999999999999997`", ",", "0.7999999999999998`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.8800000000000001`"}], ",", 
     RowBox[{"-", "0.48`"}], ",", "0.31999999999999984`", ",", 
     "0.7199999999999998`", ",", "1.3199999999999998`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.9599999999999993`"}], ",", 
     RowBox[{"-", "0.7599999999999993`"}], ",", "0.14000000000000057`", ",", 
     "0.7400000000000011`", ",", "1.8400000000000007`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.607953746154624*^9, 3.618862696039936*^9, 
  3.6188627730826397`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2.7`", ",", "3.18`", ",", "3.6599999999999993`"}], "}"}]], "Output",
 CellChangeTimes->{3.607953746154624*^9, 3.618862696039936*^9, 
  3.61886277308864*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["\nMap ",
  FontWeight->"Bold"],
 "is useful in some other contexts, and you will likely use it a lot this \
semester. For example, it was the first method that came to my mind for \
generating the x-y pairs in the \[OpenCurlyDoubleQuote]Beyond one \
dimension--2D lists\[CloseCurlyDoubleQuote] section above.\n\n",
 StyleBox["Bottom line:",
  FontVariations->{"Underline"->True}],
 " For now just realize that if using @ doesn\[CloseCurlyQuote]t generate the \
output you expect, try using /@ instead. In fact, I can\[CloseCurlyQuote]t \
offhand think of any times when using /@ would give you the ",
 StyleBox["wrong",
  FontSlant->"Italic"],
 " answer, even if @ is really what you should use--so I myself typically \
just always use /@  and not @ when I combine nameless functions with prefix \
form."
}], "Text",
 CellChangeTimes->{{3.5459095094317856`*^9, 3.5459095518450265`*^9}, {
  3.546002586482283*^9, 3.546002641735283*^9}, {3.561904149657793*^9, 
  3.5619041579866257`*^9}, {3.5619067070855103`*^9, 3.561906887851585*^9}, {
  3.561907456392433*^9, 3.56190748126492*^9}, {3.5619089245042295`*^9, 
  3.5619089729510736`*^9}, {3.5619090748492627`*^9, 3.561909105746352*^9}, {
  3.5619091410918865`*^9, 3.5619091445022273`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function Arguments: Specifying Variable Types", "Section",
 CellChangeTimes->{{3.546001870324283*^9, 3.546001889511283*^9}, {
  3.5460019325172834`*^9, 3.546001933676283*^9}, {3.546002668726283*^9, 
  3.546002675733283*^9}, {3.546009964376283*^9, 3.546009968832283*^9}, {
  3.561907170181815*^9, 3.5619071822060175`*^9}, {3.5619072918179774`*^9, 
  3.5619072930421*^9}}],

Cell[TextData[{
 "Continuing on with the ",
 StyleBox["subtractmean",
  FontSlant->"Italic"],
 " function from the last section: ",
 StyleBox["subtractmean",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s sole purpose in life is to do something to a ",
 StyleBox["list. ",
  FontSlant->"Italic"],
 "If you attempt to use it on a ",
 StyleBox["number",
  FontSlant->"Italic"],
 ", it crashes and burns:"
}], "Text",
 CellChangeTimes->{{3.546001892417283*^9, 3.546002045622283*^9}, {
  3.546002546997283*^9, 3.546002568268283*^9}, {3.5619073093227277`*^9, 
  3.5619074136541595`*^9}, {3.56190752486728*^9, 3.5619075298517785`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"subtractmean", "[", "1", "]"}]], "Input",
 CellChangeTimes->{{3.546002013658283*^9, 3.546002017376283*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Mean", "::", "rectt"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Rectangular array expected at position \
\[NoBreak]\\!\\(1\\)\[NoBreak] in \[NoBreak]\\!\\(Mean[1]\\)\[NoBreak]. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/Mean\\\", ButtonNote -> \
\\\"Mean::rectt\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.607953746298624*^9, 3.6188626962249546`*^9, 
  3.6188627732306547`*^9}],

Cell[BoxData[
 RowBox[{"1", "-", 
  RowBox[{"Mean", "[", "1", "]"}]}]], "Output",
 CellChangeTimes->{3.607953746303624*^9, 3.6188626962289553`*^9, 
  3.6188627732356553`*^9}]
}, Closed]],

Cell[TextData[{
 "One option you can use is to specify the type of variable when you define \
the function itself. That is, we can make it so that Mathematica will not \
even try to use the ",
 StyleBox["subtractmean ",
  FontSlant->"Italic"],
 "function unless we give it a list. We do that by specifying a variable type \
such as ",
 StyleBox["Integer",
  FontWeight->"Bold"],
 ", ",
 StyleBox["Real",
  FontWeight->"Bold"],
 ", ",
 StyleBox["List",
  FontWeight->"Bold"],
 ", ",
 StyleBox["Symbol",
  FontWeight->"Bold"],
 ", etc., right after the underscore in the function definition."
}], "Text",
 CellChangeTimes->{{3.546001892417283*^9, 3.546002045622283*^9}, {
  3.546002546997283*^9, 3.546002568268283*^9}, {3.5619073093227277`*^9, 
  3.5619074136541595`*^9}, {3.5619075379145846`*^9, 3.561907611309923*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"newsubtractmean", "[", "x_List", "]"}], " ", "=", " ", 
  RowBox[{"x", " ", "-", " ", 
   RowBox[{"Mean", "[", "x", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.546002066318283*^9, 3.546002066541283*^9}, {
   3.546002100228283*^9, 3.5460021004842834`*^9}, 3.5460021559532833`*^9, {
   3.546002280456283*^9, 3.546002283304283*^9}}],

Cell[BoxData[
 RowBox[{"x", "-", 
  RowBox[{"Mean", "[", "x", "]"}]}]], "Output",
 CellChangeTimes->{3.607953746418624*^9, 3.618862696267959*^9, 
  3.618862773276659*^9}]
}, Closed]],

Cell[TextData[{
 "The ",
 StyleBox["newsubtractmean",
  FontSlant->"Italic"],
 " function continues to work on lists as usual..."
}], "Text",
 CellChangeTimes->{{3.546002482806283*^9, 3.546002499048283*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"newsubtractmean", "[", 
   RowBox[{"{", 
    RowBox[{"1.1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "5.9"}], 
    "}"}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.5460021049792833`*^9, 3.546002105195283*^9}, {
  3.5460022890312834`*^9, 3.5460023106942835`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "2.4`"}], ",", 
   RowBox[{"-", "1.5`"}], ",", 
   RowBox[{"-", "0.5`"}], ",", "0.5`", ",", "1.5`", ",", 
   "2.4000000000000004`"}], "}"}]], "Output",
 CellChangeTimes->{3.607953746456624*^9, 3.618862696305963*^9, 
  3.618862773321664*^9}]
}, Closed]],

Cell["\<\
...but it doesn\[CloseCurlyQuote]t even attempt to do anything (and \
consequently doesn\[CloseCurlyQuote]t generate an error message) when you \
give it an argument that is not a list.\
\>", "Text",
 CellChangeTimes->{{3.546002501813283*^9, 3.546002531070283*^9}, {
  3.597693637188856*^9, 3.59769363752489*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"newsubtractmean", "[", "1", "]"}]], "Input",
 CellChangeTimes->{{3.5460023206892834`*^9, 3.546002324773283*^9}}],

Cell[BoxData[
 RowBox[{"newsubtractmean", "[", "1", "]"}]], "Output",
 CellChangeTimes->{3.607953746494624*^9, 3.6188626963439665`*^9, 
  3.618862773371669*^9}]
}, Closed]],

Cell["\<\
You can use this type of variable specification whenever you define a \
function. You can even use it to create a function that handles different \
types of variables very differently. For example, this function squares the \
argument if it\[CloseCurlyQuote]s an integer, and cubes it if the argument is \
a real number:\
\>", "Text",
 CellChangeTimes->{{3.561987014186863*^9, 3.561987037892233*^9}, {
  3.5619871029667397`*^9, 3.5619871714095836`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"fspecial", "[", "x_Integer", "]"}], ":=", " ", 
  RowBox[{"x", "^", "2"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fspecial", "[", "x_Real", "]"}], ":=", " ", 
  RowBox[{"x", "^", "3"}]}], "\[IndentingNewLine]", 
 RowBox[{"fspecial", "[", "2", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fspecial", "[", "2.", "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "the", " ", "decimal", " ", "point", " ", "after", " ", "\"\<2\>\"", " ", 
     "causes", " ", "Mathematica", " ", "to", " ", "treat", " ", "it", " ", 
     "as", " ", "a", " ", "non"}], "-", "integer"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.561987040908535*^9, 3.5619870901194553`*^9}, {
  3.561987173843827*^9, 3.5619872270641484`*^9}}],

Cell[BoxData["4"], "Output",
 CellChangeTimes->{3.607953746534624*^9, 3.6188626963849707`*^9, 
  3.618862773421674*^9}],

Cell[BoxData["8.`"], "Output",
 CellChangeTimes->{3.607953746534624*^9, 3.6188626963849707`*^9, 
  3.6188627734276743`*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Behind The Curtain: InputForm, FullForm, And TreeForm\
\>", "Section",
 CellChangeTimes->{{3.429473394701866*^9, 3.429473397951907*^9}, {
   3.4294766500404086`*^9, 3.4294766721500664`*^9}, {3.429482341894513*^9, 
   3.429482342238268*^9}, 3.4294955367337866`*^9, {3.4299702533355026`*^9, 
   3.4299702560855556`*^9}, {3.4311870615514355`*^9, 3.431187063004588*^9}, {
   3.431187491809696*^9, 3.431187491965949*^9}, {3.433281751461486*^9, 
   3.433281751539613*^9}, {3.5442999019787426`*^9, 3.5442999065777426`*^9}, {
   3.5443003178617425`*^9, 3.5443003248797426`*^9}, {3.5443008118077426`*^9, 
   3.544300814127743*^9}, 3.5443694296625943`*^9, 3.544374507407873*^9, {
   3.5459095665034924`*^9, 3.5459095821610575`*^9}, {3.546009962344283*^9, 
   3.5460099625052834`*^9}, {3.5619072833061266`*^9, 3.561907285153311*^9}, {
   3.561907846062396*^9, 3.5619078465814486`*^9}, {3.561908024172206*^9, 
   3.56190803442023*^9}, {3.607952540437624*^9, 3.607952543661624*^9}}],

Cell[CellGroupData[{

Cell["\[OpenCurlyDoubleQuote]Form\[CloseCurlyDoubleQuote] commands", \
"Subsection",
 CellChangeTimes->{{3.561908587254508*^9, 3.561908596056388*^9}}],

Cell[TextData[{
 "First click here to go to the tutorial on ",
 StyleBox[ButtonBox["Expressions",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/ExpressionsOverview"],
  FontWeight->"Bold"],
 "; try to understand what it means to say that \
\[OpenCurlyDoubleQuote]everything in Mathematica is an expression\
\[CloseCurlyDoubleQuote].\n\nThe various \[OpenCurlyDoubleQuote]Form\
\[CloseCurlyDoubleQuote] commands can be useful for visualizing expressions \
in alternate ways. We saw two examples of that above, with ",
 StyleBox["MatrixForm",
  FontWeight->"Bold"],
 " and ",
 StyleBox["TableForm",
  FontWeight->"Bold"],
 ". Three other Form commands are ",
 StyleBox["InputForm",
  FontWeight->"Bold"],
 ", ",
 StyleBox["MatrixForm",
  FontWeight->"Bold"],
 ", and ",
 StyleBox["TableForm",
  FontWeight->"Bold"],
 ".\n\n",
 StyleBox["InputForm",
  FontWeight->"Bold"],
 " shows you what the command would have looked like, had it been inputted in \
standard notation. Among other things, it gets rid of any postfix and prefix \
options. With ",
 StyleBox["FullForm",
  FontWeight->"Bold"],
 ", you get to see what ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " does to your shorthand expressions before evaluating them.  ",
 StyleBox["TreeForm",
  FontWeight->"Bold"],
 " provides a graphical illustration of the order in which various operations \
are executed and allows you to interactively explore the intermediate values \
of the calculation.  \n\nConsider the following basic calculation and \
conversion to decimal number."
}], "Text",
 CellChangeTimes->{{3.4057034564406185`*^9, 3.4057036055831523`*^9}, {
   3.4057036691620913`*^9, 3.405703676599686*^9}, {3.4293832598381343`*^9, 
   3.4293832714320326`*^9}, {3.4294824518490458`*^9, 3.429482496833997*^9}, {
   3.430152748814334*^9, 3.4301527492362084`*^9}, {3.4318033640748897`*^9, 
   3.4318034054350586`*^9}, {3.431803448529636*^9, 3.431803792692494*^9}, 
   3.449512745904497*^9, {3.5442998385697427`*^9, 3.544299870837743*^9}, 
   3.5443000854637423`*^9, {3.5443006151107426`*^9, 3.5443006235157423`*^9}, {
   3.5443693020368333`*^9, 3.5443693205306826`*^9}, {3.5443744151018734`*^9, 
   3.544374451171873*^9}, {3.5451841912427835`*^9, 3.545184194673126*^9}, {
   3.5619078986076508`*^9, 3.561907913216111*^9}, {3.5619080489436827`*^9, 
   3.5619082364924355`*^9}, {3.561987278133255*^9, 3.561987282646706*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"6", "*", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "^", "4"}], "+", 
      RowBox[{"6", "/", 
       RowBox[{"7", "^", "3"}]}], "-", "9", "+", 
      RowBox[{"Pi", "/", "2"}]}], ")"}], "^", "2"}]}], " ", "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.5451841672853875`*^9, 3.5451841672863874`*^9}, {
  3.5619083022880144`*^9, 3.5619083032481103`*^9}}],

Cell[BoxData["442.5522516184069`"], "Output",
 CellChangeTimes->{3.6079537465856237`*^9, 3.6188626964319754`*^9, 
  3.6188627734716787`*^9}]
}, Closed]],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s look at that expression using those three different \
tools. We have to use the ",
 StyleBox["Hold",
  FontWeight->"Bold"],
 " command in conjuction with them to prevent the numerical value from being \
calculated."
}], "Text",
 CellChangeTimes->{{3.5443000526807423`*^9, 3.5443001238527427`*^9}, {
  3.5443693387645054`*^9, 3.5443693392755566`*^9}, {3.544372514589056*^9, 
  3.5443725146690645`*^9}, {3.5443742057078733`*^9, 3.5443742334978733`*^9}, {
  3.5443743613448734`*^9, 3.544374383775873*^9}, {3.545184059654626*^9, 
  3.5451840606037207`*^9}, {3.54518411090275*^9, 3.545184154356095*^9}, {
  3.5451841867933383`*^9, 3.545184205803239*^9}, {3.561908256221408*^9, 
  3.561908272693055*^9}, {3.561908321159901*^9, 3.5619083459123764`*^9}, {
  3.5619872896304045`*^9, 3.561987292597701*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Hold", "[", 
   RowBox[{
    RowBox[{"6", "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "^", "4"}], "+", 
        RowBox[{"6", "/", 
         RowBox[{"7", "^", "3"}]}], "-", "9", "+", 
        RowBox[{"Pi", "/", "2"}]}], ")"}], "^", "2"}]}], "//", "N"}], "]"}], "//",
   "InputForm", "  "}]], "Input",
 CellChangeTimes->{{3.399141244631244*^9, 3.3991413456475153`*^9}, {
   3.399141376007085*^9, 3.399141570352079*^9}, {3.399141616211747*^9, 
   3.3991416507900934`*^9}, 3.399405264336585*^9, {3.3994054718286448`*^9, 
   3.399405476989828*^9}, {3.3997580249356394`*^9, 3.399758034822467*^9}, 
   3.3998232721556892`*^9, {3.3998416786942096`*^9, 3.3998417297922745`*^9}, {
   3.3998439414837437`*^9, 3.399843952714088*^9}, {3.405703638224195*^9, 
   3.4057036486462035`*^9}, {3.4294825576785254`*^9, 3.4294825619598303`*^9}, 
   3.5443000301547427`*^9, {3.561907916795469*^9, 3.5619079675385427`*^9}, {
   3.5619082861674023`*^9, 3.561908289015687*^9}, {3.561908354642249*^9, 
   3.561908395084293*^9}, {3.5619873151609573`*^9, 3.5619873205224934`*^9}}],

Cell["Hold[N[6*(2^4 + 6/7^3 - 9 + Pi/2)^2]]", "Output",
 CellChangeTimes->{3.6079537466256237`*^9, 3.6188626964709797`*^9, 
  3.6188627735216837`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Hold", "[", 
   RowBox[{
    RowBox[{"6", "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "^", "4"}], "+", 
        RowBox[{"6", "/", 
         RowBox[{"7", "^", "3"}]}], "-", "9", "+", 
        RowBox[{"Pi", "/", "2"}]}], ")"}], "^", "2"}]}], "//", "N"}], "]"}], "//",
   "FullForm"}]], "Input",
 CellChangeTimes->{{3.399141244631244*^9, 3.3991413456475153`*^9}, {
   3.399141376007085*^9, 3.399141570352079*^9}, {3.399141616211747*^9, 
   3.3991416507900934`*^9}, 3.399405264336585*^9, {3.3994054718286448`*^9, 
   3.399405476989828*^9}, {3.3997580249356394`*^9, 3.399758034822467*^9}, 
   3.3998232721556892`*^9, {3.3998416786942096`*^9, 3.3998417297922745`*^9}, {
   3.3998439414837437`*^9, 3.399843952714088*^9}, {3.405703638224195*^9, 
   3.4057036486462035`*^9}, {3.4294825576785254`*^9, 3.4294825619598303`*^9}, 
   3.5443000301547427`*^9, {3.561907916795469*^9, 3.5619079675385427`*^9}, 
   3.5619082792227077`*^9, {3.5619873350659475`*^9, 3.561987339946436*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"Hold", "[", 
    RowBox[{"N", "[", 
     RowBox[{"Times", "[", 
      RowBox[{"6", ",", 
       RowBox[{"Power", "[", 
        RowBox[{
         RowBox[{"Plus", "[", 
          RowBox[{
           RowBox[{"Power", "[", 
            RowBox[{"2", ",", "4"}], "]"}], ",", 
           RowBox[{"Times", "[", 
            RowBox[{"6", ",", 
             RowBox[{"Power", "[", 
              RowBox[{
               RowBox[{"Power", "[", 
                RowBox[{"7", ",", "3"}], "]"}], ",", 
               RowBox[{"-", "1"}]}], "]"}]}], "]"}], ",", 
           RowBox[{"-", "9"}], ",", 
           RowBox[{"Times", "[", 
            RowBox[{"Pi", ",", 
             RowBox[{"Power", "[", 
              RowBox[{"2", ",", 
               RowBox[{"-", "1"}]}], "]"}]}], "]"}]}], "]"}], ",", "2"}], 
        "]"}]}], "]"}], "]"}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",
 CellChangeTimes->{3.6079537466606236`*^9, 3.6188626965059834`*^9, 
  3.6188627735716887`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Hold", "[", 
   RowBox[{
    RowBox[{"6", "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "^", "4"}], "+", 
        RowBox[{"6", "/", 
         RowBox[{"7", "^", "3"}]}], "-", "9", "+", 
        RowBox[{"Pi", "/", "2"}]}], ")"}], "^", "2"}]}], "//", "N"}], "]"}], "//",
   "TreeForm"}]], "Input",
 CellChangeTimes->{{3.399141244631244*^9, 3.3991413456475153`*^9}, {
   3.399141376007085*^9, 3.399141570352079*^9}, {3.399141616211747*^9, 
   3.3991416507900934`*^9}, 3.399405264336585*^9, {3.3994054718286448`*^9, 
   3.399405476989828*^9}, {3.3997580249356394`*^9, 3.399758034822467*^9}, 
   3.3998232721556892`*^9, {3.3998416786942096`*^9, 3.3998417297922745`*^9}, {
   3.3998439414837437`*^9, 3.399843952714088*^9}, {3.405703638224195*^9, 
   3.4057036486462035`*^9}, {3.4294825576785254`*^9, 3.4294825619598303`*^9}, 
   3.5443000301547427`*^9, {3.561907916795469*^9, 3.5619079675385427`*^9}, 
   3.5619082792227077`*^9, {3.561987348410282*^9, 3.5619873534587865`*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGAQB2IQvcDxl0j7tv/2z2bplV+Kk3SA8TuPe2j8MBKD83W+
JN2UZRd2gKj7aQ8R53eAiDM7wPio5nE6vADTN+11oeoYoOAF1ByIupf2L1DM
/Q9XD7MPJg+zD139C6g5MPUwe3TQ7IX4i80Bph7Gh9nnlCdybE0XjwOq/Zxw
++ZD/Qnjw9TDzKvj+rDRoFAQw3yYOQCwp6VJ
    "], {
     {RGBColor[0.55, 0.45, 0.45], 
      LineBox[{{1, 2}, {2, 3}, {3, 4}, {3, 5}, {5, 6}, {5, 23}, {6, 7}, {6, 
       10}, {6, 17}, {6, 18}, {7, 8}, {7, 9}, {10, 11}, {10, 12}, {12, 13}, {
       12, 16}, {13, 14}, {13, 15}, {18, 19}, {18, 20}, {20, 21}, {20, 
       22}}]}, {
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Hold", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 1],
        TagBox[
         RowBox[{"Hold", "[", 
           RowBox[{"N", "[", 
             RowBox[{"6", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                  RowBox[{
                    SuperscriptBox["2", "4"], "+", 
                    FractionBox["6", 
                    SuperscriptBox["7", "3"]], "-", "9", "+", 
                    FractionBox["\[Pi]", "2"]}], ")"}], "2"]}], "]"}], "]"}], 
         HoldForm]],
       Annotation[#, 
        HoldForm[
         Hold[
          N[6 (2^4 + 6/7^3 - 9 + Pi/2)^2]]], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["N", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 2],
        TagBox[
         RowBox[{"N", "[", 
           RowBox[{"6", " ", 
             SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox["2", "4"], "+", 
                  FractionBox["6", 
                   SuperscriptBox["7", "3"]], "-", "9", "+", 
                  FractionBox["\[Pi]", "2"]}], ")"}], "2"]}], "]"}], 
         HoldForm]],
       Annotation[#, 
        HoldForm[
         N[6 (2^4 + 6/7^3 - 9 + Pi/2)^2]], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Times", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 3],
        TagBox[
         RowBox[{"6", " ", 
           SuperscriptBox[
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox["2", "4"], "+", 
                FractionBox["6", 
                 SuperscriptBox["7", "3"]], "-", "9", "+", 
                FractionBox["\[Pi]", "2"]}], ")"}], "2"]}], HoldForm]],
       Annotation[#, 
        HoldForm[6 (2^4 + 6/7^3 - 9 + Pi/2)^2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["6",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 4],
        TagBox["6", HoldForm]],
       Annotation[#, 
        HoldForm[6], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Power", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 5],
        TagBox[
         SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox["2", "4"], "+", 
              FractionBox["6", 
               SuperscriptBox["7", "3"]], "-", "9", "+", 
              FractionBox["\[Pi]", "2"]}], ")"}], "2"], HoldForm]],
       Annotation[#, 
        HoldForm[(2^4 + 6/7^3 - 9 + Pi/2)^2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Plus", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 6],
        TagBox[
         RowBox[{
           SuperscriptBox["2", "4"], "+", 
           FractionBox["6", 
            SuperscriptBox["7", "3"]], "-", "9", "+", 
           FractionBox["\[Pi]", "2"]}], HoldForm]],
       Annotation[#, 
        HoldForm[2^4 + 6/7^3 - 9 + Pi/2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Power", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 7],
        TagBox[
         SuperscriptBox["2", "4"], HoldForm]],
       Annotation[#, 
        HoldForm[2^4], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["2",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 8],
        TagBox["2", HoldForm]],
       Annotation[#, 
        HoldForm[2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["4",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 9],
        TagBox["4", HoldForm]],
       Annotation[#, 
        HoldForm[4], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Times", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 10],
        TagBox[
         FractionBox["6", 
          SuperscriptBox["7", "3"]], HoldForm]],
       Annotation[#, 
        HoldForm[6/7^3], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["6",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 11],
        TagBox["6", HoldForm]],
       Annotation[#, 
        HoldForm[6], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Power", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 12],
        TagBox[
         FractionBox["1", 
          SuperscriptBox["7", "3"]], HoldForm]],
       Annotation[#, 
        HoldForm[(7^3)^(-1)], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Power", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 13],
        TagBox[
         SuperscriptBox["7", "3"], HoldForm]],
       Annotation[#, 
        HoldForm[7^3], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["7",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 14],
        TagBox["7", HoldForm]],
       Annotation[#, 
        HoldForm[7], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["3",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 15],
        TagBox["3", HoldForm]],
       Annotation[#, 
        HoldForm[3], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox[
            RowBox[{"-", "1"}],
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 16],
        TagBox[
         RowBox[{"-", "1"}], HoldForm]],
       Annotation[#, 
        HoldForm[-1], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox[
            RowBox[{"-", "9"}],
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 17],
        TagBox[
         RowBox[{"-", "9"}], HoldForm]],
       Annotation[#, 
        HoldForm[-9], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Times", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 18],
        TagBox[
         FractionBox["\[Pi]", "2"], HoldForm]],
       Annotation[#, 
        HoldForm[Pi/2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["\[Pi]",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 19],
        TagBox["\[Pi]", HoldForm]],
       Annotation[#, 
        HoldForm[Pi], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Power", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 20],
        TagBox[
         FractionBox["1", "2"], HoldForm]],
       Annotation[#, 
        HoldForm[2^(-1)], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["2",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 21],
        TagBox["2", HoldForm]],
       Annotation[#, 
        HoldForm[2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox[
            RowBox[{"-", "1"}],
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 22],
        TagBox[
         RowBox[{"-", "1"}], HoldForm]],
       Annotation[#, 
        HoldForm[-1], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["2",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.047058823529411764`],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 23],
        TagBox["2", HoldForm]],
       Annotation[#, 
        HoldForm[2], "Tooltip"]& ]}}],
   Annotation[#, VertexCoordinateRules -> CompressedData["
1:eJxTTMoPSmViYGAQB2IQvcDxl0j7tv/2z2bplV+Kk3SA8TuPe2j8MBKD83W+
JN2UZRd2gKj7aQ8R53eAiDM7wPio5nE6vADTN+11oeoYoOAF1ByIupf2L1DM
/Q9XD7MPJg+zD139C6g5MPUwe3TQ7IX4i80Bph7Gh9nnlCdybE0XjwOq/Zxw
++ZD/Qnjw9TDzKvj+rDRoFAQw3yYOQCwp6VJ
     "]]& ],
  AspectRatio->NCache[3 Rational[2, 17]^Rational[1, 2], 1.0289915108550531`],
  FrameTicks->Automatic,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellChangeTimes->{3.6079537468516235`*^9, 3.6188626967100034`*^9, 
  3.6188627736686983`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:",
  FontWeight->"Bold"],
 "\n1. For the InputForm command, notice that N is no longer in postfix form.\
\n2. For the FullForm command, notice how all operations that ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " must perform are explicitly spelled out. \n3. For the TreeForm command, \
notice how the order of operations is much easier to see than in the FullForm \
command.\n4. Move the mouse over some of the boxes in the TreeForm output, \
and see how the intermediate calculations get displayed."
}], "Text",
 CellChangeTimes->{{3.5619081544072275`*^9, 3.561908162040991*^9}, 
   3.5619083130310884`*^9, {3.5619084158423686`*^9, 3.561908557559539*^9}, {
   3.561987361840625*^9, 3.5619873820406446`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Expressions as lists", "Subsection",
 CellChangeTimes->{{3.544374530283873*^9, 3.544374534781873*^9}}],

Cell["\<\
Expressions can also be viewed as lists, allowing you to \
\[OpenCurlyDoubleQuote]reach inside\[CloseCurlyDoubleQuote] them to extract \
or modify specific pieces.\
\>", "Text",
 CellChangeTimes->{{3.5443693641470437`*^9, 3.5443693875003786`*^9}, {
  3.544369523337961*^9, 3.5443695379624233`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"example", " ", "=", " ", 
  RowBox[{
   RowBox[{"a", "^", "2"}], "  ", "+", " ", "b", " ", "+", " ", 
   RowBox[{"1", "/", 
    RowBox[{"(", 
     RowBox[{"2", "+", " ", 
      RowBox[{"3", "^", "c"}]}], ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"example", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"example", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "1"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"example", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"example", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "1", ",", "2", ",", "2"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"ReplacePart", "[", 
  RowBox[{"example", ",", "r", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "2", ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5873079490792303`*^9, 3.587308012729403*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", "+", 
    SuperscriptBox["3", "c"]}]], "+", 
  SuperscriptBox["a", "2"], "+", "b"}]], "Output",
 CellChangeTimes->{3.6079537469016237`*^9, 3.6188626968450165`*^9, 
  3.6188627737777095`*^9}],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"2", "+", 
   SuperscriptBox["3", "c"]}]]], "Output",
 CellChangeTimes->{3.6079537469016237`*^9, 3.6188626968450165`*^9, 
  3.61886277378371*^9}],

Cell[BoxData[
 RowBox[{"2", "+", 
  SuperscriptBox["3", "c"]}]], "Output",
 CellChangeTimes->{3.6079537469016237`*^9, 3.6188626968450165`*^9, 
  3.6188627737897105`*^9}],

Cell[BoxData[
 SuperscriptBox["3", "c"]], "Output",
 CellChangeTimes->{3.6079537469016237`*^9, 3.6188626968450165`*^9, 
  3.618862773801712*^9}],

Cell[BoxData["c"], "Output",
 CellChangeTimes->{3.6079537469016237`*^9, 3.6188626968450165`*^9, 
  3.618862773806712*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", "+", 
    SuperscriptBox["3", "r"]}]], "+", 
  SuperscriptBox["a", "2"], "+", "b"}]], "Output",
 CellChangeTimes->{3.6079537469016237`*^9, 3.6188626968450165`*^9, 
  3.6188627738117127`*^9}]
}, Closed]],

Cell[TextData[{
 StyleBox["Things to observe:  ",
  FontWeight->"Bold"],
 "Be sure to understand why the exponent \[OpenCurlyDoubleQuote]c\
\[CloseCurlyDoubleQuote] from the original expression is considered the \
(1,1,2,2) list element for the expression. Viewing the expression in TreeForm \
may be helpful:"
}], "Text",
 CellChangeTimes->{{3.544369540379665*^9, 3.5443695903636627`*^9}, {
  3.544369882302854*^9, 3.5443699205436773`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"example", "//", "TreeForm"}]}]], "Input",
 CellChangeTimes->{{3.5443698722188454`*^9, 3.544369875383162*^9}, {
  3.587305280579424*^9, 3.587305281625847*^9}, {3.58730602676112*^9, 
  3.587306027768485*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{1.9680547341524113`, 3.148887574643858}, {
    0.7872218936609645, 2.3616656809828935`}, {0.39361094683048226`, 
    1.574443787321929}, {0., 0.7872218936609645}, {0.7872218936609645, 
    0.7872218936609645}, {0.39361094683048226`, 0.}, {1.1808328404914468`, 
    0.}, {1.1808328404914468`, 1.574443787321929}, {2.3616656809828935`, 
    2.3616656809828935`}, {1.9680547341524113`, 1.574443787321929}, {
    2.755276627813376, 1.574443787321929}, {3.148887574643858, 
    2.3616656809828935`}}, {
     {RGBColor[0.55, 0.45, 0.45], 
      LineBox[{{1, 2}, {1, 9}, {1, 12}, {2, 3}, {2, 8}, {3, 4}, {3, 5}, {5, 
       6}, {5, 7}, {9, 10}, {9, 11}}]}, {
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Plus", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 1],
        TagBox[
         RowBox[{
           FractionBox["1", 
            RowBox[{"2", "+", 
              SuperscriptBox["3", "c"]}]], "+", 
           SuperscriptBox["a", "2"], "+", "b"}], HoldForm]],
       Annotation[#, 
        HoldForm[(2 + 
           3^$CellContext`c)^(-1) + $CellContext`a^2 + $CellContext`b], 
        "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Power", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 2],
        TagBox[
         FractionBox["1", 
          RowBox[{"2", "+", 
            SuperscriptBox["3", "c"]}]], HoldForm]],
       Annotation[#, 
        HoldForm[(2 + 3^$CellContext`c)^(-1)], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Plus", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 3],
        TagBox[
         RowBox[{"2", "+", 
           SuperscriptBox["3", "c"]}], HoldForm]],
       Annotation[#, 
        HoldForm[2 + 3^$CellContext`c], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["2",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 4],
        TagBox["2", HoldForm]],
       Annotation[#, 
        HoldForm[2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Power", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 5],
        TagBox[
         SuperscriptBox["3", "c"], HoldForm]],
       Annotation[#, 
        HoldForm[3^$CellContext`c], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["3",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 6],
        TagBox["3", HoldForm]],
       Annotation[#, 
        HoldForm[3], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["c",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 7],
        TagBox["c", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`c], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox[
            RowBox[{"-", "1"}],
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 8],
        TagBox[
         RowBox[{"-", "1"}], HoldForm]],
       Annotation[#, 
        HoldForm[-1], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox["Power", "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 9],
        TagBox[
         SuperscriptBox["a", "2"], HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`a^2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["a",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 10],
        TagBox["a", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`a], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["2",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 11],
        TagBox["2", HoldForm]],
       Annotation[#, 
        HoldForm[2], "Tooltip"]& ], 
      TagBox[
       TooltipBox[InsetBox[
         FrameBox[
          StyleBox[
           TagBox["b",
            HoldForm], "StandardForm", "Output",
           StripOnInput->False,
           LineColor->GrayLevel[0],
           FrontFaceColor->GrayLevel[0],
           BackFaceColor->GrayLevel[0],
           GraphicsColor->GrayLevel[0],
           FontSize->Scaled[0.05],
           FontColor->GrayLevel[0]],
          Background->RGBColor[1., 1., 0.871],
          FrameStyle->GrayLevel[0.5],
          StripOnInput->False], 12],
        TagBox["b", HoldForm]],
       Annotation[#, 
        HoldForm[$CellContext`b], "Tooltip"]& ]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{1.9680547341524113`, 3.148887574643858}, {
     0.7872218936609645, 2.3616656809828935`}, {0.39361094683048226`, 
     1.574443787321929}, {0., 0.7872218936609645}, {0.7872218936609645, 
     0.7872218936609645}, {0.39361094683048226`, 0.}, {1.1808328404914468`, 
     0.}, {1.1808328404914468`, 1.574443787321929}, {2.3616656809828935`, 
     2.3616656809828935`}, {1.9680547341524113`, 1.574443787321929}, {
     2.755276627813376, 1.574443787321929}, {3.148887574643858, 
     2.3616656809828935`}}]& ],
  AspectRatio->NCache[Rational[10, 11]^Rational[1, 2], 0.9534625892455924],
  FrameTicks->Automatic,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellChangeTimes->{3.6079537469936237`*^9, 3.6188626969420266`*^9, 
  3.6188627738807197`*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Additional Assignments", "Section",
 CellChangeTimes->{{3.5442083957573495`*^9, 3.5442084034843493`*^9}, {
  3.544300816967743*^9, 3.5443008445017424`*^9}, {3.5451842337200303`*^9, 
  3.54518423481714*^9}, {3.545909592019044*^9, 3.5459095923710785`*^9}}],

Cell[CellGroupData[{

Cell["\<\
Assignment 9. Using FindRoot to solve a transcendental equation... and using \
the result\
\>", "Subsubsection",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405550786896`*^9, 
   3.5440405849196897`*^9}, {3.5440406513876896`*^9, 3.5440407745336895`*^9}, 
   3.54404372737169*^9, {3.5440438889466896`*^9, 3.5440438991206894`*^9}, {
   3.54404414915469*^9, 3.5440444668016896`*^9}, {3.5440545728096895`*^9, 
   3.54405457562169*^9}, {3.5440556811206894`*^9, 3.5440557605466895`*^9}, {
   3.5442084139663496`*^9, 3.54420842883735*^9}, {3.5443699396735907`*^9, 
   3.5443700008507075`*^9}, {3.544370034260048*^9, 3.544370226780298*^9}, {
   3.544370306758295*^9, 3.5443703698236012`*^9}, {3.5443704044330616`*^9, 
   3.5443704090515237`*^9}, {3.544370479795597*^9, 3.5443704819728146`*^9}, {
   3.544371707584364*^9, 3.544371707696375*^9}, {3.5443717820688114`*^9, 
   3.544371790170622*^9}, {3.544371850121616*^9, 3.544371905239127*^9}, {
   3.5443719664172444`*^9, 3.544371969297532*^9}, {3.544372519413539*^9, 
   3.5443725194845457`*^9}, {3.544374210331873*^9, 3.5443742388328733`*^9}, {
   3.544633138163286*^9, 3.544633151023286*^9}, {3.5451842230399623`*^9, 
   3.5451842562962875`*^9}, {3.545184291759834*^9, 3.5451842996586237`*^9}, {
   3.561908631322914*^9, 3.5619086480185843`*^9}}],

Cell[TextData[{
 "Let x0 represent the value of x for which x = e^-x. Determine x0 with ",
 StyleBox["FindRoot",
  FontWeight->"Bold"],
 ", and then calculate sin(x0) without using any \"copy and paste\"ing (i.e. \
use slash-dot as detailed above). Hint: it's always good to start with a \
graph."
}], "Text",
 CellChangeTimes->{{3.399650526221054*^9, 3.3996507164193864`*^9}, {
   3.4056967183924837`*^9, 3.4056968017019353`*^9}, {3.4056970660346003`*^9, 
   3.4056972840459847`*^9}, {3.405782774240396*^9, 3.405782784507138*^9}, {
   3.406055135081481*^9, 3.406055194881035*^9}, {3.4274826731404963`*^9, 
   3.4274833530354724`*^9}, {3.427483388066947*^9, 3.4274836556311593`*^9}, {
   3.4274837607099566`*^9, 3.4274837953976784`*^9}, {3.427483886695138*^9, 
   3.4274838886795254`*^9}, {3.427483938882972*^9, 3.4274839502892947`*^9}, {
   3.427488727710495*^9, 3.4274887293198805`*^9}, {3.427488858320706*^9, 
   3.4274892221511593`*^9}, {3.4274893479332147`*^9, 
   3.4274893484019675`*^9}, {3.439660264388818*^9, 3.43966029993592*^9}, {
   3.4396607132666903`*^9, 3.4396607150479517`*^9}, {3.439660745610647*^9, 
   3.439660752454441*^9}, {3.5440323987226896`*^9, 3.5440325130316896`*^9}, 
   3.54403256308669*^9, {3.5440330373936896`*^9, 3.5440330386066895`*^9}, {
   3.5440332255686893`*^9, 3.5440332847676897`*^9}, {3.5440335064276896`*^9, 
   3.5440335218286896`*^9}, {3.5440346307866898`*^9, 
   3.5440346781086893`*^9}, {3.5440347163806896`*^9, 
   3.5440348770306897`*^9}, {3.5440355896986895`*^9, 3.54403560284369*^9}, {
   3.5440356858626895`*^9, 3.5440356885796895`*^9}, {3.54403572393769*^9, 
   3.54403584812669*^9}, {3.5440363464066896`*^9, 3.5440364846496897`*^9}, 
   3.5440370966556897`*^9, {3.5440373067546897`*^9, 3.5440373130596895`*^9}, {
   3.5440379422706895`*^9, 3.5440380255826893`*^9}, {3.5440380738296895`*^9, 
   3.5440380900756893`*^9}, {3.5440382742506895`*^9, 
   3.5440383302936897`*^9}, {3.5440385035946894`*^9, 3.54403850548969*^9}, {
   3.5440385937346897`*^9, 3.5440389560096893`*^9}, {3.5440389877826896`*^9, 
   3.5440390170796895`*^9}, {3.5440390917786894`*^9, 
   3.5440392212026896`*^9}, {3.5440392996186895`*^9, 
   3.5440393669956894`*^9}, {3.5440399888426895`*^9, 
   3.5440400337666893`*^9}, {3.5440400951706896`*^9, 
   3.5440401666356897`*^9}, {3.5440402058146896`*^9, 
   3.5440405245826893`*^9}, {3.5440405550786896`*^9, 
   3.5440405849196897`*^9}, {3.5440406513876896`*^9, 3.5440407745336895`*^9}, 
   3.54404372737169*^9, {3.5440438889466896`*^9, 3.5440438991206894`*^9}, {
   3.54404414915469*^9, 3.5440444668016896`*^9}, {3.5440545728096895`*^9, 
   3.54405457562169*^9}, {3.5440556811206894`*^9, 3.5440557605466895`*^9}, {
   3.5442084139663496`*^9, 3.54420842883735*^9}, {3.5443699396735907`*^9, 
   3.5443700008507075`*^9}, {3.544370034260048*^9, 3.544370226780298*^9}, {
   3.544370306758295*^9, 3.5443703698236012`*^9}, {3.5443704044330616`*^9, 
   3.5443704090515237`*^9}, {3.544370479795597*^9, 3.5443704819728146`*^9}, {
   3.544371707584364*^9, 3.544371707696375*^9}, {3.5443717820688114`*^9, 
   3.544371790170622*^9}, {3.544371850121616*^9, 3.544371905239127*^9}, {
   3.5443719664172444`*^9, 3.544371969297532*^9}, {3.544372519413539*^9, 
   3.5443725194845457`*^9}, {3.544374210331873*^9, 3.5443742388328733`*^9}, {
   3.544633138163286*^9, 3.544633151023286*^9}, {3.5451842230399623`*^9, 
   3.5451842240130596`*^9}, {3.545184262339892*^9, 3.5451842644961076`*^9}, {
   3.5619088729870787`*^9, 3.561908877074487*^9}, {3.561986147791765*^9, 
   3.5619861497027655`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Assignment 10. Manipulating data ", "Subsubsection",
 CellChangeTimes->{{3.51217466755765*^9, 3.51217468103605*^9}, {
   3.524859223718666*^9, 3.5248592255428486`*^9}, {3.544631314979286*^9, 
   3.544631315104286*^9}, 3.544632253722286*^9, {3.544802106860015*^9, 
   3.544802121035015*^9}, {3.561903240678608*^9, 3.561903242646002*^9}, {
   3.5619086328340654`*^9, 3.561908634386221*^9}}],

Cell["\<\
Download the file Th000088.txt into the same directory as where you have this \
noteboook saved. (The file is located on the department Physics 230 website.) \
Open it with a text editor to see what it looks like. It contains reflectance \
data from a thin film of thorium taken at the Advanced Light Source at \
Lawrence Berkeley Labs. Then read the file into this notebook using the \
following Import command:\
\>", "Text",
 CellChangeTimes->{{3.51233502694355*^9, 3.5123350347325497`*^9}, {
  3.5123351484151497`*^9, 3.51233525473555*^9}, {3.5446314181882863`*^9, 
  3.5446314354252863`*^9}, {3.544632371526286*^9, 3.5446324282392864`*^9}, {
  3.5446327239452863`*^9, 3.5446327325112863`*^9}, {3.5555053994883986`*^9, 
  3.5555054136733985`*^9}, {3.5557608056371737`*^9, 3.5557608235569654`*^9}, {
  3.597693776865823*^9, 3.597693789658102*^9}, {3.607953516695624*^9, 
  3.607953535477624*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"tdata", " ", "=", " ", 
  RowBox[{"Import", "[", 
   RowBox[{"\"\<Th000088.txt\>\"", ",", "\"\<Table\>\""}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5123352270787497`*^9, 3.51233531144715*^9}, {
  3.555760800393649*^9, 3.5557608031099205`*^9}}],

Cell[BoxData["\<\"C:\\\\john\\\\classes\\\\2014A Winter\\\\230 - Winter \
2014\\\\modified labs for Fall 2014  (Hess)\"\>"], "Output",
 CellChangeTimes->{3.607953750195624*^9, 3.6188626970610385`*^9, 
  3.618862773993731*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"Wednesday,\"\>", ",", "\<\"November\"\>", ",", "\<\"10,\"\>",
      ",", "2004", ",", "\<\"11:10:02\"\>", ",", "\<\"PM\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"171.934389`", ",", "0.005493164`", ",", 
     RowBox[{"-", "0.4119873`"}], ",", "226.93`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"172.988274`", ",", "0.006103516`", ",", 
     RowBox[{"-", "0.411377`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"174.012498`", ",", "0.00579834`", ",", 
     RowBox[{"-", "0.4095459`"}], ",", "226.93`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"175.012624`", ",", "0.007019043`", ",", 
     RowBox[{"-", "0.4077148`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"176.016456`", ",", "0.00793457`", ",", 
     RowBox[{"-", "0.4040527`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"177.016581`", ",", "0.007629395`", ",", 
     RowBox[{"-", "0.4019165`"}], ",", "226.93`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"178.016706`", ",", "0.007629395`", ",", 
     RowBox[{"-", "0.3988647`"}], ",", "226.93`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"179.016831`", ",", "0.007629395`", ",", 
     RowBox[{"-", "0.3955078`"}], ",", "226.96`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"180.015103`", ",", "0.008850098`", ",", 
     RowBox[{"-", "0.3927612`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"181.017082`", ",", "0.00793457`", ",", 
     RowBox[{"-", "0.3897095`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"182.015353`", ",", "0.009155273`", ",", 
     RowBox[{"-", "0.3863525`"}], ",", "226.93`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"183.019186`", ",", "0.008850098`", ",", 
     RowBox[{"-", "0.3826904`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"184.020238`", ",", "0.01037598`", ",", 
     RowBox[{"-", "0.378418`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"185.013875`", ",", "0.009765625`", ",", 
     RowBox[{"-", "0.3753662`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"186.015853`", ",", "0.01098633`", ",", 
     RowBox[{"-", "0.3723145`"}], ",", "227.02`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"187.016905`", ",", "0.01037598`", ",", 
     RowBox[{"-", "0.3671265`"}], ",", "226.93`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"188.016104`", ",", "0.01098633`", ",", 
     RowBox[{"-", "0.362854`"}], ",", "226.93`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"189.016229`", ",", "0.01251221`", ",", 
     RowBox[{"-", "0.3579712`"}], ",", "226.93`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"190.016354`", ",", "0.01098633`", ",", 
     RowBox[{"-", "0.3533936`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"191.016479`", ",", "0.01190186`", ",", 
     RowBox[{"-", "0.3482056`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"192.015677`", ",", "0.01220703`", ",", 
     RowBox[{"-", "0.3439331`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"193.015802`", ",", "0.01251221`", ",", 
     RowBox[{"-", "0.3384399`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"194.016854`", ",", "0.01281738`", ",", 
     RowBox[{"-", "0.3326416`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"195.016052`", ",", "0.01312256`", ",", 
     RowBox[{"-", "0.3271484`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"196.016177`", ",", "0.01220703`", ",", 
     RowBox[{"-", "0.3225708`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"197.016303`", ",", "0.01373291`", ",", 
     RowBox[{"-", "0.317688`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"198.015501`", ",", "0.01342773`", ",", 
     RowBox[{"-", "0.3121948`"}], ",", "226.9`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"199.02026`", ",", "0.01281738`", ",", 
     RowBox[{"-", "0.3060913`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"200.020386`", ",", "0.01281738`", ",", 
     RowBox[{"-", "0.300293`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"201.020511`", ",", "0.01251221`", ",", 
     RowBox[{"-", "0.2938843`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"202.016928`", ",", "0.01251221`", ",", 
     RowBox[{"-", "0.2890015`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"203.016126`", ",", "0.01342773`", ",", 
     RowBox[{"-", "0.2841187`"}], ",", "226.93`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"204.015325`", ",", "0.01281738`", ",", 
     RowBox[{"-", "0.2774048`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"205.016377`", ",", "0.01281738`", ",", 
     RowBox[{"-", "0.2703857`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"206.016502`", ",", "0.01159668`", ",", 
     RowBox[{"-", "0.2648926`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"207.016627`", ",", "0.01190186`", ",", 
     RowBox[{"-", "0.2587891`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"208.016752`", ",", "0.01159668`", ",", 
     RowBox[{"-", "0.2539062`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"209.015023`", ",", "0.01159668`", ",", 
     RowBox[{"-", "0.2478027`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"210.016075`", ",", "0.01159668`", ",", 
     RowBox[{"-", "0.2423096`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"211.0162`", ",", "0.01190186`", ",", 
     RowBox[{"-", "0.2371216`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"212.016325`", ",", "0.0100708`", ",", 
     RowBox[{"-", "0.2313232`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"213.01645`", ",", "0.0100708`", ",", 
     RowBox[{"-", "0.2252197`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"214.016576`", ",", "0.008850098`", ",", 
     RowBox[{"-", "0.2203369`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"215.015774`", ",", "0.009765625`", ",", 
     RowBox[{"-", "0.2163696`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"216.016826`", ",", "0.0100708`", ",", 
     RowBox[{"-", "0.211792`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"217.01417`", ",", "0.008544922`", ",", 
     RowBox[{"-", "0.206604`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"218.017076`", ",", "0.009155273`", ",", 
     RowBox[{"-", "0.2005005`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"219.015347`", ",", "0.007324219`", ",", 
     RowBox[{"-", "0.1965332`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"220.016399`", ",", "0.00793457`", ",", 
     RowBox[{"-", "0.1913452`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"221.016524`", ",", "0.006713867`", ",", 
     RowBox[{"-", "0.1879883`"}], ",", "226.87`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"222.015723`", ",", "0.007324219`", ",", 
     RowBox[{"-", "0.184021`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"223.015848`", ",", "0.007324219`", ",", 
     RowBox[{"-", "0.1818848`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"224.015973`", ",", "0.006408691`", ",", 
     RowBox[{"-", "0.1785278`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"225.017025`", ",", "0.006103516`", ",", 
     RowBox[{"-", "0.1751709`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"226.018077`", ",", "0.007019043`", ",", 
     RowBox[{"-", "0.1702881`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"227.015421`", ",", "0.005187988`", ",", 
     RowBox[{"-", "0.1663208`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"228.015546`", ",", "0.006103516`", ",", 
     RowBox[{"-", "0.1629639`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"229.014744`", ",", "0.005187988`", ",", 
     RowBox[{"-", "0.1596069`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"230.015796`", ",", "0.006103516`", ",", 
     RowBox[{"-", "0.1568604`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"231.016848`", ",", "0.004882812`", ",", 
     RowBox[{"-", "0.1544189`"}], ",", "226.69`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"232.016047`", ",", "0.004882812`", ",", 
     RowBox[{"-", "0.1507568`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"233.016172`", ",", "0.004577637`", ",", 
     RowBox[{"-", "0.149231`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"234.01537`", ",", "0.003662109`", ",", 
     RowBox[{"-", "0.1480103`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"235.016422`", ",", "0.005493164`", ",", 
     RowBox[{"-", "0.1461792`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"236.019328`", ",", "0.003662109`", ",", 
     RowBox[{"-", "0.1428223`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"237.018526`", ",", "0.004882812`", ",", 
     RowBox[{"-", "0.1379395`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"238.016797`", ",", "0.004577637`", ",", 
     RowBox[{"-", "0.1345825`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"239.015995`", ",", "0.003967285`", ",", 
     RowBox[{"-", "0.1321411`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"240.01612`", ",", "0.004272461`", ",", 
     RowBox[{"-", "0.1287842`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"241.015319`", ",", "0.003662109`", ",", 
     RowBox[{"-", "0.1263428`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"242.015444`", ",", "0.002441406`", ",", 
     RowBox[{"-", "0.1235962`"}], ",", "226.75`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"243.015569`", ",", "0.003662109`", ",", 
     RowBox[{"-", "0.1211548`"}], ",", "226.78`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"244.017548`", ",", "0.002441406`", ",", 
     RowBox[{"-", "0.1193237`"}], ",", "226.78`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"245.014892`", ",", "0.003662109`", ",", 
     RowBox[{"-", "0.116272`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"246.015944`", ",", "0.003356934`", ",", 
     RowBox[{"-", "0.112915`"}], ",", "226.78`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"247.016069`", ",", "0.004272461`", ",", 
     RowBox[{"-", "0.1107788`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"248.016194`", ",", "0.002746582`", ",", 
     RowBox[{"-", "0.1086426`"}], ",", "226.84`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"249.020027`", ",", "0.003051758`", ",", 
     RowBox[{"-", "0.105896`"}], ",", "226.81`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"250.020152`", ",", "0.003356934`", ",", 
     RowBox[{"-", "0.1040649`"}], ",", "226.75`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.607953750195624*^9, 3.6188626970610385`*^9, 
  3.618862774264758*^9}]
}, Closed]],

Cell[TextData[{
 "You\[CloseCurlyQuote]ll note that the data contains a header list followed \
by lists of four numbers.  These represent the wavelength of the beam, the \
measured reflected signal, and two other numbers which are not needed in this \
exercise.  Extract the wavelength and signal numbers and plot them using ",
 StyleBox[ButtonBox["ListLogPlot",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/ListLogPlot"],
  FontWeight->"Bold"],
 "."
}], "Text",
 CellChangeTimes->{{3.5123353292255497`*^9, 3.51233546859715*^9}, {
  3.5123366598259497`*^9, 3.51233666356155*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Wrap-up", "Section",
 CellChangeTimes->{{3.544186072522131*^9, 3.5441860837203703`*^9}}],

Cell[TextData[{
 StyleBox["The following functions were discussed in today' s lab, or are \
very closely related:\n",
  FontWeight->"Bold"],
 "Advanced function definitions: ",
 StyleBox[ButtonBox["->",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Rule"],
  FontWeight->"Bold"],
 StyleBox[" or ", "OperatorCharacter"],
 StyleBox[ButtonBox["\[Rule]",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Rule"],
  FontWeight->"Bold"],
 StyleBox[" (", "OperatorCharacter"],
 StyleBox[ButtonBox["Rule",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Rule"],
  FontWeight->"Bold"],
 "), ",
 StyleBox[ButtonBox["/.",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/ReplaceAll"],
  FontWeight->"Bold"],
 " (",
 StyleBox[ButtonBox["ReplaceAll",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/ReplaceAll"],
  FontWeight->"Bold"],
 "), ",
 StyleBox[ButtonBox[":=",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/SetDelayed"],
  FontWeight->"Bold"],
 " (",
 StyleBox[ButtonBox["SetDelayed)",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/SetDelayed"],
  FontWeight->"Bold"],
 ",",
 StyleBox[ButtonBox[" ",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/SetDelayed"],
  FontWeight->"Bold"],
 StyleBox[ButtonBox["//",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Postfix"],
  FontWeight->"Bold"],
 "  (",
 StyleBox[ButtonBox["Postfix",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Postfix"],
  FontWeight->"Bold"],
 "), ",
 StyleBox[ButtonBox["@",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Prefix"],
  FontWeight->"Bold"],
 " (",
 StyleBox[ButtonBox["Prefix",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Prefix"],
  FontWeight->"Bold"],
 "), ",
 StyleBox[ButtonBox["#",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Slot"],
  FontWeight->"Bold"],
 " (",
 StyleBox[ButtonBox["Slot",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Slot"],
  FontWeight->"Bold"],
 "), ",
 StyleBox[ButtonBox["&",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Function"],
  FontWeight->"Bold"],
 " (",
 StyleBox[ButtonBox["Function",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Function"],
  FontWeight->"Bold"],
 "), ",
 StyleBox[ButtonBox["pure functions",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/PureFunctions"],
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"],
 "\nCreating lists: ",
 StyleBox[ButtonBox["Range",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Range"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Table",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Table"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Array",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Array"],
  FontWeight->"Bold"],
 "\nPlotting lists: ",
 StyleBox[ButtonBox["ListPlot",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/ListPlot"],
  FontWeight->"Bold"],
 "\nList functions: ",
 StyleBox[ButtonBox["[[ ]]",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Part"],
  FontWeight->"Bold"],
 " (",
 StyleBox[ButtonBox["Part",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Part"],
  FontWeight->"Bold"],
 "), ",
 StyleBox[ButtonBox["Transpose",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Transpose"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Length",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Length"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Reverse",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Reverse"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Sort",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Sort"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Append",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Append"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Insert",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Insert"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Drop",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Drop"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["ReplacePart",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/ReplacePart"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Select",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Select"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Flatten",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Flatten"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Join",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Join"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Union",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Union"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Complement",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Complement"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Partition",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Partition"],
  FontWeight->"Bold"],
 "\nVector/matrix-related list functions: ",
 StyleBox[ButtonBox["MatrixForm",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/MatrixForm"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Det",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Det"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Inverse",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Inverse"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox[".",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Dot"],
  FontWeight->"Bold"],
 " (",
 StyleBox[ButtonBox["Dot",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Dot"],
  FontWeight->"Bold"],
 ", for dot products and matrix multiplication), ",
 StyleBox[ButtonBox["\[Cross]",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Cross"],
  FontWeight->"Bold"],
 " (",
 StyleBox[ButtonBox["Cross",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Cross"],
  FontWeight->"Bold"],
 " for vector cross products), ",
 StyleBox[ButtonBox["Norm",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Norm"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Normalize",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Normalize"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["IdentityMatrix",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/IdentityMatrix"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Eigenvalues",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Eigenvalues"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Eigenvectors",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Eigenvectors"],
  FontWeight->"Bold"],
 "\nStatistics-related functions: ",
 StyleBox[ButtonBox["Min",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Min"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Max",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Max"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Mean",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Mean"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["StandardDeviation",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/StandardDeviation"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Median",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Median"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Commonest",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Commonest"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Total",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Total"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["RandomInteger",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/RandomInteger"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["RandomReal",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/RandomReal"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Histogram",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Histogram"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["NormalDistribution",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/NormalDistribution"],
  FontWeight->"Bold"],
 "\nTo apply a function to a group of lists: ",
 StyleBox[ButtonBox["/@",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Map"],
  FontWeight->"Bold"],
 " (",
 StyleBox[ButtonBox["Map",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Map"],
  FontWeight->"Bold"],
 ")\nAlgebraic functions: ",
 StyleBox[ButtonBox["Expand",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Expand"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Together",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Together"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Apart",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Apart"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Collect",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Collect"],
  FontWeight->"Bold"],
 " \nMisc: ",
 StyleBox[ButtonBox["Degree",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Degree"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Exp",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Exp"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["Series",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Series"],
  FontWeight->"Bold"],
 "\nViewing ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "\[CloseCurlyQuote]s insides: ",
 StyleBox[ButtonBox["Hold",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/Hold"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["FullForm",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/FullForm"],
  FontWeight->"Bold"],
 ", and ",
 StyleBox[ButtonBox["TreeForm\n\n",
  BaseStyle->"Link",
  ButtonData->"paclet://ref/TreeForm"],
  FontWeight->"Bold"],
 StyleBox["Potentially useful summary/tutorial pages\n",
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Guide: Special Characters",
  BaseStyle->"Link",
  ButtonData->"paclet://guide/SpecialCharacters"],
  FontWeight->"Bold"],
 "\n",
 StyleBox[ButtonBox["Tutorial: Strings and Characters Overview",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/StringsAndCharactersOverview"],
  FontWeight->"Bold"],
 "\n",
 StyleBox[ButtonBox["Tutorial: Pure Functions",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/PureFunctions"],
  FontWeight->"Bold"],
 " ",
 StyleBox["\n",
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Guide: Constructing Lists",
  BaseStyle->"Link",
  ButtonData->"paclet://guide/ConstructingLists"],
  FontWeight->"Bold"],
 "\n",
 StyleBox[ButtonBox["Guide: Elements of Lists",
  BaseStyle->"Link",
  ButtonData->"paclet://guide/ElementsOfLists"],
  FontWeight->"Bold"],
 "\n",
 StyleBox[ButtonBox["Guide: List Manipulation",
  BaseStyle->"Link",
  ButtonData->"paclet://guide/ListManipulation"],
  FontWeight->"Bold"],
 "\n",
 StyleBox[ButtonBox["Tutorial: Testing and Searching List Elements",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/TestingAndSearchingListElements"],
  FontWeight->"Bold"],
 "\n",
 StyleBox[ButtonBox["Guide: Constructing Matrices",
  BaseStyle->"Link",
  ButtonData->"paclet://guide/ConstructingMatrices"],
  FontWeight->"Bold"],
 "\n",
 StyleBox[ButtonBox["Tutorial: Vectors and Matrices",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/VectorsAndMatrices"],
  FontWeight->"Bold"],
 StyleBox[ButtonBox["\n",
  BaseStyle->"Link",
  ButtonData->"paclet://paclet:tutorial/VectorsAndMatrices"],
  FontWeight->"Bold"],
 StyleBox[ButtonBox["Tutorial: Basic Matrix Operations",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/BasicMatrixOperations"],
  FontWeight->"Bold"],
 "\n",
 StyleBox[ButtonBox["Guide: Parametric Statistical Distributions",
  BaseStyle->"Link",
  ButtonData->"paclet://guide/ParametricStatisticalDistributions"],
  FontWeight->"Bold"],
 "\n",
 StyleBox[ButtonBox["Tutorial: Expressions",
  BaseStyle->"Link",
  ButtonData->"paclet://tutorial/ExpressionsOverview"],
  FontWeight->"Bold"],
 "\n"
}], "Text",
 CellChangeTimes->{{3.5443720176193643`*^9, 3.5443720214027424`*^9}, 
   3.544374426669873*^9, {3.544374458650873*^9, 3.544374469586873*^9}, {
   3.544374604421873*^9, 3.544374908927873*^9}, {3.544374977881873*^9, 
   3.5443750085508733`*^9}, {3.5443751861352777`*^9, 
   3.5443751891005745`*^9}, {3.544375231637828*^9, 3.5443758941900764`*^9}, {
   3.5443759269913564`*^9, 3.5443759371673737`*^9}, {3.5443759722488813`*^9, 
   3.5443762604857025`*^9}, {3.5443763100326567`*^9, 3.54437634536919*^9}, {
   3.544376386255278*^9, 3.5443765639670477`*^9}, {3.544376606456296*^9, 
   3.5443766319928493`*^9}, {3.5443766680924587`*^9, 
   3.5443766680984592`*^9}, {3.544376772133862*^9, 3.544376797996448*^9}, {
   3.544376839572605*^9, 3.5443769524158883`*^9}, {3.5443770858482304`*^9, 
   3.544377098264472*^9}, {3.5443771289055357`*^9, 3.5443771569543405`*^9}, {
   3.5443771977324176`*^9, 3.544377673484988*^9}, {3.545909614658307*^9, 
   3.545909659601801*^9}, {3.555505467496399*^9, 3.5555054727973986`*^9}}]
}, Closed]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{1904, 1075},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
ShowCellTags->True,
Magnification->1.2000000476837158`,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->FrontEnd`FileName[{"Report"}, "StandardReport.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 558, 7, 106, "Title"],
Cell[1128, 31, 769, 13, 104, "Subtitle"],
Cell[1900, 46, 3857, 85, 401, "Text"],
Cell[5760, 133, 224, 5, 46, "Input"],
Cell[5987, 140, 1504, 21, 81, "Text"],
Cell[CellGroupData[{
Cell[7516, 165, 871, 11, 97, "Section"],
Cell[CellGroupData[{
Cell[8412, 180, 155, 2, 36, "Subsection"],
Cell[8570, 184, 483, 14, 38, "Text"],
Cell[CellGroupData[{
Cell[9078, 202, 232, 6, 46, "Input"],
Cell[9313, 210, 216, 5, 46, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[9566, 220, 122, 2, 46, "Input"],
Cell[9691, 224, 147, 2, 46, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[9887, 232, 224, 3, 36, "Subsection"],
Cell[10114, 237, 516, 10, 59, "Text"],
Cell[CellGroupData[{
Cell[10655, 251, 106, 3, 55, "Input"],
Cell[10764, 256, 215, 5, 55, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[11016, 266, 236, 6, 79, "Input"],
Cell[11255, 274, 151, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[11443, 281, 221, 5, 79, "Input"],
Cell[11667, 288, 212, 5, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[11916, 298, 170, 3, 79, "Input"],
Cell[12089, 303, 149, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[12275, 310, 196, 4, 79, "Input"],
Cell[12474, 316, 238, 6, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[12749, 327, 241, 6, 79, "Input"],
Cell[12993, 335, 6045, 106, 508, "Output"]
}, Closed]],
Cell[19053, 444, 2590, 41, 493, "Text"],
Cell[CellGroupData[{
Cell[21668, 489, 648, 15, 79, "Input"],
Cell[22319, 506, 213, 5, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[22569, 516, 273, 7, 46, "Input"],
Cell[22845, 525, 6045, 106, 295, "Output"]
}, Closed]],
Cell[28905, 634, 555, 10, 58, "Text"],
Cell[CellGroupData[{
Cell[29485, 648, 478, 12, 46, "Input"],
Cell[29966, 662, 217, 4, 46, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[30220, 671, 335, 9, 46, "Input"],
Cell[30558, 682, 162, 2, 46, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[30757, 689, 596, 17, 46, "Input"],
Cell[31356, 708, 547, 18, 63, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[31940, 731, 130, 2, 46, "Input"],
Cell[32073, 735, 423, 14, 63, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[32533, 754, 124, 2, 46, "Input"],
Cell[32660, 758, 245, 6, 46, "Output"]
}, Closed]],
Cell[32920, 767, 1157, 21, 150, "Text"],
Cell[CellGroupData[{
Cell[34102, 792, 412, 5, 35, "Subsubsection"],
Cell[34517, 799, 1409, 31, 103, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[35975, 836, 474, 6, 61, "Subsection"],
Cell[36452, 844, 1765, 27, 100, "Text"],
Cell[CellGroupData[{
Cell[38242, 875, 1817, 37, 238, "Input"],
Cell[40062, 914, 241, 5, 79, "Output"],
Cell[40306, 921, 196, 3, 79, "Output"],
Cell[40505, 926, 194, 3, 79, "Output"]
}, Closed]],
Cell[40714, 932, 220, 4, 60, "Text"],
Cell[CellGroupData[{
Cell[40959, 940, 1650, 31, 199, "Input"],
Cell[42612, 973, 173, 2, 79, "Output"],
Cell[42788, 977, 170, 2, 79, "Output"]
}, Closed]],
Cell[42973, 982, 1919, 35, 650, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[44929, 1022, 546, 7, 61, "Subsection"],
Cell[45478, 1031, 1083, 23, 61, "Text"],
Cell[CellGroupData[{
Cell[46586, 1058, 985, 19, 120, "Input"],
Cell[47574, 1079, 173, 3, 79, "Output"],
Cell[47750, 1084, 173, 3, 79, "Output"]
}, Closed]],
Cell[47938, 1090, 776, 13, 60, "Text"],
Cell[CellGroupData[{
Cell[48739, 1107, 126, 2, 79, "Input"],
Cell[48868, 1111, 162, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[49067, 1118, 236, 5, 79, "Input"],
Cell[49306, 1125, 166, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[49509, 1132, 154, 3, 79, "Input"],
Cell[49666, 1137, 164, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[49867, 1144, 153, 3, 79, "Input"],
Cell[50023, 1149, 164, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[50224, 1156, 317, 5, 79, "Input"],
Cell[50544, 1163, 162, 2, 79, "Output"]
}, Closed]],
Cell[50721, 1168, 1748, 27, 411, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[52506, 1200, 545, 7, 61, "Subsection"],
Cell[53054, 1209, 867, 13, 60, "Text"],
Cell[CellGroupData[{
Cell[53946, 1226, 1040, 20, 120, "Input"],
Cell[54989, 1248, 173, 3, 79, "Output"],
Cell[55165, 1253, 171, 3, 79, "Output"]
}, Closed]],
Cell[55351, 1259, 144, 1, 60, "Text"],
Cell[CellGroupData[{
Cell[55520, 1264, 333, 8, 159, "Input"],
Cell[55856, 1274, 177, 4, 133, "Output"],
Cell[56036, 1280, 175, 4, 133, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[56260, 1290, 232, 5, 61, "Subsection"],
Cell[56495, 1297, 1763, 37, 336, "Text"],
Cell[CellGroupData[{
Cell[58283, 1338, 531, 13, 79, "Input"],
Cell[58817, 1353, 163, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[59017, 1360, 730, 19, 79, "Input"],
Cell[59750, 1381, 6768, 118, 508, "Output"]
}, Closed]],
Cell[66533, 1502, 1211, 19, 139, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[67781, 1526, 499, 6, 61, "Subsection"],
Cell[68283, 1534, 1017, 15, 98, "Text"],
Cell[CellGroupData[{
Cell[69325, 1553, 351, 9, 79, "Input"],
Cell[69679, 1564, 161, 2, 79, "Output"]
}, Closed]],
Cell[69855, 1569, 643, 11, 60, "Text"],
Cell[CellGroupData[{
Cell[70523, 1584, 344, 10, 79, "Input"],
Cell[70870, 1596, 237, 5, 79, "Output"]
}, Closed]],
Cell[71122, 1604, 1350, 21, 217, "Text"],
Cell[72475, 1627, 685, 11, 60, "Text"],
Cell[CellGroupData[{
Cell[73185, 1642, 381, 11, 120, "Input"],
Cell[73569, 1655, 241, 5, 79, "Output"]
}, Closed]],
Cell[73825, 1663, 1192, 19, 98, "Text"],
Cell[CellGroupData[{
Cell[75042, 1686, 232, 6, 79, "Input"],
Cell[75277, 1694, 234, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[75548, 1703, 343, 4, 60, "Subsubsection"],
Cell[75894, 1709, 540, 10, 139, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[76471, 1724, 479, 6, 103, "Subsubsection"],
Cell[76953, 1732, 815, 14, 508, "Text"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[77829, 1753, 613, 8, 61, "Section"],
Cell[78445, 1763, 1253, 20, 201, "Text"],
Cell[CellGroupData[{
Cell[79723, 1787, 259, 3, 87, "Subsection"],
Cell[79985, 1792, 761, 14, 61, "Text"],
Cell[CellGroupData[{
Cell[80771, 1810, 271, 6, 79, "Input"],
Cell[81045, 1818, 219, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[81301, 1827, 179, 3, 79, "Input"],
Cell[81483, 1832, 223, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[81743, 1841, 200, 4, 79, "Input"],
Cell[81946, 1847, 219, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[82202, 1856, 123, 2, 79, "Input"],
Cell[82328, 1860, 345, 9, 82, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[82710, 1874, 569, 13, 79, "Input"],
Cell[83282, 1889, 221, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[83540, 1898, 178, 3, 79, "Input"],
Cell[83721, 1903, 278, 6, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[84036, 1914, 151, 3, 79, "Input"],
Cell[84190, 1919, 301, 6, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[84528, 1930, 623, 12, 79, "Input"],
Cell[85154, 1944, 1143, 18, 120, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[86334, 1967, 257, 7, 79, "Input"],
Cell[86594, 1976, 1406, 22, 120, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[88037, 2003, 343, 8, 79, "Input"],
Cell[88383, 2013, 221, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[88641, 2022, 743, 16, 79, "Input"],
Cell[89387, 2040, 1136, 18, 120, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[90560, 2063, 291, 7, 120, "Input"],
Cell[90854, 2072, 291, 6, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[91182, 2083, 243, 6, 79, "Input"],
Cell[91428, 2091, 295, 6, 79, "Output"]
}, Closed]],
Cell[91738, 2100, 2011, 30, 478, "Text"],
Cell[CellGroupData[{
Cell[93774, 2134, 414, 5, 86, "Subsubsection"],
Cell[94191, 2141, 575, 9, 60, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[94815, 2156, 512, 7, 87, "Subsection"],
Cell[95330, 2165, 208, 4, 60, "Text"],
Cell[CellGroupData[{
Cell[95563, 2173, 498, 13, 120, "Input"],
Cell[96064, 2188, 288, 6, 79, "Output"],
Cell[96355, 2196, 593, 14, 522, "Output"]
}, Closed]],
Cell[96963, 2213, 889, 20, 253, "Text"],
Cell[97855, 2235, 190, 4, 60, "Text"],
Cell[CellGroupData[{
Cell[98070, 2243, 409, 11, 120, "Input"],
Cell[98482, 2256, 445, 8, 79, "Output"],
Cell[98930, 2266, 666, 16, 522, "Output"]
}, Closed]],
Cell[99611, 2285, 843, 15, 144, "Text"],
Cell[100457, 2302, 997, 16, 176, "Text"],
Cell[CellGroupData[{
Cell[101479, 2322, 1004, 27, 159, "Input"],
Cell[102486, 2351, 1406, 42, 120, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[103929, 2398, 254, 5, 79, "Input"],
Cell[104186, 2405, 664, 16, 522, "Output"]
}, Closed]],
Cell[104865, 2424, 397, 8, 86, "Text"],
Cell[CellGroupData[{
Cell[105287, 2436, 420, 5, 86, "Subsubsection"],
Cell[105710, 2443, 666, 10, 98, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[106425, 2459, 128, 1, 87, "Subsection"],
Cell[106556, 2462, 671, 17, 61, "Text"],
Cell[CellGroupData[{
Cell[107252, 2483, 342, 7, 79, "Input"],
Cell[107597, 2492, 288, 5, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[107922, 2502, 157, 3, 79, "Input"],
Cell[108082, 2507, 157, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[108276, 2514, 157, 3, 79, "Input"],
Cell[108436, 2519, 162, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[108635, 2526, 292, 7, 79, "Input"],
Cell[108930, 2535, 323, 7, 79, "Output"]
}, Closed]],
Cell[109268, 2545, 1144, 24, 254, "Text"],
Cell[110415, 2571, 248, 6, 60, "Text"],
Cell[CellGroupData[{
Cell[110688, 2581, 212, 5, 79, "Input"],
Cell[110903, 2588, 164, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[111104, 2595, 103, 1, 79, "Input"],
Cell[111210, 2598, 291, 5, 79, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[111550, 2609, 115, 1, 87, "Subsection"],
Cell[111668, 2612, 665, 10, 60, "Text"],
Cell[CellGroupData[{
Cell[112358, 2626, 173, 3, 79, "Input"],
Cell[112534, 2631, 293, 5, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[112864, 2641, 134, 2, 79, "Input"],
Cell[113001, 2645, 148, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[113186, 2652, 286, 6, 79, "Input"],
Cell[113475, 2660, 291, 5, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[113803, 2670, 137, 2, 79, "Input"],
Cell[113943, 2674, 291, 5, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[114271, 2684, 346, 8, 79, "Input"],
Cell[114620, 2694, 314, 6, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[114971, 2705, 320, 8, 79, "Input"],
Cell[115294, 2715, 316, 6, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[115647, 2726, 436, 10, 79, "Input"],
Cell[116086, 2738, 239, 5, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[116362, 2748, 405, 10, 79, "Input"],
Cell[116770, 2760, 222, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[117029, 2769, 393, 9, 79, "Input"],
Cell[117425, 2780, 298, 5, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[117760, 2790, 474, 10, 159, "Input"],
Cell[118237, 2802, 292, 6, 79, "Output"],
Cell[118532, 2810, 290, 6, 79, "Output"],
Cell[118825, 2818, 290, 6, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[119152, 2829, 305, 7, 79, "Input"],
Cell[119460, 2838, 204, 4, 79, "Output"]
}, Closed]],
Cell[119679, 2845, 1917, 28, 451, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[121633, 2878, 173, 2, 61, "Subsection"],
Cell[121809, 2882, 2028, 31, 140, "Text"],
Cell[CellGroupData[{
Cell[123862, 2917, 888, 21, 79, "Input"],
Cell[124753, 2940, 4898, 125, 238, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[129688, 3070, 436, 11, 79, "Input"],
Cell[130127, 3083, 4902, 125, 238, "Output"]
}, Closed]],
Cell[135044, 3211, 118, 1, 60, "Text"],
Cell[CellGroupData[{
Cell[135187, 3216, 130, 2, 79, "Input"],
Cell[135320, 3220, 1411, 28, 498, "Output"]
}, Closed]],
Cell[136746, 3251, 395, 11, 60, "Text"],
Cell[CellGroupData[{
Cell[137166, 3266, 138, 2, 79, "Input"],
Cell[137307, 3270, 3275, 87, 1744, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[140619, 3362, 130, 2, 79, "Input"],
Cell[140752, 3366, 3152, 86, 1744, "Output"]
}, Closed]],
Cell[143919, 3455, 772, 15, 98, "Text"],
Cell[CellGroupData[{
Cell[144716, 3474, 426, 11, 79, "Input"],
Cell[145145, 3487, 162, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[145344, 3494, 298, 8, 79, "Input"],
Cell[145645, 3504, 212, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[145894, 3513, 480, 12, 79, "Input"],
Cell[146377, 3527, 164, 2, 79, "Output"]
}, Closed]],
Cell[146556, 3532, 1005, 20, 372, "Text"],
Cell[147564, 3554, 591, 13, 98, "Text"],
Cell[CellGroupData[{
Cell[148180, 3571, 576, 14, 79, "Input"],
Cell[148759, 3587, 2542, 78, 159, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[151338, 3670, 133, 2, 79, "Input"],
Cell[151474, 3674, 2073, 67, 432, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[153584, 3746, 127, 2, 79, "Input"],
Cell[153714, 3750, 147, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[153898, 3757, 202, 5, 79, "Input"],
Cell[154103, 3764, 168, 3, 79, "Output"]
}, Closed]],
Cell[154286, 3770, 1354, 22, 259, "Text"],
Cell[CellGroupData[{
Cell[155665, 3796, 589, 7, 60, "Subsubsection"],
Cell[156257, 3805, 1422, 41, 98, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[157728, 3852, 100, 1, 61, "Subsection"],
Cell[157831, 3855, 829, 14, 100, "Text"],
Cell[CellGroupData[{
Cell[158685, 3873, 987, 25, 79, "Input"],
Cell[159675, 3900, 777, 22, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[160489, 3927, 142, 2, 79, "Input"],
Cell[160634, 3931, 203, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[160874, 3940, 300, 6, 79, "Input"],
Cell[161177, 3948, 146, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[161360, 3955, 699, 13, 120, "Input"],
Cell[162062, 3970, 475, 12, 79, "Output"],
Cell[162540, 3984, 842, 21, 268, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[163419, 4010, 500, 11, 120, "Input"],
Cell[163922, 4023, 399, 11, 79, "Output"],
Cell[164324, 4036, 768, 20, 169, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[165129, 4061, 512, 12, 79, "Input"],
Cell[165644, 4075, 211, 4, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[165892, 4084, 687, 15, 79, "Input"],
Cell[166582, 4101, 162, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[166781, 4108, 393, 9, 79, "Input"],
Cell[167177, 4119, 4460, 115, 211, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[171674, 4239, 1115, 33, 159, "Input"],
Cell[172792, 4274, 667, 17, 79, "Output"]
}, Closed]],
Cell[173474, 4294, 2203, 33, 570, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[175726, 4333, 95, 1, 61, "Section"],
Cell[CellGroupData[{
Cell[175846, 4338, 424, 5, 61, "Subsection"],
Cell[176273, 4345, 2662, 40, 219, "Text"],
Cell[CellGroupData[{
Cell[178960, 4389, 753, 18, 120, "Input"],
Cell[179716, 4409, 736, 20, 168, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[180489, 4434, 966, 25, 79, "Input"],
Cell[181458, 4461, 736, 20, 168, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[182231, 4486, 768, 14, 79, "Input"],
Cell[183002, 4502, 736, 20, 168, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[183775, 4527, 288, 7, 79, "Input"],
Cell[184066, 4536, 163, 3, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[184266, 4544, 841, 19, 120, "Input"],
Cell[185110, 4565, 951, 29, 202, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[186098, 4599, 460, 11, 120, "Input"],
Cell[186561, 4612, 934, 28, 219, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[187532, 4645, 519, 13, 120, "Input"],
Cell[188054, 4660, 779, 23, 168, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[188870, 4688, 461, 10, 79, "Input"],
Cell[189334, 4700, 761, 22, 168, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[190132, 4727, 424, 9, 79, "Input"],
Cell[190559, 4738, 806, 23, 168, "Output"]
}, Closed]],
Cell[191380, 4764, 2344, 42, 540, "Text"],
Cell[193727, 4808, 526, 10, 60, "Text"],
Cell[CellGroupData[{
Cell[194278, 4822, 273, 6, 120, "Input"],
Cell[194554, 4830, 760, 22, 168, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[195351, 4857, 118, 2, 79, "Input"],
Cell[195472, 4861, 144, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[195653, 4868, 150, 3, 79, "Input"],
Cell[195806, 4873, 146, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[195989, 4880, 165, 3, 79, "Input"],
Cell[196157, 4885, 802, 24, 168, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[196996, 4914, 219, 5, 79, "Input"],
Cell[197218, 4921, 806, 24, 168, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[198061, 4950, 143, 3, 79, "Input"],
Cell[198207, 4955, 156, 3, 86, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[198400, 4963, 282, 6, 79, "Input"],
Cell[198685, 4971, 919, 29, 270, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[199641, 5005, 582, 12, 79, "Input"],
Cell[200226, 5019, 919, 29, 270, "Output"]
}, Closed]],
Cell[201160, 5051, 1343, 23, 295, "Text"],
Cell[202506, 5076, 656, 11, 139, "Text"],
Cell[CellGroupData[{
Cell[203187, 5091, 638, 10, 79, "Input"],
Cell[203828, 5103, 779, 21, 201, "Output"]
}, Closed]],
Cell[204622, 5127, 1355, 28, 140, "Text"],
Cell[CellGroupData[{
Cell[206002, 5159, 134, 2, 79, "Input"],
Cell[206139, 5163, 935, 29, 82, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[207111, 5197, 123, 2, 79, "Input"],
Cell[207237, 5201, 278, 6, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[207552, 5212, 133, 2, 79, "Input"],
Cell[207688, 5216, 5310, 157, 249, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[213035, 5378, 185, 3, 79, "Input"],
Cell[213223, 5383, 545, 15, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[213805, 5403, 331, 7, 79, "Input"],
Cell[214139, 5412, 888, 22, 168, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[215064, 5439, 474, 6, 60, "Subsubsection"],
Cell[215541, 5447, 2447, 70, 126, "Text"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[218049, 5524, 95, 1, 61, "Section"],
Cell[CellGroupData[{
Cell[218169, 5529, 421, 5, 87, "Subsection"],
Cell[218593, 5536, 125, 1, 60, "Text"],
Cell[CellGroupData[{
Cell[218743, 5541, 499, 12, 120, "Input"],
Cell[219245, 5555, 162, 3, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[219444, 5563, 128, 2, 79, "Input"],
Cell[219575, 5567, 143, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[219755, 5574, 156, 3, 79, "Input"],
Cell[219914, 5579, 165, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[220116, 5586, 171, 3, 79, "Input"],
Cell[220290, 5591, 159, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[220486, 5598, 131, 2, 79, "Input"],
Cell[220620, 5602, 146, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[220803, 5609, 223, 5, 79, "Input"],
Cell[221029, 5616, 170, 3, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[221236, 5624, 267, 6, 79, "Input"],
Cell[221506, 5632, 149, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[221692, 5639, 272, 7, 79, "Input"],
Cell[221967, 5648, 146, 2, 79, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[222162, 5656, 452, 6, 87, "Subsection"],
Cell[222617, 5664, 590, 12, 61, "Text"],
Cell[CellGroupData[{
Cell[223232, 5680, 263, 6, 79, "Input"],
Cell[223498, 5688, 146, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[223681, 5695, 419, 10, 79, "Input"],
Cell[224103, 5707, 147, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[224287, 5714, 462, 13, 79, "Input"],
Cell[224752, 5729, 561, 14, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[225350, 5748, 321, 8, 79, "Input"],
Cell[225674, 5758, 164, 2, 79, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[225875, 5765, 488, 12, 79, "Input"],
Cell[226366, 5779, 459, 9, 79, "Output"]
}, Closed]],
Cell[226840, 5791, 1153, 18, 312, "Text"],
Cell[227996, 5811, 1701, 38, 174, "Text"],
Cell[CellGroupData[{
Cell[229722, 5853, 1446, 38, 238, "Input"],
Cell[231171, 5893, 164, 2, 79, "Output"],
Cell[231338, 5897, 162, 2, 79, "Output"],
Cell[231503, 5901, 8696, 147, 512, "Output"]
}, Closed]],
Cell[240214, 6051, 609, 14, 86, "Text"],
Cell[CellGroupData[{
Cell[240848, 6069, 335, 4, 86, "Subsubsection"],
Cell[241186, 6075, 1045, 15, 139, "Text"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[242292, 6097, 314, 4, 61, "Section"],
Cell[242609, 6103, 893, 13, 98, "Text"],
Cell[CellGroupData[{
Cell[243527, 6120, 283, 6, 79, "Input"],
Cell[243813, 6128, 176, 4, 79, "Output"]
}, Closed]],
Cell[244004, 6135, 102, 1, 60, "Text"],
Cell[CellGroupData[{
Cell[244131, 6140, 461, 9, 120, "Input"],
Cell[244595, 6151, 298, 7, 79, "Output"]
}, Closed]],
Cell[244908, 6161, 544, 8, 60, "Text"],
Cell[CellGroupData[{
Cell[245477, 6173, 461, 10, 79, "Input"],
Cell[245941, 6185, 268, 6, 79, "Output"]
}, Closed]],
Cell[246224, 6194, 261, 5, 60, "Text"],
Cell[CellGroupData[{
Cell[246510, 6203, 656, 18, 159, "Input"],
Cell[247169, 6223, 799, 15, 44, "Message"],
Cell[247971, 6240, 724, 21, 79, "Output"]
}, Closed]],
Cell[248710, 6264, 491, 10, 98, "Text"],
Cell[CellGroupData[{
Cell[249226, 6278, 235, 7, 79, "Input"],
Cell[249464, 6287, 248, 6, 79, "Output"]
}, Closed]],
Cell[249727, 6296, 659, 19, 98, "Text"],
Cell[CellGroupData[{
Cell[250411, 6319, 866, 22, 120, "Input"],
Cell[251280, 6343, 786, 20, 79, "Output"],
Cell[252069, 6365, 196, 4, 79, "Output"]
}, Closed]],
Cell[252280, 6372, 1263, 23, 313, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[253580, 6400, 376, 5, 61, "Section"],
Cell[253959, 6407, 628, 17, 61, "Text"],
Cell[CellGroupData[{
Cell[254612, 6428, 131, 2, 79, "Input"],
Cell[254746, 6432, 523, 11, 44, "Message"],
Cell[255272, 6445, 174, 4, 79, "Output"]
}, Closed]],
Cell[255461, 6452, 818, 23, 100, "Text"],
Cell[CellGroupData[{
Cell[256304, 6479, 363, 7, 79, "Input"],
Cell[256670, 6488, 170, 4, 79, "Output"]
}, Closed]],
Cell[256855, 6495, 207, 6, 61, "Text"],
Cell[CellGroupData[{
Cell[257087, 6505, 305, 7, 79, "Input"],
Cell[257395, 6514, 296, 8, 79, "Output"]
}, Closed]],
Cell[257706, 6525, 323, 6, 60, "Text"],
Cell[CellGroupData[{
Cell[258054, 6535, 136, 2, 79, "Input"],
Cell[258193, 6539, 160, 3, 79, "Output"]
}, Closed]],
Cell[258368, 6545, 463, 8, 98, "Text"],
Cell[CellGroupData[{
Cell[258856, 6557, 775, 17, 199, "Input"],
Cell[259634, 6576, 119, 2, 79, "Output"],
Cell[259756, 6580, 123, 2, 79, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[259928, 6588, 979, 14, 61, "Section"],
Cell[CellGroupData[{
Cell[260932, 6606, 150, 2, 87, "Subsection"],
Cell[261085, 6610, 2393, 54, 336, "Text"],
Cell[CellGroupData[{
Cell[263503, 6668, 409, 12, 79, "Input"],
Cell[263915, 6682, 140, 2, 79, "Output"]
}, Closed]],
Cell[264070, 6687, 838, 15, 60, "Text"],
Cell[CellGroupData[{
Cell[264933, 6706, 1119, 22, 79, "Input"],
Cell[266055, 6730, 150, 2, 108, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[266242, 6737, 1036, 21, 79, "Input"],
Cell[267281, 6760, 1082, 32, 108, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[268400, 6797, 1036, 21, 79, "Input"],
Cell[269439, 6820, 17649, 497, 843, "Output"]
}, Closed]],
Cell[287103, 7320, 763, 14, 303, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[287903, 7339, 108, 1, 87, "Subsection"],
Cell[288014, 7342, 308, 6, 60, "Text"],
Cell[CellGroupData[{
Cell[288347, 7352, 934, 24, 278, "Input"],
Cell[289284, 7378, 250, 7, 108, "Output"],
Cell[289537, 7387, 188, 5, 108, "Output"],
Cell[289728, 7394, 169, 4, 79, "Output"],
Cell[289900, 7400, 144, 3, 79, "Output"],
Cell[290047, 7405, 121, 2, 79, "Output"],
Cell[290171, 7409, 250, 7, 108, "Output"]
}, Closed]],
Cell[290436, 7419, 441, 9, 60, "Text"],
Cell[CellGroupData[{
Cell[290902, 7432, 246, 5, 46, "Input"],
Cell[291151, 7439, 9490, 261, 440, "Output"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[300702, 7707, 260, 3, 61, "Section"],
Cell[CellGroupData[{
Cell[300987, 7714, 3302, 48, 35, "Subsubsection"],
Cell[304292, 7764, 3541, 53, 35, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[307870, 7822, 394, 5, 35, "Subsubsection"],
Cell[308267, 7829, 908, 14, 58, "Text"],
Cell[CellGroupData[{
Cell[309200, 7847, 376, 7, 70, "Input"],
Cell[309579, 7856, 225, 3, 46, "Output"],
Cell[309807, 7861, 10993, 244, 484, "Output"]
}, Closed]],
Cell[320815, 8108, 583, 12, 58, "Text"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[321447, 8126, 94, 1, 61, "Section"],
Cell[321544, 8129, 12497, 449, 602, "Text"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
